#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "test_sphere4xi.py">
#<abstract4xi abstract = "tests sphere4xi"/>
#<verify4xi verification = "11" target = "sphere4xi.py"/>
#<contextualize4xi context = "verb4xi.py"/>
#<use4xi usage = "
# SETTINGS:
#                     [OK]  [NOK] [OK]   NOTES
# command2first   <-- False  True False  (ONE LAYER WITH ALL 8 SLOTS WITH SMART 100 SHOTS - optional)
# command22second <-- False  True False  (Sphere4Xi test - optional)
# command2third   <-- True   True True   (NOT TO BE SKIPPED IF QUEUES AND PIPES WILL BE NEEDED!)
# command2fourth  <-- False  True False  (COMMAND AND CONTROL MESSAGES TO EIGHT GUNS WITHOUT PROCESSES) - optional to test target functions
# command2fift    <-- False  True True   (CREATE PROCESS WITH TARGET FUNCTION) - skip test four
# command2sixth   <-- False  True True   (COMMAND AND CONTROL VIA QUEUES AND PIPES)
# command2seventh <-- True   True False  (USES GUN2ZERO AND SHOOT2ZERO FOR MAINPROCESS4XI TO TEST SHOTS BEFORE TRYING WITH GUNS 1...8)
# command2eight   <-- False  True False  (READS ALL SHOT FILES CREATING ONE SPHERE )
# 
# RUN:
# - stop processes you don't neet (local 9090 Plone/Zope Kelvin...)
# > call t  test_sphere4xi > ..\txt\test_sphere4xi.txt
# MONITOR:
# - RAM usage: 2GB !
# - CPU usage: 1% - 
#
# ANALYZE:
# sense-test-sphere4xi.xml    
# reason-test-sphere4xi.xml
# ace-test-sphere4xi.xml
# test_sphere4xi.txt    <-- 27Mb!    
#"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'main',
            'print_trace4xi',
            'test_sphere4xi',            
            'set_trace4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
import _multiprocessing
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from current_process4xi import get_current_process4xi            
from current_process4xi import get_identity_current_process4xi
from current_process4xi import get_name_current_process4xi

from dummyprocess4xi import DummyProcess4Xi

from gun2zero4xi import gun2zero4xi
from gun2one4xi import gun2one4xi
from gun2two4xi import gun2two4xi
from gun2three4xi import gun2three4xi
from gun2four4xi import gun2four4xi
from gun2five4xi import gun2five4xi
from gun2six4xi import gun2six4xi
from gun2seven4xi import gun2seven4xi
from gun2eight4xi import gun2eight4xi

from pickle4xi import pickle4xi
from pickle2a4xi import Pickle2a4Xi 
from pickle2b4xi import Pickle2b4Xi
from pickle2c4xi import Pickle2c4Xi
from pickle2d4xi import Pickle2d4Xi
from pickle2e4xi import Pickle2e4Xi
from pickle2f4xi import Pickle2f4Xi
from pickle2g4xi import Pickle2g4Xi
from pickle2h4xi import Pickle2h4Xi
from pickle2i4xi import Pickle2i4Xi
from pickle2j4xi import Pickle2j4Xi
from pickle2k4xi import Pickle2k4Xi
from pickle2l4xi import Pickle2l4Xi
from pickle2m4xi import Pickle2m4Xi
from pickle2n4xi import Pickle2n4Xi
from pickle2o4xi import Pickle2o4Xi
from pickle2p4xi import Pickle2p4Xi
from pickle2q4xi import Pickle2q4Xi
from pickle2r4xi import Pickle2r4Xi
from pickle2s4xi import Pickle2s4Xi
from pickle2t4xi import Pickle2t4Xi
from pickle2u4xi import Pickle2u4Xi
from pickle2v4xi import Pickle2v4Xi
from pickle2w4xi import Pickle2w4Xi
from pickle2x4xi import Pickle2x4Xi
from pickle2y4xi import Pickle2y4Xi
from pickle2z4xi import Pickle2z4Xi
from pickle2_4xi import Pickle2_4Xi

from pipe4xi import Pipe4Xi 
     
from print4xi import Print4Xi
from print4xi import print4xi
from print4xi import set_print_permission4xi

from process4xi import Process4Xi

from queue4xi  import Queue4Xi

from shoot2zero4xi import shoot2zero4xi
from shoot2one4xi import shoot2one4xi
from shoot2two4xi import shoot2two4xi
from shoot2three4xi import shoot2three4xi
from shoot2four4xi import shoot2four4xi
from shoot2five4xi import shoot2five4xi
from shoot2six4xi import shoot2six4xi
from shoot2seven4xi import shoot2seven4xi
from shoot2eight4xi import shoot2eight4xi

from sleep4xi import omega2sleep4xi

from sphere4xi import Sphere4Xi
from sphere4xi import init_sphere2zero4xi 
from sphere4xi import init_sphere2one4xi 
from sphere4xi import init_sphere2two4xi 
from sphere4xi import init_sphere2three4xi 
from sphere4xi import init_sphere2four4xi 
from sphere4xi import init_sphere2five4xi 
from sphere4xi import init_sphere2six4xi 
from sphere4xi import init_sphere2seven4xi 
from sphere4xi import init_sphere2eight4xi 
from sphere4xi import set_sphere2zero4xi 
from sphere4xi import set_sphere2one4xi 
from sphere4xi import set_sphere2two4xi 
from sphere4xi import set_sphere2three4xi 
from sphere4xi import set_sphere2four4xi 
from sphere4xi import set_sphere2five4xi 
from sphere4xi import set_sphere2six4xi 
from sphere4xi import set_sphere2seven4xi 
from sphere4xi import set_sphere2eight4xi 
from sphere4xi import get_sphere2zero4xi 
from sphere4xi import get_sphere2one4xi 
from sphere4xi import get_sphere2two4xi 
from sphere4xi import get_sphere2three4xi 
from sphere4xi import get_sphere2four4xi 
from sphere4xi import get_sphere2five4xi 
from sphere4xi import get_sphere2six4xi 
from sphere4xi import get_sphere2seven4xi 
from sphere4xi import get_sphere2eight4xi 


from time4xi import time4xi

from xml_trace_sense4xi import xml_trace_sense4xi
from xml_trace_reason4xi import xml_trace_reason4xi
from xml_trace_ace4xi import xml_trace_ace4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
global t2xi 
global trace_object_count
global PickleKB4Xi

global ack4queues
global nack4queues

global ack4pipes
global nack4pipes

global ack4process
global nack4process

global ack4start
global nack4start   
        
global ack4run
global nack4run

global queue2ball
global pipe2ball_consumer_channel
global pipe2ball_publisher_channel
global process2ball

global queue2shot
global pipe2shot_consumer_channel
global pipe2shot_publisher_channel
global process2shot

global queue2cluster
global pipe2cluster_consumer_channel
global pipe2cluster_publisher_channel
global process2cluster

global queue2super
global pipe2super_consumer_channel
global pipe2super_publisher_channel
global process2super

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "

PickleKB4Xi = {
       'a': Pickle2a4Xi,
       'b': Pickle2b4Xi,
       'c': Pickle2c4Xi,
       'd': Pickle2d4Xi,
       'e': Pickle2e4Xi,
       'f': Pickle2f4Xi,
       'g': Pickle2g4Xi,
       'h': Pickle2h4Xi,
       'i': Pickle2i4Xi,
       'j': Pickle2j4Xi,
       'k': Pickle2k4Xi,
       'l': Pickle2l4Xi,
       'm': Pickle2m4Xi,
       'n': Pickle2n4Xi,
       'o': Pickle2o4Xi,
       'p': Pickle2p4Xi,
       'q': Pickle2q4Xi,
       'r': Pickle2r4Xi,
       's': Pickle2s4Xi,
       't': Pickle2t4Xi,
       'u': Pickle2u4Xi,
       'v': Pickle2v4Xi,
       'w': Pickle2w4Xi,
       'x': Pickle2x4Xi,
       'y': Pickle2y4Xi,
       'z': Pickle2z4Xi,
       '_': Pickle2_4Xi}
       
# -------------------------------------------------------------------------------------------------
# 
# -------------------------------------------------------------------------------------------------              
ack4queues = False
nack4queues = True

ack4pipes = False
nack4pipes = True

ack4process = False
nack4process = True

ack4start = False
nack4start = True   
 
ack4run = False
nack4run = True       

queue2ball = None
pipe2ball_consumer_channel = None
pipe2ball_publisher_channel = None
process2ball = None

queue2shot = None
pipe2shot_consumer_channel = None
pipe2shot_publisher_channel = None
process2shot = None

queue2cluster = None
pipe2cluster_consumer_channel = None
pipe2cluster_publisher_channel = None
process2cluster = None

queue2super = None
pipe2super_consumer_channel = None
pipe2super_publisher_channel = None
process2super = None
                         
        
#"
#"/>
    

# ----------------------------------------------------------------------------------------------------------
#<function4xi function = "set2trace4xi" usage = "setting trace using definitions in pickle4xi functions !
#">                      
# ----------------------------------------------------------------------------------------------------------    
def set2trace4xi():
    global t2xi 
    global trace_object_count
    global PickleKB4Xi

    # print("(Step 0A/33) OF SET2TRACE4XI - STARTING SETTING TRACE BASED ON TRACE SETTINGS IN MODULES PICKLE2x4XI.PY (x=a,b...) ", time4xi()) 
    # print("(Step 0B/33) OF SET2TRACE4XI - USING T2XI: ", t2xi)
    # <print4xi.Print4Xi object at 0x0000000003715080>    
    
    # ---------------------------------------------------------------------------------------------
    # A, B .... _ 
    # ---------------------------------------------------------------------------------------------
    keys2pickledb = sorted(PickleKB4Xi.keys())
    for key2pickledb in keys2pickledb:
        # -----------------------------------------------------------------------------------------    
        # LETTERS
        # -----------------------------------------------------------------------------------------     
        # print('=' *33)
        # print("STARTING LETTER : ", key2pickledb)
        # print('=' *33)
   
        dictionary2pickle = PickleKB4Xi[key2pickledb]        
        # print("STARTING DICTIONARY: ", dictionary2pickle)
        # print('~' *33) 
        # 
        keys2dictionary = sorted(dictionary2pickle.keys())
    
        # -----------------------------------------------------------------------------------------    
        #
        # -----------------------------------------------------------------------------------------     
        for key2dictionary in keys2dictionary:
            # -------------------------------------------------------------------------------------    
            # DICTIONARY
            # -------------------------------------------------------------------------------------     
            # print('~' *33)        
            object2pickle = key2dictionary        
            # print("STARTING OBJECT: ", object2pickle)
            # print('~' *33)         
            # pickle4xi(object2pickle)
            # print('~' *33)                  
            # print("PICKLED object: ", object2pickle)
            # PICKLED object:  _C4Xi, 
            # ---------------------------------------------------------------------------------    
            # Mark those with NACK4XI to be traced !
            # ---------------------------------------------------------------------------------     
            if dictionary2pickle[key2dictionary] == 'NACK4XI':
                set_param2xi = True     
                key_param = object2pickle     
                t2xi.set_print_permission(key_param, set_param2xi)
                # print("(Step 2A/33) OF SET2TRACE4XI - MARKED TO BE TRACED OBJECT: ", object2pickle)                                
                # 
            else:
                pass  
            # ---------------------------------------------------------------------------------    
            # END OF DICTIONARY
            # ---------------------------------------------------------------------------------     
        # -----------------------------------------------------------------------------------------    
        # END OF LETTERS
        # -----------------------------------------------------------------------------------------     
        # print('~' *33)        
        # print("COMPLETED  DICTIONARY: ", dictionary2pickle)
        # print('~' *33) 
    # -----------------------------------------------------------------------------------------    
    #
    # -----------------------------------------------------------------------------------------     
    # print('=' *33)
    # print("COMPLETED LETTER : ", key2pickledb)
    # print('=' *33)
    # ---------------------------------------------------------------------------------------------
    # 
    # ---------------------------------------------------------------------------------------------
    print('=' *33)
    print("(Step 33/33) OF SET2TRACE4XI - COMPLETED SETTING TRACE BASED ON NACK4XI/ACK4XI SETTINGS IN MODULES PICKLE2x4XI.PY (x=a,b...) ", time4xi()) 
    print('=' *33)
#</function4xi> 

       
# -------------------------------------------------------------------------------------------------
#<function4xi function = "deny2trace4xi" usage = "
#   deny trace using pickle4xi functions !
#">                      
# -------------------------------------------------------------------------------------------------    
def deny2trace4xi():
    global t2xi 
    global trace_object_count
    global PickleKB4Xi

    print("(Step 01A/33) OF DENY2TRACE4XI: STARTING DENYING TRACE IN MODULES PICKLE2x4XI.PY (x=a,b...) ", time4xi()) 
    print("(Step 01B/33) OF DENY2TRACE4XI - USING T2XI: ", t2xi)
    # <print4xi.Print4Xi object at 0x0000000003715080>
    
    # ---------------------------------------------------------------------------------------------
    # A, B .... _ 
    # ---------------------------------------------------------------------------------------------
    keys2pickledb = sorted(PickleKB4Xi.keys())
    for key2pickledb in keys2pickledb:
        # -----------------------------------------------------------------------------------------    
        # LETTERS
        # -----------------------------------------------------------------------------------------     
        # print("(Step 02A/33) OF DENY2TRACE4XI - STARTING LETTER : ", key2pickledb)
        dictionary2pickle = PickleKB4Xi[key2pickledb]        
        # print("(Step 02B/33) OF DENY2TRACE4XI - STARTING DICTIONARY: ", dictionary2pickle)
        keys2dictionary = sorted(dictionary2pickle.keys())
        # -----------------------------------------------------------------------------------------    
        #
        # -----------------------------------------------------------------------------------------     
        for key2dictionary in keys2dictionary:
   
            # -------------------------------------------------------------------------------------    
            # DICTIONARY
   
            object2pickle = key2dictionary        
            # print("(Step 02C/33) OF DENY2TRACE4XI - STARTING OBJECT: ", object2pickle)
            # pickle4xi(object2pickle)        
            # print("STEP: PICKLED object: ", object2pickle)
            # PICKLED object:  _C4Xi, 
            
            # ---------------------------------------------------------------------------------    
            # ACK4XI = tested .i.e. NOT to be traced! 
            # ---------------------------------------------------------------------------------     
            set_param2xi = 'ACK4XI'     
            key_param = object2pickle     
            t2xi.set_print_permission(key_param, set_param2xi)
            # print("(Step 02D/33) OF DENY2TRACE4XI - MARKED TESTED AND NOT to be traced: ", object2pickle)
            
            dictionary2pickle[key2dictionary] = 'ACK4XI' 
                    
        
            # ---------------------------------------------------------------------------------    
            # END OF DICTIONARY
            # ---------------------------------------------------------------------------------     
            # print('~' *33)              
            # print("(Step 02Z/33) OF DENY2TRACE4XI *** FAILED - ERROR IN PICKLING OBJECT - NOT TO BE TRACED: ", object2pickle)
            # print('~' *33) 
        # -----------------------------------------------------------------------------------------    
        # END OF LETTERS
        # -----------------------------------------------------------------------------------------     
        # print("(Step 02E/33) OF DENY2TRACE4XI - COMPLETED  DICTIONARY: ", dictionary2pickle)
        # 
        
    # -----------------------------------------------------------------------------------------    
    #
    # -----------------------------------------------------------------------------------------     
    # print("(Step 02F/33) OF DENY2TRACE4XI - COMPLETED LETTER : ", key2pickledb)
    # _, a ... z            
    print("(Step 033/33) OF SET2TRACE4XI - COMPLETED DENYING TRACE IN MODULES PICKLE2x4XI.PY (x=a,b...) ", time4xi()) 
#</function4xi> 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "tailor2trace4xi" usage = "
#   tailors trace 
#">                      
# -------------------------------------------------------------------------------------------------    
def tailor2trace4xi():
    global trace_object_count
    global PickleKB4Xi 
    global t2xi
 
    print("(Step 001A/33) OF TAILOR2TRACE4XI - USING T2XI: ", t2xi)
    # <print4xi.Print4Xi object at 0x0000000003715080> 
                         
    # ---------------------------------------------------------------------------------------------
    # Settings to tailor trace
    # ---------------------------------------------------------------------------------------------
    #<set4xi setting = "
    KB4Tailoring = {
        'DummyProcess4Xi': 'NACK4TRACE',
        'Pipe4Xi': 'NACK4TRACE',
        'Popen4Xi': 'NACK4TRACE',
        'Process4Xi': 'NACK4TRACE',
        'Queue4Xi': 'NACK4TRACE',
        '_MainProcess4Xi': 'NACK4TRACE'
        }                             
                
    default3trace = 'NACK4TRACE' # we do NOT want trace if object is not found! 
    #"/>
    
    # ---------------------------------------------------------------------------------------------
    # PROCESS KB4Tailoring
    # ---------------------------------------------------------------------------------------------
    keys2tailor = sorted(KB4Tailoring.keys())
    for key2tailor in keys2tailor:
        # ---------------------------------------------------------------------------------    
        # NACK4XI = NOT TESTED .I.E. TO BE TRACED! 
        # ---------------------------------------------------------------------------------     
        set_param2xi = 'NACK4XI'     
        key_param = key2tailor    
        t2xi.set_print_permission(key_param, set_param2xi)
        print("(Step 002A/33) OF TAILOR_TRACE4XI - MARKED TO BE TESTED: ", key2tailor)
        # DummyProcess4Xi 
        # Pipe4Xi
        # Popen4Xi
        # Process4Xi
        # Queue4Xi
        # _MainProcess4Xi
        # 10:58:41 04/21/13 Pacific Daylight Time
        
    # -----------------------------------------------------------------------------------------    
    # EOF KEYS
    # -----------------------------------------------------------------------------------------     
    print("(Step 0033/33) OF TAILOR_TRACE4XI - COMPLETED  TAILORING: ", time4xi())
    #

    
#</function4xi>   


    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "print_trace4xi" usage = "
# prints trace for ball4xi
#"> 
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def print_trace4xi(t2xi):
       

    # -------------------------------------------------------------------------------------------------
    # SENSE                        
    # -------------------------------------------------------------------------------------------------  
    try:
        context2sense = {
         'file_path4xi': '..\\..\\xml\\sense-test-sphere4xi.xml',
         'name_space4xi': '   xmlns="http://www.dragonxi2.com/sense/sw4xi/python32/owl/multiprocessing4xi.owl#"\n',
         'xml_base4xi': '   xml:base="http://www.yourdragonxi.org/web/lib/owl/multiprocessing4xi.owl">\n',
         'ontology_about4xi': '   <owl:Ontology rdf:about="Sensing of Multiprocessing4Xi">\n',
         'ontology_comment4xi': '      <rdfs:comment xml:lang="en">Classes, methods and messages with context.</rdfs:comment>\n',
         'class0_id4xi': '   <owl:Class rdf:ID="Dragon4Xi#000000">\n',
         'class0_comment4xi': '      <rdfs:comment xml:lang="en">Sensing Sphere in Multiprocessing.</rdfs:comment>\n',
         'object_property_rdf4xi': '   <owl:ObjectProperty rdf:ID="sensed#000000">\n',
         'object_property_comment4xi': '       <rdfs:comment xml:lang="en">Classes, Methods and Messages for Sphere in Multiprocessing.</rdfs:comment>\n'}
          
        xml_trace_sense4xi(t2xi, context2sense)
    except:
        pass
        
    # -------------------------------------------------------------------------------------------------
    # REASON                         
    # -------------------------------------------------------------------------------------------------  
    try:    
        context2reason = {
         'file_path4xi': '..\\..\\xml\\reason-test-sphere4xi.xml',
         'name_space4xi': '   xmlns="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl#"\n',
         'xml_base4xi': '   xml:base="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl">\n',
         'ontology_about4xi': '   <owl:Ontology rdf:about="Reasoning of Multiprocessing4Xi">\n',
         'ontology_comment4xi': '      <rdfs:comment xml:lang="en">Operations</rdfs:comment>\n',
         'operation_comment4xi': '      <rdfs:comment xml:lang="en">Operations for Sphere in Multiprocessing.</rdfs:comment>\n',
         'class0_id4xi': '   <owl:Class rdf:ID="reasoned#000000">\n',
         'class0_comment4xi': '      <rdfs:comment xml:lang="en">Operations Sphere in Multiprocessing.</rdfs:comment>\n',
         'object_property_rdf4xi': '   <owl:ObjectProperty rdf:ID="reason#000000">\n',
         'object_property_comment4xi': '       <rdfs:comment xml:lang="en">reason</rdfs:comment>\n'}
           
        xml_trace_reason4xi(t2xi, context2reason)
    except:
        pass
        
    # -------------------------------------------------------------------------------------------------
    # ACE                         
    # -------------------------------------------------------------------------------------------------  
    try:   
        context2ace = {
         'file_path4xi': '..\\..\\xml\\ace-test-sphere4xi.xml',
         'name_space4xi': '   xmlns="http://www.dragonxi8.com/ace/sw4xi/python32/owl/multiprocessing4xi.owl#"\n',
         'xml_base4xi': '   xml:base="http://www.dragonxi8.com/ace/sw4xi/python32/owl/multiprocessing4xi.owl">\n',
         'ontology_about4xi': '   <owl:Ontology rdf:about="Acing of Multiprocessing4Xi">\n',
         'ontology_comment4xi': '      <rdfs:comment xml:lang="en">Objects and values for Sphere in Multiprocessing.</rdfs:comment>\n',
         'class0_id4xi': '   <owl:Class rdf:ID="ACE4Xi#0000000">\n',
         'class0_comment4xi': '      <rdfs:comment xml:lang="en">Objects and values for Sphere in Multiprocessing.</rdfs:comment>\n',
         'object_property_rdf4xi': '   <owl:ObjectProperty rdf:ID="ace#0000000">\n',
         'object_property_comment4xi': '       <rdfs:comment xml:lang="en">000000</rdfs:comment>\n'}   
        
        xml_trace_ace4xi(t2xi, context2ace)
    except:
        pass
        

    # -------------------------------------------------------------------------------------------------
    # end of print_trace4xi                        
    # -------------------------------------------------------------------------------------------------  
#</function4xi>
                                

           
# -------------------------------------------------------------------------------------------------
#<function4xi function = "test_sphere4xi" usage = "
#   tests sphere4xi
#"> 
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def test_sphere4xi():
    global t2xi
    global trace_object_count    
        
    # --------------------------------------------------------------------------------------------- 
    # INITIALIZE TRACE
    # ---------------------------------------------------------------------------------------------        
    t2xi = Print4Xi()
    print("(Step 1/33) OF TEST_SPHERE4XI - SET T2XI TO: ", t2xi)
    # 
    set2trace4xi()                                                                                               # trace all classes and functions in the system
    deny2trace4xi()                                                                                              # deny trace for all classes and functions in the system
    tailor2trace4xi()                                                                                            # tailor trace for this test   
                                     
               
    # ---------------------------------------------------------------------------------------------------------
    # START OF TESTS                          
    # ---------------------------------------------------------------------------------------------------------    
        
    print('=' *33)          
    print('STARTING TEST_SPHERE4XI ', time4xi())
    # 10:58:41 04/21/13 Pacific Daylight Time
    print('=' *33)
       
    # ---------------------------------------------------------------------------------------------------------
    # ALL TRIALS OF TESTS                          
    # ---------------------------------------------------------------------------------------------------------    
    try:
        # -----------------------------------------------------------------------------------------------------
        # FIRST OF TRIAL OF TESTING - CAN BE SKIPPED                          
        # -----------------------------------------------------------------------------------------------------    
        print('=' *33)          
        print('STARTING FIRST TEST OF TEST_SPHERE4XI - TIME: ', time4xi())
        print('=' *33)           
        
        command2first = False
        print("\n (STEP 1/33) OF TEST_SPHERE4XI - COMMAND2FIRST: ", command2first)  
        
        if command2first is True:          
            try:

                # ---------------------------------------------------------------------------------------------
                # ONE LAYER WITH ALL 8 SLOTS WITH SMART 100 SHOTS                      
                # ---------------------------------------------------------------------------------------------                                                               
                # (+X,+Y,+Z) - EAST, SOUTH, TOWARDS    - EST
                # (+X,-Y,-Z) - EAST, NORTH, BACKWARDS  - ENB 
                # (+X,+Y,-Z) - EAST, SOUTH, BACKWARDS  - ESB
                # (+X,-Y,+Z) - EAST, NORTH, TOWARDS    - ENT
                # (-X,+Y,+Z) - WEST, SOUTH, TOWARDS    - WST
                # (-X,+Y,-Z) - WEST, SOUTH  BACKWARDS  - WSB
                # (-X,-Y,+Z) - WEST, NORTH, TOWARDS    - WNT
                # (-X,-Y,-Z) - WEST, NORTH, BACKWARDS  - WNB
                                                                                                                                                    
                # ---------------------------------------------------------------------------------------------------
                # A MULTIPROCESSING TRIAL WITH FUNCTION SHOOT4XI - 8 LAYERS, EACH TO DIFFERENT SLOT WITH OWN DISTANCE                      
                # ---------------------------------------------------------------------------------------------------  
                print("\n (STEP 1A/33) OF TEST_SPHERE4XI STARTING TO USE SHOOT2ZERO4XI FUNCTION WITH PARAMETERS LEARNED IN PREVIOUS STEPS ")  
                
                # (+X,+Y,+Z) - EAST, SOUTH, TOWARDS    - EST
                # find: (STEP 24O5A/33) OK in test_gun4xi.txt
                sphere2est = shoot2one4xi(start2distance = 100,  interval2distance = 100, max2layer = 100, max2count = 200, marginal2count = 1.2, sign2x = '+', sign2y = '+', sign2z = '+',
                                       max2iterate = 4200, increase2distance = None, change2a = pi/60 , change2e = pi/60, increase2a = 0.01, increase2e = 0.01,
                                       start2plusa = 0.5759586531581287, max2plusa = 2*pi, min2plusa = pi/240, start2minusa = -pi/6 , max2minusa = -0.98*2*pi, min2minusa = -pi/240,
                                       start2pluse = 0.5335987755982988, max2pluse = pi, min2pluse = pi/240, start2minuse = -pi/6, max2minuse = -0.98*pi, min2minuse = -pi/240)
                   
                print("\n (STEP 1B/33) OF TEST_SPHERE4XI (+X,+Y,+Z) - EAST, SOUTH, TOWARDS: ", sphere2est) 
                
                # (+X,-Y,-Z) - EAST, NORTH, BACKWARDS  - ENB 
                # find: (STEP 27M1/33) OF SHOOT2ZERO4XI - OK  in test_gun4xi.txt
                sphere2enb = shoot2two4xi(start2distance = 100, interval2distance = 100, max2layer = 100, max2count = 200, marginal2count = 1.2, sign2x = '+', sign2y = '-', sign2z = '-',
                                       max2iterate = 4200, increase2distance = None, change2a = pi/60 , change2e = pi/60, increase2a = 0.01, increase2e = 0.01,
                                       start2plusa = 0.5759586531581287, max2plusa = 2*pi, min2plusa = pi/240, start2minusa = -pi/6 , max2minusa = -0.98*2*pi, min2minusa = -pi/240,
                                       start2pluse = 0.5335987755982988, max2pluse = pi, min2pluse = pi/240, start2minuse = -pi/6, max2minuse = -0.98*pi, min2minuse = -pi/240)                    
                
                print("\n (STEP 1C/33) OF TEST_SPHERE4XI (+X,-Y,-Z) - EAST, NORTH, BACKWARDS  - ENB : ", sphere2enb)
                
                         
                # (+X,+Y,-Z) - EAST, SOUTH, BACKWARDS  - ESB
                # find: (STEP 20O5A/33) OK in test_gun4xi.txt
                sphere2esb = shoot2three4xi(start2distance = 100, interval2distance = 100, max2layer = 100, max2count = 200, marginal2count = 1.2, sign2x = '+', sign2y = '+', sign2z = '-',
                                       max2iterate = 4200, increase2distance = None, change2a = pi/60 , change2e = pi/60, increase2a = 0.01, increase2e = 0.01,
                                       start2plusa = 0.5288347633542818, max2plusa = 2*pi, min2plusa = pi/240, start2minusa = -pi/6 , max2minusa = -0.98*2*pi, min2minusa = -pi/240,
                                       start2pluse = 1.6235987755982997, max2pluse = pi, min2pluse = pi/240, start2minuse = -pi/6, max2minuse = -0.98*pi, min2minuse = -pi/240)                    
                                       
                print("\n (STEP 1D/33) OF TEST_SPHERE4XI (+X,+Y,-Z) - EAST, SOUTH, BACKWARDS  - ESB : ", sphere2esb)
                         
                # (+X,-Y,+Z) - EAST, NORTH, TOWARDS    - ENT
                # find: (STEP 21O5A/33) OK in test_gun4xi.txt
                sphere2ent = shoot2four4xi(start2distance = 100, interval2distance = 100, max2layer = 100, max2count = 200, marginal2count = 1.2, sign2x = '+', sign2y = '-', sign2z = '+',
                                       max2iterate = 4200, increase2distance = None, change2a = pi/60 , change2e = pi/60, increase2a = 0.01, increase2e = 0.01,
                                       start2plusa = 4.712388980384689, max2plusa = 2*pi, min2plusa = pi/240, start2minusa = -pi/6 , max2minusa = -0.98*2*pi, min2minusa = -pi/240,
                                       start2pluse = 1.3235987755982994, max2pluse = pi, min2pluse = pi/240, start2minuse = -pi/6, max2minuse = -0.98*pi, min2minuse = -pi/240)                    
                                       
                print("\n (STEP 1E/33) OF TEST_SPHERE4XI (+X,-Y,+Z) - EAST, NORTH, TOWARDS    - ENT : ", sphere2ent)
                
                             
                # (-X,+Y,+Z) - WEST, SOUTH, TOWARDS    - WST
                # find: (STEP 25O5A/33) OK in test_gun4xi.txt
                sphere2wst = shoot2five4xi(start2distance = 100, interval2distance = 100, max2layer = 100, max2count = 200, marginal2count = 1.2, sign2x = '-', sign2y = '+', sign2z = '+',
                                       max2iterate = 4200, increase2distance = None, change2a = pi/60 , change2e = pi/60, increase2a = 0.01, increase2e = 0.01,
                                       start2plusa = 1.623156204354727, max2plusa = 2*pi, min2plusa = pi/240, start2minusa = -pi/6 , max2minusa = -0.98*2*pi, min2minusa = -pi/240,
                                       start2pluse = 0.733598775598299, max2pluse = pi, min2pluse = pi/240, start2minuse = -pi/6, max2minuse = -0.98*pi, min2minuse = -pi/240)                    
                                       
                print("\n (STEP 1F/33) OF TEST_SPHERE4XI (-X,+Y,+Z) - WEST, SOUTH, TOWARDS    - WST: ", sphere2wst)
                            
                # (-X,+Y,-Z) - WEST, SOUTH  BACKWARDS  - WSB
                # find: (STEP 22O5A/33) OK in test_gun4xi.txt
                sphere2wsb = shoot2six4xi(start2distance = 100, interval2distance = 100, max2layer = 100, max2count = 200, marginal2count = 1.2, sign2x = '-', sign2y = '+', sign2z = '-',
                                       max2iterate = 4200, increase2distance = None, change2a = pi/60 , change2e = pi/60, increase2a = 0.01, increase2e = 0.01,
                                       start2plusa = 1.62839219211071, max2plusa = 2*pi, min2plusa = pi/240, start2minusa = -pi/6 , max2minusa = -0.98*2*pi, min2minusa = -pi/240,
                                       start2pluse = 1.8335987755982999, max2pluse = pi, min2pluse = pi/240, start2minuse = -pi/6, max2minuse = -0.98*pi, min2minuse = -pi/240)                    
                                       
                print("\n (STEP 1G/33) OF TEST_SPHERE4XI (-X,+Y,-Z) - WEST, SOUTH  BACKWARDS  - WSB: ", sphere2wsb)
                 
                # (-X,-Y,+Z) - WEST, NORTH, TOWARDS    - WNT
                # find: (STEP 23O5A/33) OK in test_gun4xi.txt
                sphere2wnt = shoot2seven4xi(start2distance = 100, interval2distance = 100, max2layer = 100, max2count = 200, marginal2count = 1.2, sign2x = '-', sign2y = '-', sign2z = '+',
                                       max2iterate = 4200, increase2distance = None, change2a = pi/60 , change2e = pi/60, increase2a = 0.01, increase2e = 0.01,
                                       start2plusa = 3.1939525311496206, max2plusa = 2*pi, min2plusa = pi/240, start2minusa = -pi/6 , max2minusa = -0.98*2*pi, min2minusa = -pi/240,
                                       start2pluse = 1.0335987755982992, max2pluse = pi, min2pluse = pi/240, start2minuse = -pi/6, max2minuse = -0.98*pi, min2minuse = -pi/240)                    
                                       
                print("\n (STEP 1H/33) OF TEST_SPHERE4XI (-X,-Y,+Z) - WEST, NORTH, TOWARDS    - WNT: ", sphere2wnt)
                
                # (-X,-Y,-Z) - WEST, NORTH, BACKWARDS  - WNB
                # find: (STEP 26O5A/33) OK in test_gun4xi.txt
                sphere2wnb = shoot2eight4xi(start2distance = 100, interval2distance = 100, max2layer = 100, max2count = 200, marginal2count = 1.2, sign2x = '-', sign2y = '-', sign2z = '-',
                                       max2iterate = 4200, increase2distance = None, change2a = pi/60 , change2e = pi/60, increase2a = 0.01, increase2e = 0.01,
                                       start2plusa = 3.1991885189056037, max2plusa = 2*pi, min2plusa = pi/240, start2minusa = -pi/6 , max2minusa = -0.98*2*pi, min2minusa = -pi/240,
                                       start2pluse = 2.1335987755982972, max2pluse = pi, min2pluse = pi/240, start2minuse = -pi/6, max2minuse = -0.98*pi, min2minuse = -pi/240)                    
                print("\n (STEP 1I/33) OF TEST_SPHERE4XI (-X,-Y,-Z) - WEST, NORTH, BACKWARDS  - WNB: ", sphere2wnb)
                            
                print("\n (STEP 1J/33) OF TEST_SPHERE4XI FINISHED USING SHOOT2ZERO4XI FUNCTION ")  
            except:
                # ---------------------------------------------------------------------------------------------    
                #
                # ---------------------------------------------------------------------------------------------     
                print("\n (STEP 1Z/33) OF TEST_SPHERE4XI *** FAILED SHOOTING WITH SHOOT2ZERO4XI FUNCTION ***")             
        else:
            # -------------------------------------------------------------------------------------------------    
            #
            # -------------------------------------------------------------------------------------------------     
            print("\n (STEP 1K/33) OF TEST_SPHERE4XI ** SKIPPED SHOOTING WITH SHOOT2ZERO4XI FUNCTION, COMMAND2FIRST: ", command2first)                  

    
        # -----------------------------------------------------------------------------------------------------
        # SECOND TRIAL OF TESTING - CAN BE SKIPPED                          
        # -----------------------------------------------------------------------------------------------------    
        command2second = False
        print("\n (STEP 2/33) OF TEST_SPHERE4XI - COMMAND2SECOND: ", command2second) 
        
        if command2second is True:
            print('=' *33)          
            print('STARTING SECOND TEST OF TEST_SPHERE4XI - TIME: ', time4xi())
            print('=' *33)                      
            try:
                s2xi = Sphere4Xi()
                print("\n (STEP 2A/33) OF TEST_SPHERE4XI - CREATED OBJECT S2XI: ", s2xi) 
                # <sphere4xi.Sphere4Xi object at 0x02AE4AB0>
                
                s2xi.init()            # no parameters given - all 9 spheres should be initiated 
                print("\n (STEP 2B/33) OF TEST_SPHERE4XI - PERFORMED INIT METHOD OF OBJECT S2XI: ", s2xi.init)
                # <bound method Sphere4Xi.init of <sphere4xi.Sphere4Xi object at 0x02BF4AD0>>
                
                sphere2xi = s2xi.get() # no parameters given - sphere2zero should be the one got
                print("\n (STEP 2C/33) OF TEST_SPHERE4XI - PERFORMED GET METHOD OF OBJECT S2XI, SPHERE2XI: ", sphere2xi)
                #  {'0x0y1z': {'time2shot': '01:44:29 06/16/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 0, 'message2shot': 'CurrentProcess4Xi', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 3.141592653589793, 'y2shot': 0, 'id2shot': '0x0y1z', 'distance2shot': 1, 'z2shot': 1, 'elevation2shot': 0, 'color2shot': '#F3881C'}, 
                #   '0x0y0z': {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'MainProcess4Xi', 'radius2sphere': 1, 'time2sphere': '01:44:29 06/16/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}}
                
                s2xi.set()             # no parameters given - sphere2zero should be the one set
                sphere2xi = s2xi.get()
                print("\n (STEP 2D/33) OF TEST_SPHERE4XI - PERFORMED SET AND GET METHODS OF OBJECT S2XI, SPHERE2XI: ", sphere2xi)
                # {'0x0y1z': {'time2shot': '01:54:39 06/16/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 0, 'message2shot': 'CurrentProcess4Xi', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 3.141592653589793, 'y2shot': 0, 'distance2shot': 1, 'z2shot': 1, 'elevation2shot': 0, 'color2shot': '#F3881C'},
                #  '0x0y0z': {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'MainProcess4Xi', 'radius2sphere': 1, 'time2sphere': '01:54:39 06/16/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}}

                s2xi.set(sphere = 'sphere2zero')
                sphere2zero = s2xi.get(sphere = 'sphere2zero')
                print("\n (STEP 2E/33) OF TEST_SPHERE4XI - PERFORMED GET METHODS OF OBJECT S2XI FOR SPHERE2ZERO: ", sphere2zero)
                # {'0x0y1z': {'time2shot': '01:59:29 06/16/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 0, 'message2shot': 'CurrentProcess4Xi', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 3.141592653589793, 'y2shot': 0, 'distance2shot': 1, 'z2shot': 1, 'elevation2shot': 0, 'color2shot': '#F3881C'}, '0x0y0z': {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'MainProcess4Xi', 'radius2sphere': 1, 'time2sphere': '01:59:29 06/16/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}}

                s2xi.set(sphere = 'sphere2one')
                sphere2one = s2xi.get(sphere = 'sphere2one')
                print("\n (STEP 2E/33) OF TEST_SPHERE4XI - PERFORMED GET METHODS OF OBJECT S2XI FOR SPHERE2ONE: ", sphere2one)
                # 

                s2xi.set(sphere = 'sphere2two')
                sphere2two = s2xi.get(sphere = 'sphere2two')
                print("\n (STEP 2E/33) OF TEST_SPHERE4XI - PERFORMED GET METHODS OF OBJECT S2XI FOR SPHERE2TWO: ", sphere2two)
                # 
                
                s2xi.set(sphere = 'sphere2three')
                sphere2three = s2xi.get(sphere = 'sphere2three')
                print("\n (STEP 2E/33) OF TEST_SPHERE4XI - PERFORMED GET METHODS OF OBJECT S2XI FOR SPHERE2THIRD: ", sphere2three)
                # 
                
                s2xi.set(sphere = 'sphere2four')
                sphere2four = s2xi.get(sphere = 'sphere2four')
                print("\n (STEP 2E/33) OF TEST_SPHERE4XI - PERFORMED GET METHODS OF OBJECT S2XI FOR SPHERE2FOURTH: ", sphere2four)
                # 
                
                s2xi.set(sphere = 'sphere2five')
                sphere2five = s2xi.get(sphere = 'sphere2five')
                print("\n (STEP 2E/33) OF TEST_SPHERE4XI - PERFORMED GET METHODS OF OBJECT S2XI FOR SPHERE2FIFTH: ", sphere2five)
                # 
                
                s2xi.set(sphere = 'sphere2six')
                sphere2six = s2xi.get(sphere = 'sphere2six')
                print("\n (STEP 2E/33) OF TEST_SPHERE4XI - PERFORMED GET METHODS OF OBJECT S2XI FOR SPHERE2SIXTH: ", sphere2six)
                # 
                
                s2xi.set(sphere = 'sphere2seven')
                sphere2seven = s2xi.get(sphere = 'sphere2seven')
                print("\n (STEP 2E/33) OF TEST_SPHERE4XI - PERFORMED GET METHODS OF OBJECT S2XI FOR SPHERE2SEVENTH: ", sphere2seven)
                # 
                
                s2xi.set(sphere = 'sphere2eight')
                sphere2eight = s2xi.get(sphere = 'sphere2eight')
                print("\n (STEP 2E/33) OF TEST_SPHERE4XI - PERFORMED GET METHODS OF OBJECT S2XI FOR SPHERE2EIGHT: ", sphere2eight)
                # 
                                                                   
            except:
                # ---------------------------------------------------------------------------------------------    
                #
                # ---------------------------------------------------------------------------------------------     
                print("\n (STEP 2Z/33) OF TEST_SPHERE4XI *** FAILED IN THE SECOND TEST ***")                                                                                                 
        else:
            print("\n (STEP 2X/33) OF TEST_SPHERE4XI ** SKIPPED THE SECOND TEST, COMMAND2SECOND: ", command2second)     
    
        # -----------------------------------------------------------------------------------------------------
        # THIRD TRIAL OF TESTING  - NOT TO BE SKIPPED IF QUEUES AND PIPES WILL BE NEEDED!                           
        # -----------------------------------------------------------------------------------------------------    
  
        command2third = True                            # keep True for those trials needing these pipes and queues !
        print("\n (STEP 3/33) OF TEST_SPHERE4XI - COMMAND2THIRD: ", command2third)
        if command2third is True:
            print('=' *33)          
            print('STARTING THIRD TEST OF TEST_SPHERE4XI - TIME: ', time4xi()) 
            print('=' *33)                    
            # 10:58:41 04/21/13 Pacific Daylight Time
            try:
                # -----------------------------------------------------------------------------------------    
                # (Step 3A/33)
                # -----------------------------------------------------------------------------------------     
                print("\n (STEP 3A/33): CREATING PIPES WITH CONSUMER AND PUBLISHER ENDS")
                ack4pipes = False
                nack4pipes = True
                try:
                    # -----------------------------------------------------------------------------------------    
                    # ZERO PIPE
                    # -----------------------------------------------------------------------------------------     
                          
                    pipe2zero_consumer_channel, pipe2zero_publisher_channel = Pipe4Xi()
                    
                    print("\n (STEP 3B/33) CREATED PIPE2ZERO_CONSUMER_CHANNEL")   
                    print(pipe2zero_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000005E7D668>
                    
                    print("\n (STEP 3C/33) CREATED PIPE2ZERO_PUBLISHER_CHANNEL")  
                    print(pipe2zero_publisher_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDB38>             
                   
                    print("\n (STEP 3D/33) : CREATED PIPE2ZERO WITH CONSUMER AND PUBLISHER ENDS")
                    
                    ack4pipes = True
                    nack4pipes = False
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3C/33)): *** FAILED TO CREATE PIPE2ZERO ***")
                    nack4pipes = True
                    ack4pipes = False                         
                try:
                    # -----------------------------------------------------------------------------------------    
                    # ONE PIPE
                    # -----------------------------------------------------------------------------------------     
                          
                    pipe2one_consumer_channel, pipe2one_publisher_channel = Pipe4Xi()
                    
                    print("\n (STEP 3B/33) CREATED PIPE2ONE_CONSUMER_CHANNEL")   
                    print(pipe2one_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000006488FD0>
                    
                    print("\n (STEP 3C/33) CREATED PIPE2ONE_PUBLISHER_CHANNEL")  
                    print(pipe2one_publisher_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDD68>               
                   
                    print("\n (STEP 3D/33) : CREATED PIPE2ONE WITH CONSUMER AND PUBLISHER ENDS")
                    
                    ack4pipes = True
                    nack4pipes = False
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3C/33)): *** FAILED TO CREATE PIPE2ONE ***")
                    nack4pipes = True
                    ack4pipes = False                         
                try:
                    # -----------------------------------------------------------------------------------------    
                    # TWO PIPE
                    # -----------------------------------------------------------------------------------------     
                          
                    pipe2two_consumer_channel, pipe2two_publisher_channel = Pipe4Xi()
                    
                    print("\n (STEP 3B/33) CREATED PIPE2TWO_CONSUMER_CHANNEL")   
                    print(pipe2two_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CD438>
                    
                    print("\n (STEP 3C/33) CREATED PIPE2TWO_PUBLISHER_CHANNEL")  
                    print(pipe2two_publisher_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDC18>             
                   
                    print("\n (STEP 3D/33) : CREATED PIPE2TWO WITH CONSUMER AND PUBLISHER ENDS")
                    
                    ack4pipes = True
                    nack4pipes = False
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3C/33)): *** FAILED TO CREATE PIPE2TWO ***")
                    nack4pipes = True
                    ack4pipes = False                         
                try:
                    # -----------------------------------------------------------------------------------------    
                    # THREE PIPE
                    # -----------------------------------------------------------------------------------------     
                          
                    pipe2three_consumer_channel, pipe2three_publisher_channel = Pipe4Xi()
                    
                    print("\n (STEP 3B/33) CREATED PIPE2THREE_CONSUMER_CHANNEL")   
                    print(pipe2three_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDA90>
                    
                    print("\n (STEP 3C/33) CREATED PIPE2THREE_PUBLISHER_CHANNEL")  
                    print(pipe2three_publisher_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CD400>          
                   
                    print("\n (STEP 3D/33) : CREATED PIPE2THREE WITH CONSUMER AND PUBLISHER ENDS")
                    
                    ack4pipes = True
                    nack4pipes = False
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3C/33)): *** FAILED TO CREATE PIPE2THREE ***")
                    nack4pipes = True
                    ack4pipes = False                         
                try:
                    # -----------------------------------------------------------------------------------------    
                    # FOUR PIPE
                    # -----------------------------------------------------------------------------------------     
                          
                    pipe2four_consumer_channel, pipe2four_publisher_channel = Pipe4Xi()
                    
                    print("\n (STEP 3B/33) CREATED PIPE2FOUR_CONSUMER_CHANNEL")   
                    print(pipe2four_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDDD8>
                    
                    print("\n (STEP 3C/33) CREATED PIPE2FOUR_PUBLISHER_CHANNEL")  
                    print(pipe2four_publisher_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDBA8>            
                   
                    print("\n (STEP 3D/33) : CREATED PIPE2FOUR WITH CONSUMER AND PUBLISHER ENDS")
                    
                    ack4pipes = True
                    nack4pipes = False
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3C/33)): *** FAILED TO CREATE PIPE2FOUR ***")
                    nack4pipes = True
                    ack4pipes = False                         
                try:
                    # -----------------------------------------------------------------------------------------    
                    # FIVE PIPE
                    # -----------------------------------------------------------------------------------------     
                          
                    pipe2five_consumer_channel, pipe2five_publisher_channel = Pipe4Xi()
                    
                    print("\n (STEP 3B/33) CREATED PIPE2FIVE_CONSUMER_CHANNEL")   
                    print(pipe2five_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDE48>
                    
                    print("\n (STEP 3C/33) CREATED PIPE2FIVE_PUBLISHER_CHANNEL")  
                    print(pipe2five_publisher_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDDA0>            
                   
                    print("\n (STEP 3D/33) : CREATED PIPE2FIVE WITH CONSUMER AND PUBLISHER ENDS")
                    
                    ack4pipes = True
                    nack4pipes = False
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3C/33)): *** FAILED TO CREATE PIPE2FIVE ***")
                    nack4pipes = True
                    ack4pipes = False                         
                try:
                    # -----------------------------------------------------------------------------------------    
                    # SIX PIPE
                    # -----------------------------------------------------------------------------------------     
                          
                    pipe2six_consumer_channel, pipe2six_publisher_channel = Pipe4Xi()
                    
                    print("\n (STEP 3B/33) CREATED PIPE2SIX_CONSUMER_CHANNEL")   
                    print(pipe2six_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CD780>
                    
                    print("\n (STEP 3C/33) CREATED PIPE2SIX_PUBLISHER_CHANNEL")  
                    print(pipe2six_publisher_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDE10>       
                   
                    print("\n (STEP 3D/33) : CREATED PIPE2SIX WITH CONSUMER AND PUBLISHER ENDS")
                    
                    ack4pipes = True
                    nack4pipes = False
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3C/33)): *** FAILED TO CREATE PIPE2SIX ***")
                    nack4pipes = True
                    ack4pipes = False                         
                try:
                    # -----------------------------------------------------------------------------------------    
                    # SEVEN PIPE
                    # -----------------------------------------------------------------------------------------     
                          
                    pipe2seven_consumer_channel, pipe2seven_publisher_channel = Pipe4Xi()
                    
                    print("\n (STEP 3B/33) CREATED PIPE2SEVEN_CONSUMER_CHANNEL")   
                    print(pipe2seven_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDEB8>
                    
                    print("\n (STEP 3C/33) CREATED PIPE2SEVEN_PUBLISHER_CHANNEL")  
                    print(pipe2seven_publisher_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDE80>       
                   
                    print("\n (STEP 3D/33) : CREATED PIPE2SEVEN WITH CONSUMER AND PUBLISHER ENDS")
                    
                    ack4pipes = True
                    nack4pipes = False
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3C/33)): *** FAILED TO CREATE PIPE2SEVEN ***")
                    nack4pipes = True
                    ack4pipes = False                         
                try:
                    # -----------------------------------------------------------------------------------------    
                    # EIGHT PIPE
                    # -----------------------------------------------------------------------------------------     
                          
                    pipe2eight_consumer_channel, pipe2eight_publisher_channel = Pipe4Xi()
                    
                    print("\n (STEP 3B/33) CREATED PIPE2EIGHT_CONSUMER_CHANNEL")   
                    print(pipe2eight_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDF28>
                    
                    print("\n (STEP 3C/33) CREATED PIPE2EIGHT_PUBLISHER_CHANNEL")  
                    print(pipe2eight_publisher_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDC50>     
                   
                    print("\n (STEP 3D/33) : CREATED PIPE2EIGHT WITH CONSUMER AND PUBLISHER ENDS")
                    
                    ack4pipes = True
                    nack4pipes = False
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3C/33)): *** FAILED TO CREATE PIPE2EIGHT ***")
                    nack4pipes = True
                    ack4pipes = False
                                        
                try:
                    # -----------------------------------------------------------------------------------------    
                    # ZERO QUEUE
                    # -----------------------------------------------------------------------------------------     
                    
                    print('=' *33)    
                    print("\n (STEP 3D1/33): CREATING QUEUE2ZERO")
                    print('=' *33)           
                         
                    queue2zero = Queue4Xi()
                    
                    print('=' *33)    
                    print("\n (STEP 3D2/33): CREATED QUEUE2ZERO: ", queue2zero)
                    # <queue4xi.Queue4Xi object at 0x00000000064864E0>
                    
                    nack4queues = False
                    ack4queues = True
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3D3/33)): *** FAILED TO CREATE QUEUE2ZERO ***")
                    ack4queues = False
                    nack4queues = True   
                    
                                        
                try:
                    # -----------------------------------------------------------------------------------------    
                    # ONE QUEUE
                    # -----------------------------------------------------------------------------------------     
                    
                    print('=' *33)    
                    print("\n (STEP 3D1/33): CREATING QUEUE2ONE")
                    print('=' *33)           
                         
                    queue2one = Queue4Xi()
                    
                    print('=' *33)    
                    print("\n (STEP 3D2/33): CREATED QUEUE2ONE: ", queue2one)
                    # <queue4xi.Queue4Xi object at 0x00000000065180B8>
                    
                    nack4queues = False
                    ack4queues = True
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3D3/33)): *** FAILED TO CREATE QUEUE2ONE ***")
                    ack4queues = False
                    nack4queues = True 
                                        
                try:
                    # -----------------------------------------------------------------------------------------    
                    # TWO QUEUE
                    # -----------------------------------------------------------------------------------------     
                    
                    print('=' *33)    
                    print("\n (STEP 3D1/33): CREATING QUEUE2TWO")
                    print('=' *33)           
                         
                    queue2two = Queue4Xi()
                    
                    print('=' *33)    
                    print("\n (STEP 3D2/33): CREATED QUEUE2TWO: ", queue2two)
                    # <queue4xi.Queue4Xi object at 0x0000000006518208>
                    
                    nack4queues = False
                    ack4queues = True
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3D3/33)): *** FAILED TO CREATE QUEUE2TWO ***")
                    ack4queues = False
                    nack4queues = True 
                                        
                try:
                    # -----------------------------------------------------------------------------------------    
                    # THREE QUEUE
                    # -----------------------------------------------------------------------------------------     
                    
                    print('=' *33)    
                    print("\n (STEP 3D1/33): CREATING QUEUE2THREE")
                    print('=' *33)           
                         
                    queue2three = Queue4Xi()
                    
                    print('=' *33)    
                    print("\n (STEP 3D2/33): CREATED QUEUE2THREE: ", queue2three)
                    # <queue4xi.Queue4Xi object at 0x0000000006518358>
                    
                    nack4queues = False
                    ack4queues = True
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3D3/33)): *** FAILED TO CREATE QUEUE2THREE ***")
                    ack4queues = False
                    nack4queues = True 
                                        
                try:
                    # -----------------------------------------------------------------------------------------    
                    # FOUR QUEUE
                    # -----------------------------------------------------------------------------------------     
                    
                    print('=' *33)    
                    print("\n (STEP 3D1/33): CREATING QUEUE2FOUR")
                    print('=' *33)           
                         
                    queue2four = Queue4Xi()
                    
                    print('=' *33)    
                    print("\n (STEP 3D2/33): CREATED QUEUE2FOUR: ", queue2four)
                    # <queue4xi.Queue4Xi object at 0x00000000065184A8>
                    
                    nack4queues = False
                    ack4queues = True
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3D3/33)): *** FAILED TO CREATE QUEUE2FOUR ***")
                    ack4queues = False
                    nack4queues = True 
                                        
                try:
                    # -----------------------------------------------------------------------------------------    
                    # FIVE QUEUE
                    # -----------------------------------------------------------------------------------------     
                    
                    print('=' *33)    
                    print("\n (STEP 3D1/33): CREATING QUEUE2FIVE")
                    print('=' *33)           
                         
                    queue2five = Queue4Xi()
                    
                    print('=' *33)    
                    print("\n (STEP 3D2/33): CREATED QUEUE2FIVE: ", queue2five)
                    # <queue4xi.Queue4Xi object at 0x00000000065185F8>
                    
                    nack4queues = False
                    ack4queues = True
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3D3/33)): *** FAILED TO CREATE QUEUE2FIVE ***")
                    ack4queues = False
                    nack4queues = True 
                                        
                try:
                    # -----------------------------------------------------------------------------------------    
                    # SIX QUEUE
                    # -----------------------------------------------------------------------------------------     
                    
                    print('=' *33)    
                    print("\n (STEP 3D1/33): CREATING QUEUE2SIX")
                    print('=' *33)           
                         
                    queue2six = Queue4Xi()
                    
                    print('=' *33)    
                    print("\n (STEP 3D2/33): CREATED QUEUE2SIX: ", queue2six)
                    # <queue4xi.Queue4Xi object at 0x0000000006518748>
                    
                    nack4queues = False
                    ack4queues = True
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3D3/33)): *** FAILED TO CREATE QUEUE2SIX ***")
                    ack4queues = False
                    nack4queues = True 
                                        
                try:
                    # -----------------------------------------------------------------------------------------    
                    # SEVEN QUEUE
                    # -----------------------------------------------------------------------------------------     
                    
                    print('=' *33)    
                    print("\n (STEP 3D1/33): CREATING QUEUE2SEVEN")
                    print('=' *33)           
                         
                    queue2seven = Queue4Xi()
                    
                    print('=' *33)    
                    print("\n (STEP 3D2/33): CREATED QUEUE2SEVEN: ", queue2seven)
                    # <queue4xi.Queue4Xi object at 0x0000000006518898>
                    
                    nack4queues = False
                    ack4queues = True
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3D3/33)): *** FAILED TO CREATE QUEUE2SEVEN ***")
                    ack4queues = False
                    nack4queues = True 
                                        
                try:
                    # -----------------------------------------------------------------------------------------    
                    # EIGHT QUEUE
                    # -----------------------------------------------------------------------------------------     
                    
                    print('=' *33)    
                    print("\n (STEP 3D1/33): CREATING QUEUE2EIGHT")
                    print('=' *33)           
                         
                    queue2eight = Queue4Xi()
                    
                    print('=' *33)    
                    print("\n (STEP 3D2/33): CREATED QUEUE2EIGHT: ", queue2eight)
                    # <queue4xi.Queue4Xi object at 0x00000000065189E8>
                    
                    nack4queues = False
                    ack4queues = True
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------     
                    print("\n ((STEP 3D3/33)): *** FAILED TO CREATE QUEUE2EIGHT ***")
                    ack4queues = False
                    nack4queues = True 
                                                                                                                                                                                                                                                                                                                                                                                                                                               
            except:
                # ---------------------------------------------------------------------------------------------    
                #
                # ---------------------------------------------------------------------------------------------     
                print("\n (STEP 2Z/33) OF TEST_SPHERE4XI *** FAILED IN THE THIRD TEST ***")                                                                                                 
        else:
            print("\n (STEP 2X/33) OF TEST_SPHERE4XI ** SKIPPED THE THIRD TEST, COMMAND2THIRD: ", command2third)     
    
        # -----------------------------------------------------------------------------------------------------
        # FOURTH TRIAL OF TESTING - CAN BE SKIPPED - IS USED TO TEST TARGET FUNCTIONS WITHOUT PROCESSES                         
        # -----------------------------------------------------------------------------------------------------    
        command2fourth = False 
        print("\n (STEP 4/33) OF TEST_SPHERE4XI - COMMAND2FOURTH: ", command2fourth) 
        if command2fourth is True:
            print('=' *33)          
            print('STARTING FOURTH TEST OF TEST_SPHERE4XI - TIME: ', time4xi()) 
            print('=' *33)     
            # 05:21:05 04/24/13 Pacific Daylight Time
            
            ack2command = False 
            
            print("\n (STEP 4A/33) OF TEST_SPHERE4XI - TRYING TO SET COMMAND AND CONTROL")       
            # -----------------------------------------------------------------------------------------------------
            # SEND COMMAND AND CONTROL MESSAGES TO EIGHT GUNS                          
            # -----------------------------------------------------------------------------------------------------               
            try:
                # -------------------------------------------------------------------------------------------------
                # PUT COMMAND AND CONTROL MESSAGES TO EIGHT QUEUES                         
                # ------------------------------------------------------------------------------------------------- 
                message2put4one = "<copy4xi>copy2one</copy4xi>"
                queue2one.put(message2put4one)
                print("\n (STEP 4C1/33) OF TEST_SPHERE4XI - PUT TO QUEUE2ONE: ", queue2one, " MESSAGE2PUT4ONE: " , message2put4one)
                # <queue4xi.Queue4Xi object at 0x00000000065180B8>  MESSAGE2PUT4ONE:  <copy4xi>copy2one</copy4xi>
                
                message2put4two = "<copy4xi>copy2two</copy4xi>"
                queue2two.put(message2put4two)
                print("\n (STEP 4C2/33) OF TEST_SPHERE4XI - PUT TO QUEUE2TWO: ", queue2two, " MESSAGE2PUT4TWO: " , message2put4two)
                # <queue4xi.Queue4Xi object at 0x0000000006518208>  MESSAGE2PUT4TWO:  <copy4xi>copy2two</copy4xi>                
                
                message2put4three = "<copy4xi>copy2three</copy4xi>"
                queue2three.put(message2put4three)
                print("\n (STEP 4C3/33) OF TEST_SPHERE4XI - PUT TO QUEUE2THREE: ", queue2three, " MESSAGE2PUT4THREE: " , message2put4three)
                # <queue4xi.Queue4Xi object at 0x0000000006518358>  MESSAGE2PUT4THREE:  <copy4xi>copy2three</copy4xi>                
                
                message2put4four = "<copy4xi>copy2four</copy4xi>"
                queue2four.put(message2put4four)
                print("\n (STEP 4C4/33) OF TEST_SPHERE4XI - PUT TO QUEUE2FOUR: ", queue2four, " MESSAGE2PUT4FOUR: " , message2put4four)
                # <queue4xi.Queue4Xi object at 0x00000000065184A8>  MESSAGE2PUT4FOUR:  <copy4xi>copy2four</copy4xi>                
                
                message2put4five = "<copy4xi>copy2five</copy4xi>"
                queue2five.put(message2put4five)
                print("\n (STEP 4C5/33) OF TEST_SPHERE4XI - PUT TO QUEUE2FIVE: ", queue2five, " MESSAGE2PUT4FIVE: " , message2put4five)
                # <queue4xi.Queue4Xi object at 0x00000000065185F8>  MESSAGE2PUT4FIVE:  <copy4xi>copy2five</copy4xi>                 
                
                message2put4six = "<copy4xi>copy2six</copy4xi>"
                queue2six.put(message2put4six)
                print("\n (STEP 4C6/33) OF TEST_SPHERE4XI - PUT TO QUEUE2SIX: ", queue2six, " MESSAGE2PUT4SIX: " , message2put4six)
                # <queue4xi.Queue4Xi object at 0x0000000006518748>  MESSAGE2PUT4SIX:  <copy4xi>copy2six</copy4xi>                
                
                message2put4seven = "<copy4xi>copy2seven</copy4xi>"
                queue2seven.put(message2put4seven)
                print("\n (STEP 4C7/33) OF TEST_SPHERE4XI - PUT TO QUEUE2SEVEN: ", queue2seven, " MESSAGE2PUT4SEVEN: " , message2put4seven)
                # <queue4xi.Queue4Xi object at 0x0000000006518898>  MESSAGE2PUT4SEVEN:  <copy4xi>copy2seven</copy4xi>                
                
                message2put4eight = "<copy4xi>copy2eight</copy4xi>"
                queue2eight.put(message2put4eight)
                print("\n (STEP 4C8/33) OF TEST_SPHERE4XI - PUT TO QUEUE2EIGHT: ", queue2eight, " MESSAGE2PUT4EIGHT: " , message2put4eight)
                # <queue4xi.Queue4Xi object at 0x00000000065189E8>  MESSAGE2PUT4EIGHT:  <copy4xi>copy2eight</copy4xi>                 
                                                          
                # -------------------------------------------------------------------------------------------------
                # SEND COMMAND AND CONTROL MESSAGES TO EIGHT PIPES                          
                # -------------------------------------------------------------------------------------------------                 
                
                message2send4one = "<copy4xi>copy2one</copy4xi>"
                pipe2one_publisher_channel.send(message2send4one)
                print("\n (STEP 4F1/33) OF TEST_SPHERE4XI - SEND TO PIPE2ONE_PUBLISHER_CHANNEL: ", pipe2one_publisher_channel, " MESSAGE2SEND4ONE: " , message2send4one)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDD68>  MESSAGE2SEND4ONE:  <copy4xi>copy2one</copy4xi>
                
                message2send4two = "<copy4xi>copy2two</copy4xi>"
                pipe2two_publisher_channel.send(message2send4two)
                print("\n (STEP 4F2/33) OF TEST_SPHERE4XI - SEND TO PIPE2TWO_PUBLISHER_CHANNEL: ", pipe2two_publisher_channel, " MESSAGE2SEND4TWO: " , message2send4two)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDC18>  MESSAGE2SEND4TWO:  <copy4xi>copy2two</copy4xi>
                
                message2send4three = "<copy4xi>copy2three</copy4xi>"
                pipe2three_publisher_channel.send(message2send4three)
                print("\n (STEP 4F3/33) OF TEST_SPHERE4XI - SEND TO PIPE2THREE_PUBLISHER_CHANNEL: ", pipe2three_publisher_channel, " MESSAGE2SEND4THREE: " , message2send4three)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CD400>  MESSAGE2SEND4THREE:  <copy4xi>copy2three</copy4xi>
                
                message2send4four = "<copy4xi>copy2four</copy4xi>"
                pipe2four_publisher_channel.send(message2send4four)
                print("\n (STEP 4F4/33) OF TEST_SPHERE4XI - SEND TO PIPE2FOUR_PUBLISHER_CHANNEL: ", pipe2four_publisher_channel, " MESSAGE2SEND4FOUR: " , message2send4four)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDBA8>  MESSAGE2SEND4FOUR:  <copy4xi>copy2four</copy4xi>                
                
                message2send4five = "<copy4xi>copy2five</copy4xi>"
                pipe2five_publisher_channel.send(message2send4five)
                print("\n (STEP 4F5/33) OF TEST_SPHERE4XI - SEND TO PIPE2FIVE_PUBLISHER_CHANNEL: ", pipe2five_publisher_channel, " MESSAGE2SEND4FIVE: " , message2send4five)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDDA0>  MESSAGE2SEND4FIVE:  <copy4xi>copy2five</copy4xi>
                
                message2send4six = "<copy4xi>copy2six</copy4xi>"
                pipe2six_publisher_channel.send(message2send4six)
                print("\n (STEP 4F6/33) OF TEST_SPHERE4XI - SEND TO PIPE2SIX_PUBLISHER_CHANNEL: ", pipe2six_publisher_channel, " MESSAGE2SEND4SIX: " , message2send4six)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDE10>  MESSAGE2SEND4SIX:  <copy4xi>copy2six</copy4xi>
                
                message2send4seven = "<copy4xi>copy2seven</copy4xi>"
                pipe2seven_publisher_channel.send(message2send4seven)
                print("\n (STEP 4F7/33) OF TEST_SPHERE4XI - SEND TO PIPE2SEVEN_PUBLISHER_CHANNEL: ", pipe2seven_publisher_channel, " MESSAGE2SEND4SEVEN: " , message2send4seven)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDE80>  MESSAGE2SEND4SEVEN:  <copy4xi>copy2seven</copy4xi>
                
                message2send4eight = "<copy4xi>copy2eight</copy4xi>"
                pipe2eight_publisher_channel.send(message2send4eight)
                print("\n (STEP 4F8/33) OF TEST_SPHERE4XI - SEND TO PIPE2EIGHT_PUBLISHER_CHANNEL: ", pipe2eight_publisher_channel, " MESSAGE2SEND4EIGHT: " , message2send4eight)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDC50>  MESSAGE2SEND4EIGHT:  <copy4xi>copy2eight</copy4xi>                
                                                                                                 
                # -------------------------------------------------------------------------------------------------
                # ESTABLISH COMMUNICATION WITH EIGHT GUNS   JATKAA                       
                # -------------------------------------------------------------------------------------------------                 
                             
                gun2one4xi(queue2one, pipe2one_consumer_channel, pipe2one_publisher_channel)
                print("\n (STEP 4I1/33) OF TEST_SPHERE4XI - PERFORMED GUN2ONE4XI: ", gun2one4xi)
                # <function gun2one4xi at 0x0000000002E5A620>
                             
                gun2two4xi(queue2two, pipe2two_consumer_channel, pipe2two_publisher_channel)
                print("\n (STEP 4I2/33) OF TEST_SPHERE4XI - PERFORMED GUN2TWO4XI: ", gun2two4xi)
                # <function gun2two4xi at 0x0000000002E5AB70>
                             
                gun2three4xi(queue2three, pipe2three_consumer_channel, pipe2three_publisher_channel)
                print("\n (STEP 4I3/33) OF TEST_SPHERE4XI - PERFORMED GUN2THREE4XI: ", gun2three4xi)
                # <function gun2three4xi at 0x00000000066A5158>
                             
                gun2four4xi(queue2four, pipe2four_consumer_channel, pipe2four_publisher_channel)
                print("\n (STEP 4I4/33) OF TEST_SPHERE4XI - PERFORMED GUN2FOUR4XI: ", gun2four4xi)
                # <function gun2four4xi at 0x00000000066A56A8>
                            
                gun2five4xi(queue2five, pipe2five_consumer_channel, pipe2five_publisher_channel)
                print("\n (STEP 4I5/33) OF TEST_SPHERE4XI - PERFORMED GUN2FIVE4XI: ", gun2five4xi)
                # <function gun2five4xi at 0x00000000066A5BF8>
                             
                gun2six4xi(queue2six, pipe2six_consumer_channel, pipe2six_publisher_channel)
                print("\n (STEP 4I6/33) OF TEST_SPHERE4XI - PERFORMED GUN2SIX4XI: ", gun2six4xi)
                # <function gun2six4xi at 0x0000000005C9A268>
                             
                gun2seven4xi(queue2seven, pipe2seven_consumer_channel, pipe2seven_publisher_channel)
                print("\n (STEP 4I7/33) OF TEST_SPHERE4XI - PERFORMED GUN2SEVEN4XI: ", gun2seven4xi)
                # <function gun2seven4xi at 0x0000000005C9A7B8>
                            
                gun2eight4xi(queue2eight, pipe2eight_consumer_channel, pipe2eight_publisher_channel)
                print("\n (STEP 4I8/33) OF TEST_SPHERE4XI - PERFORMED GUN2EIGHT4XI: ", gun2eight4xi)
                # <function gun2eight4xi at 0x0000000005C9AD90>                     
                
                ack2command = True
            except:
                # ---------------------------------------------------------------------------------------------    
                #
                # ---------------------------------------------------------------------------------------------     
                print("\n (STEP 4I/33) OF TEST_SPHERE4XI *** FAILED TO SETUP COMMAND AND CONTROL ***") 
                
            # -----------------------------------------------------------------------------------------------------
            # CHECK ANSWERS TO COMMAND AND CONTROL MESSAGES                          
            # -----------------------------------------------------------------------------------------------------                      
            if ack2command is True:
                print("\n (STEP 4J/33) OF TEST_SPHERE4XI - VERIFYING COMMUNICATION ") 
                try:
                    # ---------------------------------------------------------------------------------------------
                    # GETTING COMMUNICATION AND CONTROL MESSAGES FROM EIGHT QUEUES                         
                    # ---------------------------------------------------------------------------------------------                 
                    print("\n (STEP 4K1/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE2ONE: ", queue2one)
                    message2get4one = queue2one.get()
                    print("\n (STEP 4L1/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE2ONE: ", queue2one, " MESSAGE: ", message2get4one)
                    # GOT FROM QUEUE2ONE:  <queue4xi.Queue4Xi object at 0x02DA2130>  MESSAGE:  <roger4xi>roger2one</roger4xi> 
                    
                    print("\n (STEP 4K2/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE2TWO: ", queue2two)
                    message2get4two = queue2two.get()
                    print("\n (STEP 4L2/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE2TWO: ", queue2two, " MESSAGE: ", message2get4two)
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02DA22F0>  MESSAGE:  <roger4xi>roger2two</roger4xi>                   
                    
                    print("\n (STEP 4K3/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE2THREE: ", queue2three)
                    message2get4three = queue2three.get()
                    print("\n (STEP 4L3/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE2THREE: ", queue2three, " MESSAGE: ", message2get4three)
                    # GOT FROM QUEUE2THREE:  <queue4xi.Queue4Xi object at 0x02DA23F0>  MESSAGE:  <roger4xi>roger2three</roger4xi>               
                    
                    print("\n (STEP 4K4/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE2FOUR: ", queue2four)
                    message2get4four = queue2four.get()
                    print("\n (STEP 4L4/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " MESSAGE: ", message2get4four)
                    # GOT FROM QUEUE2FOUR:  <queue4xi.Queue4Xi object at 0x02DA24F0>  MESSAGE:  <roger4xi>roger2four</roger4xi>                     
                    
                    print("\n (STEP 4K5/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE2FIVE: ", queue2five)
                    message2get4five = queue2five.get()
                    print("\n (STEP 4L5/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " MESSAGE: ", message2get4five)
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x02DA25F0>  MESSAGE:  <roger4xi>roger2five</roger4xi>                     
                    
                    print("\n (STEP 4K6/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE2SIX: ", queue2six)
                    message2get4six = queue2six.get()
                    print("\n (STEP 4L6/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE2SIX: ", queue2six, " MESSAGE: ", message2get4six)
                    # <queue4xi.Queue4Xi object at 0x02DA26F0>  MESSAGE:  <roger4xi>roger2six</roger4xi>                     
                    
                    print("\n (STEP 4K7/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE2SEVEN: ", queue2seven)
                    message2get4seven = queue2seven.get()
                    print("\n (STEP 4L7/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " MESSAGE: ", message2get4seven)
                    # GOT FROM QUEUE2SEVEN:  <queue4xi.Queue4Xi object at 0x02DA27F0>  MESSAGE:  <roger4xi>roger2seven</roger4xi>                     
                    
                    print("\n (STEP 4K8/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE2EIGHT: ", queue2eight)
                    message2get4eight = queue2eight.get()
                    print("\n (STEP 4L8/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " MESSAGE: ", message2get4eight)
                    # GOT FROM QUEUE2EIGHT:  <queue4xi.Queue4Xi object at 0x02DA28F0>  MESSAGE:  <roger4xi>roger2eight</roger4xi>                     
                                                                                
                    # ---------------------------------------------------------------------------------------------
                    # RECEIVING COMMUNICATION AND CONTROL MESSAGES FROM EIGHT PIPES                          
                    # ---------------------------------------------------------------------------------------------                       
                    print("\n (STEP 4M1/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2ONE_CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000006629668>
                    # at the same time shoot2three4xi.py is going on:
                    # INTERVAL2DISTANCE4XI OF SHOOT2THREE4XI:  10
                    
                    
                    message2receive4one = pipe2one_consumer_channel.recv()
                    print("\n (STEP 4N1/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE2ONE_CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " MESSAGE: ", message2receive4one)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000006629668>  MESSAGE:  <roger4xi>roger2one</roger4xi>
                    
                    print("\n (STEP 4M2/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2TWO_CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    message2receive4two = pipe2two_consumer_channel.recv()
                    print("\n (STEP 4N2/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE2TWO_CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " MESSAGE: ", message2receive4two)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000006629B38>  MESSAGE:  <roger4xi>roger2two</roger4xi>                    
                    
                    print("\n (STEP 4M3/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2THREE_CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    message2receive4three = pipe2three_consumer_channel.recv()
                    print("\n (STEP 4N3/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE2THREE_CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " MESSAGE: ", message2receive4three)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064042E8>  MESSAGE:  <roger4xi>roger2three</roger4xi>                     
                    
                    print("\n (STEP 4M4/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2FOUR__CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    message2receive4four = pipe2four_consumer_channel.recv()
                    print("\n (STEP 4N4/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE2FOUR_CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " MESSAGE: ", message2receive4four)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064040B8>  MESSAGE:  <roger4xi>roger2four</roger4xi>             
                    
                    print("\n (STEP 4M5/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2FIVE_CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    message2receive4five = pipe2five_consumer_channel.recv()
                    print("\n (STEP 4N5/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE2FIVE_CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " MESSAGE: ", message2receive4five)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000006404470>  MESSAGE:  <roger4xi>roger2five</roger4xi>                 
                    
                    print("\n (STEP 4M6/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2SIX_CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    message2receive4six = pipe2six_consumer_channel.recv()
                    print("\n (STEP 4N6/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE2SIX_CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " MESSAGE: ", message2receive4six)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064044E0>  MESSAGE:  <roger4xi>roger2six</roger4xi>                
                    
                    print("\n (STEP 4M7/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2SEVEN_CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    print("\n (STEP 4N7/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE2SEVEN_CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " MESSAGE: ", message2receive4seven)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000006404550>  MESSAGE:  <roger4xi>roger2seven</roger4xi>                    
                    
                    print("\n (STEP 4M8/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2EIGHT_CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    print("\n (STEP 4N8/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE2EIGHT_CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " MESSAGE: ", message2receive4eight)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064045C0>  MESSAGE:  <roger4xi>roger2eight</roger4xi>                  
                                                              
                    if ((message2get4one == "<roger4xi>roger2one</roger4xi>") and
                        (message2get4two == "<roger4xi>roger2two</roger4xi>") and
                        (message2get4three == "<roger4xi>roger2three</roger4xi>") and
                        (message2get4four == "<roger4xi>roger2four</roger4xi>") and
                        (message2get4five == "<roger4xi>roger2five</roger4xi>") and
                        (message2get4six == "<roger4xi>roger2six</roger4xi>") and
                        (message2get4seven == "<roger4xi>roger2seven</roger4xi>") and
                        (message2get4eight == "<roger4xi>roger2eight</roger4xi>") and
                        (message2receive4one == "<roger4xi>roger2one</roger4xi>") and
                        (message2receive4two == "<roger4xi>roger2two</roger4xi>") and
                        (message2receive4three == "<roger4xi>roger2three</roger4xi>") and
                        (message2receive4four == "<roger4xi>roger2four</roger4xi>") and
                        (message2receive4five == "<roger4xi>roger2five</roger4xi>") and
                        (message2receive4six == "<roger4xi>roger2six</roger4xi>") and
                        (message2receive4seven == "<roger4xi>roger2seven</roger4xi>") and
                        (message2receive4eight == "<roger4xi>roger2eight</roger4xi>")):
                        
                        print('=' *70)
                        print("\n (STEP 4O/33) OF TEST_SPHERE4XI - COMMUNICATION ESTABLISHED WITH EIGHT GUNS - TIME: ", time4xi()) 
                        print('=' *70)
                        # OK 05:21:06 04/24/13 Pacific Daylight Time
                    else:
                        print("\n (STEP 4P/33) OF TEST_SPHERE4XI *** FAILED TO ESTABLISH COMMUNICATION WITH ALL GUNS  *** ")
                     
                except:
                    print("\n (STEP 4Q/33) OF TEST_SPHERE4XI *** FAILED TO ESTABLISH COMMUNICATION WITH GUNS *** ") 
            
            else:                            
                print("\n (STEP 4R/33) OF TEST_SPHERE4XI ** SKIPPED COMMUNICATION TEST WITH GUNS ** ") 

                
            print("\n (STEP 4Y/33) OF TEST_SPHERE4XI - PERFORMED TEST FOUR!")                                                                                         
        else:
            print("\n (STEP 4Z/33) OF TEST_SPHERE4XI ** SKIPPED THE FOURTH TEST, COMMAND2FOURTH: ", command2fourth)     
    
        # -------------------------------------------------------------------------------------------------------
        # FIFT TRIAL OF TESTING  - CAN BE SKIPPED - NEEDS QUEUES AND PIPES - IF SELECTED ACK2FOURTH MUST BE FALSE                         
        # -------------------------------------------------------------------------------------------------------    
        command2fift = True
        print("\n (STEP 5/33) OF TEST_SPHERE4XI - COMMAND2FIFT: ", command2fift)   
        
        if command2fift is True:       
            print('=' *33)          
            print('STARTING FIFT TEST OF TEST_SPHERE4XI - TIME:  ', time4xi())
            print('=' *33)               
            # 10:58:42 04/21/13 Pacific Daylight Time <-- command2fourth False
            # 05:21:06 04/24/13 Pacific Daylight Time <-- command2fourth True
            # SHOOT2FOUR4XI going on <-- this is problem because processes will activate the same functions!
            try:
                # ---------------------------------------------------------------------------------------------    
                # 1 - PROCESS
                # --------------------------------------------------------------------------------------------- 
                try:
                    # -----------------------------------------------------------------------------------------    
                    # 1 - PUT CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                 
                    message2put4one = "<copy4xi>copy2one</copy4xi>"
                    queue2one.put(message2put4one)
                    print("\n (STEP 5A1/33) OF TEST_SPHERE4XI - PUT TO QUEUE2ONE: ", queue2one, " MESSAGE2PUT4ONE: " , message2put4one)                
                    # <queue4xi.Queue4Xi object at 0x02A440B0>  MESSAGE2PUT4ONE:  <copy4xi>copy2one</copy4xi> 
                    
                    # -----------------------------------------------------------------------------------------    
                    # 1 - SEND CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                        
                    message2send4one = "<copy4xi>copy2one</copy4xi>"
                    pipe2one_publisher_channel.send(message2send4one)
                    print("\n (STEP 5B1/33) OF TEST_SPHERE4XI - SEND TO PIPE2ONE_PUBLISHER_CHANNEL: ", pipe2one_publisher_channel, " MESSAGE2SEND4ONE: " , message2send4one)                    
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDD68>  MESSAGE2SEND4ONE:  <copy4xi>copy2one</copy4xi> 
                    
                    # -----------------------------------------------------------------------------------------    
                    # 1 - CREATE PROCESS WITH TARGET FUNCTION
                    # -----------------------------------------------------------------------------------------                     
                    p2one = Process4Xi(target=gun2one4xi, args=(queue2one, pipe2one_consumer_channel, pipe2one_publisher_channel))
                    print("\n (STEP 5C1/33) OF TEST_SPHERE4XI - CREATED PROCESS OBJECT P2ONE: ", p2one)                    
                    # <Process4Xi(Process4Xi-1, initial)>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 1 - GET NAME OF PROCESS
                    # -----------------------------------------------------------------------------------------                        
                    name2one = p2one.name
                    print("\n (STEP 5D1/33) OF TEST_SPHERE4XI - NAME2ONE: ", name2one) 
                    # Process4Xi-1
                     
                    ack4process = True
                    nack4process = False
                except:
                    nack4process = True
                    ack4process = False 
                                   
                if ack4process is True:
                    # -----------------------------------------------------------------------------------------    
                    # 1 - START PROCESS
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5E1/33) OF TEST_SPHERE4XI - STARTING PROCESS NAME: ", name2one)
                    try:
                        p2one.start()
                        print("\n (STEP 5F1/33) OF TEST_SPHERE4XI - STARTED PROCESS NAME: ", name2one)
                        # Process4Xi-1
                        
                        ack4start = True
                        nack4start = False 
                    except:
                        print("\n (STEP 5G1/33) OF TEST_SPHERE4XI *** FAILED TO START PROCESS NAME: ", name2one)
                        nack4start = True
                        ack4start = False                            
                else:
                    print("\n (STEP 5H1/33) OF TEST_SPHERE4XI ** SKIPPED STARTING PROCESS NAME: ", name2one)
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 1 - ALIVE ?
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5I1/33) OF TEST_SPHERE4XI - TESTING WHETHER PROCESS NAME: ", name2one, " IS ALIVE")
                    try:                    
                        print("\n (STEP 5J1/33) OF TEST_SPHERE4XI - PROCESS STATUS: ", p2one.is_alive())
                        # True
                    except:
                        pass
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 1 - RUN
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5K1/33) OF TEST_SPHERE4XI - TRYING TO RUN PROCESS NAME: ", name2one)
                    try: 
                        p2one.run()
                        print("\n (STEP 5L1/33) OF TEST_SPHERE4XI - PERFORMED RUN TO PROCESS NAME: ", name2one)
                        # Process4Xi-1
                        nack4run = False
                        ack4run = True   
                    except:
                        print("\n (STEP 5M1/33) OF TEST_SPHERE4XI *** FAILED TO RUN PROCESS NAME: ", name2one)
                        ack4run = False
                        nack4run = True 
                else:
                    print("\n (STEP 5N1/33) OF TEST_SPHERE4XI ** SKIPPED TO RUN PROCESS NAME: ", name2one)
                            
                if ack4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 1 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -----------------------------------------------------------------------------------------                    
                    print("\n (STEP 5O1/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE", queue2one)
                    message2get4one = queue2one.get()
                    print("\n (STEP 5P1/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE: ", queue2one, " MESSAGE: ", message2get4one)
                    # <queue4xi.Queue4Xi object at 0x02A440B0>  MESSAGE:  <roger4xi>roger2one</roger4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 1 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    print("\n (STEP 5Q1/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000006488FD0>
                    message2receive4one = pipe2one_consumer_channel.recv()
                    print("\n (STEP 5R1/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " MESSAGE: ", message2receive4one)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000006488FD0>  MESSAGE:  <roger4xi>roger2one</roger4xi>
                                         
                else:
                    print("\n (STEP 5S1/33) OF TEST_SPHERE4XI ** SKIPPED GETTING AND RECEIVING WITH PROCESS NAME: ", name2one)
                    
                # ---------------------------------------------------------------------------------------------    
                # 2 - PROCESS
                # --------------------------------------------------------------------------------------------- 
                try:
                    # -----------------------------------------------------------------------------------------    
                    # 2 - PUT CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                 
                    message2put4two = "<copy4xi>copy2two</copy4xi>"
                    queue2two.put(message2put4two)
                    print("\n (STEP 5A2/33) OF TEST_SPHERE4XI - PUT TO QUEUE2TWO: ", queue2two, " MESSAGE2PUT4TWO: " , message2put4two)                
                    # <queue4xi.Queue4Xi object at 0x02A42690>  MESSAGE2PUT4TWO:  <copy4xi>copy2two</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 2 - SEND CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                        
                    message2send4two = "<copy4xi>copy2two</copy4xi>"
                    pipe2two_publisher_channel.send(message2send4two)
                    print("\n (STEP 5B2/33) OF TEST_SPHERE4XI - SENT TO PIPE2TWO_PUBLISHER_CHANNEL: ", pipe2two_publisher_channel, " MESSAGE2SEND4TWO: " , message2send4two)                    
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDC18>  MESSAGE2SEND4TWO:  <copy4xi>copy2two</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 2 - CREATE PROCESS WITH TARGET FUNCTION
                    # -----------------------------------------------------------------------------------------                     
                    p2two = Process4Xi(target=gun2two4xi, args=(queue2two, pipe2two_consumer_channel, pipe2two_publisher_channel))
                    print("\n (STEP 5C2/33) OF TEST_SPHERE4XI - CREATED PROCESS OBJECT P2TWO: ", p2two)                    
                    # 
                    
                    # -----------------------------------------------------------------------------------------    
                    # 2 - GET NAME OF PROCESS
                    # -----------------------------------------------------------------------------------------                        
                    name2two = p2two.name
                    print("\n (STEP 5D2/33) OF TEST_SPHERE4XI - NAME2TWO: ", name2two)  
                    # Process4Xi-2 
                    ack4process = True
                    nack4process = False
                except:
                    nack4process = True
                    ack4process = False 
                                   
                if ack4process is True:
                    # -----------------------------------------------------------------------------------------    
                    # 2 - START PROCESS
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5E2/33) OF TEST_SPHERE4XI - STARTING PROCESS NAME: ", name2two)
                    # Process4Xi-2
                    try:
                        p2two.start()
                        print("\n (STEP 5F2/33) OF TEST_SPHERE4XI - STARTED PROCESS NAME: ", name2two)
                        ack4start = True
                        nack4start = False 
                    except:
                        print("\n (STEP 5G2/33) OF TEST_SPHERE4XI *** FAILED TO START PROCESS NAME: ", name2two)
                        nack4start = True
                        ack4start = False                            
                else:
                    print("\n (STEP 5H2/33) OF TEST_SPHERE4XI ** SKIPPED STARTING PROCESS NAME: ", name2two)
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 2 - ALIVE ?
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5I2/33) OF TEST_SPHERE4XI - TESTING WHETHER PROCESS NAME: ", name2two, " IS ALIVE")
                    try:                    
                        print("\n (STEP 5J2/33) OF TEST_SPHERE4XI - PROCESS STATUS: ", p2two.is_alive())
                        #
                    except:
                        pass
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 2 - RUN
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5K2/33) OF TEST_SPHERE4XI - TRYING TO RUN PROCESS NAME: ", name2two)
                    try: 
                        p2two.run()
                        print("\n (STEP 5L2/33) OF TEST_SPHERE4XI - PERFORMED RUN TO PROCESS NAME: ", name2two)
                        # 
                        nack4run = False
                        ack4run = True   
                    except:
                        print("\n (STEP 5M2/33) OF TEST_SPHERE4XI *** FAILED TO RUN PROCESS NAME: ", name2two)
                        ack4run = False
                        nack4run = True 
                else:
                    print("\n (STEP 5N2/33) OF TEST_SPHERE4XI ** SKIPPED TO RUN PROCESS NAME: ", name2two)
                            
                if ack4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 2 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -----------------------------------------------------------------------------------------                    
                    print("\n (STEP 5O2/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE", queue2two)
                    message2get4two = queue2two.get()
                    print("\n (STEP 5P2/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE: ", queue2two, " MESSAGE: ", message2get4two)
                    # <queue4xi.Queue4Xi object at 0x0317E290>  MESSAGE:  <roger4xi>roger2two</roger4xi> 
                    
                    # -----------------------------------------------------------------------------------------    
                    # 2 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    print("\n (STEP 5Q2/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CD438>
                    message2receive4two = pipe2two_consumer_channel.recv()
                    print("\n (STEP 5R2/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " MESSAGE: ", message2receive4two)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CD438>  MESSAGE:  <roger4xi>roger2two</roger4xi>
                                         
                else:
                    print("\n (STEP 5S2/33) OF TEST_SPHERE4XI ** SKIPPED GETTING AND RECEIVING WITH PROCESS NAME: ", name2two)

                    
                # ---------------------------------------------------------------------------------------------    
                # 3 - OK PROCESS
                # --------------------------------------------------------------------------------------------- 
                try:
                    # -----------------------------------------------------------------------------------------    
                    # 3 -  PUT CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                 
                    message2put4three = "<copy4xi>copy2three</copy4xi>"
                    queue2three.put(message2put4three)
                    print("\n (STEP 5A3/33) OF TEST_SPHERE4XI - PUT TO QUEUE2THREE: ", queue2three, " MESSAGE2PUT4THREE: " , message2put4three)                
                    # <queue4xi.Queue4Xi object at 0x0000000006518358>  MESSAGE2PUT4THREE:  <copy4xi>copy2three</copy4xi> 
                    
                    # -----------------------------------------------------------------------------------------    
                    # 3 -  SEND CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                        
                    message2send4three = "<copy4xi>copy2three</copy4xi>"
                    pipe2three_publisher_channel.send(message2send4three)
                    print("\n (STEP 5B3/33) OF TEST_SPHERE4XI - SEND TO PIPE2THREE_PUBLISHER_CHANNEL: ", pipe2three_publisher_channel, " MESSAGE2SEND4THREE: " , message2send4three)                    
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CD400>  MESSAGE2SEND4THREE:  <copy4xi>copy2three</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 3 -  CREATE PROCESS WITH TARGET FUNCTION
                    # -----------------------------------------------------------------------------------------                     
                    p2three = Process4Xi(target=gun2three4xi, args=(queue2three, pipe2three_consumer_channel, pipe2three_publisher_channel))
                    print("\n (STEP 5C3/33) OF TEST_SPHERE4XI - CREATED PROCESS OBJECT P2THREE: ", p2three)                    
                    # 
                    
                    # -----------------------------------------------------------------------------------------    
                    # 3 -  GET NAME OF PROCESS
                    # -----------------------------------------------------------------------------------------                        
                    name2three = p2three.name
                    print("\n (STEP 5D3/33) OF TEST_SPHERE4XI - NAME2THREE: ", name2three) 
                    # Process4Xi-3
                    ack4process = True
                    nack4process = False
                except:
                    nack4process = True
                    ack4process = False 
                                   
                if ack4process is True:
                    # -----------------------------------------------------------------------------------------    
                    # 3 -  START PROCESS
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5E3/33) OF TEST_SPHERE4XI - STARTING PROCESS NAME: ", name2three)
                    # Process4Xi-3
                    try:
                        p2three.start()
                        print("\n (STEP 5F3/33) OF TEST_SPHERE4XI - STARTED PROCESS NAME: ", name2three)
                        # Process4Xi-3
                        ack4start = True
                        nack4start = False 
                    except:
                        print("\n (STEP 5G3/33) OF TEST_SPHERE4XI *** FAILED TO START PROCESS NAME: ", name2three)
                        nack4start = True
                        ack4start = False                            
                else:
                    print("\n (STEP 5H3/33) OF TEST_SPHERE4XI ** SKIPPED STARTING PROCESS NAME: ", name2three)
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 3 -  ALIVE ?
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5I3/33) OF TEST_SPHERE4XI - TESTING WHETHER PROCESS NAME: ", name2three, " IS ALIVE")
                    # Process4Xi-3  IS ALIVE
                    try:                    
                        print("\n (STEP 5J3/33) OF TEST_SPHERE4XI - PROCESS STATUS: ", p2three.is_alive())
                        # True
                    except:
                        pass
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 3 -  RUN
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5K3/33) OF TEST_SPHERE4XI - TRYING TO RUN PROCESS NAME: ", name2three, " IS ALIVE")
                    # Process4Xi-3  IS ALIVE
                    try: 
                        p2three.run()
                        print("\n (STEP 5L3/33) OF TEST_SPHERE4XI - PERFORMED RUN TO PROCESS NAME: ", name2three)
                        # Process4Xi-3
                        nack4run = False
                        ack4run = True   
                    except:
                        print("\n (STEP 5M3/33) OF TEST_SPHERE4XI *** FAILED TO RUN PROCESS NAME: ", name2three)
                        ack4run = False
                        nack4run = True 
                else:
                    print("\n (STEP 5N3/33) OF TEST_SPHERE4XI ** SKIPPED TO RUN PROCESS NAME: ", name2three)
                            
                if ack4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 3 - OK GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -----------------------------------------------------------------------------------------                    
                    print("\n (STEP 5O3/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE", queue2three)
                    # <queue4xi.Queue4Xi object at 0x0000000006518358>
                    message2get4three = queue2three.get()
                    print("\n (STEP 5P3/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE: ", queue2three, " MESSAGE: ", message2get4three)
                    # GOT FROM QUEUE:  <queue4xi.Queue4Xi object at 0x0000000006518358>  MESSAGE:  <roger4xi>roger2three</roger4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 3 - OK RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    print("\n (STEP 5Q3/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDA90>
                    message2receive4three = pipe2three_consumer_channel.recv()
                    print("\n (STEP 5R3/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " MESSAGE: ", message2receive4three)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDA90>  MESSAGE:  <roger4xi>roger2three</roger4xi>
                                         
                else:
                    print("\n (STEP 5S3/33) OF TEST_SPHERE4XI ** SKIPPED GETTING AND RECEIVING WITH PROCESS NAME: ", name2three)
                
                    
                # JATKA - tasta eteenpain menee pieleen!    
                        
                # ---------------------------------------------------------------------------------------------    
                # 4 - NOK PROCESS
                # --------------------------------------------------------------------------------------------- 
                try:
                    # -----------------------------------------------------------------------------------------    
                    # 4 - OK PUT CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                 
                    message2put4four = "<copy4xi>copy2four</copy4xi>"
                    queue2four.put(message2put4four)
                    print("\n (STEP 5A4/33) OF TEST_SPHERE4XI - PUT TO QUEUE2FOUR: ", queue2four, " MESSAGE2PUT4FOUR: " , message2put4four)                
                    # <queue4xi.Queue4Xi object at 0x00000000065184A8>  MESSAGE2PUT4FOUR:  <copy4xi>copy2four</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 4 - OK SEND CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                        
                    message2send4four = "<copy4xi>copy2four</copy4xi>"
                    pipe2four_publisher_channel.send(message2send4four)
                    print("\n (STEP 5B4/33) OF TEST_SPHERE4XI - SEND TO PIPE2FOUR_PUBLISHER_CHANNEL: ", pipe2four_publisher_channel, " MESSAGE2SEND4FOUR: " , message2send4four)                    
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDBA8>  MESSAGE2SEND4FOUR:  <copy4xi>copy2four</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 4 - OK CREATE PROCESS WITH TARGET FUNCTION
                    # -----------------------------------------------------------------------------------------                     
                    p2four = Process4Xi(target=gun2four4xi, args=(queue2four, pipe2four_consumer_channel, pipe2four_publisher_channel))
                    print("\n (STEP 5C4/33) OF TEST_SPHERE4XI - CREATED PROCESS OBJECT P2FOUR: ", p2four)                    
                    # 
                    
                    # -----------------------------------------------------------------------------------------    
                    # 4 - OK GET NAME OF PROCESS
                    # -----------------------------------------------------------------------------------------                        
                    name2four = p2four.name
                    print("\n (STEP 5D4/33) OF TEST_SPHERE4XI - NAME2FOUR: ", name2four) 
                    # Process4Xi-4
                    ack4process = True
                    nack4process = False
                except:
                    nack4process = True
                    ack4process = False 
                                   
                if ack4process is True:
                    # -----------------------------------------------------------------------------------------    
                    # 4 - OK START PROCESS
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5E4/33) OF TEST_SPHERE4XI - STARTING PROCESS NAME: ", name2four)
                    # Process4Xi-4
                    try:
                        p2four.start()
                        print("\n (STEP 5F4/33) OF TEST_SPHERE4XI - STARTED PROCESS NAME: ", name2four)
                        # Process4Xi-4
                        ack4start = True
                        nack4start = False 
                    except:
                        print("\n (STEP 5G4/33) OF TEST_SPHERE4XI *** FAILED TO START PROCESS NAME: ", name2four)
                        nack4start = True
                        ack4start = False                            
                else:
                    print("\n (STEP 5H4/33) OF TEST_SPHERE4XI ** SKIPPED STARTING PROCESS NAME: ", name2four)
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 4 - OK ALIVE ?
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5I4/33) OF TEST_SPHERE4XI - TESTING WHETHER PROCESS NAME: ", name2four, " IS ALIVE")
                    try:                    
                        print("\n (STEP 5J4/33) OF TEST_SPHERE4XI - PROCESS STATUS: ", p2four.is_alive())
                        # True
                    except:
                        pass
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 4 - OK RUN
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5K4/33) OF TEST_SPHERE4XI - TRYING TO RUN PROCESS NAME: ", name2four)
                    # Process4Xi-4
                    try: 
                        p2four.run()
                        print("\n (STEP 5L4/33) OF TEST_SPHERE4XI - PERFORMED RUN TO PROCESS NAME: ", name2four)
                        # Process4Xi-4 
                        nack4run = False
                        ack4run = True   
                    except:
                        print("\n (STEP 5M4/33) OF TEST_SPHERE4XI *** FAILED TO RUN PROCESS NAME: ", name2four)
                        ack4run = False
                        nack4run = True 
                else:
                    print("\n (STEP 5N4/33) OF TEST_SPHERE4XI ** SKIPPED TO RUN PROCESS NAME: ", name2four)
                
                    
                    
                # JATKA: starting at this point get and receive commands produce copy instead of roger answers !    
                    
                                
                if ack4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 4 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -----------------------------------------------------------------------------------------                    
                    print("\n (STEP 5O4/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE", queue2four)
                    # <queue4xi.Queue4Xi object at 0x00000000065184A8>
                    message2get4four = queue2four.get()
                    print("\n (STEP 5P4/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE: ", queue2four, " MESSAGE: ", message2get4four)
                    # GOT FROM QUEUE:  <queue4xi.Queue4Xi object at 0x00000000065184A8>  MESSAGE:  <copy4xi>copy2four</copy4xi> <-- *** ERROR ***
                    
                    # -----------------------------------------------------------------------------------------    
                    # 4 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    print("\n (STEP 5Q4/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDDD8>
                    message2receive4four = pipe2four_consumer_channel.recv()
                    print("\n (STEP 5R4/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " MESSAGE: ", message2receive4four)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDDD8>  MESSAGE:  <copy4xi>copy2four</copy4xi>
                                         
                else:
                    print("\n (STEP 5S4/33) OF TEST_SPHERE4XI ** SKIPPED GETTING AND RECEIVING WITH PROCESS NAME: ", name2four)
                    
                # ---------------------------------------------------------------------------------------------    
                # 5 - PROCESS
                # --------------------------------------------------------------------------------------------- 
                try:
                    # -----------------------------------------------------------------------------------------    
                    # 5 - PUT CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                 
                    message2put4five = "<copy4xi>copy2five</copy4xi>"
                    queue2five.put(message2put4five)
                    print("\n (STEP 5A5/33) OF TEST_SPHERE4XI - PUT TO QUEUE2FIVE: ", queue2five, " MESSAGE2PUT4FIVE: " , message2put4five)                
                    # <queue4xi.Queue4Xi object at 0x00000000065185F8>  MESSAGE2PUT4FIVE:  <copy4xi>copy2five</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 5 - SEND CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                        
                    message2send4five = "<copy4xi>copy2five</copy4xi>"
                    pipe2five_publisher_channel.send(message2send4five)
                    print("\n (STEP 5B5/33) OF TEST_SPHERE4XI - SEND TO PIPE2FIVE_PUBLISHER_CHANNEL: ", pipe2five_publisher_channel, " MESSAGE2SEND4FIVE: " , message2send4five)                    
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDDA0>  MESSAGE2SEND4FIVE:  <copy4xi>copy2five</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 5 - CREATE PROCESS WITH TARGET FUNCTION
                    # -----------------------------------------------------------------------------------------                     
                    p2five = Process4Xi(target=gun2five4xi, args=(queue2five, pipe2five_consumer_channel, pipe2five_publisher_channel))
                    print("\n (STEP 5C5/33) OF TEST_SPHERE4XI - CREATED PROCESS OBJECT P2FIVE: ", p2five)                    
                    # 
                    
                    # -----------------------------------------------------------------------------------------    
                    # 5 - GET NAME OF PROCESS
                    # -----------------------------------------------------------------------------------------                        
                    name2five = p2five.name
                    print("\n (STEP 5D5/33) OF TEST_SPHERE4XI - NAME2FIVE: ", name2five) 
                    # Process4Xi-5
                    ack4process = True
                    nack4process = False
                except:
                    nack4process = True
                    ack4process = False 
                                   
                if ack4process is True:
                    # -----------------------------------------------------------------------------------------    
                    # 5 - START PROCESS
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5E5/33) OF TEST_SPHERE4XI - STARTING PROCESS NAME: ", name2five)
                    # Process4Xi-5
                    try:
                        p2five.start()
                        print("\n (STEP 5F5/33) OF TEST_SPHERE4XI - STARTED PROCESS NAME: ", name2five)
                        # Process4Xi-5
                        ack4start = True
                        nack4start = False 
                    except:
                        print("\n (STEP 5G5/33) OF TEST_SPHERE4XI *** FAILED TO START PROCESS NAME: ", name2five)
                        nack4start = True
                        ack4start = False                            
                else:
                    print("\n (STEP 5H5/33) OF TEST_SPHERE4XI ** SKIPPED STARTING PROCESS NAME: ", name2five)
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 5 - ALIVE ?
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5I5/33) OF TEST_SPHERE4XI - TESTING WHETHER PROCESS NAME: ", name2five, " IS ALIVE")
                    # TESTING WHETHER PROCESS NAME:  Process4Xi-5  IS ALIVE
                    try:                    
                        print("\n (STEP 5J5/33) OF TEST_SPHERE4XI - PROCESS STATUS: ", p2five.is_alive())
                        # True
                    except:
                        pass
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 5 - RUN
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5K5/33) OF TEST_SPHERE4XI - TRYING TO RUN PROCESS NAME: ", name2five)
                    # Process4Xi-5
                    try: 
                        p2five.run()
                        print("\n (STEP 5L5/33) OF TEST_SPHERE4XI - PERFORMED RUN TO PROCESS NAME: ", name2five)
                        # Process4Xi-5
                        nack4run = False
                        ack4run = True   
                    except:
                        print("\n (STEP 5M5/33) OF TEST_SPHERE4XI *** FAILED TO RUN PROCESS NAME: ", name2five)
                        ack4run = False
                        nack4run = True 
                else:
                    print("\n (STEP 5N5/33) OF TEST_SPHERE4XI ** SKIPPED TO RUN PROCESS NAME: ", name2five)
                            
                if ack4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 5 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -----------------------------------------------------------------------------------------                    
                    print("\n (STEP 5O5/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE", queue2five)
                    # <queue4xi.Queue4Xi object at 0x00000000065185F8>
                    message2get4five = queue2five.get()
                    print("\n (STEP 5P5/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE: ", queue2five, " MESSAGE: ", message2get4five)
                    # GOT FROM QUEUE:  <queue4xi.Queue4Xi object at 0x00000000065185F8>  MESSAGE:  <copy4xi>copy2five</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 5 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    print("\n (STEP 5Q5/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDE48>
                    message2receive4five = pipe2five_consumer_channel.recv()
                    print("\n (STEP 5R5/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " MESSAGE: ", message2receive4five)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDE48>  MESSAGE:  <copy4xi>copy2five</copy4xi>
                                         
                else:
                    print("\n (STEP 5S5/33) OF TEST_SPHERE4XI ** SKIPPED GETTING AND RECEIVING WITH PROCESS NAME: ", name2five)
                    
                # ---------------------------------------------------------------------------------------------    
                # 6 - PROCESS
                # --------------------------------------------------------------------------------------------- 
                try:
                    # -----------------------------------------------------------------------------------------    
                    # 6 - PUT CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                 
                    message2put4six = "<copy4xi>copy2six</copy4xi>"
                    queue2six.put(message2put4six)
                    print("\n (STEP 5A6/33) OF TEST_SPHERE4XI - PUT TO QUEUE2SIX: ", queue2six, " MESSAGE2PUT4SIX: " , message2put4six)                
                    # <queue4xi.Queue4Xi object at 0x0000000006518748>  MESSAGE2PUT4SIX:  <copy4xi>copy2six</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 6 - SEND CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                        
                    message2send4six = "<copy4xi>copy2six</copy4xi>"
                    pipe2six_publisher_channel.send(message2send4six)
                    print("\n (STEP 5B6/33) OF TEST_SPHERE4XI - SEND TO PIPE2SIX_PUBLISHER_CHANNEL: ", pipe2six_publisher_channel, " MESSAGE2SEND4SIX: " , message2send4six)                    
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDE10>  MESSAGE2SEND4SIX:  <copy4xi>copy2six</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 6 - CREATE PROCESS WITH TARGET FUNCTION
                    # -----------------------------------------------------------------------------------------                     
                    p2six = Process4Xi(target=gun2six4xi, args=(queue2six, pipe2six_consumer_channel, pipe2six_publisher_channel))
                    print("\n (STEP 5C6/33) OF TEST_SPHERE4XI - CREATED PROCESS OBJECT P2SIX: ", p2six)                    
                    # 
                    
                    # -----------------------------------------------------------------------------------------    
                    # 6 - GET NAME OF PROCESS
                    # -----------------------------------------------------------------------------------------                        
                    name2six = p2six.name
                    print("\n (STEP 5D6/33) OF TEST_SPHERE4XI - NAME2SIX: ", name2six) 
                    # Process4Xi-6
                    ack4process = True
                    nack4process = False
                except:
                    nack4process = True
                    ack4process = False 
                                   
                if ack4process is True:
                    # -----------------------------------------------------------------------------------------    
                    # 6 - START PROCESS
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5E6/33) OF TEST_SPHERE4XI - STARTING PROCESS NAME: ", name2six)
                    # Process4Xi-6
                    try:
                        p2six.start()
                        print("\n (STEP 5F6/33) OF TEST_SPHERE4XI - STARTED PROCESS NAME: ", name2six)
                        # Process4Xi-6
                        ack4start = True
                        nack4start = False 
                    except:
                        print("\n (STEP 5G6/33) OF TEST_SPHERE4XI *** FAILED TO START PROCESS NAME: ", name2six)
                        nack4start = True
                        ack4start = False                            
                else:
                    print("\n (STEP 5H6/33) OF TEST_SPHERE4XI ** SKIPPED STARTING PROCESS NAME: ", name2six)
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 6 - ALIVE ?
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5I6/33) OF TEST_SPHERE4XI - TESTING WHETHER PROCESS NAME: ", name2six, " IS ALIVE")
                    # TESTING WHETHER PROCESS NAME:  Process4Xi-6  IS ALIVE
                    try:                    
                        print("\n (STEP 5J6/33) OF TEST_SPHERE4XI - PROCESS STATUS: ", p2six.is_alive())
                        # True
                    except:
                        pass
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 6 - RUN
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5K6/33) OF TEST_SPHERE4XI - TRYING TO RUN PROCESS NAME: ", name2six)
                    # Process4Xi-6
                    try: 
                        p2six.run()
                        print("\n (STEP 5L6/33) OF TEST_SPHERE4XI - PERFORMED RUN TO PROCESS NAME: ", name2six)
                        # Process4Xi-6
                        nack4run = False
                        ack4run = True   
                    except:
                        print("\n (STEP 5M6/33) OF TEST_SPHERE4XI *** FAILED TO RUN PROCESS NAME: ", name2six)
                        ack4run = False
                        nack4run = True 
                else:
                    print("\n (STEP 5N6/33) OF TEST_SPHERE4XI ** SKIPPED TO RUN PROCESS NAME: ", name2six)
                            
                if ack4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 6 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -----------------------------------------------------------------------------------------                    
                    print("\n (STEP 5O6/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE", queue2six)
                    # <queue4xi.Queue4Xi object at 0x0000000006518748>
                    message2get4six = queue2six.get()
                    print("\n (STEP 5P6/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE: ", queue2six, " MESSAGE: ", message2get4six)
                    # GOT FROM QUEUE:  <queue4xi.Queue4Xi object at 0x0000000006518748>  MESSAGE:  <copy4xi>copy2six</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 6 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    print("\n (STEP 5Q6/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CD780>
                    message2receive4six = pipe2six_consumer_channel.recv()
                    print("\n (STEP 5R6/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " MESSAGE: ", message2receive4six)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CD780>  MESSAGE:  <copy4xi>copy2six</copy4xi>
                                         
                else:
                    print("\n (STEP 5S6/33) OF TEST_SPHERE4XI ** SKIPPED GETTING AND RECEIVING WITH PROCESS NAME: ", name2six)
                    
                # ---------------------------------------------------------------------------------------------    
                # 7 - PROCESS
                # --------------------------------------------------------------------------------------------- 
                try:
                    # -----------------------------------------------------------------------------------------    
                    # 7 - PUT CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                 
                    message2put4seven = "<copy4xi>copy2seven</copy4xi>"
                    queue2seven.put(message2put4seven)
                    print("\n (STEP 7A7/33) OF TEST_SPHERE4XI - PUT TO QUEUE2SEVEN: ", queue2seven, " MESSAGE2PUT4SEVEN: " , message2put4seven)                
                    # <queue4xi.Queue4Xi object at 0x0000000006518898>  MESSAGE2PUT4SEVEN:  <copy4xi>copy2seven</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 7 - SEND CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                        
                    message2send4seven = "<copy4xi>copy2seven</copy4xi>"
                    pipe2seven_publisher_channel.send(message2send4seven)
                    print("\n (STEP 7B7/33) OF TEST_SPHERE4XI - SEND TO PIPE2SEVEN_PUBLISHER_CHANNEL: ", pipe2seven_publisher_channel, " MESSAGE2SEND4SEVEN: " , message2send4seven)                    
                    # SEND TO PIPE2SEVEN_PUBLISHER_CHANNEL:  <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDE80>  MESSAGE2SEND4SEVEN:  <copy4xi>copy2seven</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 7 - CREATE PROCESS WITH TARGET FUNCTION
                    # -----------------------------------------------------------------------------------------                     
                    p2seven = Process4Xi(target=gun2seven4xi, args=(queue2seven, pipe2seven_consumer_channel, pipe2seven_publisher_channel))
                    print("\n (STEP 7C7/33) OF TEST_SPHERE4XI - CREATED PROCESS OBJECT P2SEVEN: ", p2seven)                    
                    # Process4Xi-7
                    
                    # -----------------------------------------------------------------------------------------    
                    # 7 - GET NAME OF PROCESS
                    # -----------------------------------------------------------------------------------------                        
                    name2seven = p2seven.name
                    print("\n (STEP 7D7/33) OF TEST_SPHERE4XI - NAME2SEVEN: ", name2seven) 
                    # Process4Xi-7
                    ack4process = True
                    nack4process = False
                except:
                    nack4process = True
                    ack4process = False 
                                   
                if ack4process is True:
                    # -----------------------------------------------------------------------------------------    
                    # 7 - START PROCESS
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5E7/33) OF TEST_SPHERE4XI - STARTING PROCESS NAME: ", name2seven)
                    # Process4Xi-7
                    try:
                        p2seven.start()
                        print("\n (STEP 5F7/33) OF TEST_SPHERE4XI - STARTED PROCESS NAME: ", name2seven)
                        # Process4Xi-7
                        ack4start = True
                        nack4start = False 
                    except:
                        print("\n (STEP 5G7/33) OF TEST_SPHERE4XI *** FAILED TO START PROCESS NAME: ", name2seven)
                        nack4start = True
                        ack4start = False                            
                else:
                    print("\n (STEP 5H7/33) OF TEST_SPHERE4XI ** SKIPPED STARTING PROCESS NAME: ", name2seven)
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 7 - ALIVE ?
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5I7/33) OF TEST_SPHERE4XI - TESTING WHETHER PROCESS NAME: ", name2seven, " IS ALIVE")
                    # TESTING WHETHER PROCESS NAME:  Process4Xi-7  IS ALIVE
                    try:                    
                        print("\n (STEP 5J7/33) OF TEST_SPHERE4XI - PROCESS STATUS: ", p2seven.is_alive())
                        # True
                    except:
                        pass
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 7 - RUN
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5K7/33) OF TEST_SPHERE4XI - TRYING TO RUN PROCESS NAME: ", name2seven)
                    # Process4Xi-7
                    try: 
                        p2seven.run()
                        print("\n (STEP 5L7/33) OF TEST_SPHERE4XI - PERFORMED RUN TO PROCESS NAME: ", name2seven)
                        # Process4Xi-7
                        nack4run = False
                        ack4run = True   
                    except:
                        print("\n (STEP 5M7/33) OF TEST_SPHERE4XI *** FAILED TO RUN PROCESS NAME: ", name2seven)
                        ack4run = False
                        nack4run = True 
                else:
                    print("\n (STEP 5N7/33) OF TEST_SPHERE4XI ** SKIPPED TO RUN PROCESS NAME: ", name2seven)
                            
                if ack4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 7 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -----------------------------------------------------------------------------------------                    
                    print("\n (STEP 5O7/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE", queue2seven)
                    # <queue4xi.Queue4Xi object at 0x0000000006518898>
                    message2get4seven = queue2seven.get()
                    print("\n (STEP 5P7/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE: ", queue2seven, " MESSAGE: ", message2get4seven)
                    # <queue4xi.Queue4Xi object at 0x0000000006518898>  MESSAGE:  <copy4xi>copy2seven</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 7 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    print("\n (STEP 5Q7/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDEB8>
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    print("\n (STEP 5R7/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " MESSAGE: ", message2receive4seven)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDEB8>  MESSAGE:  <copy4xi>copy2seven</copy4xi>
                                         
                else:
                    print("\n (STEP 5S7/33) OF TEST_SPHERE4XI ** SKIPPED GETTING AND RECEIVING WITH PROCESS NAME: ", name2seven)
                    
                # ---------------------------------------------------------------------------------------------    
                # 8 - PROCESS
                # --------------------------------------------------------------------------------------------- 
                try:
                    # -----------------------------------------------------------------------------------------    
                    # 8 - PUT CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                 
                    message2put4eight = "<copy4xi>copy2eight</copy4xi>"
                    queue2eight.put(message2put4eight)
                    print("\n (STEP 5A8/33) OF TEST_SPHERE4XI - PUT TO QUEUE2EIGHT: ", queue2eight, " MESSAGE2PUT4EIGHT: " , message2put4eight)                
                    # <queue4xi.Queue4Xi object at 0x00000000065189E8>  MESSAGE2PUT4EIGHT:  <copy4xi>copy2eight</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 8 - SEND CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                        
                    message2send4eight = "<copy4xi>copy2eight</copy4xi>"
                    pipe2eight_publisher_channel.send(message2send4eight)
                    print("\n (STEP 5B8/33) OF TEST_SPHERE4XI - SEND TO PIPE2EIGHT_PUBLISHER_CHANNEL: ", pipe2eight_publisher_channel, " MESSAGE2SEND4EIGHT: " , message2send4eight)                    
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDC50>  MESSAGE2SEND4EIGHT:  <copy4xi>copy2eight</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 8 - CREATE PROCESS WITH TARGET FUNCTION
                    # -----------------------------------------------------------------------------------------                     
                    p2eight = Process4Xi(target=gun2eight4xi, args=(queue2eight, pipe2eight_consumer_channel, pipe2eight_publisher_channel))
                    print("\n (STEP 5C8/33) OF TEST_SPHERE4XI - CREATED PROCESS OBJECT P2EIGHT: ", p2eight)                    
                    # 
                    
                    # -----------------------------------------------------------------------------------------    
                    # 8 - GET NAME OF PROCESS
                    # -----------------------------------------------------------------------------------------                        
                    name2eight = p2eight.name
                    print("\n (STEP 5D8/33) OF TEST_SPHERE4XI - NAME2EIGHT: ", name2eight) 
                    # Process4Xi-8
                    ack4process = True
                    nack4process = False
                except:
                    nack4process = True
                    ack4process = False 
                                   
                if ack4process is True:
                    # -----------------------------------------------------------------------------------------    
                    # 8 - START PROCESS
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5E8/33) OF TEST_SPHERE4XI - STARTING PROCESS NAME: ", name2eight)
                    try:
                        p2eight.start()
                        print("\n (STEP 5F8/33) OF TEST_SPHERE4XI - STARTED PROCESS NAME: ", name2eight)
                        # Process4Xi-8
                        ack4start = True
                        nack4start = False 
                    except:
                        print("\n (STEP 5G8/33) OF TEST_SPHERE4XI *** FAILED TO START PROCESS NAME: ", name2eight)
                        nack4start = True
                        ack4start = False                            
                else:
                    print("\n (STEP 5H8/33) OF TEST_SPHERE4XI ** SKIPPED STARTING PROCESS NAME: ", name2eight)
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 8 - ALIVE ?
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5I8/33) OF TEST_SPHERE4XI - TESTING WHETHER PROCESS NAME: ", name2eight, " IS ALIVE")
                    # TESTING WHETHER PROCESS NAME:  Process4Xi-8  IS ALIVE
                    try:                    
                        print("\n (STEP 5J8/33) OF TEST_SPHERE4XI - PROCESS STATUS: ", p2eight.is_alive())
                        # True
                    except:
                        pass
                if ack4start is True:
                    # -----------------------------------------------------------------------------------------    
                    # 8 - RUN
                    # -----------------------------------------------------------------------------------------                   
                    print("\n (STEP 5K8/33) OF TEST_SPHERE4XI - TRYING TO RUN PROCESS NAME: ", name2eight)
                    # Process4Xi-8
                    try: 
                        p2eight.run()
                        print("\n (STEP 5L8/33) OF TEST_SPHERE4XI - PERFORMED RUN TO PROCESS NAME: ", name2eight)
                        # Process4Xi-8 
                        nack4run = False
                        ack4run = True   
                    except:
                        print("\n (STEP 5M8/33) OF TEST_SPHERE4XI *** FAILED TO RUN PROCESS NAME: ", name2eight)
                        ack4run = False
                        nack4run = True 
                else:
                    print("\n (STEP 5N8/33) OF TEST_SPHERE4XI ** SKIPPED TO RUN PROCESS NAME: ", name2eight)
                            
                if ack4run is True:
                    # -----------------------------------------------------------------------------------------    
                    # 8 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                    # -----------------------------------------------------------------------------------------                    
                    print("\n (STEP 5O8/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUE", queue2eight) 
                    # <queue4xi.Queue4Xi object at 0x00000000065189E8>
                    message2get4eight = queue2eight.get()
                    print("\n (STEP 5P8/33) OF TEST_SPHERE4XI -  GOT FROM QUEUE: ", queue2eight, " MESSAGE: ", message2get4eight)
                    # GOT FROM QUEUE:  <queue4xi.Queue4Xi object at 0x00000000065189E8>  MESSAGE:  <copy4xi>copy2eight</copy4xi>
                    
                    # -----------------------------------------------------------------------------------------    
                    # 8 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                    # -----------------------------------------------------------------------------------------     
                    print("\n (STEP 5Q8/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDF28>
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    print("\n (STEP 5R8/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " MESSAGE: ", message2receive4eight)
                    # <read-write PipeConnection, handle 296>  MESSAGE:  <roger4xi>roger2eight</roger4xi>
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000064CDF28>  MESSAGE:  <copy4xi>copy2eight</copy4xi>                     
                else:
                    print("\n (STEP 5S8/33) OF TEST_SPHERE4XI ** SKIPPED GETTING AND RECEIVING WITH PROCESS NAME: ", name2eight)
                                                              
                if ((message2get4one == "<roger4xi>roger2one</roger4xi>") and
                    (message2get4two == "<roger4xi>roger2two</roger4xi>") and
                    (message2get4three == "<roger4xi>roger2three</roger4xi>") and
                    (message2get4four == "<roger4xi>roger2four</roger4xi>") and
                    (message2get4five == "<roger4xi>roger2five</roger4xi>") and
                    (message2get4six == "<roger4xi>roger2six</roger4xi>") and
                    (message2get4seven == "<roger4xi>roger2seven</roger4xi>") and
                    (message2get4eight == "<roger4xi>roger2eight</roger4xi>") and
                    (message2receive4one == "<roger4xi>roger2one</roger4xi>") and
                    (message2receive4two == "<roger4xi>roger2two</roger4xi>") and
                    (message2receive4three == "<roger4xi>roger2three</roger4xi>") and
                    (message2receive4four == "<roger4xi>roger2four</roger4xi>") and
                    (message2receive4five == "<roger4xi>roger2five</roger4xi>") and
                    (message2receive4six == "<roger4xi>roger2six</roger4xi>") and
                    (message2receive4seven == "<roger4xi>roger2seven</roger4xi>") and
                    (message2receive4eight == "<roger4xi>roger2eight</roger4xi>")):
                        
                    print('=' *70)
                    print("\n (STEP 5T/33) OF TEST_SPHERE4XI - COMMUNICATION ESTABLISHED WITH ALL EIGHT - TIME: ", time4xi()) 
                    # 11:34:41 04/23/13 Pacific Daylight Time <-- phase four skipped! JATKA
                    print("\n (STEP 5T1/33) OF TEST_SPHERE4XI - GOT FROM QUEUES: ")  
                    print(message2get4one)
                    print(message2get4two)
                    print(message2get4three)
                    print(message2get4four)
                    print(message2get4five)
                    print(message2get4six)
                    print(message2get4seven)
                    print(message2get4eight)
                    # <roger4xi>roger2one</roger4xi>
                    # <roger4xi>roger2two</roger4xi>
                    # <roger4xi>roger2three</roger4xi>
                    # <roger4xi>roger2four</roger4xi>
                    # <roger4xi>roger2five</roger4xi>
                    # <roger4xi>roger2six</roger4xi>
                    # <roger4xi>roger2seven</roger4xi>
                    # <roger4xi>roger2eight</roger4xi>
                    print("\n (STEP 5T2/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPES: ")  
                    print(message2receive4one)
                    print(message2receive4two)
                    print(message2receive4three)
                    print(message2receive4four)
                    print(message2receive4five)
                    print(message2receive4six)
                    print(message2receive4seven)
                    print(message2receive4eight)
                    # <roger4xi>roger2one</roger4xi>
                    # <roger4xi>roger2two</roger4xi>
                    # <roger4xi>roger2three</roger4xi>
                    # <roger4xi>roger2four</roger4xi>
                    # <roger4xi>roger2five</roger4xi>
                    # <roger4xi>roger2six</roger4xi>
                    # <roger4xi>roger2seven</roger4xi>
                    # <roger4xi>roger2eight</roger4xi>                    
                    print('=' *70)
                    
                     
                else:
                    print("\n (STEP 5U/33) OF TEST_SPHERE4XI *** FAILED TO ESTABLISH COMMUNICATION WITH ALL ", time4xi())                
                    # JATKA *** FAILED TO ESTABLISH COMMUNICATION WITH ALL  10:58:55 04/21/13 Pacific Daylight Time <-- phase 4 performed
                    print("\n (STEP 5U1/33) OF TEST_SPHERE4XI - GOT FROM QUEUES: ")  
                    print(message2get4one)
                    print(message2get4two)
                    print(message2get4three)
                    print(message2get4four)
                    print(message2get4five)
                    print(message2get4six)
                    print(message2get4seven)
                    print(message2get4eight)
                    # <roger4xi>roger2one</roger4xi>
                    # <roger4xi>roger2two</roger4xi>
                    # <roger4xi>roger2three</roger4xi>
                    # <copy4xi>copy2four</copy4xi>
                    # <copy4xi>copy2five</copy4xi>
                    # <copy4xi>copy2six</copy4xi>
                    # <copy4xi>copy2seven</copy4xi>
                    # <copy4xi>copy2eight</copy4xi>
                    print("\n (STEP 5U2/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPES: ")
                    print(message2receive4one)
                    print(message2receive4two)
                    print(message2receive4three)
                    print(message2receive4four)
                    print(message2receive4five)
                    print(message2receive4six)
                    print(message2receive4seven)
                    print(message2receive4eight)
                    # <roger4xi>roger2one</roger4xi>
                    # <roger4xi>roger2two</roger4xi>
                    # <roger4xi>roger2three</roger4xi>
                    # <copy4xi>copy2four</copy4xi>
                    # <copy4xi>copy2five</copy4xi>
                    # <copy4xi>copy2six</copy4xi>
                    # <copy4xi>copy2seven</copy4xi>
                    # <copy4xi>copy2eight</copy4xi>                    
                    print('=' *70)
                    
                # ---------------------------------------------------------------------------------------------------------------------------------------    
                # RECEIVE ACK FROM PIPES BEFORE TRYING TO GET TOO EARLY FROM ANY OF EIGHT QUEUE, OTHERWISE YOU MAY GET NONE OR JUST PART OF A DICTIONARY 
                # ---------------------------------------------------------------------------------------------------------------------------------------                                                                                                                       
                print("\n (STEP 5XA0/33) OF TEST_SPHERE4XI - TRYING TO GET DICTIONARIES PRODUCES BY TARGET THREADS OF PROCESSES TO THEIR QUEUE - TIME: ", time4xi())     
                # (STEP 5XA0/33) OF TEST_SPHERE4XI - TRYING TO GET DICTIONARIES PRODUCES BY TARGET THREADS OF PROCESSES TO THEIR QUEUE - TIME:  06:29:07 06/22/10 Pacific Daylight Time
                
                class2sleep = "test_sphere4xi"                                          # time to other 2 seconds
                method2sleep = "receive"                                                # tuned in sleep4xi.py
                
                ack2receive4one = False
                ack2receive4two = False
                ack2receive4three = False
                ack2receive4four = False
                ack2receive4five = False
                ack2receive4six = False
                ack2receive4seven = False
                ack2receive4eight = False
                                   
                # ------------------------------------------------------------------------------------------------    
                #[1] 
                # ------------------------------------------------------------------------------------------------                    
                print("\n (STEP 5XA1/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2ONE_CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " - TIME: ", time4xi())   
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002B80668>
                
                omega2sleep4xi (class2sleep, method2sleep)
                try:                                                                
                    # ---------------------------------------------------------------------------------------------
                    # RECEIVE INFO OF PUT-OPERATION                          
                    # ---------------------------------------------------------------------------------------------                       
                    message2receive4one = pipe2one_consumer_channel.recv()
                    if message2receive4one == "<ack2put4xi>queue2one</ack2put4xi>":
                        print("\n (STEP 5XB1/33) OF TEST_SPHERE4XI - ACK RECEIVED FROM PIPE2ONE_CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " MESSAGE: ", message2receive4one, " - TIME: ", time4xi()) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002B80668>  MESSAGE:  <ack2put4xi>queue2one</ack2put4xi>
                        ack2receive4one = True
                    else:
                        print("\n (STEP 5XC1/33) OF TEST_SPHERE4XI - NACK RECEIVED FROM PIPE2ONE_CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " MESSAGE: ", message2receive4one, " - TIME: ", time4xi()) 
                        #                                             
                except:
                    print("\n (STEP 5XD1/33) OF TEST_SPHERE4XI *** FAILED TO RECEIVE FROM PIPE2ONE_CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " - TIME: ", time4xi())             
                
                # ------------------------------------------------------------------------------------------------    
                #[2]
                # ------------------------------------------------------------------------------------------------                    
                print("\n (STEP 5XA2/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2TWO_CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " - TIME: ", time4xi())   
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002B80B38>
                omega2sleep4xi (class2sleep, method2sleep)
                try:                                                                
                    # ---------------------------------------------------------------------------------------------
                    # RECEIVE INFO OF PUT-OPERATION                          
                    # ---------------------------------------------------------------------------------------------                       
                    message2receive4two = pipe2two_consumer_channel.recv()
                    if message2receive4two == "<ack2put4xi>queue2two</ack2put4xi>":
                        print("\n (STEP 5XB2/33) OF TEST_SPHERE4XI - ACK RECEIVED FROM PIPE2TWO_CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " MESSAGE: ", message2receive4two, " - TIME: ", time4xi()) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002B80B38>  MESSAGE:  <ack2put4xi>queue2two</ack2put4xi>
                        ack2receive4two = True                         
                    else:
                        print("\n (STEP 5XC2/33) OF TEST_SPHERE4XI - NACK RECEIVED FROM PIPE2TWO_CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " MESSAGE: ", message2receive4two, " - TIME: ", time4xi()) 
                        #                                             
                except:
                    print("\n (STEP 5XD2/33) OF TEST_SPHERE4XI *** FAILED TO RECEIVE FROM PIPE2TWO_CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " - TIME: ", time4xi())             
                
                
                # ------------------------------------------------------------------------------------------------    
                #[3]
                # ------------------------------------------------------------------------------------------------                    
                print("\n (STEP 5XA3/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2THREE_CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " - TIME: ", time4xi())   
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002BC72E8>
                omega2sleep4xi (class2sleep, method2sleep)
                try:                                                                
                    # ---------------------------------------------------------------------------------------------
                    # RECEIVE INFO OF PUT-OPERATION                          
                    # ---------------------------------------------------------------------------------------------                       
                    message2receive4three = pipe2three_consumer_channel.recv()
                    if message2receive4three == "<ack2put4xi>queue2three</ack2put4xi>":
                        print("\n (STEP 5XB3/33) OF TEST_SPHERE4XI - ACK RECEIVED FROM PIPE2THREE_CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " MESSAGE: ", message2receive4three, " - TIME: ", time4xi()) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002BC72E8>  MESSAGE:  <ack2put4xi>queue2three</ack2put4xi>
                        ack2receive4three = True                         
                    else:
                        print("\n (STEP 5XC3/33) OF TEST_SPHERE4XI - NACK RECEIVED FROM PIPE2THREE_CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " MESSAGE: ", message2receive4three, " - TIME: ", time4xi()) 
                        #                                             
                except:
                    print("\n (STEP 5XD3/33) OF TEST_SPHERE4XI *** FAILED TO RECEIVE FROM PIPE2THREE_CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " - TIME: ", time4xi())             
                                
                
                # ------------------------------------------------------------------------------------------------    
                #[4]
                # ------------------------------------------------------------------------------------------------    
                print("\n (STEP 5XA4/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2FOUR_CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " - TIME: ", time4xi())   
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002BC70B8>
                omega2sleep4xi (class2sleep, method2sleep)
                try:                                                                
                    # ---------------------------------------------------------------------------------------------
                    # RECEIVE INFO OF PUT-OPERATION                          
                    # ---------------------------------------------------------------------------------------------                       
                    message2receive4four = pipe2four_consumer_channel.recv()
                    if message2receive4four == "<ack2put4xi>queue2four</ack2put4xi>":
                        print("\n (STEP 5XB4/33) OF TEST_SPHERE4XI - ACK RECEIVED FROM PIPE2FOUR_CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " MESSAGE: ", message2receive4four, " - TIME: ", time4xi()) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002BC70B8>  MESSAGE:  <ack2put4xi>queue2four</ack2put4xi>
                        ack2receive4four = True                         
                    else:
                        print("\n (STEP 5XC4/33) OF TEST_SPHERE4XI - NACK RECEIVED FROM PIPE2FOUR_CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " MESSAGE: ", message2receive4four, " - TIME: ", time4xi()) 
                        #                                             
                except:
                    print("\n (STEP 5XD4/33) OF TEST_SPHERE4XI *** FAILED TO RECEIVE FROM PIPE2FOUR_CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " - TIME: ", time4xi())             
                                
                                         

                # ------------------------------------------------------------------------------------------------    
                #[5]
                # ------------------------------------------------------------------------------------------------                    
                print("\n (STEP 5XA5/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2FIVE_CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " - TIME: ", time4xi())   
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002BC7470>
                omega2sleep4xi (class2sleep, method2sleep)
                try:                                                                
                    # ---------------------------------------------------------------------------------------------
                    # RECEIVE INFO OF PUT-OPERATION                          
                    # ---------------------------------------------------------------------------------------------                       
                    message2receive4five = pipe2five_consumer_channel.recv()
                    if message2receive4five == "<ack2put4xi>queue2five</ack2put4xi>":
                        print("\n (STEP 5XB5/33) OF TEST_SPHERE4XI - ACK RECEIVED FROM PIPE2FIVE_CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " MESSAGE: ", message2receive4five, " - TIME: ", time4xi()) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002BC7470>  MESSAGE:  <ack2put4xi>queue2five</ack2put4xi>
                        ack2receive4five = True                         
                    else:
                        print("\n (STEP 5XC5/33) OF TEST_SPHERE4XI - NACK RECEIVED FROM PIPE2FIVE_CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " MESSAGE: ", message2receive4five, " - TIME: ", time4xi()) 
                        #                                             
                except:
                    print("\n (STEP 5XD5/33) OF TEST_SPHERE4XI *** FAILED TO RECEIVE FROM PIPE2FIVE_CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " - TIME: ", time4xi())             
                                

                # ------------------------------------------------------------------------------------------------    
                #[6]
                # ------------------------------------------------------------------------------------------------                    
                print("\n (STEP 5XA6/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2SIX_CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " - TIME: ", time4xi())   
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002BC74E0>
                omega2sleep4xi (class2sleep, method2sleep)
                try:                                                                
                    # ---------------------------------------------------------------------------------------------
                    # RECEIVE INFO OF PUT-OPERATION                          
                    # ---------------------------------------------------------------------------------------------                       
                    message2receive4six = pipe2six_consumer_channel.recv()
                    if message2receive4six == "<ack2put4xi>queue2six</ack2put4xi>":
                        print("\n (STEP 5XB6/33) OF TEST_SPHERE4XI - ACK RECEIVED FROM PIPE2SIX_CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " MESSAGE: ", message2receive4six, " - TIME: ", time4xi()) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002BC74E0>  MESSAGE:  <ack2put4xi>queue2six</ack2put4xi>
                        ack2receive4six = True                        
                    else:
                        print("\n (STEP 5XC6/33) OF TEST_SPHERE4XI - NACK RECEIVED FROM PIPE2SIX_CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " MESSAGE: ", message2receive4six, " - TIME: ", time4xi()) 
                        #                                             
                except:
                    print("\n (STEP 5XD6/33) OF TEST_SPHERE4XI *** FAILED TO RECEIVE FROM PIPE2SIX_CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " - TIME: ", time4xi())             
                                
                
                # ------------------------------------------------------------------------------------------------    
                #[7]
                # ------------------------------------------------------------------------------------------------                    
                print("\n (STEP 5XA7/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2SEVEN_CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " - TIME: ", time4xi())   
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002BC7550>
                omega2sleep4xi (class2sleep, method2sleep)
                try:                                                                
                    # ---------------------------------------------------------------------------------------------
                    # RECEIVE INFO OF PUT-OPERATION                          
                    # ---------------------------------------------------------------------------------------------                       
                    message2receive4seven = pipe2seven_consumer_channel.recv()
                    if message2receive4seven == "<ack2put4xi>queue2seven</ack2put4xi>":
                        print("\n (STEP 5XB7/33) OF TEST_SPHERE4XI - ACK RECEIVED FROM PIPE2SEVEN_CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " MESSAGE: ", message2receive4seven, " - TIME: ", time4xi()) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002BC7550>  MESSAGE:  <ack2put4xi>queue2seven</ack2put4xi>
                        ack2receive4seven = True                         
                    else:
                        print("\n (STEP 5XC7/33) OF TEST_SPHERE4XI - NACK RECEIVED FROM PIPE2SEVEN_CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " MESSAGE: ", message2receive4seven, " - TIME: ", time4xi()) 
                        #                                             
                except:
                    print("\n (STEP 5XD7/33) OF TEST_SPHERE4XI *** FAILED TO RECEIVE FROM PIPE2SEVEN_CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " - TIME: ", time4xi())             
                                

                # ------------------------------------------------------------------------------------------------    
                #[8]
                # ------------------------------------------------------------------------------------------------                    
                print("\n (STEP 5XA8/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2EIGHT_CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " - TIME: ", time4xi())   
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002BC75C0
                omega2sleep4xi (class2sleep, method2sleep)
                try:                                                                
                    # ---------------------------------------------------------------------------------------------
                    # RECEIVE INFO OF PUT-OPERATION                          
                    # ---------------------------------------------------------------------------------------------                       
                    message2receive4eight = pipe2eight_consumer_channel.recv()
                    if message2receive4eight == "<ack2put4xi>queue2eight</ack2put4xi>":
                        print("\n (STEP 5XB8/33) OF TEST_SPHERE4XI - ACK RECEIVED FROM PIPE2EIGHT_CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " MESSAGE: ", message2receive4eight, " - TIME: ", time4xi()) 
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002BC75C0>  MESSAGE:  <ack2put4xi>queue2eight</ack2put4xi>
                        ack2receive4eight = True                           
                    else:
                        print("\n (STEP 5XC8/33) OF TEST_SPHERE4XI - NACK RECEIVED FROM PIPE2EIGHT_CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " MESSAGE: ", message2receive4eight, " - TIME: ", time4xi()) 
                        #                                             
                except:
                    print("\n (STEP 5XD8/33) OF TEST_SPHERE4XI *** FAILED TO RECEIVE FROM PIPE2EIGHT_CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " - TIME: ", time4xi())             
                
                # ------------------------------------------------------------------------------------------------    
                # CHECK WHETHER ALL PROCESS THREADS GOT THEIR JOB DONE - PROCEED AFTER A WHILE IN ANY CASE
                # ------------------------------------------------------------------------------------------------                                                                                                
                count2try = 0
                maxt2try = 24                         # 24 trials maximum                         
                estimation2min = 8                    # 8  min
                time2sleep = 20                       # 20 seconds
                count2gun = 400                       # 400 shots per gun

                print("\n (STEP 5XE1/33) OF TEST_SPHERE4XI - STARTING CHECKING WHETHER ALL GOT THEIR JOB DONE - START TIME: ", time4xi())   
                # 11:34:57 04/23/13 Pacific Daylight Time
                 
                print("\n (STEP 5XE2/33) OF TEST_SPHERE4XI - COUNT2TRY: ", count2try, " MAXT2TRY: ", maxt2try,  " COUNT2GUN: ", count2gun, " ESTIMATION2MIN: ", estimation2min, " TIME2SLEEP: ", time2sleep)                               
                # COUNT2TRY:  0  MAXT2TRY:  24  COUNT2GUN:  400  ESTIMATION2MIN:  8  TIME2SLEEP:  20
                
                ack2receive4all = False
                                       
                while ((count2try <  maxt2try) and (ack2receive4all is False)):  # continue in any case to get 
                # while (ack2receive4all is False):                              # wait until ack received from all
                    if ((ack2receive4one is True) and (ack2receive4two is True) and (ack2receive4three is True) and(ack2receive4four is True) and
                        (ack2receive4five is True) and (ack2receive4six  is True) and (ack2receive4seven is True) and(ack2receive4eight is True)):

                        ack2receive4all = True
                        
                    else:
                        
                        omega2sleep4xi (class2sleep, method2sleep)
                        
                    count2try = count2try + 1

                print("\n (STEP 5XE3/33) OF TEST_SPHERE4XI - COMPLETED CHECKING WHETHER ALL GOT THEIR JOB DONE - END TIME: ", time4xi()) 
                # 11:34:57 04/23/13 Pacific Daylight Time
                print("\n (STEP 5XE4/33) OF TEST_SPHERE4XI - COUNT2TRY: ", count2try, " MAXT2TRY: ", maxt2try,  " COUNT2GUN: ", count2gun, " ESTIMATION2MIN: ", estimation2min, " TIME2SLEEP: ", time2sleep) 
                                         
                                        
                if ack2receive4all is False:
                    print("\n (STEP 5XF0/33) OF TEST_SPHERE4XI ** NOT YET RECEIVED ACK RECEIVED FROM ALL EIGHT PIPES - HOWEVER, PROCEEDS - TIME: ", time4xi())
                    print("\n (STEP 5XF1/33) OF TEST_SPHERE4XI - COMMAND2RECEIVE4ONE", COMMAND2receive4one, " MESSAGE2RECEIVE4ONE: ", message2receive4one)                       
                    print("\n (STEP 5XF2/33) OF TEST_SPHERE4XI - COMMAND2RECEIVE4TWO", COMMAND2receive4two, " MESSAGE2RECEIVE4TWO: ", message2receive4two)  
                    print("\n (STEP 5XF3/33) OF TEST_SPHERE4XI - COMMAND2RECEIVE4THREE", COMMAND2receive4three, " MESSAGE2RECEIVE4THREE: ", message2receive4three)                         
                    print("\n (STEP 5XF4/33) OF TEST_SPHERE4XI - COMMAND2RECEIVE4FOUR", COMMAND2receive4four, " MESSAGE2RECEIVE4FOUR: ", message2receive4four) 
                    print("\n (STEP 5XF5/33) OF TEST_SPHERE4XI - COMMAND2RECEIVE4FIVE", COMMAND2receive4five, " MESSAGE2RECEIVE4FIVE: ", message2receive4five)                         
                    print("\n (STEP 5XF6/33) OF TEST_SPHERE4XI - COMMAND2RECEIVE4SIX", COMMAND2receive4six, " MESSAGE2RECEIVE4SIX: ", message2receive4six)  
                    print("\n (STEP 5XF7/33) OF TEST_SPHERE4XI - COMMAND2RECEIVE4SEVEN", COMMAND2receive4seven, " MESSAGE2RECEIVE4SEVEN: ", message2receive4seven)                         
                    print("\n (STEP 5XF8/33) OF TEST_SPHERE4XI - COMMAND2RECEIVE4EIGHT", COMMAND2receive4eight, " MESSAGE2RECEIVE4EIGHT: ", message2receive4eight)                                                                    
                else:
                    print("\n (STEP 5XE5/33) OF TEST_SPHERE4XI - ACK RECEIVED FROM ALL EIGHT PIPES - TIME: ", time4xi()) 
                    # 11:34:57 04/23/13 Pacific Daylight Time
                    # <ack2put4xi>queue2one</ack2put4xi>
                    # <ack2put4xi>queue2two</ack2put4xi>
                    # <ack2put4xi>queue2three</ack2put4xi>
                    # <ack2put4xi>queue2four</ack2put4xi>
                    # <ack2put4xi>queue2five</ack2put4xi>
                    # <ack2put4xi>queue2six</ack2put4xi>
                    # <ack2put4xi>queue2seven</ack2put4xi>
                    # <ack2put4xi>queue2eight</ack2put4xi>                
                

                        
                # ------------------------------------------------------------------------------------------------    
                # PREPARATIONS FOR THE NEXT WHILE TO GET DICTIONARIES, WHICH SHOULD BE READY AT THIS POINT!
                # ------------------------------------------------------------------------------------------------                    
         
                ack2one = False                                      # ack/nack for each dictionary
                ack2two = False
                ack2three = False
                ack2four = False
                ack2five = False
                ack2six = False
                ack2seven = False
                ack2eight = False


                dictionary2get4one = None
                dictionary2get4two = None
                dictionary2get4three = None
                dictionary2get4four = None
                dictionary2get4five = None
                dictionary2get4six = None
                dictionary2get4seven = None
                dictionary2get4eight = None                                                
                
                count2try = 0
                maxt2try = 48                           

                class2sleep = "test_sphere4xi"          
                method2sleep = "get"                                 # tune time given to others in sleep4xi.py         
                # ---------------------------------------------------------------------------------------------    
                # 
                # ---------------------------------------------------------------------------------------------                 
                
                print("\n (STEP 5W0A/33) OF TEST_SPHERE4XI - TRYING TO GET FROM QUEUES THE DICTIONARIES PRODUCED BY THREAD OF EACH PROCESS - START TIME: ", time4xi())    
                # 11:34:57 04/23/13 Pacific Daylight Time
                
                print("\n (STEP 5W0B/33) OF TEST_SPHERE4XI - COUNT2TRY: ", count2try, " MAXT2TRY: ", maxt2try,  " COUNT2GUN: ", count2gun, " ESTIMATION2MIN: ", estimation2min, " TIME2SLEEP: ", time2sleep)  
                # COUNT2TRY:  0  MAXT2TRY:  48  COUNT2GUN:  400  ESTIMATION2MIN:  8  TIME2SLEEP:  20
                                
                while ((count2try <  maxt2try)          # do NOT try too many times
                        and                             # AND make sure none of processes has not sent ack           
                       ((ack2one is False)  or (ack2two is False) or (ack2three is False) or (ack2four is False) or 
                        (ack2five is False) or (ack2six is False) or (ack2seven is False) or (ack2eight is False))):                                                               
                    
                    omega2sleep4xi (class2sleep, method2sleep)
                    
                    count2try = count2try + 1
                    
                    # ---------------------------------------------------------------------------------------------
                    # GETTING DICTIONARIES PRODUCED BY TARGET THREADS OF PROCESSES TO QUEUES                         
                    # ---------------------------------------------------------------------------------------------
                    print("\n (STEP 5W1A/33) OF TEST_SPHERE4XI - TRYING (POSSIBLE) TO GET DICTIONARY ONE - TIME: ", time4xi())                     
                    # 11:35:05 04/23/13 Pacific Daylight Time
                    try:        
                        #[1]
                        omega2sleep4xi (class2sleep, method2sleep)
                        if ack2one is False:
                            dictionary2get4one = queue2one.get() 
                            if dictionary2get4one is None:
                                pass
                            else:
                                print("\n (STEP 5W1B/33) OF TEST_SPHERE4XI - DICTIONARY2GET4ONE - COUNT2TRY: ", count2try)
                                keys2one = sorted(dictionary2get4one.keys())
                                for key2one in keys2one: 
                                    print("\n (STEP 5W1C/33) OF TEST_SPHERE4XI - key2one: ", key2one) 
                                    # 33x59y41z,34x47y37z,35x0y34z,36x45y38z,36x56y42z,38x43y38z,3x11y15z,3x12y15z,3x3y8z,3x49y33z,3x4y8z,3x71y35z
                                    # 40x40y39z,42x38y40z,44x35y40z,45x33y41z,4x29y26z,4x3y8z,56x0y41z,5x29y26z,6x49y33z,7x28y26z,7x70y36z,8x19y20z,8x27y27z,8x48y34z, 9x19y21z,9x27y27z                              
                                ack2one = True 
                        else:
                            pass
                    except:
                        print("\n (STEP 5W1D/33) OF TEST_SPHERE4XI *** FAILED TO GET ONE DICTIONARY - COUNT2TRY: ", count2try)
                        
                    print("\n (STEP 5W2A/33) OF TEST_SPHERE4XI - TRYING (POSSIBLE) TO GET DICTIONARY TWO - TIME: ", time4xi())                     
                    try:    
                        #[2]
                        omega2sleep4xi (class2sleep, method2sleep)
                        if ack2two is False:
                            dictionary2get4two = queue2two.get()
                            if dictionary2get4two is None:
                                pass
                            else: 
                                print("\n (STEP 5W2B/33) OF TEST_SPHERE4XI -  DICTIONARY2GET4TWO - COUNT2TRY: ", count2try)
                                keys2two = sorted(dictionary2get4two.keys())
                                for key2two in keys2two: 
                                    print("\n (STEP 5W2C/33) OF TEST_SPHERE4XI - KEY2TWO: ", key2two)
                                    # 0x-197y-29z, 0x-44y-89z, 0x-66y-188z, 0x-66y-74z, 0x0y-199z, 0x0y-99z, 105x-155y-68z, 105x-161y-51z ...
                                ack2two = True  
                        else:
                            pass
                    except:
                        print("\n (STEP 5W2D/33) OF TEST_SPHERE4XI *** FAILED TO GET TWO DICTIONARY - COUNT2TRY: ", count2try)
                        
                    print("\n (STEP 5W3A/33) OF TEST_SPHERE4XI - TRYING (POSSIBLE) TO GET DICTIONARY THREE - TIME: ", time4xi())                            
                    try:                                
                        #[3]
                        omega2sleep4xi (class2sleep, method2sleep)
                        if ack2three is False:
                            dictionary2get4three = queue2three.get()
                            if dictionary2get4three is None:
                                pass
                            else:    
                                print("\n (STEP 5W3B/33) OF TEST_SPHERE4XI -  GOT DICTIONARY2GET4THREE - COUNT2TRY: ", count2try)
                                # 0x0y-199z, 0x0y-99z, 0x114y-163z, 0x151y-130z, 0x1y-99z, 0x23y-97z, 0x2y-99z, 0x3y-99z ...
                                keys2three = sorted(dictionary2get4three.keys())
                                for key2three in keys2three: 
                                    print("\n (STEP 5W3C/33) OF TEST_SPHERE4XI - KEY2THREE: ", key2three)
                                ack2three = True
                        else:
                            pass         
                    except:
                        print("\n (STEP 5W3D/33) OF TEST_SPHERE4XI *** FAILED TO GET THREE DICTIONARY - COUNT2TRY: ", count2try)
                        
                    print("\n (STEP 5W4A/33) OF TEST_SPHERE4XI - TRYING (POSSIBLE) TO GET DICTIONARY FOUR - TIME: ", time4xi())                            
                    try:                            
                        #[4]
                        omega2sleep4xi (class2sleep, method2sleep)
                        if ack2four is False:
                            dictionary2get4four = queue2four.get()
                            if dictionary2get4four is None:
                                pass
                            else:    
                                print("\n (STEP 5W4B/33) OF TEST_SPHERE4XI -  GOT DICTIONARY2GET4FOUR - COUNT2TRY: ", count2try)
                                keys2four = sorted(dictionary2get4four.keys())
                                for key2four in keys2four: 
                                    print("\n (STEP 5W4C/33) OF TEST_SPHERE4XI - KEY2FOUR: ", key2four)
                                    # 0x0y199z, 100x-4y173z, 101x-148y88z, 101x-4y172z, 103x-4y171z, 105x-5y170z, 106x-5y168z, 108x-159y52z ...
                                ack2four = True
                        else:
                            pass
                    except:
                        print("\n (STEP 5W4D/33) OF TEST_SPHERE4XI *** FAILED TO GET FOUR DICTIONARY - COUNT2TRY: ", count2try)
                        
                    print("\n (STEP 5W5A/33) OF TEST_SPHERE4XI - TRYING (POSSIBLE) TO GET DICTIONARY FIVE - TIME: ", time4xi())                            
                    try:                                
                        #[5]
                        omega2sleep4xi (class2sleep, method2sleep)                        
                        if ack2five is False:
                            dictionary2get4five = queue2five.get()
                            if dictionary2get4five is None:
                                pass
                            else:    
                                print("\n (STEP 5W5B/33) OF TEST_SPHERE4XI -  GOT DICTIONARY2GET4FIVE - COUNT2TRY: ", count2try)
                                keys2five = sorted(dictionary2get4five.keys())
                                for key2five in keys2five: 
                                    print("\n (STEP 5W5C/33) OF TEST_SPHERE4XI - KEY2FIVE: ", key2five)
                                    # -100x144y94z, -100x47y166z, -104x42y165z, -105x162y47z, -108x140y92z, -108x37y163z, -10x31y94z, -10x32y197z ...
                                ack2five = True
                        else:
                            pass         
                                        
                    except:
                        print("\n (STEP 5W5D/33) OF TEST_SPHERE4XI *** FAILED TO GET FIVE DICTIONARY - COUNT2TRY: ", count2try)
                        
                    print("\n (STEP 5W6A/33) OF TEST_SPHERE4XI - TRYING (POSSIBLE) TO GET DICTIONARY SIX - TIME: ", time4xi())                            
                    try:                            
                        #[6]
                        omega2sleep4xi (class2sleep, method2sleep)
                        if ack2six is False:
                            dictionary2get4six = queue2six.get()
                            if dictionary2get4six is None:
                                pass
                            else:    
                                print("\n (STEP 5W6B/33) OF TEST_SPHERE4XI -  GOT DICTIONARY2GET4SIX - COUNT2TRY: ", count2try)
                                keys2six = sorted(dictionary2get4six.keys())
                                for key2six in keys2six: 
                                    print("\n (STEP 5W6C/33) OF TEST_SPHERE4XI - KEY2SIX: ", key2six)
                                    # -103x118y-124z, -106x169y-7z, -108x111y-125z, -10x35y-92z, -10x95y-26z, -113x105y-127z, -115x163y-9z, -117x98y-128z  ...
                                ack2six = True
                        else:
                            pass         
                    except:
                        print("\n (STEP 5W6D/33) OF TEST_SPHERE4XI *** FAILED TO GET SIX DICTIONARY - COUNT2TRY: ", count2try)
                        
                    print("\n (STEP 5W7A/33) OF TEST_SPHERE4XI - TRYING (POSSIBLE) TO GET DICTIONARY SEVEN - TIME: ", time4xi())                            
                    try:                            
                        #[7]
                        omega2sleep4xi (class2sleep, method2sleep)
                        if ack2seven is False:
                            dictionary2get4seven = queue2seven.get()
                            if dictionary2get4seven is None:
                                pass
                            else:    
                                print("\n (STEP 5W7B/33) OF TEST_SPHERE4XI -  GOT DICTIONARY2GET4SEVEN - COUNT2TRY: ", count2try)
                                keys2seven = sorted(dictionary2get4seven.keys())
                                for key2seven in keys2seven: 
                                    print("\n (STEP 5W7C/33) OF TEST_SPHERE4XI - KEY2SEVEN: ", key2seven)
                                    # -100x-126y117z, -104x-144y91z, -105x-120y119z, -108x-165y28z, -10x-11y199z, -10x-124y156z, -10x-199y8z, -10x-27y197z ...
                                ack2seven = True
                        else:
                            pass         
                    except:
                        print("\n (STEP 5W7D/33) OF TEST_SPHERE4XI *** FAILED TO GET SEVEN DICTIONARY - COUNT2TRY: ", count2try)
                        
                    print("\n (STEP 5W8A/33) OF TEST_SPHERE4XI - TRYING (POSSIBLE) TO GET DICTIONARY EIGHT - TIME: ", time4xi())                            
                    try:                            
                        #[8]
                        omega2sleep4xi (class2sleep, method2sleep)
                        if ack2eight is False:
                            dictionary2get4eight = queue2eight.get()
                            if dictionary2get4eight is None:
                                pass
                            else:    
                                print("\n (STEP 5W8B/33) OF TEST_SPHERE4XI -  GOT DICTIONARY2GET4EIGHT - COUNT2TRY: ", count2try)
                                keys2eight = sorted(dictionary2get4eight.keys())
                                for key2eight in keys2eight: 
                                    print("\n (STEP 5W8C/33) OF TEST_SPHERE4XI - KEY2EIGHT: ", key2eight)
                                    # -102x-167y-35z, -102x-170y-13z, -104x-117y-123z, -106x-136y-101z, -10x-19y-97z, -10x-67y-73z, -111x-112y-122z, -111x-162y-33z ...
                                ack2eight = True
                        else:
                            pass         
                    except:
                        print("\n (STEP 5W8D/33) OF TEST_SPHERE4XI *** FAILED TO GET EIGHT DICTIONARY - COUNT2TRY: ", count2try)                          

                    omega2sleep4xi (class2sleep, method2sleep)
                       
                # ---------------------------------------------------------------------------------------------    
                # end of while with queues
                # ---------------------------------------------------------------------------------------------
                print("\n (STEP 5W11A/33) OF TEST_SPHERE4XI - FINISHED GETTING DICTIONARIES FROM QUEUES THE DICTIONARIES PRODUCED BY THREAD OF EACH PROCESS - END TIME: ", time4xi())  
                # 11:36:17 04/23/13 Pacific Daylight Time
                print("\n (STEP 5W11B/33) OF TEST_SPHERE4XI - COUNT2TRY: ", count2try, " MAXT2TRY: ", maxt2try,  " COUNT2GUN: ", count2gun, " ESTIMATION2MIN: ", estimation2min, " TIME2SLEEP: ", time2sleep)  
                # COUNT2TRY:  1  MAXT2TRY:  48  COUNT2GUN:  400  ESTIMATION2MIN:  8  TIME2SLEEP:  20
                
                # ------------------------------------------------------------------------
                #   END   TIME: :  06:44:04 06/22/10 Pacific Daylight Time
                # START   TIME:    06:43:44 06/22/10 Pacific Daylight Time  
                # ========================================================================
                # ELAPSED TIME:          20 SEC (see sleep4xi.py)
                
                print("\n (STEP 5W12A/33) OF TEST_SPHERE4XI - TRYING TO TEST WHETHER ALL DICTIONARY QUEUES WERE PRODUCED BY TARGET THREADS - TIME: ", time4xi()) 
                try: 
                    if ((ack2one  is True)  and (ack2two is True) and (ack2three is True) and (ack2four is True) and 
                        (ack2five is True)  and (ack2six is True) and (ack2seven is True) and (ack2eight is True)): 
                        print("\n (STEP 5W12B/33) OF TEST_SPHERE4XI - SUCCEEDED TO GET FROM ALL DICTIONARY QUEUES PRODUCES BY TARGET THREADS - TIME: ", time4xi()) 
                        # 11:36:17 04/23/13 Pacific Daylight Time
                    else:
                        print("\n (STEP 5W12C/33) OF TEST_SPHERE4XI *** FAILED TO GET FROM ALL DICTIONARY QUEUES PRODUCES BY TARGET THREADS - TIME: ", time4xi()) 
                        print("\n (STEP 5W12D/33) OF TEST_SPHERE4XI - COMMAND2ONE: ", COMMAND2one)
                        print("\n (STEP 5W12C/33) OF TEST_SPHERE4XI - COMMAND2TWO: ", COMMAND2two)
                        print("\n (STEP 5W12E/33) OF TEST_SPHERE4XI - COMMAND2THREE: ", COMMAND2three)
                        print("\n (STEP 5W12F/33) OF TEST_SPHERE4XI - COMMAND2FOUR: ", COMMAND2four) 
                        print("\n (STEP 5W12G/33) OF TEST_SPHERE4XI - COMMAND2FIVE: ", COMMAND2five)
                        print("\n (STEP 5W12H/33) OF TEST_SPHERE4XI - COMMAND2SIX: ", COMMAND2six)
                        print("\n (STEP 5W12I/33) OF TEST_SPHERE4XI - COMMAND2SEVEN: ", COMMAND2seven)
                        print("\n (STEP 5W12J/33) OF TEST_SPHERE4XI - COMMAND2EIGHT: ", COMMAND2eight) 
                except:
                        print("\n (STEP 5W12K/33) OF TEST_SPHERE4XI *** FAILED IN TESTING WHETHER ALL DICTIONARY QUEUES PRODUCED BY TARGET THREADS- TIME: ", time4xi()) 
                        
                print("\n (STEP 5W12L/33) OF TEST_SPHERE4XI - COMPLETED ALL TRIALS OF THE FIFT TEST - END TIME: ", time4xi())
                # END     TIME:  09:26:31 06/20/10 Pacific Daylight Time
                # START   TIME:  09:19:04 06/20/10 Pacific Daylight Time
                # ====================================================
                # ELAPSED TIME:  7 min 27 seconds                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
            except:
                # ---------------------------------------------------------------------------------------------    
                #
                # ---------------------------------------------------------------------------------------------     
                print("\n (STEP 5W13/33) OF TEST_SPHERE4XI *** FAILED IN THE FIFT TEST - END TIME: ", time4xi())                                                                                           
        
        else:
            print("\n (STEP 5T12/33) OF TEST_SPHERE4XI ** SKIPPED THE FIFT TEST, COMMAND2FIFT: ", COMMAND2fift)     
    
        # -----------------------------------------------------------------------------------------------------
        # SIXTH TRIAL OF TESTING - CAN BE SKIPPED - EXPLORE IT!                          
        # -----------------------------------------------------------------------------------------------------    
        command2sixth = True
        print('(STEP 6/33) OF TEST_SPHERE4XI - COMMAND2SIXTH: ', command2sixth)
        
        if command2sixth is True:
            print('=' *33)          
            print('(STEP 6A/33) OF TEST_SPHERE4XI - STARTING SIXTH TEST OF TEST_SPHERE4XI - TIME: ', time4xi())  
            # 11:36:17 04/23/13 Pacific Daylight Time
            print('=' *33)                     
            
            try:
                print("\n (STEP 6B1/33) OF TEST_SPHERE4XI - TRYING TO PUT COMMAND AND CONTROL TO QUEUE2ZERO - TIME: ", time4xi())                 
                try:                               
                    # -------------------------------------------------------------------------------------    
                    # 0 - PUT CONTROL MESSAGE
                    # -------------------------------------------------------------------------------------                 
                    message2put4zero = "<copy4xi>copy2zero</copy4xi>"
                    queue2zero.put(message2put4zero)
                    print("\n (STEP 6B2/33) OF TEST_SPHERE4XI - PUT COMMAND AND CONTROL TO QUEUE2ZERO: ", queue2zero, " MESSAGE2PUT4ZERO: " , message2put4zero)                
                    # <queue4xi.Queue4Xi object at 0x02FDF150>  MESSAGE2PUT4ZERO:  <copy4xi>copy2zero</copy4xi>
                except:
                    print("\n (STEP 6B3/33) OF TEST_SPHERE4XI *** FAILED TO PUT COMMAND AND CONTROL TO QUEUE2ZERO - MESSAGE2PUT4ZERO: " , message2put4zero)                         
                
                print("\n (STEP 6C1/33) OF TEST_SPHERE4XI - TRYING TO SEND COMMAND AND CONTROL TO PIPE2ZERO_PUBLISHER_CHANNEL - TIME: ", time4xi())    
                try:                          
                    # -----------------------------------------------------------------------------------------    
                    # 0 - SEND CONTROL MESSAGE
                    # -----------------------------------------------------------------------------------------                        
                    message2send4zero = "<copy4xi>copy2zero</copy4xi>"
                    pipe2zero_publisher_channel.send(message2send4zero)
                    print("\n (STEP 6C2/33) OF TEST_SPHERE4XI - SENT  COMMAND AND CONTROL TO PIPE2ZERO_PUBLISHER_CHANNEL: ", pipe2zero_publisher_channel, " MESSAGE2SEND4ZERO: " , message2send4zero)                    
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000002BB1A58>  MESSAGE2SEND4ZERO:  <copy4xi>copy2zero</copy4xi>
                except:
                    print("\n (STEP 6C3/33) OF TEST_SPHERE4XI *** FAILED TO SEND TO PIPE2ZERO_PUBLISHER_CHANNEL - TIME: ", time4xi())
                
                print('(STEP 6D1/33) OF TEST_SPHERE4XI - TRYING TO CALL GUN2ZERO4XI - TIME: ', time4xi())
                ack4perform = False
                try: 
                    # -----------------------------------------------------------------------------------------    
                    # 0 - CALL FUNCTION DIRECTLY, WHICH WILL ACTIVATE A THREAD FOR THIS MAINPROCESS4XI
                    # -----------------------------------------------------------------------------------------                    
                    gun2zero4xi(queue2zero, pipe2zero_consumer_channel, pipe2zero_publisher_channel)
                    print('(STEP 6D2/33) OF TEST_SPHERE4XI - PERFORMED FUNCTION GUN2ZERO4XI - TIME: ', time4xi())
                    # 11:36:17 04/23/13 Pacific Daylight Time
                    ack4perform = True                           
                except:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------       
                    print("\n (STEP 6D3/33) OF TEST_SPHERE4XI *** FAILED TO PERFORM GUN2ZERO4XI - TIME: ", time4xi())
                    
                if ack4perform is True:                     
                    print("\n (STEP 6F1/33) OF TEST_SPHERE4XI - TRYING TO GET ANSWER TO CONTROL MESSAGE - TIME: ", time4xi())      
                    # 11:36:17 04/23/13 Pacific Daylight Time
                    try:                                                
                        # -----------------------------------------------------------------------------------------    
                        # 0 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE
                        # -----------------------------------------------------------------------------------------                    
                        message2get4zero = queue2zero.get()
                        print("\n  (STEP 6F2/33) OF TEST_SPHERE4XI - GOT FROM QUEUE: ", queue2zero, " MESSAGE: ", message2get4zero)
                        # <queue4xi.Queue4Xi object at 0x0000000006604D68>  MESSAGE:  <roger4xi>roger2zero</roger4xi> 
                    except:
                        print("\n (STEP 6F3/33) OF TEST_SPHERE4XI *** FAILED TO GET ANSWER TO CONTROL MESSAGE - TIME: ", time4xi())
                        
                    print("\n (STEP 6G1/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE ANSWER TO CONTROL MESSAGE - TIME: ", time4xi()) 
                    # 06:35:00 04/24/13 Pacific Daylight Time
                    try:
                        # -----------------------------------------------------------------------------------------    
                        # 0 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE
                        # -----------------------------------------------------------------------------------------                                
                        message2receive4zero = pipe2zero_consumer_channel.recv()
                        print("\n (STEP 6G2/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2zero_consumer_channel, " MESSAGE: ", message2receive4zero)
                        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000005EA0668>  MESSAGE:  <roger4xi>roger2zero</roger4xi>           
                    except:
                        print("\n (STEP 6G3/33) OF TEST_SPHERE4XI *** FAILED TO RECEIVE ANSWER TO CONTROL MESSAGE - TIME: ", time4xi())

                    if ((message2get4zero == "<roger4xi>roger2zero</roger4xi>") and    
                        (message2receive4zero == "<roger4xi>roger2zero</roger4xi>")):
                        print('=' *70)
                        print("\n (STEP 6G4/33) OF TEST_SPHERE4XI - COMMUNICATION ESTABLISHED WITH ZERO - TIME: ", time4xi())
                        # 06:35:00 04/24/13 Pacific Daylight Time OK
                        print('=' *70)
                    else:
                        print("\n (STEP 6G5/33) OF TEST_SPHERE4XI *** FAILED TO ESTABLISH COMMUNICATION WITH ZERO - TIME: ", time4xi())                              
                     
                    print("\n (STEP 6H1/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2ZERO_CONSUMER_CHANNEL - TIME: ", time4xi())     
                    # 11:36:17 04/23/13 Pacific Daylight Time
                    ack2receive4zero = False
                    try:                                                                
                        # ---------------------------------------------------------------------------------------------
                        # RECEIVE INFO OF PUT-OPERATION                          
                        # ---------------------------------------------------------------------------------------------                       
                        omega2sleep4xi (class2sleep, method2sleep)
                        
                        message2receive4zero = pipe2zero_consumer_channel.recv()
                        if message2receive4zero == "<ack2put4xi>queue2zero</ack2put4xi>":
                            print("\n (STEP 6H2/33) OF TEST_SPHERE4XI - ACK RECEIVED FROM PIPE2ZERO_CONSUMER_CHANNEL: ", pipe2zero_consumer_channel, " MESSAGE: ", message2receive4zero, " - TIME: ", time4xi()) 
                            # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000005E1D668>  MESSAGE:  <ack2put4xi>queue2zero</ack2put4xi>
                             
                            ack2receive4zero = True
                        else:
                            print("\n (STEP 6H3/33) OF TEST_SPHERE4XI - NACK RECEIVED FROM PIPE2ZERO_CONSUMER_CHANNEL: ", pipe2zero_consumer_channel, " MESSAGE: ", message2receive4zero, " - TIME: ", time4xi()) 
                            #                                             
                    except:
                        print("\n (STEP 6H4/33) OF TEST_SPHERE4XI *** FAILED TO RECEIVE FROM PIPE2ZERO_CONSUMER_CHANNEL: ", pipe2zero_consumer_channel, " - TIME: ", time4xi())             
                    
                    print("\n (STEP 6I1/33) OF TEST_SPHERE4XI - TRYING TO RECEIVE FROM PIPE2ZERO_CONSUMER_CHANNEL - TIME: ", time4xi())     
                    # 11:36:25 04/23/13 Pacific Daylight Time
                    ack2get4zero = False
                    try:                                                                
                        # ---------------------------------------------------------------------------------------------
                        # GET                          
                        # --------------------------------------------------------------------------------------------- 
                                              
                        if (ack2receive4zero is True):
                            omega2sleep4xi (class2sleep, method2sleep)
                            
                            dictionary2get4zero = queue2zero.get() 
                            
                            keys2zero = sorted(dictionary2get4zero.keys())
                            for key2zero in keys2zero: 
                                print("\n (STEP 6I2/33) OF TEST_SPHERE4XI - key2zero: ", key2zero) 
                                # -5x-61y-50z,-5x-8y-38z,-6x-12y-13z,-6x-4y-6z,-6x-8y-38z,-7x-12y-13z,-7x-2y-5z,-7x-3y-5z,-7x-59y-7z,-7x-8y-38z,-8x-12y-13z,-8x-1y-5z
                                # -8x-4y-28z,-8x-5y-28z,-8x-7y-38z,-8x0y-5z,-9x-11y-13z,-9x-4y-28z,-9x-61y-50z,-9x-7y-38z,0x-19y-22z,0x-1y-49z,0x-4y-49z,0x-5y-49z,0x-60y-52z,0x-6y-49z,0x-7y-49z,0x0y-49z
                                  
                            ack2get4zero = True
                        else:
                           pass
                    except:
                        print("\n (STEP 6I3/33) OF TEST_SPHERE4XI *** FAILED TO RECEIVE FROM PIPE2ZERO_CONSUMER_CHANNEL - TIME: ", time4xi())          
                                                     
                    if ack2get4zero is True:
                        print("\n (STEP 6J1/33) OF TEST_SPHERE4XI - GOT FROM QUEUE DICTIONARY - TIME: ", time4xi())
                        # 11:36:33 04/23/13 Pacific Daylight Time
                    else:
                        print("\n (STEP 6J2/33) OF TEST_SPHERE4XI *** FAILED TO GET DICTIONARY FROM QUEUE - TIME: ", time4xi())        
                                                                                       
                else:
                    # -----------------------------------------------------------------------------------------    
                    #
                    # -----------------------------------------------------------------------------------------       
                    print('(STEP 6K/33) OF TEST_SPHERE4XI ** SKIPPED BECAUSE DID NOT PERFORM FUNCTION GUN2ZERO4XI - TIME: ', time4xi())
                    
                print('\n (STEP 6L/33) OF TEST_SPHERE4XI - COMPLETED THE SIXTH TEST - TIME: ', time4xi())
                # 11:36:33 04/23/13 Pacific Daylight Time                
            except:
                # ---------------------------------------------------------------------------------------------    
                #
                # ---------------------------------------------------------------------------------------------     
                print("\n (STEP 6M/33) OF TEST_SPHERE4XI *** FAILED IN THE SIXTH TEST ***")                                                                                                 
        else:
            print("\n (STEP 6N/33) OF TEST_SPHERE4XI ** SKIPPED THE SIXTH TEST, COMMAND2SIXTH: ", command2sixth)     
    
        # ---------------------------------------------------------------------------------------------------------------------------------------
        # SEVENTH TRIAL OF TESTING - CAN BE SKIPPED - USES GUN2ZERO AND SHOOT2ZERO FOR MAINPROCESS4XI TO TEST SHOTS BEFORE TRYING WITH GUNS 1...8                         
        # ---------------------------------------------------------------------------------------------------------------------------------------    
  
        command2seventh = False
        print("\n (STEP 7/33) OF TEST_SPHERE4XI - COMMAND2SEVENTH: ", command2seventh) 
        if command2seventh is True:
            print('=' *33)          
            print('STARTING SEVENTH TEST OF TEST_SPHERE4XI ', time4xi()) 
            # 11:36:33 04/23/13 Pacific Daylight Time
            print('=' *33)                    
            try:
                text2copyright = '<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->' + '\n'
                key2origo = '0x0y0z'
                s2xi = Sphere4Xi()
                print("\n (STEP 7A/33) OF TEST_SPHERE4XI - CREATED OBJECT S2XI: ", s2xi) 
                # <sphere4xi.Sphere4Xi object at 0x0000000005E59CC0>
                  
                # ---------------------------------------------------------------------------------------------
                # ZERO
                # ---------------------------------------------------------------------------------------------                    
                core2zero = s2xi.get(sphere = 'sphere2zero')
                print("\n (STEP 7A1/33) OF TEST_SPHERE4XI CORE2ZERO: ", core2zero)
                # {'0x0y1z': {'time2shot': '04:54:21 06/25/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 0, 'message2shot': 'CurrentProcess4Xi', 'velocity2shot': 0, 'verb2shot': '0', 'area2shot': 3.141592653589793, 'y2shot': 0, 'id2shot': '0x0y1z', 'distance2shot': 1, 'z2shot': 1, 'elevation2shot': 0, 'color2shot': '#F3881C'}, 
                #  '0x0y0z': {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'MainProcess4Xi', 'radius2sphere': 1, 'time2sphere': '04:54:21 06/25/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}}
                origo2zero = {}
                origo2zero[key2origo] = core2zero[key2origo]
                print("\n (STEP 7A2/33) OF TEST_SPHERE4XI ORIGO2ZERO: ", origo2zero)
                # 

                # ---------------------------------------------------------------------------------------------
                # START OF ZERO
                # ---------------------------------------------------------------------------------------------                 
                path2file      = '..\\..\\txt\\origo2zero4xi.txt'            
                f2xi=open(path2file, 'w')
                print("\n (STEP 33E2/33E) OF TEST_SPHERE4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
                # ..\..\txt\origo2zero4xi.txt
                
                f2xi.write(text2copyright)
                  
                # ---------------------------------------------------------------------------------------------
                # BODY OF ZERO
                # ---------------------------------------------------------------------------------------------                 
                keys2write = sorted(origo2zero.keys())
    
                for key2write in sorted(keys2write):
                    line2write = str(key2write) + '\n'
                    f2xi.write(line2write)            
                    
                    line2write = str(core2zero[key2write]) + '\n'
                    f2xi.write(line2write) 
                # ---------------------------------------------------------------------------------------------
                # END OF ZERO
                # ---------------------------------------------------------------------------------------------                 
                f2xi.write(text2copyright)
                print("\n (STEP 33F/33) OF TEST_SPHERE4XI -  WROTE SHOT2ZERO4XI - TIME: ", time4xi())  
                # 11:36:33 04/23/13 Pacific Daylight Time
                  
                # ---------------------------------------------------------------------------------------------
                # ONE
                # ---------------------------------------------------------------------------------------------                                 
                core2one = s2xi.get(sphere = 'sphere2one')
                print("\n (STEP 7B/33) OF TEST_SPHERE4XI CORE2ONE: ", core2one)
                # {'0x0y1z': {'time2shot': '04:54:21 06/25/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 0, 'message2shot': 'CurrentProcess4Xi', 'velocity2shot': 0, 'verb2shot': '0', 'area2shot': 3.141592653589793, 'y2shot': 0, 'id2shot': '0x0y1z', 'distance2shot': 1, 'z2shot': 1, 'elevation2shot': 0, 'color2shot': '#F3881C'}, 
                #  '0x0y0z': {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'Process4Xi-1', 'radius2sphere': 1, 'time2sphere': '04:54:21 06/25/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}}
                origo2one = {}
                origo2one[key2origo] = core2one[key2origo]
                print("\n (STEP 7A2/33) OF TEST_SPHERE4XI ORIGO2ONE: ", origo2one)
                # 

                # 
                # ---------------------------------------------------------------------------------------------
                # START OF ONE
                # --------------------------------------------------------------------------------------------- 
                path2file      = '..\\..\\txt\\origo2one4xi.txt'            
                f2xi=open(path2file, 'w')
                print("\n (STEP 33E2/33E) OF TEST_SPHERE4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())                                  
                f2xi.write(text2copyright)
                  
                # ---------------------------------------------------------------------------------------------
                # BODY OF ONE
                # ---------------------------------------------------------------------------------------------                 
                keys2write = sorted(origo2one.keys())
    
                for key2write in sorted(keys2write):
                    line2write = str(key2write) + '\n'
                    f2xi.write(line2write)            
                    
                    line2write = str(core2one[key2write]) + '\n'
                    f2xi.write(line2write) 
                # ---------------------------------------------------------------------------------------------
                # END OF ONE
                # ---------------------------------------------------------------------------------------------                 
                f2xi.write(text2copyright)
                print("\n (STEP 33F/33) OF TEST_SPHERE4XI -  WROTE SHOT2ZERO4XI - TIME: ", time4xi())               
                  
                # ---------------------------------------------------------------------------------------------
                # TWO
                # ---------------------------------------------------------------------------------------------                                 
                core2two = s2xi.get(sphere = 'sphere2two')
                print("\n (STEP 7C/33) OF TEST_SPHERE4XI CORE2TWO: ", core2one)
                # {'0x0y1z': {'time2shot': '04:54:21 06/25/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 0, 'message2shot': 'CurrentProcess4Xi', 'velocity2shot': 0, 'verb2shot': '0', 'area2shot': 3.141592653589793, 'y2shot': 0, 'id2shot': '0x0y1z', 'distance2shot': 1, 'z2shot': 1, 'elevation2shot': 0, 'color2shot': '#F3881C'}, 
                #  '0x0y0z': {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'Process4Xi-2', 'radius2sphere': 1, 'time2sphere': '04:54:21 06/25/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}}
                origo2two = {}
                origo2two[key2origo] = core2two[key2origo]
                print("\n (STEP 7A2/33) OF TEST_SPHERE4XI ORIGO2TWO: ", origo2two)
                # 

                # 
                # ---------------------------------------------------------------------------------------------
                # START OF TWO
                # --------------------------------------------------------------------------------------------- 
                path2file      = '..\\..\\txt\\origo2two4xi.txt'            
                f2xi=open(path2file, 'w')
                print("\n (STEP 33E2/33E) OF TEST_SPHERE4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())                                   
                f2xi.write(text2copyright)
                  
                # ---------------------------------------------------------------------------------------------
                # BODY OF TWO
                # ---------------------------------------------------------------------------------------------                 
                keys2write = sorted(origo2two.keys())
    
                for key2write in sorted(keys2write):
                    line2write = str(key2write) + '\n'
                    f2xi.write(line2write)            
                    
                    line2write = str(core2two[key2write]) + '\n'
                    f2xi.write(line2write) 
                # ---------------------------------------------------------------------------------------------
                # END OF TWO
                # ---------------------------------------------------------------------------------------------                 
                f2xi.write(text2copyright)
                print("\n (STEP 33F/33) OF TEST_SPHERE4XI -  WROTE SHOT2ZERO4XI - TIME: ", time4xi())               
                  
                # ---------------------------------------------------------------------------------------------
                # THREE
                # ---------------------------------------------------------------------------------------------                                 
                core2three = s2xi.get(sphere = 'sphere2three')
                print("\n (STEP 7D/33) OF TEST_SPHERE4XI CORE2THREE: ", core2three)
                # {'0x0y1z': {'time2shot': '04:54:21 06/25/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 0, 'message2shot': 'CurrentProcess4Xi', 'velocity2shot': 0, 'verb2shot': '0', 'area2shot': 3.141592653589793, 'y2shot': 0, 'id2shot': '0x0y1z', 'distance2shot': 1, 'z2shot': 1, 'elevation2shot': 0, 'color2shot': '#F3881C'}, 
                #  '0x0y0z': {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'Process4Xi-3', 'radius2sphere': 1, 'time2sphere': '04:54:21 06/25/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}}
                origo2three = {}
                origo2three[key2origo] = core2three[key2origo]
                print("\n (STEP 7A2/33) OF TEST_SPHERE4XI ORIGO2THREE: ", origo2three)
                # 
                # ---------------------------------------------------------------------------------------------
                # START OF THREE
                # --------------------------------------------------------------------------------------------- 
                path2file      = '..\\..\\txt\\origo2three4xi.txt'            
                f2xi=open(path2file, 'w')
                print("\n (STEP 33E2/33E) OF TEST_SPHERE4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
                #                                 
                f2xi.write(text2copyright)
                  
                # ---------------------------------------------------------------------------------------------
                # BODY OF THREE
                # ---------------------------------------------------------------------------------------------                 
                keys2write = sorted(origo2three.keys())
    
                for key2write in sorted(keys2write):
                    line2write = str(key2write) + '\n'
                    f2xi.write(line2write)            
                    
                    line2write = str(core2three[key2write]) + '\n'
                    f2xi.write(line2write) 
                # ---------------------------------------------------------------------------------------------
                # END OF THREE
                # ---------------------------------------------------------------------------------------------                 
                f2xi.write(text2copyright)
                print("\n (STEP 33F/33) OF TEST_SPHERE4XI -  WROTE SHOT2ZERO4XI - TIME: ", time4xi())              
                  
                # ---------------------------------------------------------------------------------------------
                # FOUR
                # ---------------------------------------------------------------------------------------------                                 
                core2four = s2xi.get(sphere = 'sphere2four')
                print("\n (STEP 7E/33) OF TEST_SPHERE4XI CORE2FOUR: ", core2four)
                # {'0x0y1z': {'time2shot': '04:54:21 06/25/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 0, 'message2shot': 'CurrentProcess4Xi', 'velocity2shot': 0, 'verb2shot': '0', 'area2shot': 3.141592653589793, 'y2shot': 0, 'id2shot': '0x0y1z', 'distance2shot': 1, 'z2shot': 1, 'elevation2shot': 0, 'color2shot': '#F3881C'}, 
                #  '0x0y0z': {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'Process4Xi-4', 'radius2sphere': 1, 'time2sphere': '04:54:21 06/25/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}}
                origo2four = {}
                origo2four[key2origo] = core2four[key2origo]
                print("\n (STEP 7A2/33) OF TEST_SPHERE4XI ORIGO2FOUR: ", origo2four)
                # 
                # ---------------------------------------------------------------------------------------------
                # START OF FOUR
                # --------------------------------------------------------------------------------------------- 
                path2file      = '..\\..\\txt\\origo2four4xi.txt'            
                f2xi=open(path2file, 'w')
                print("\n (STEP 33E2/33E) OF TEST_SPHERE4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
                #                                 
                f2xi.write(text2copyright)
                  
                # ---------------------------------------------------------------------------------------------
                # BODY OF FOUR
                # ---------------------------------------------------------------------------------------------                 
                keys2write = sorted(origo2four.keys())
    
                for key2write in sorted(keys2write):
                    line2write = str(key2write) + '\n'
                    f2xi.write(line2write)            
                    
                    line2write = str(core2four[key2write]) + '\n'
                    f2xi.write(line2write) 
                # ---------------------------------------------------------------------------------------------
                # END OF FOUR
                # ---------------------------------------------------------------------------------------------                 
                f2xi.write(text2copyright)
                print("\n (STEP 33F/33) OF TEST_SPHERE4XI -  WROTE SHOT2ZERO4XI - TIME: ", time4xi())               
                  
                # ---------------------------------------------------------------------------------------------
                # FIVE
                # ---------------------------------------------------------------------------------------------                                 
                core2five = s2xi.get(sphere = 'sphere2five')
                print("\n (STEP 7F/33) OF TEST_SPHERE4XI CORE2FIVE: ", core2five)
                # {'0x0y1z': {'time2shot': '04:54:21 06/25/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 0, 'message2shot': 'CurrentProcess4Xi', 'velocity2shot': 0, 'verb2shot': '0', 'area2shot': 3.141592653589793, 'y2shot': 0, 'id2shot': '0x0y1z', 'distance2shot': 1, 'z2shot': 1, 'elevation2shot': 0, 'color2shot': '#F3881C'}, 
                #  '0x0y0z': {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'Process4Xi-5', 'radius2sphere': 1, 'time2sphere': '04:54:21 06/25/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}}
                origo2five = {}
                origo2five[key2origo] = core2five[key2origo]
                print("\n (STEP 7A2/33) OF TEST_SPHERE4XI ORIGO2FIVE: ", origo2five)
                # 
                # ---------------------------------------------------------------------------------------------
                # START OF FIVE
                # ---------------------------------------------------------------------------------------------
                path2file      = '..\\..\\txt\\origo2five4xi.txt'            
                f2xi=open(path2file, 'w')
                print("\n (STEP 33E2/33E) OF TEST_SPHERE4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
                #                                  
                f2xi.write(text2copyright)
                  
                # ---------------------------------------------------------------------------------------------
                # BODY OF FIVE
                # ---------------------------------------------------------------------------------------------                 
                keys2write = sorted(origo2five.keys())
    
                for key2write in sorted(keys2write):
                    line2write = str(key2write) + '\n'
                    f2xi.write(line2write)            
                    
                    line2write = str(core2five[key2write]) + '\n'
                    f2xi.write(line2write) 
                # ---------------------------------------------------------------------------------------------
                # END OF FIVE
                # ---------------------------------------------------------------------------------------------                 
                f2xi.write(text2copyright)
                print("\n (STEP 33F/33) OF TEST_SPHERE4XI -  WROTE SHOT2ZERO4XI - TIME: ", time4xi())               
                  
                # ---------------------------------------------------------------------------------------------
                # SIX
                # ---------------------------------------------------------------------------------------------                                 
                core2six = s2xi.get(sphere = 'sphere2six')
                print("\n (STEP 7G/33) OF TEST_SPHERE4XI CORE2SIX: ", core2six)
                # {'0x0y1z': {'time2shot': '04:54:21 06/25/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 0, 'message2shot': 'CurrentProcess4Xi', 'velocity2shot': 0, 'verb2shot': '0', 'area2shot': 3.141592653589793, 'y2shot': 0, 'id2shot': '0x0y1z', 'distance2shot': 1, 'z2shot': 1, 'elevation2shot': 0, 'color2shot': '#F3881C'}, 
                #  '0x0y0z': {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'Process4Xi-6', 'radius2sphere': 1, 'time2sphere': '04:54:21 06/25/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}}
                origo2six = {}
                origo2six[key2origo] = core2six[key2origo]
                print("\n (STEP 7A2/33) OF TEST_SPHERE4XI ORIGO2SIX: ", origo2six)
                # 
                # ---------------------------------------------------------------------------------------------
                # START OF SIX
                # --------------------------------------------------------------------------------------------- 
                path2file      = '..\\..\\txt\\origo2six4xi.txt'            
                f2xi=open(path2file, 'w')
                print("\n (STEP 33E2/33E) OF TEST_SPHERE4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
                #                                 
                f2xi.write(text2copyright)
                  
                # ---------------------------------------------------------------------------------------------
                # BODY OF SIX
                # ---------------------------------------------------------------------------------------------                 
                keys2write = sorted(origo2six.keys())
    
                for key2write in sorted(keys2write):
                    line2write = str(key2write) + '\n'
                    f2xi.write(line2write)            
                    
                    line2write = str(core2six[key2write]) + '\n'
                    f2xi.write(line2write) 
                # ---------------------------------------------------------------------------------------------
                # END OF SIX
                # ---------------------------------------------------------------------------------------------                 
                f2xi.write(text2copyright)
                print("\n (STEP 33F/33) OF TEST_SPHERE4XI -  WROTE SHOT2ZERO4XI - TIME: ", time4xi())               
                  
                # ---------------------------------------------------------------------------------------------
                # SEVEN
                # ---------------------------------------------------------------------------------------------                                 
                core2seven = s2xi.get(sphere = 'sphere2seven')
                print("\n (STEP 7H/33) OF TEST_SPHERE4XI CORE2SEVEN: ", core2seven)
                # {'0x0y1z': {'time2shot': '04:54:21 06/25/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 0, 'message2shot': 'CurrentProcess4Xi', 'velocity2shot': 0, 'verb2shot': '0', 'area2shot': 3.141592653589793, 'y2shot': 0, 'id2shot': '0x0y1z', 'distance2shot': 1, 'z2shot': 1, 'elevation2shot': 0, 'color2shot': '#F3881C'}, 
                #  '0x0y0z': {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'Process4Xi-7', 'radius2sphere': 1, 'time2sphere': '04:54:21 06/25/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}}
                origo2seven = {}
                origo2seven[key2origo] = core2seven[key2origo]
                print("\n (STEP 7A2/33) OF TEST_SPHERE4XI ORIGO2SEVEN: ", origo2seven)
                # 
                # ---------------------------------------------------------------------------------------------
                # START OF SEVEN
                # ---------------------------------------------------------------------------------------------
                path2file      = '..\\..\\txt\\origo2seven4xi.txt'            
                f2xi=open(path2file, 'w')
                print("\n (STEP 33E2/33E) OF TEST_SPHERE4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
                #                                 
                f2xi.write(text2copyright)
                  
                # ---------------------------------------------------------------------------------------------
                # BODY OF SEVEN
                # ---------------------------------------------------------------------------------------------                 
                keys2write = sorted(origo2seven.keys())
    
                for key2write in sorted(keys2write):
                    line2write = str(key2write) + '\n'
                    f2xi.write(line2write)            
                    
                    line2write = str(core2seven[key2write]) + '\n'
                    f2xi.write(line2write) 
                # ---------------------------------------------------------------------------------------------
                # END OF SEVEN
                # ---------------------------------------------------------------------------------------------                 
                f2xi.write(text2copyright)
                print("\n (STEP 33F/33) OF TEST_SPHERE4XI -  WROTE SHOT2ZERO4XI - TIME: ", time4xi())               
                  
                # ---------------------------------------------------------------------------------------------
                # EIGHT
                # ---------------------------------------------------------------------------------------------                                 
                core2eight = s2xi.get(sphere = 'sphere2eight')
                print("\n (STEP 7I/33) OF TEST_SPHERE4XI CORE2EIGHT: ", core2eight)
                # {'0x0y1z': {'time2shot': '04:54:21 06/25/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 0, 'message2shot': 'CurrentProcess4Xi', 'velocity2shot': 0, 'verb2shot': '0', 'area2shot': 3.141592653589793, 'y2shot': 0, 'id2shot': '0x0y1z', 'distance2shot': 1, 'z2shot': 1, 'elevation2shot': 0, 'color2shot': '#F3881C'}, 
                #  '0x0y0z': {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'Process4Xi-8', 'radius2sphere': 1, 'time2sphere': '04:54:21 06/25/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}}
                origo2eight = {}
                origo2eight[key2origo] = core2eight[key2origo]
                print("\n (STEP 7A2/33) OF TEST_SPHERE4XI ORIGO2EIGHT: ", origo2eight)
                # 
                # ---------------------------------------------------------------------------------------------
                # START OF EIGHT
                # --------------------------------------------------------------------------------------------- 
                path2file      = '..\\..\\txt\\origo2eight4xi.txt'            
                f2xi=open(path2file, 'w')
                print("\n (STEP 33E2/33E) OF TEST_SPHERE4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
                #                                
                f2xi.write(text2copyright)
                  
                # ---------------------------------------------------------------------------------------------
                # BODY OF EIGHT
                # ---------------------------------------------------------------------------------------------                 
                keys2write = sorted(origo2eight.keys())
    
                for key2write in sorted(keys2write):
                    line2write = str(key2write) + '\n'
                    f2xi.write(line2write)            
                    
                    line2write = str(core2eight[key2write]) + '\n'
                    f2xi.write(line2write) 
                # ---------------------------------------------------------------------------------------------
                # END OF EIGHT
                # ---------------------------------------------------------------------------------------------                 
                f2xi.write(text2copyright)
                print("\n (STEP 33F/33) OF TEST_SPHERE4XI -  WROTE SHOT2ZERO4XI - TIME: ", time4xi())               
                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                # 0x0y0z
                # {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'Process4Xi-8', 'radius2sphere': 1, 'time2sphere': '06:44:49 06/25/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}
                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                
                print("\n (STEP 7X/33) OF TEST_SPHERE4XI - PERFORMED THE SEVENTH TEST - SEE FILES ORIGO2ONE ... EIGHT4XI.TXT!")  
                                                                 
            except:
                # ---------------------------------------------------------------------------------------------    
                #
                # ---------------------------------------------------------------------------------------------     
                print("\n (STEP 7Y/33) OF TEST_SPHERE4XI *** FAILED IN THE SEVENTH TEST ***")                                                                                                 
        else:
            print("\n (STEP 7Z/33) OF TEST_SPHERE4XI ** SKIPPED THE SEVENTH TEST, COMMAND2SEVENTH: ", command2seventh)     
    
        # -----------------------------------------------------------------------------------------------------
        # EIGHT TRIAL OF TESTING - CAN BE SKIPPED - READS ALL SHOT FILES CREATING ONE SPHERE                          
        # -----------------------------------------------------------------------------------------------------    
   
        command2eight = False
        print("\n (STEP 8/33) OF TEST_SPHERE4XI - COMMAND2EIGHT: ", command2eight)  
        if command2eight is True:
            print('=' *33)          
            print('STARTING EIGHT TEST OF TEST_SPHERE4XI ', time4xi()) 
            print('=' *33)                 
            # 11:36:33 04/23/13 Pacific Daylight Time
            try:
                path2file      = '..\\..\\txt\\'

                # -----------------------------------------------------------------------------------------------------
                # OPEN ORIGO FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2origo4one =   'origo2one4xi.txt'
                name2origo4two =   'origo2two4xi.txt'
                name2origo4three = 'origo2three4xi.txt'
                name2origo4four =  'origo2four4xi.txt'                        
                name2origo4five =  'origo2five4xi.txt'
                name2origo4six =   'origo2six4xi.txt'
                name2origo4seven = 'origo2seven4xi.txt'
                name2origo4eight = 'origo2eight4xi.txt'  
               
                print("\n (STEP 8A0/33) OF TEST_SPHERE4XI - TRYING TO OPEN ORIGO-FILES - TIME: ", time4xi())                            
                ack2origo = True      
                try:
                    file2xi = path2file + name2origo4one
                    file2origo4one = open(file2xi)
                    print("\n (STEP 8A1A/33) OF TEST_SPHERE4XI - OPENED ORIGO-FILE: ", file2xi, " file2origo4one: ", file2origo4one, " - TIME: ", time4xi()) 
                    # ..\..\txt\origo2one4xi.txt  file2origo4one:  <_io.TextIOWrapper name='..\\..\\txt\\origo2one4xi.txt' encoding='cp1252'>  - TIME:  02:39:00 06/28/10 Pacific Daylight Time              
                except:
                    print("\n (STEP 8A1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN ORIGO-FILE - TIME: ", time4xi())
                    ack2origo = False                                    
                try:
                    file2xi = path2file + name2origo4two
                    file2origo4two = open(file2xi)
                    print("\n (STEP 8A2A/33) OF TEST_SPHERE4XI - OPENED ORIGO-FILE: ", file2xi, " file2origo4two: ", file2origo4two, " - TIME: ", time4xi()) 
                    # ..\..\txt\origo2two4xi.txt  file2origo4two:  <_io.TextIOWrapper name='..\\..\\txt\\origo2two4xi.txt' encoding='cp1252'>  - TIME:  02:39:00 06/28/10 Pacific Daylight Time                              
                except:
                    print("\n (STEP 8A2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN ORIGO-FILE - TIME: ", time4xi())
                    ack2origo = False                                         
                try:
                    file2xi = path2file + name2origo4three
                    file2origo4three = open(file2xi)
                    print("\n (STEP 8A3A/33) OF TEST_SPHERE4XI - OPENED ORIGO-FILE: ", file2xi, " file2origo4three: ", file2origo4three, " - TIME: ", time4xi()) 
                    # ..\..\txt\origo2three4xi.txt  file2origo4three:  <_io.TextIOWrapper name='..\\..\\txt\\origo2three4xi.txt' encoding='cp1252'>  - TIME:  02:39:00 06/28/10 Pacific Daylight Time                                       
                except:
                    print("\n (STEP 8A3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN ORIGO-FILE - TIME: ", time4xi())
                    ack2origo = False                                         
                try:
                    file2xi = path2file + name2origo4four
                    file2origo4four = open(file2xi)
                    print("\n (STEP 8A4A/33) OF TEST_SPHERE4XI - OPENED ORIGO-FILE: ", file2xi, " file2origo4four: ", file2origo4four, " - TIME: ", time4xi()) 
                    # ..\..\txt\origo2four4xi.txt  file2origo4four:  <_io.TextIOWrapper name='..\\..\\txt\\origo2four4xi.txt' encoding='cp1252'>  - TIME:  02:39:00 06/28/10 Pacific Daylight Time                                      
                except:
                    print("\n (STEP 8A4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN ORIGO-FILE - TIME: ", time4xi())
                    ack2origo = False                                         
                try:
                    file2xi = path2file + name2origo4five
                    file2origo4five = open(file2xi)
                    print("\n (STEP 8A5A/33) OF TEST_SPHERE4XI - OPENED ORIGO-FILE: ", file2xi, " file2origo4five: ", file2origo4five, " - TIME: ", time4xi()) 
                    # ..\..\txt\origo2five4xi.txt  file2origo4five:  <_io.TextIOWrapper name='..\\..\\txt\\origo2five4xi.txt' encoding='cp1252'>  - TIME:  02:39:00 06/28/10 Pacific Daylight Time                                         
                except:
                    print("\n (STEP 8A5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN ORIGO-FILE - TIME: ", time4xi())
                    ack2origo = False                                         
                try:
                    file2xi = path2file + name2origo4six
                    file2origo4six = open(file2xi)
                    print("\n (STEP 8A6A/33) OF TEST_SPHERE4XI - OPENED ORIGO-FILE: ", file2xi, " file2origo4six: ", file2origo4six, " - TIME: ", time4xi())  
                    # ..\..\txt\origo2six4xi.txt  file2origo4six:  <_io.TextIOWrapper name='..\\..\\txt\\origo2six4xi.txt' encoding='cp1252'>  - TIME:  02:39:00 06/28/10 Pacific Daylight Time                                     
                except:
                    print("\n (STEP 8A6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN ORIGO-FILE - TIME: ", time4xi())
                    ack2origo = False                                         
                try:
                    file2xi = path2file + name2origo4seven
                    file2origo4seven = open(file2xi)
                    print("\n (STEP 8A7A/33) OF TEST_SPHERE4XI - OPENED ORIGO-FILE: ", file2xi, " file2origo4seven: ", file2origo4seven, " - TIME: ", time4xi())
                    # ..\..\txt\origo2seven4xi.txt  file2origo4seven:  <_io.TextIOWrapper name='..\\..\\txt\\origo2seven4xi.txt' encoding='cp1252'>  - TIME:  02:39:00 06/28/10 Pacific Daylight Time                                          
                except:
                    print("\n (STEP 8A7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN ORIGO-FILE - TIME: ", time4xi())
                    ack2origo = False                                         
                try:
                    file2xi = path2file + name2origo4eight
                    file2origo4eight = open(file2xi)
                    print("\n (STEP 8A8A/33) OF TEST_SPHERE4XI - OPENED ORIGO-FILE: ", file2xi, " file2origo4eight: ", file2origo4eight, " - TIME: ", time4xi()) 
                    # ..\..\txt\origo2eight4xi.txt  file2origo4eight:  <_io.TextIOWrapper name='..\\..\\txt\\origo2eight4xi.txt' encoding='cp1252'>  - TIME:  02:39:00 06/28/10 Pacific Daylight Time                                     
                except:
                    print("\n (STEP 8A8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN ORIGO-FILE - TIME: ", time4xi())
                    ack2origo = False                                                                                                       
    
                if  ack2origo is True:
                    print("\n (STEP 8A9A/33) OF TEST_SPHERE4XI - OPENED ALL ORIGO-FILES - TIME: ", time4xi())
                else:
                    print("\n (STEP 8A9B/33) OF TEST_SPHERE4XI *** FAILED IN OPENING ORIGO-FILES - TIME: ", time4xi())

                # -----------------------------------------------------------------------------------------------------
                # OPEN THE LATEST SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one =   'shot2one4xi.txt'
                name2shot4two =   'shot2two4xi.txt'
                name2shot4three = 'shot2three4xi.txt'
                name2shot4four =  'shot2four4xi.txt'                        
                name2shot4five =  'shot2five4xi.txt'
                name2shot4six =   'shot2six4xi.txt'
                name2shot4seven = 'shot2seven4xi.txt'
                name2shot4eight = 'shot2eight4xi.txt'  
               
                print("\n (STEP 8B0/33) OF TEST_SPHERE4XI - TRYING TO OPEN SHOT-FILES - TIME: ", time4xi())                            
                # 11:36:33 04/23/13 Pacific Daylight Time
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one = open(file2xi)
                    print("\n (STEP 8B1A/33) OF TEST_SPHERE4XI - OPENED SHOT-FILE: ", file2xi, " file2shot4one: ", file2shot4one, " - TIME: ", time4xi()) 
                    # ..\..\txt\shot2one4xi.txt  file2shot4one:  <_io.TextIOWrapper name='..\\..\\txt\\shot2one4xi.txt' encoding='cp1252'>  - TIME:  03:19:09 06/28/10 Pacific Daylight Time        
                except:
                    print("\n (STEP 8B1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two = open(file2xi)
                    print("\n (STEP 8B2A/33) OF TEST_SPHERE4XI - OPENED SHOT-FILE: ", file2xi, " file2shot4two: ", file2shot4two, " - TIME: ", time4xi()) 
                    # ..\..\txt\shot2two4xi.txt  file2shot4two:  <_io.TextIOWrapper name='..\\..\\txt\\shot2two4xi.txt' encoding='cp1252'>  - TIME:  03:19:09 06/28/10 Pacific Daylight Time                  
                except:
                    print("\n (STEP 8B2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three = open(file2xi)
                    print("\n (STEP 8B3A/33) OF TEST_SPHERE4XI - OPENED SHOT-FILE: ", file2xi, " file2shot4three: ", file2shot4three, " - TIME: ", time4xi()) 
                    # ..\..\txt\shot2three4xi.txt  file2shot4three:  <_io.TextIOWrapper name='..\\..\\txt\\shot2three4xi.txt' encoding='cp1252'>  - TIME:  03:19:09 06/28/10 Pacific Daylight Time                             
                except:
                    print("\n (STEP 8B3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four = open(file2xi)
                    print("\n (STEP 8B4A/33) OF TEST_SPHERE4XI - OPENED SHOT-FILE: ", file2xi, " file2shot4four: ", file2shot4four, " - TIME: ", time4xi()) 
                    # ..\..\txt\shot2four4xi.txt  file2shot4four:  <_io.TextIOWrapper name='..\\..\\txt\\shot2four4xi.txt' encoding='cp1252'>  - TIME:  03:19:09 06/28/10 Pacific Daylight Time                        
                except:
                    print("\n (STEP 8B4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five = open(file2xi)
                    print("\n (STEP 8B5A/33) OF TEST_SPHERE4XI - OPENED SHOT-FILE: ", file2xi, " file2shot4five: ", file2shot4five, " - TIME: ", time4xi()) 
                    # ..\..\txt\shot2five4xi.txt  file2shot4five:  <_io.TextIOWrapper name='..\\..\\txt\\shot2five4xi.txt' encoding='cp1252'>  - TIME:  03:19:09 06/28/10 Pacific Daylight Time                                        
                except:
                    print("\n (STEP 8B5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six = open(file2xi)
                    print("\n (STEP 8B6A/33) OF TEST_SPHERE4XI - OPENED SHOT-FILE: ", file2xi, " file2shot4six: ", file2shot4six, " - TIME: ", time4xi())  
                    # ..\..\txt\shot2six4xi.txt  file2shot4six:  <_io.TextIOWrapper name='..\\..\\txt\\shot2six4xi.txt' encoding='cp1252'>  - TIME:  03:19:09 06/28/10 Pacific Daylight Time                               
                except:
                    print("\n (STEP 8B6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven = open(file2xi)
                    print("\n (STEP 8B7A/33) OF TEST_SPHERE4XI - OPENED SHOT-FILE: ", file2xi, " file2shot4seven: ", file2shot4seven, " - TIME: ", time4xi())
                    # ..\..\txt\shot2seven4xi.txt  file2shot4seven:  <_io.TextIOWrapper name='..\\..\\txt\\shot2seven4xi.txt' encoding='cp1252'>  - TIME:  03:19:09 06/28/10 Pacific Daylight Time                                         
                except:
                    print("\n (STEP 8B7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight = open(file2xi)
                    print("\n (STEP 8B8A/33) OF TEST_SPHERE4XI - OPENED SHOT-FILE: ", file2xi, " file2shot4eight: ", file2shot4eight, " - TIME: ", time4xi()) 
                    # ..\..\txt\shot2eight4xi.txt  file2shot4eight:  <_io.TextIOWrapper name='..\\..\\txt\\shot2eight4xi.txt' encoding='cp1252'>  - TIME:  03:19:09 06/28/10 Pacific Daylight Time                                     
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8BA/33) OF TEST_SPHERE4XI - OPENED ALL SHOT-FILES - TIME: ", time4xi())
                    # 11:36:33 04/23/13 Pacific Daylight Time
                else:
                    print("\n (STEP 8BB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING SHOT-FILES - TIME: ", time4xi())
                    

                # -----------------------------------------------------------------------------------------------------
                # OPEN 10 SHOT FILES              
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one10   =   'shot2one104xi.txt'
                name2shot4two10   =   'shot2two104xi.txt'
                name2shot4three10 = 'shot2three104xi.txt'
                name2shot4four10  =  'shot2four104xi.txt'                        
                name2shot4five10  =  'shot2five104xi.txt'
                name2shot4six10   =   'shot2six104xi.txt'
                name2shot4seven10 = 'shot2seven104xi.txt'
                name2shot4eight10 = 'shot2eight104xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 10 SHOT-FILES - TIME: ", time4xi())                             
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one10 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  10 SHOT-FILE: ", file2xi, " file2shot4one10: ", file2shot4one10, " - TIME: ", time4xi()) 
                    # ..\..\txt\shot2one4xi.txt  file2shot4one10:  <_io.TextIOWrapper name='..\\..\\txt\\shot2one4xi.txt' mode='r' encoding='cp1252'>  
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  10 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                           
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two10 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  10 SHOT-FILE: ", file2xi, " file2shot4two10: ", file2shot4two10, " - TIME: ", time4xi()) 
                    # ..\..\txt\shot2two4xi.txt  file2shot4two10:  <_io.TextIOWrapper name='..\\..\\txt\\shot2two4xi.txt' mode='r' encoding='cp1252'>         
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  10 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three10 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  10 SHOT-FILE: ", file2xi, " file2shot4three10: ", file2shot4three10, " - TIME: ", time4xi()) 
                    # ..\..\txt\shot2three4xi.txt  file2shot4three10:  <_io.TextIOWrapper name='..\\..\\txt\\shot2three4xi.txt' mode='r' encoding='cp1252'>                      
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  10 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four10 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  10 SHOT-FILE: ", file2xi, " file2shot4four10: ", file2shot4four10, " - TIME: ", time4xi()) 
                    # ..\..\txt\shot2four4xi.txt  file2shot4four10:  <_io.TextIOWrapper name='..\\..\\txt\\shot2four4xi.txt' mode='r' encoding='cp1252'>                     
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  10 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five10 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  10 SHOT-FILE: ", file2xi, " file2shot4five10: ", file2shot4five10, " - TIME: ", time4xi()) 
                    # ..\..\txt\shot2five4xi.txt  file2shot4five10:  <_io.TextIOWrapper name='..\\..\\txt\\shot2five4xi.txt' mode='r' encoding='cp1252'>                                  
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  10 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six10 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  10 SHOT-FILE: ", file2xi, " file2shot4six10: ", file2shot4six10, " - TIME: ", time4xi())  
                    # ..\..\txt\shot2six4xi.txt  file2shot4six10:  <_io.TextIOWrapper name='..\\..\\txt\\shot2six4xi.txt' mode='r' encoding='cp1252'>                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  10 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven10 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  10 SHOT-FILE: ", file2xi, " file2shot4seven10: ", file2shot4seven10, " - TIME: ", time4xi())
                    # ..\..\txt\shot2seven4xi.txt  file2shot4seven10:  <_io.TextIOWrapper name='..\\..\\txt\\shot2seven4xi.txt' mode='r' encoding='cp1252'>                                 
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  10 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight10 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  10 SHOT-FILE: ", file2xi, " file2shot4eight10: ", file2shot4eight10, " - TIME: ", time4xi()) 
                    #  ..\..\txt\shot2eight4xi.txt  file2shot4eight10:  <_io.TextIOWrapper name='..\\..\\txt\\shot2eight4xi.txt' mode='r' encoding='cp1252'>                                
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  10 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 10 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 10 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 10 SHOT-FILES - TIME: ", time4xi()) 
                    # 11:36:33 04/23/13 Pacific Daylight Time
                    
                # -----------------------------------------------------------------------------------------------------
                # OPEN 100 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one100   =   'shot2one1004xi.txt'
                name2shot4two100   =   'shot2two1004xi.txt'
                name2shot4three100 = 'shot2three1004xi.txt'
                name2shot4four100  =  'shot2four1004xi.txt'                        
                name2shot4five100  =  'shot2five1004xi.txt'
                name2shot4six100   =   'shot2six1004xi.txt'
                name2shot4seven100 = 'shot2seven1004xi.txt'
                name2shot4eight100 = 'shot2eight1004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 100 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one100 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  100 SHOT-FILE: ", file2xi, " file2shot4one100: ", file2shot4one100, " - TIME: ", time4xi()) 
                    # ..\..\txt\shot2one4xi.txt  file2shot4one100:  <_io.TextIOWrapper name='..\\..\\txt\\shot2one4xi.txt' mode='r' encoding='cp1252'>  
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two100 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  100 SHOT-FILE: ", file2xi, " file2shot4two100: ", file2shot4two100, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three100 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  100 SHOT-FILE: ", file2xi, " file2shot4three100: ", file2shot4three100, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four100 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  100 SHOT-FILE: ", file2xi, " file2shot4four100: ", file2shot4four100, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five100 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  100 SHOT-FILE: ", file2xi, " file2shot4five100: ", file2shot4five100, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six100 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  100 SHOT-FILE: ", file2xi, " file2shot4six100: ", file2shot4six100, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven100 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  100 SHOT-FILE: ", file2xi, " file2shot4seven100: ", file2shot4seven100, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight100 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  100 SHOT-FILE: ", file2xi, " file2shot4eight100: ", file2shot4eight100, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 100 SHOT-FILES - TIME: ", time4xi())
                    # 03:56:47 04/24/13 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 100 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 200 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one200   =   'shot2one2004xi.txt'
                name2shot4two200   =   'shot2two2004xi.txt'
                name2shot4three200 = 'shot2three2004xi.txt'
                name2shot4four200  =  'shot2four2004xi.txt'                        
                name2shot4five200  =  'shot2five2004xi.txt'
                name2shot4six200   =   'shot2six2004xi.txt'
                name2shot4seven200 = 'shot2seven2004xi.txt'
                name2shot4eight200 = 'shot2eight2004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 200 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one200 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  200 SHOT-FILE: ", file2xi, " file2shot4one200: ", file2shot4one200, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two200 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  200 SHOT-FILE: ", file2xi, " file2shot4two200: ", file2shot4two200, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three200 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  200 SHOT-FILE: ", file2xi, " file2shot4three200: ", file2shot4three200, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four200 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  200 SHOT-FILE: ", file2xi, " file2shot4four200: ", file2shot4four200, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five200 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  200 SHOT-FILE: ", file2xi, " file2shot4five200: ", file2shot4five200, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six200 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  200 SHOT-FILE: ", file2xi, " file2shot4six200: ", file2shot4six200, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven200 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  200 SHOT-FILE: ", file2xi, " file2shot4seven200: ", file2shot4seven200, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight200 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  200 SHOT-FILE: ", file2xi, " file2shot4eight200: ", file2shot4eight200, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 200 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 200 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 200 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 300 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one300   =   'shot2one3004xi.txt'
                name2shot4two300   =   'shot2two3004xi.txt'
                name2shot4three300 = 'shot2three3004xi.txt'
                name2shot4four300  =  'shot2four3004xi.txt'                        
                name2shot4five300  =  'shot2five3004xi.txt'
                name2shot4six300   =   'shot2six3004xi.txt'
                name2shot4seven300 = 'shot2seven3004xi.txt'
                name2shot4eight300 = 'shot2eight3004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 300 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one300 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  300 SHOT-FILE: ", file2xi, " file2shot4one300: ", file2shot4one300, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two300 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  300 SHOT-FILE: ", file2xi, " file2shot4two300: ", file2shot4two300, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three300 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  300 SHOT-FILE: ", file2xi, " file2shot4three300: ", file2shot4three300, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four300 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  300 SHOT-FILE: ", file2xi, " file2shot4four300: ", file2shot4four300, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five300 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  300 SHOT-FILE: ", file2xi, " file2shot4five300: ", file2shot4five300, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six300 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  300 SHOT-FILE: ", file2xi, " file2shot4six300: ", file2shot4six300, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven300 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  300 SHOT-FILE: ", file2xi, " file2shot4seven300: ", file2shot4seven300, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight300 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  300 SHOT-FILE: ", file2xi, " file2shot4eight300: ", file2shot4eight300, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 300 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 300 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 300 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 400 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one400   =   'shot2one4004xi.txt'
                name2shot4two400   =   'shot2two4004xi.txt'
                name2shot4three400 = 'shot2three4004xi.txt'
                name2shot4four400  =  'shot2four4004xi.txt'                        
                name2shot4five400  =  'shot2five4004xi.txt'
                name2shot4six400   =   'shot2six4004xi.txt'
                name2shot4seven400 = 'shot2seven4004xi.txt'
                name2shot4eight400 = 'shot2eight4004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 400 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one400 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  400 SHOT-FILE: ", file2xi, " file2shot4one400: ", file2shot4one400, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two400 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  400 SHOT-FILE: ", file2xi, " file2shot4two400: ", file2shot4two400, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three400 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  400 SHOT-FILE: ", file2xi, " file2shot4three400: ", file2shot4three400, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four400 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  400 SHOT-FILE: ", file2xi, " file2shot4four400: ", file2shot4four400, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five400 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  400 SHOT-FILE: ", file2xi, " file2shot4five400: ", file2shot4five400, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six400 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  400 SHOT-FILE: ", file2xi, " file2shot4six400: ", file2shot4six400, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven400 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  400 SHOT-FILE: ", file2xi, " file2shot4seven400: ", file2shot4seven400, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight400 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  400 SHOT-FILE: ", file2xi, " file2shot4eight400: ", file2shot4eight400, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 400 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 400 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 400 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 500 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one500   =   'shot2one5004xi.txt'
                name2shot4two500   =   'shot2two5004xi.txt'
                name2shot4three500 = 'shot2three5004xi.txt'
                name2shot4four500  =  'shot2four5004xi.txt'                        
                name2shot4five500  =  'shot2five5004xi.txt'
                name2shot4six500   =   'shot2six5004xi.txt'
                name2shot4seven500 = 'shot2seven5004xi.txt'
                name2shot4eight500 = 'shot2eight5004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 500 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one500 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  500 SHOT-FILE: ", file2xi, " file2shot4one500: ", file2shot4one500, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two500 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  500 SHOT-FILE: ", file2xi, " file2shot4two500: ", file2shot4two500, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three500 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  500 SHOT-FILE: ", file2xi, " file2shot4three500: ", file2shot4three500, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four500 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  500 SHOT-FILE: ", file2xi, " file2shot4four500: ", file2shot4four500, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five500 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  500 SHOT-FILE: ", file2xi, " file2shot4five500: ", file2shot4five500, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six500 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  500 SHOT-FILE: ", file2xi, " file2shot4six500: ", file2shot4six500, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven500 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  500 SHOT-FILE: ", file2xi, " file2shot4seven500: ", file2shot4seven500, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight500 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  500 SHOT-FILE: ", file2xi, " file2shot4eight500: ", file2shot4eight500, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 500 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 500 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 500 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 600 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one600   =   'shot2one6004xi.txt'
                name2shot4two600   =   'shot2two6004xi.txt'
                name2shot4three600 = 'shot2three6004xi.txt'
                name2shot4four600  =  'shot2four6004xi.txt'                        
                name2shot4five600  =  'shot2five6004xi.txt'
                name2shot4six600   =   'shot2six6004xi.txt'
                name2shot4seven600 = 'shot2seven6004xi.txt'
                name2shot4eight600 = 'shot2eight6004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 600 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one600 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  600 SHOT-FILE: ", file2xi, " file2shot4one600: ", file2shot4one600, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two600 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  600 SHOT-FILE: ", file2xi, " file2shot4two600: ", file2shot4two600, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three600 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  600 SHOT-FILE: ", file2xi, " file2shot4three600: ", file2shot4three600, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four600 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  600 SHOT-FILE: ", file2xi, " file2shot4four600: ", file2shot4four600, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five600 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  600 SHOT-FILE: ", file2xi, " file2shot4five600: ", file2shot4five600, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six600 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  600 SHOT-FILE: ", file2xi, " file2shot4six600: ", file2shot4six600, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven600 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  600 SHOT-FILE: ", file2xi, " file2shot4seven600: ", file2shot4seven600, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight600 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  600 SHOT-FILE: ", file2xi, " file2shot4eight600: ", file2shot4eight600, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 600 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 600 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 600 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 700 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one700   =   'shot2one7004xi.txt'
                name2shot4two700   =   'shot2two7004xi.txt'
                name2shot4three700 = 'shot2three7004xi.txt'
                name2shot4four700  =  'shot2four7004xi.txt'                        
                name2shot4five700  =  'shot2five7004xi.txt'
                name2shot4six700   =   'shot2six7004xi.txt'
                name2shot4seven700 = 'shot2seven7004xi.txt'
                name2shot4eight700 = 'shot2eight7004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 700 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one700 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  700 SHOT-FILE: ", file2xi, " file2shot4one700: ", file2shot4one700, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two700 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  700 SHOT-FILE: ", file2xi, " file2shot4two700: ", file2shot4two700, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three700 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  700 SHOT-FILE: ", file2xi, " file2shot4three700: ", file2shot4three700, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four700 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  700 SHOT-FILE: ", file2xi, " file2shot4four700: ", file2shot4four700, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five700 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  700 SHOT-FILE: ", file2xi, " file2shot4five700: ", file2shot4five700, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six700 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  700 SHOT-FILE: ", file2xi, " file2shot4six700: ", file2shot4six700, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven700 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  700 SHOT-FILE: ", file2xi, " file2shot4seven700: ", file2shot4seven700, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight700 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  700 SHOT-FILE: ", file2xi, " file2shot4eight700: ", file2shot4eight700, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 700 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 700 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 700 SHOT-FILES - TIME: ", time4xi()) 
                                                                                                                                                  

                # -----------------------------------------------------------------------------------------------------
                # OPEN 800 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one800   =   'shot2one8004xi.txt'
                name2shot4two800   =   'shot2two8004xi.txt'
                name2shot4three800 = 'shot2three8004xi.txt'
                name2shot4four800  =  'shot2four8004xi.txt'                        
                name2shot4five800  =  'shot2five8004xi.txt'
                name2shot4six800   =   'shot2six8004xi.txt'
                name2shot4seven800 = 'shot2seven8004xi.txt'
                name2shot4eight800 = 'shot2eight8004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 800 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one800 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  800 SHOT-FILE: ", file2xi, " file2shot4one800: ", file2shot4one800, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two800 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  800 SHOT-FILE: ", file2xi, " file2shot4two800: ", file2shot4two800, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three800 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  800 SHOT-FILE: ", file2xi, " file2shot4three800: ", file2shot4three800, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four800 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  800 SHOT-FILE: ", file2xi, " file2shot4four800: ", file2shot4four800, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five800 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  800 SHOT-FILE: ", file2xi, " file2shot4five800: ", file2shot4five800, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six800 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  800 SHOT-FILE: ", file2xi, " file2shot4six800: ", file2shot4six800, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven800 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  800 SHOT-FILE: ", file2xi, " file2shot4seven800: ", file2shot4seven800, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight800 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  800 SHOT-FILE: ", file2xi, " file2shot4eight800: ", file2shot4eight800, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 800 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 800 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 800 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 900 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one900   =   'shot2one9004xi.txt'
                name2shot4two900   =   'shot2two9004xi.txt'
                name2shot4three900 = 'shot2three9004xi.txt'
                name2shot4four900  =  'shot2four9004xi.txt'                        
                name2shot4five900  =  'shot2five9004xi.txt'
                name2shot4six900   =   'shot2six9004xi.txt'
                name2shot4seven900 = 'shot2seven9004xi.txt'
                name2shot4eight900 = 'shot2eight9004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 900 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one900 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  900 SHOT-FILE: ", file2xi, " file2shot4one900: ", file2shot4one900, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two900 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  900 SHOT-FILE: ", file2xi, " file2shot4two900: ", file2shot4two900, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three900 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  900 SHOT-FILE: ", file2xi, " file2shot4three900: ", file2shot4three900, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four900 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  900 SHOT-FILE: ", file2xi, " file2shot4four900: ", file2shot4four900, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five900 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  900 SHOT-FILE: ", file2xi, " file2shot4five900: ", file2shot4five900, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six900 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  900 SHOT-FILE: ", file2xi, " file2shot4six900: ", file2shot4six900, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven900 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  900 SHOT-FILE: ", file2xi, " file2shot4seven900: ", file2shot4seven900, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight900 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  900 SHOT-FILE: ", file2xi, " file2shot4eight900: ", file2shot4eight900, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 900 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 900 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 900 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 1000 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one1000   =   'shot2one10004xi.txt'
                name2shot4two1000   =   'shot2two10004xi.txt'
                name2shot4three1000 = 'shot2three10004xi.txt'
                name2shot4four1000  =  'shot2four10004xi.txt'                        
                name2shot4five1000  =  'shot2five10004xi.txt'
                name2shot4six1000   =   'shot2six10004xi.txt'
                name2shot4seven1000 = 'shot2seven10004xi.txt'
                name2shot4eight1000 = 'shot2eight10004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 1000 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one1000 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  1000 SHOT-FILE: ", file2xi, " file2shot4one1000: ", file2shot4one1000, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two1000 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  1000 SHOT-FILE: ", file2xi, " file2shot4two1000: ", file2shot4two1000, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three1000 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  1000 SHOT-FILE: ", file2xi, " file2shot4three1000: ", file2shot4three1000, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four1000 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  1000 SHOT-FILE: ", file2xi, " file2shot4four1000: ", file2shot4four1000, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five1000 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  1000 SHOT-FILE: ", file2xi, " file2shot4five1000: ", file2shot4five1000, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six1000 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  1000 SHOT-FILE: ", file2xi, " file2shot4six1000: ", file2shot4six1000, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven1000 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  1000 SHOT-FILE: ", file2xi, " file2shot4seven1000: ", file2shot4seven1000, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight1000 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  1000 SHOT-FILE: ", file2xi, " file2shot4eight1000: ", file2shot4eight1000, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 1000 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 1000 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 1000 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 1100 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one1100   =   'shot2one11004xi.txt'
                name2shot4two1100   =   'shot2two11004xi.txt'
                name2shot4three1100 = 'shot2three11004xi.txt'
                name2shot4four1100  =  'shot2four11004xi.txt'                        
                name2shot4five1100  =  'shot2five11004xi.txt'
                name2shot4six1100   =   'shot2six11004xi.txt'
                name2shot4seven1100 = 'shot2seven11004xi.txt'
                name2shot4eight1100 = 'shot2eight11004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 1100 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one1100 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  1100 SHOT-FILE: ", file2xi, " file2shot4one1100: ", file2shot4one1100, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two1100 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  1100 SHOT-FILE: ", file2xi, " file2shot4two1100: ", file2shot4two1100, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three1100 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  1100 SHOT-FILE: ", file2xi, " file2shot4three1100: ", file2shot4three1100, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four1100 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  1100 SHOT-FILE: ", file2xi, " file2shot4four1100: ", file2shot4four1100, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five1100 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  1100 SHOT-FILE: ", file2xi, " file2shot4five1100: ", file2shot4five1100, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six1100 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  1100 SHOT-FILE: ", file2xi, " file2shot4six1100: ", file2shot4six1100, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven1100 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  1100 SHOT-FILE: ", file2xi, " file2shot4seven1100: ", file2shot4seven1100, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight1100 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  1100 SHOT-FILE: ", file2xi, " file2shot4eight1100: ", file2shot4eight1100, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 1100 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 1100 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 1100 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 1200 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one1200   =   'shot2one12004xi.txt'
                name2shot4two1200   =   'shot2two12004xi.txt'
                name2shot4three1200 = 'shot2three12004xi.txt'
                name2shot4four1200  =  'shot2four12004xi.txt'                        
                name2shot4five1200  =  'shot2five12004xi.txt'
                name2shot4six1200   =   'shot2six12004xi.txt'
                name2shot4seven1200 = 'shot2seven12004xi.txt'
                name2shot4eight1200 = 'shot2eight12004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 1200 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one1200 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  1200 SHOT-FILE: ", file2xi, " file2shot4one1200: ", file2shot4one1200, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two1200 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  1200 SHOT-FILE: ", file2xi, " file2shot4two1200: ", file2shot4two1200, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three1200 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  1200 SHOT-FILE: ", file2xi, " file2shot4three1200: ", file2shot4three1200, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four1200 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  1200 SHOT-FILE: ", file2xi, " file2shot4four1200: ", file2shot4four1200, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five1200 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  1200 SHOT-FILE: ", file2xi, " file2shot4five1200: ", file2shot4five1200, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six1200 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  1200 SHOT-FILE: ", file2xi, " file2shot4six1200: ", file2shot4six1200, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven1200 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  1200 SHOT-FILE: ", file2xi, " file2shot4seven1200: ", file2shot4seven1200, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight1200 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  1200 SHOT-FILE: ", file2xi, " file2shot4eight1200: ", file2shot4eight1200, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 1200 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 1200 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 1200 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 1300 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one1300   =   'shot2one13004xi.txt'
                name2shot4two1300   =   'shot2two13004xi.txt'
                name2shot4three1300 = 'shot2three13004xi.txt'
                name2shot4four1300  =  'shot2four13004xi.txt'                        
                name2shot4five1300  =  'shot2five13004xi.txt'
                name2shot4six1300   =   'shot2six13004xi.txt'
                name2shot4seven1300 = 'shot2seven13004xi.txt'
                name2shot4eight1300 = 'shot2eight13004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 1300 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one1300 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  1300 SHOT-FILE: ", file2xi, " file2shot4one1300: ", file2shot4one1300, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two1300 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  1300 SHOT-FILE: ", file2xi, " file2shot4two1300: ", file2shot4two1300, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three1300 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  1300 SHOT-FILE: ", file2xi, " file2shot4three1300: ", file2shot4three1300, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four1300 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  1300 SHOT-FILE: ", file2xi, " file2shot4four1300: ", file2shot4four1300, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five1300 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  1300 SHOT-FILE: ", file2xi, " file2shot4five1300: ", file2shot4five1300, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six1300 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  1300 SHOT-FILE: ", file2xi, " file2shot4six1300: ", file2shot4six1300, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven1300 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  1300 SHOT-FILE: ", file2xi, " file2shot4seven1300: ", file2shot4seven1300, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight1300 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  1300 SHOT-FILE: ", file2xi, " file2shot4eight1300: ", file2shot4eight1300, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 1300 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 1300 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 1300 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 1400 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one1400   =   'shot2one14004xi.txt'
                name2shot4two1400   =   'shot2two14004xi.txt'
                name2shot4three1400 = 'shot2three14004xi.txt'
                name2shot4four1400  =  'shot2four14004xi.txt'                        
                name2shot4five1400  =  'shot2five14004xi.txt'
                name2shot4six1400   =   'shot2six14004xi.txt'
                name2shot4seven1400 = 'shot2seven14004xi.txt'
                name2shot4eight1400 = 'shot2eight14004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 1400 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one1400 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  1400 SHOT-FILE: ", file2xi, " file2shot4one1400: ", file2shot4one1400, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two1400 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  1400 SHOT-FILE: ", file2xi, " file2shot4two1400: ", file2shot4two1400, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three1400 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  1400 SHOT-FILE: ", file2xi, " file2shot4three1400: ", file2shot4three1400, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four1400 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  1400 SHOT-FILE: ", file2xi, " file2shot4four1400: ", file2shot4four1400, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five1400 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  1400 SHOT-FILE: ", file2xi, " file2shot4five1400: ", file2shot4five1400, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six1400 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  1400 SHOT-FILE: ", file2xi, " file2shot4six1400: ", file2shot4six1400, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven1400 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  1400 SHOT-FILE: ", file2xi, " file2shot4seven1400: ", file2shot4seven1400, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight1400 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  1400 SHOT-FILE: ", file2xi, " file2shot4eight1400: ", file2shot4eight1400, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 1400 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 1400 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 1400 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 1500 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one1500   =   'shot2one15004xi.txt'
                name2shot4two1500   =   'shot2two15004xi.txt'
                name2shot4three1500 = 'shot2three15004xi.txt'
                name2shot4four1500  =  'shot2four15004xi.txt'                        
                name2shot4five1500  =  'shot2five15004xi.txt'
                name2shot4six1500   =   'shot2six15004xi.txt'
                name2shot4seven1500 = 'shot2seven15004xi.txt'
                name2shot4eight1500 = 'shot2eight15004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 1500 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one1500 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  1500 SHOT-FILE: ", file2xi, " file2shot4one1500: ", file2shot4one1500, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two1500 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  1500 SHOT-FILE: ", file2xi, " file2shot4two1500: ", file2shot4two1500, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three1500 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  1500 SHOT-FILE: ", file2xi, " file2shot4three1500: ", file2shot4three1500, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four1500 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  1500 SHOT-FILE: ", file2xi, " file2shot4four1500: ", file2shot4four1500, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five1500 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  1500 SHOT-FILE: ", file2xi, " file2shot4five1500: ", file2shot4five1500, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six1500 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  1500 SHOT-FILE: ", file2xi, " file2shot4six1500: ", file2shot4six1500, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven1500 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  1500 SHOT-FILE: ", file2xi, " file2shot4seven1500: ", file2shot4seven1500, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight1500 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  1500 SHOT-FILE: ", file2xi, " file2shot4eight1500: ", file2shot4eight1500, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 1500 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 1500 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 1500 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 1600 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one1600   =   'shot2one16004xi.txt'
                name2shot4two1600   =   'shot2two16004xi.txt'
                name2shot4three1600 = 'shot2three16004xi.txt'
                name2shot4four1600  =  'shot2four16004xi.txt'                        
                name2shot4five1600  =  'shot2five16004xi.txt'
                name2shot4six1600   =   'shot2six16004xi.txt'
                name2shot4seven1600 = 'shot2seven16004xi.txt'
                name2shot4eight1600 = 'shot2eight16004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 1600 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one1600 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  1600 SHOT-FILE: ", file2xi, " file2shot4one1600: ", file2shot4one1600, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two1600 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  1600 SHOT-FILE: ", file2xi, " file2shot4two1600: ", file2shot4two1600, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three1600 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  1600 SHOT-FILE: ", file2xi, " file2shot4three1600: ", file2shot4three1600, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four1600 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  1600 SHOT-FILE: ", file2xi, " file2shot4four1600: ", file2shot4four1600, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five1600 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  1600 SHOT-FILE: ", file2xi, " file2shot4five1600: ", file2shot4five1600, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six1600 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  1600 SHOT-FILE: ", file2xi, " file2shot4six1600: ", file2shot4six1600, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven1600 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  1600 SHOT-FILE: ", file2xi, " file2shot4seven1600: ", file2shot4seven1600, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight1600 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  1600 SHOT-FILE: ", file2xi, " file2shot4eight1600: ", file2shot4eight1600, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 1600 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 1600 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 1600 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 1700 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one1700   =   'shot2one17004xi.txt'
                name2shot4two1700   =   'shot2two17004xi.txt'
                name2shot4three1700 = 'shot2three17004xi.txt'
                name2shot4four1700  =  'shot2four17004xi.txt'                        
                name2shot4five1700  =  'shot2five17004xi.txt'
                name2shot4six1700   =   'shot2six17004xi.txt'
                name2shot4seven1700 = 'shot2seven17004xi.txt'
                name2shot4eight1700 = 'shot2eight17004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 1700 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one1700 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  1700 SHOT-FILE: ", file2xi, " file2shot4one1700: ", file2shot4one1700, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two1700 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  1700 SHOT-FILE: ", file2xi, " file2shot4two1700: ", file2shot4two1700, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three1700 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  1700 SHOT-FILE: ", file2xi, " file2shot4three1700: ", file2shot4three1700, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four1700 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  1700 SHOT-FILE: ", file2xi, " file2shot4four1700: ", file2shot4four1700, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five1700 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  1700 SHOT-FILE: ", file2xi, " file2shot4five1700: ", file2shot4five1700, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six1700 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  1700 SHOT-FILE: ", file2xi, " file2shot4six1700: ", file2shot4six1700, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven1700 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  1700 SHOT-FILE: ", file2xi, " file2shot4seven1700: ", file2shot4seven1700, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight1700 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  1700 SHOT-FILE: ", file2xi, " file2shot4eight1700: ", file2shot4eight1700, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 1700 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 1700 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 1700 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 1800 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one1800   =   'shot2one18004xi.txt'
                name2shot4two1800   =   'shot2two18004xi.txt'
                name2shot4three1800 = 'shot2three18004xi.txt'
                name2shot4four1800  =  'shot2four18004xi.txt'                        
                name2shot4five1800  =  'shot2five18004xi.txt'
                name2shot4six1800   =   'shot2six18004xi.txt'
                name2shot4seven1800 = 'shot2seven18004xi.txt'
                name2shot4eight1800 = 'shot2eight18004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 1800 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one1800 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  1800 SHOT-FILE: ", file2xi, " file2shot4one1800: ", file2shot4one1800, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two1800 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  1800 SHOT-FILE: ", file2xi, " file2shot4two1800: ", file2shot4two1800, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three1800 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  1800 SHOT-FILE: ", file2xi, " file2shot4three1800: ", file2shot4three1800, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four1800 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  1800 SHOT-FILE: ", file2xi, " file2shot4four1800: ", file2shot4four1800, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five1800 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  1800 SHOT-FILE: ", file2xi, " file2shot4five1800: ", file2shot4five1800, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six1800 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  1800 SHOT-FILE: ", file2xi, " file2shot4six1800: ", file2shot4six1800, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven1800 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  1800 SHOT-FILE: ", file2xi, " file2shot4seven1800: ", file2shot4seven1800, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight1800 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  1800 SHOT-FILE: ", file2xi, " file2shot4eight1800: ", file2shot4eight1800, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 1800 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 1800 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 1800 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 1900 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one1900   =   'shot2one19004xi.txt'
                name2shot4two1900   =   'shot2two19004xi.txt'
                name2shot4three1900 = 'shot2three19004xi.txt'
                name2shot4four1900  =  'shot2four19004xi.txt'                        
                name2shot4five1900  =  'shot2five19004xi.txt'
                name2shot4six1900   =   'shot2six19004xi.txt'
                name2shot4seven1900 = 'shot2seven19004xi.txt'
                name2shot4eight1900 = 'shot2eight19004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 1900 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one1900 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  1900 SHOT-FILE: ", file2xi, " file2shot4one1900: ", file2shot4one1900, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two1900 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  1900 SHOT-FILE: ", file2xi, " file2shot4two1900: ", file2shot4two1900, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three1900 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  1900 SHOT-FILE: ", file2xi, " file2shot4three1900: ", file2shot4three1900, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four1900 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  1900 SHOT-FILE: ", file2xi, " file2shot4four1900: ", file2shot4four1900, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five1900 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  1900 SHOT-FILE: ", file2xi, " file2shot4five1900: ", file2shot4five1900, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six1900 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  1900 SHOT-FILE: ", file2xi, " file2shot4six1900: ", file2shot4six1900, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven1900 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  1900 SHOT-FILE: ", file2xi, " file2shot4seven1900: ", file2shot4seven1900, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight1900 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  1900 SHOT-FILE: ", file2xi, " file2shot4eight1900: ", file2shot4eight1900, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  1900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 1900 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 1900 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 1900 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 2000 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one2000   =   'shot2one20004xi.txt'
                name2shot4two2000   =   'shot2two20004xi.txt'
                name2shot4three2000 = 'shot2three20004xi.txt'
                name2shot4four2000  =  'shot2four20004xi.txt'                        
                name2shot4five2000  =  'shot2five20004xi.txt'
                name2shot4six2000   =   'shot2six20004xi.txt'
                name2shot4seven2000 = 'shot2seven20004xi.txt'
                name2shot4eight2000 = 'shot2eight20004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 2000 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one2000 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  2000 SHOT-FILE: ", file2xi, " file2shot4one2000: ", file2shot4one2000, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two2000 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  2000 SHOT-FILE: ", file2xi, " file2shot4two2000: ", file2shot4two2000, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three2000 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  2000 SHOT-FILE: ", file2xi, " file2shot4three2000: ", file2shot4three2000, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four2000 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  2000 SHOT-FILE: ", file2xi, " file2shot4four2000: ", file2shot4four2000, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five2000 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  2000 SHOT-FILE: ", file2xi, " file2shot4five2000: ", file2shot4five2000, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six2000 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  2000 SHOT-FILE: ", file2xi, " file2shot4six2000: ", file2shot4six2000, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven2000 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  2000 SHOT-FILE: ", file2xi, " file2shot4seven2000: ", file2shot4seven2000, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight2000 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  2000 SHOT-FILE: ", file2xi, " file2shot4eight2000: ", file2shot4eight2000, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 2000 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 2000 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 2000 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 2100 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one2100   =   'shot2one21004xi.txt'
                name2shot4two2100   =   'shot2two21004xi.txt'
                name2shot4three2100 = 'shot2three21004xi.txt'
                name2shot4four2100  =  'shot2four21004xi.txt'                        
                name2shot4five2100  =  'shot2five21004xi.txt'
                name2shot4six2100   =   'shot2six21004xi.txt'
                name2shot4seven2100 = 'shot2seven21004xi.txt'
                name2shot4eight2100 = 'shot2eight21004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 2100 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one2100 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  2100 SHOT-FILE: ", file2xi, " file2shot4one2100: ", file2shot4one2100, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two2100 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  2100 SHOT-FILE: ", file2xi, " file2shot4two2100: ", file2shot4two2100, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three2100 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  2100 SHOT-FILE: ", file2xi, " file2shot4three2100: ", file2shot4three2100, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four2100 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  2100 SHOT-FILE: ", file2xi, " file2shot4four2100: ", file2shot4four2100, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five2100 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  2100 SHOT-FILE: ", file2xi, " file2shot4five2100: ", file2shot4five2100, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six2100 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  2100 SHOT-FILE: ", file2xi, " file2shot4six2100: ", file2shot4six2100, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven2100 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  2100 SHOT-FILE: ", file2xi, " file2shot4seven2100: ", file2shot4seven2100, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight2100 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  2100 SHOT-FILE: ", file2xi, " file2shot4eight2100: ", file2shot4eight2100, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 2100 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 2100 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 2100 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 2200 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one2200   =   'shot2one22004xi.txt'
                name2shot4two2200   =   'shot2two22004xi.txt'
                name2shot4three2200 = 'shot2three22004xi.txt'
                name2shot4four2200  =  'shot2four22004xi.txt'                        
                name2shot4five2200  =  'shot2five22004xi.txt'
                name2shot4six2200   =   'shot2six22004xi.txt'
                name2shot4seven2200 = 'shot2seven22004xi.txt'
                name2shot4eight2200 = 'shot2eight22004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 2200 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one2200 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  2200 SHOT-FILE: ", file2xi, " file2shot4one2200: ", file2shot4one2200, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two2200 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  2200 SHOT-FILE: ", file2xi, " file2shot4two2200: ", file2shot4two2200, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three2200 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  2200 SHOT-FILE: ", file2xi, " file2shot4three2200: ", file2shot4three2200, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four2200 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  2200 SHOT-FILE: ", file2xi, " file2shot4four2200: ", file2shot4four2200, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five2200 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  2200 SHOT-FILE: ", file2xi, " file2shot4five2200: ", file2shot4five2200, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six2200 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  2200 SHOT-FILE: ", file2xi, " file2shot4six2200: ", file2shot4six2200, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven2200 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  2200 SHOT-FILE: ", file2xi, " file2shot4seven2200: ", file2shot4seven2200, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight2200 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  2200 SHOT-FILE: ", file2xi, " file2shot4eight2200: ", file2shot4eight2200, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 2200 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 2200 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 2200 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 2300 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one2300   =   'shot2one23004xi.txt'
                name2shot4two2300   =   'shot2two23004xi.txt'
                name2shot4three2300 = 'shot2three23004xi.txt'
                name2shot4four2300  =  'shot2four23004xi.txt'                        
                name2shot4five2300  =  'shot2five23004xi.txt'
                name2shot4six2300   =   'shot2six23004xi.txt'
                name2shot4seven2300 = 'shot2seven23004xi.txt'
                name2shot4eight2300 = 'shot2eight23004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 2300 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one2300 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  2300 SHOT-FILE: ", file2xi, " file2shot4one2300: ", file2shot4one2300, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two2300 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  2300 SHOT-FILE: ", file2xi, " file2shot4two2300: ", file2shot4two2300, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three2300 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  2300 SHOT-FILE: ", file2xi, " file2shot4three2300: ", file2shot4three2300, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four2300 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  2300 SHOT-FILE: ", file2xi, " file2shot4four2300: ", file2shot4four2300, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five2300 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  2300 SHOT-FILE: ", file2xi, " file2shot4five2300: ", file2shot4five2300, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six2300 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  2300 SHOT-FILE: ", file2xi, " file2shot4six2300: ", file2shot4six2300, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven2300 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  2300 SHOT-FILE: ", file2xi, " file2shot4seven2300: ", file2shot4seven2300, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight2300 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  2300 SHOT-FILE: ", file2xi, " file2shot4eight2300: ", file2shot4eight2300, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 2300 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 2300 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 2300 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 2400 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one2400   =   'shot2one24004xi.txt'
                name2shot4two2400   =   'shot2two24004xi.txt'
                name2shot4three2400 = 'shot2three24004xi.txt'
                name2shot4four2400  =  'shot2four24004xi.txt'                        
                name2shot4five2400  =  'shot2five24004xi.txt'
                name2shot4six2400   =   'shot2six24004xi.txt'
                name2shot4seven2400 = 'shot2seven24004xi.txt'
                name2shot4eight2400 = 'shot2eight24004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 2400 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one2400 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  2400 SHOT-FILE: ", file2xi, " file2shot4one2400: ", file2shot4one2400, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two2400 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  2400 SHOT-FILE: ", file2xi, " file2shot4two2400: ", file2shot4two2400, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three2400 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  2400 SHOT-FILE: ", file2xi, " file2shot4three2400: ", file2shot4three2400, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four2400 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  2400 SHOT-FILE: ", file2xi, " file2shot4four2400: ", file2shot4four2400, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five2400 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  2400 SHOT-FILE: ", file2xi, " file2shot4five2400: ", file2shot4five2400, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six2400 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  2400 SHOT-FILE: ", file2xi, " file2shot4six2400: ", file2shot4six2400, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven2400 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  2400 SHOT-FILE: ", file2xi, " file2shot4seven2400: ", file2shot4seven2400, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight2400 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  2400 SHOT-FILE: ", file2xi, " file2shot4eight2400: ", file2shot4eight2400, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2400 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 2400 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 2400 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 2400 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 2500 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one2500   =   'shot2one25004xi.txt'
                name2shot4two2500   =   'shot2two25004xi.txt'
                name2shot4three2500 = 'shot2three25004xi.txt'
                name2shot4four2500  =  'shot2four25004xi.txt'                        
                name2shot4five2500  =  'shot2five25004xi.txt'
                name2shot4six2500   =   'shot2six25004xi.txt'
                name2shot4seven2500 = 'shot2seven25004xi.txt'
                name2shot4eight2500 = 'shot2eight25004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 2500 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one2500 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  2500 SHOT-FILE: ", file2xi, " file2shot4one2500: ", file2shot4one2500, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two2500 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  2500 SHOT-FILE: ", file2xi, " file2shot4two2500: ", file2shot4two2500, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three2500 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  2500 SHOT-FILE: ", file2xi, " file2shot4three2500: ", file2shot4three2500, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four2500 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  2500 SHOT-FILE: ", file2xi, " file2shot4four2500: ", file2shot4four2500, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five2500 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  2500 SHOT-FILE: ", file2xi, " file2shot4five2500: ", file2shot4five2500, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six2500 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  2500 SHOT-FILE: ", file2xi, " file2shot4six2500: ", file2shot4six2500, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven2500 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  2500 SHOT-FILE: ", file2xi, " file2shot4seven2500: ", file2shot4seven2500, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight2500 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  2500 SHOT-FILE: ", file2xi, " file2shot4eight2500: ", file2shot4eight2500, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2500 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 2500 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 2500 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 2500 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 2600 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one2600   =   'shot2one26004xi.txt'
                name2shot4two2600   =   'shot2two26004xi.txt'
                name2shot4three2600 = 'shot2three26004xi.txt'
                name2shot4four2600  =  'shot2four26004xi.txt'                        
                name2shot4five2600  =  'shot2five26004xi.txt'
                name2shot4six2600   =   'shot2six26004xi.txt'
                name2shot4seven2600 = 'shot2seven26004xi.txt'
                name2shot4eight2600 = 'shot2eight26004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 2600 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one2600 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  2600 SHOT-FILE: ", file2xi, " file2shot4one2600: ", file2shot4one2600, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two2600 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  2600 SHOT-FILE: ", file2xi, " file2shot4two2600: ", file2shot4two2600, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three2600 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  2600 SHOT-FILE: ", file2xi, " file2shot4three2600: ", file2shot4three2600, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four2600 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  2600 SHOT-FILE: ", file2xi, " file2shot4four2600: ", file2shot4four2600, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five2600 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  2600 SHOT-FILE: ", file2xi, " file2shot4five2600: ", file2shot4five2600, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six2600 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  2600 SHOT-FILE: ", file2xi, " file2shot4six2600: ", file2shot4six2600, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven2600 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  2600 SHOT-FILE: ", file2xi, " file2shot4seven2600: ", file2shot4seven2600, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight2600 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  2600 SHOT-FILE: ", file2xi, " file2shot4eight2600: ", file2shot4eight2600, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2600 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 2600 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 2600 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 2600 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 2700 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one2700   =   'shot2one27004xi.txt'
                name2shot4two2700   =   'shot2two27004xi.txt'
                name2shot4three2700 = 'shot2three27004xi.txt'
                name2shot4four2700  =  'shot2four27004xi.txt'                        
                name2shot4five2700  =  'shot2five27004xi.txt'
                name2shot4six2700   =   'shot2six27004xi.txt'
                name2shot4seven2700 = 'shot2seven27004xi.txt'
                name2shot4eight2700 = 'shot2eight27004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 2700 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one2700 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  2700 SHOT-FILE: ", file2xi, " file2shot4one2700: ", file2shot4one2700, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two2700 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  2700 SHOT-FILE: ", file2xi, " file2shot4two2700: ", file2shot4two2700, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three2700 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  2700 SHOT-FILE: ", file2xi, " file2shot4three2700: ", file2shot4three2700, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four2700 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  2700 SHOT-FILE: ", file2xi, " file2shot4four2700: ", file2shot4four2700, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five2700 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  2700 SHOT-FILE: ", file2xi, " file2shot4five2700: ", file2shot4five2700, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six2700 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  2700 SHOT-FILE: ", file2xi, " file2shot4six2700: ", file2shot4six2700, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven2700 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  2700 SHOT-FILE: ", file2xi, " file2shot4seven2700: ", file2shot4seven2700, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight2700 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  2700 SHOT-FILE: ", file2xi, " file2shot4eight2700: ", file2shot4eight2700, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2700 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 2700 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 2700 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 2700 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 2800 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one2800   =   'shot2one28004xi.txt'
                name2shot4two2800   =   'shot2two28004xi.txt'
                name2shot4three2800 = 'shot2three28004xi.txt'
                name2shot4four2800  =  'shot2four28004xi.txt'                        
                name2shot4five2800  =  'shot2five28004xi.txt'
                name2shot4six2800   =   'shot2six28004xi.txt'
                name2shot4seven2800 = 'shot2seven28004xi.txt'
                name2shot4eight2800 = 'shot2eight28004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 2800 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one2800 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  2800 SHOT-FILE: ", file2xi, " file2shot4one2800: ", file2shot4one2800, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two2800 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  2800 SHOT-FILE: ", file2xi, " file2shot4two2800: ", file2shot4two2800, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three2800 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  2800 SHOT-FILE: ", file2xi, " file2shot4three2800: ", file2shot4three2800, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four2800 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  2800 SHOT-FILE: ", file2xi, " file2shot4four2800: ", file2shot4four2800, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five2800 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  2800 SHOT-FILE: ", file2xi, " file2shot4five2800: ", file2shot4five2800, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six2800 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  2800 SHOT-FILE: ", file2xi, " file2shot4six2800: ", file2shot4six2800, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven2800 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  2800 SHOT-FILE: ", file2xi, " file2shot4seven2800: ", file2shot4seven2800, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight2800 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  2800 SHOT-FILE: ", file2xi, " file2shot4eight2800: ", file2shot4eight2800, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2800 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 2800 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 2800 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 2800 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 2900 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one2900   =   'shot2one29004xi.txt'
                name2shot4two2900   =   'shot2two29004xi.txt'
                name2shot4three2900 = 'shot2three29004xi.txt'
                name2shot4four2900  =  'shot2four29004xi.txt'                        
                name2shot4five2900  =  'shot2five29004xi.txt'
                name2shot4six2900   =   'shot2six29004xi.txt'
                name2shot4seven2900 = 'shot2seven29004xi.txt'
                name2shot4eight2900 = 'shot2eight29004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 2900 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one2900 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  2900 SHOT-FILE: ", file2xi, " file2shot4one2900: ", file2shot4one2900, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two2900 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  2900 SHOT-FILE: ", file2xi, " file2shot4two2900: ", file2shot4two2900, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three2900 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  2900 SHOT-FILE: ", file2xi, " file2shot4three2900: ", file2shot4three2900, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four2900 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  2900 SHOT-FILE: ", file2xi, " file2shot4four2900: ", file2shot4four2900, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five2900 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  2900 SHOT-FILE: ", file2xi, " file2shot4five2900: ", file2shot4five2900, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six2900 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  2900 SHOT-FILE: ", file2xi, " file2shot4six2900: ", file2shot4six2900, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven2900 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  2900 SHOT-FILE: ", file2xi, " file2shot4seven2900: ", file2shot4seven2900, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight2900 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  2900 SHOT-FILE: ", file2xi, " file2shot4eight2900: ", file2shot4eight2900, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  2900 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 2900 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 2900 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 2900 SHOT-FILES - TIME: ", time4xi()) 
                          
                # -----------------------------------------------------------------------------------------------------
                # OPEN 3000 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one3000   =   'shot2one30004xi.txt'
                name2shot4two3000   =   'shot2two30004xi.txt'
                name2shot4three3000 = 'shot2three30004xi.txt'
                name2shot4four3000  =  'shot2four30004xi.txt'                        
                name2shot4five3000  =  'shot2five30004xi.txt'
                name2shot4six3000   =   'shot2six30004xi.txt'
                name2shot4seven3000 = 'shot2seven30004xi.txt'
                name2shot4eight3000 = 'shot2eight30004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 3000 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one3000 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  3000 SHOT-FILE: ", file2xi, " file2shot4one3000: ", file2shot4one3000, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two3000 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  3000 SHOT-FILE: ", file2xi, " file2shot4two3000: ", file2shot4two3000, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three3000 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  3000 SHOT-FILE: ", file2xi, " file2shot4three3000: ", file2shot4three3000, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four3000 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  3000 SHOT-FILE: ", file2xi, " file2shot4four3000: ", file2shot4four3000, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five3000 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  3000 SHOT-FILE: ", file2xi, " file2shot4five3000: ", file2shot4five3000, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six3000 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  3000 SHOT-FILE: ", file2xi, " file2shot4six3000: ", file2shot4six3000, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven3000 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  3000 SHOT-FILE: ", file2xi, " file2shot4seven3000: ", file2shot4seven3000, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight3000 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  3000 SHOT-FILE: ", file2xi, " file2shot4eight3000: ", file2shot4eight3000, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3000 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 3000 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 3000 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 3000 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 3100 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one3100   =   'shot2one31004xi.txt'
                name2shot4two3100   =   'shot2two31004xi.txt'
                name2shot4three3100 = 'shot2three31004xi.txt'
                name2shot4four3100  =  'shot2four31004xi.txt'                        
                name2shot4five3100  =  'shot2five31004xi.txt'
                name2shot4six3100   =   'shot2six31004xi.txt'
                name2shot4seven3100 = 'shot2seven31004xi.txt'
                name2shot4eight3100 = 'shot2eight31004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 3100 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one3100 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  3100 SHOT-FILE: ", file2xi, " file2shot4one3100: ", file2shot4one3100, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two3100 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  3100 SHOT-FILE: ", file2xi, " file2shot4two3100: ", file2shot4two3100, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three3100 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  3100 SHOT-FILE: ", file2xi, " file2shot4three3100: ", file2shot4three3100, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four3100 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  3100 SHOT-FILE: ", file2xi, " file2shot4four3100: ", file2shot4four3100, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five3100 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  3100 SHOT-FILE: ", file2xi, " file2shot4five3100: ", file2shot4five3100, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six3100 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  3100 SHOT-FILE: ", file2xi, " file2shot4six3100: ", file2shot4six3100, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven3100 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  3100 SHOT-FILE: ", file2xi, " file2shot4seven3100: ", file2shot4seven3100, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight3100 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  3100 SHOT-FILE: ", file2xi, " file2shot4eight3100: ", file2shot4eight3100, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3100 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 3100 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 3100 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 3100 SHOT-FILES - TIME: ", time4xi()) 
                                              

                # -----------------------------------------------------------------------------------------------------
                # OPEN 3200 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one3200   =   'shot2one32004xi.txt'
                name2shot4two3200   =   'shot2two32004xi.txt'
                name2shot4three3200 = 'shot2three32004xi.txt'
                name2shot4four3200  =  'shot2four32004xi.txt'                        
                name2shot4five3200  =  'shot2five32004xi.txt'
                name2shot4six3200   =   'shot2six32004xi.txt'
                name2shot4seven3200 = 'shot2seven32004xi.txt'
                name2shot4eight3200 = 'shot2eight32004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 3200 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one3200 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  3200 SHOT-FILE: ", file2xi, " file2shot4one3200: ", file2shot4one3200, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two3200 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  3200 SHOT-FILE: ", file2xi, " file2shot4two3200: ", file2shot4two3200, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three3200 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  3200 SHOT-FILE: ", file2xi, " file2shot4three3200: ", file2shot4three3200, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four3200 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  3200 SHOT-FILE: ", file2xi, " file2shot4four3200: ", file2shot4four3200, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five3200 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  3200 SHOT-FILE: ", file2xi, " file2shot4five3200: ", file2shot4five3200, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six3200 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  3200 SHOT-FILE: ", file2xi, " file2shot4six3200: ", file2shot4six3200, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven3200 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  3200 SHOT-FILE: ", file2xi, " file2shot4seven3200: ", file2shot4seven3200, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight3200 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  3200 SHOT-FILE: ", file2xi, " file2shot4eight3200: ", file2shot4eight3200, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3200 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 3200 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 3200 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 3200 SHOT-FILES - TIME: ", time4xi()) 
                          

                # -----------------------------------------------------------------------------------------------------
                # OPEN 3300 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
                
                name2shot4one3300   =   'shot2one33004xi.txt'
                name2shot4two3300   =   'shot2two33004xi.txt'
                name2shot4three3300 = 'shot2three33004xi.txt'
                name2shot4four3300  =  'shot2four33004xi.txt'                        
                name2shot4five3300  =  'shot2five33004xi.txt'
                name2shot4six3300   =   'shot2six33004xi.txt'
                name2shot4seven3300 = 'shot2seven33004xi.txt'
                name2shot4eight3300 = 'shot2eight33004xi.txt'  
               
                print("\n (STEP 8C0/33) OF TEST_SPHERE4XI - TRYING TO OPEN 3300 SHOT-FILES - TIME: ", time4xi())                            
                ack2shot = True      
                try:
                    file2xi = path2file + name2shot4one
                    file2shot4one3300 = open(file2xi)
                    print("\n (STEP 8C1A/33) OF TEST_SPHERE4XI - OPENED  3300 SHOT-FILE: ", file2xi, " file2shot4one3300: ", file2shot4one3300, " - TIME: ", time4xi()) 
                    #   
                except:
                    print("\n (STEP 8C1B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                    
                try:
                    file2xi = path2file + name2shot4two
                    file2shot4two3300 = open(file2xi)
                    print("\n (STEP 8C2A/33) OF TEST_SPHERE4XI - OPENED  3300 SHOT-FILE: ", file2xi, " file2shot4two3300: ", file2shot4two3300, " - TIME: ", time4xi()) 
                    #          
                except:
                    print("\n (STEP 8C2B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4three
                    file2shot4three3300 = open(file2xi)
                    print("\n (STEP 8C3A/33) OF TEST_SPHERE4XI - OPENED  3300 SHOT-FILE: ", file2xi, " file2shot4three3300: ", file2shot4three3300, " - TIME: ", time4xi()) 
                    #                       
                except:
                    print("\n (STEP 8C3B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4four
                    file2shot4four3300 = open(file2xi)
                    print("\n (STEP 8C4A/33) OF TEST_SPHERE4XI - OPENED  3300 SHOT-FILE: ", file2xi, " file2shot4four3300: ", file2shot4four3300, " - TIME: ", time4xi()) 
                    #                      
                except:
                    print("\n (STEP 8C4B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4five
                    file2shot4five3300 = open(file2xi)
                    print("\n (STEP 8C5A/33) OF TEST_SPHERE4XI - OPENED  3300 SHOT-FILE: ", file2xi, " file2shot4five3300: ", file2shot4five3300, " - TIME: ", time4xi()) 
                    #                                   
                except:
                    print("\n (STEP 8C5B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4six
                    file2shot4six3300 = open(file2xi)
                    print("\n (STEP 8C6A/33) OF TEST_SPHERE4XI - OPENED  3300 SHOT-FILE: ", file2xi, " file2shot4six3300: ", file2shot4six3300, " - TIME: ", time4xi())  
                    #                               
                except:
                    print("\n (STEP 8C6B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4seven
                    file2shot4seven3300 = open(file2xi)
                    print("\n (STEP 8C7A/33) OF TEST_SPHERE4XI - OPENED  3300 SHOT-FILE: ", file2xi, " file2shot4seven3300: ", file2shot4seven3300, " - TIME: ", time4xi())
                    #                                  
                except:
                    print("\n (STEP 8C7B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                         
                try:
                    file2xi = path2file + name2shot4eight
                    file2shot4eight3300 = open(file2xi)
                    print("\n (STEP 8C8A/33) OF TEST_SPHERE4XI - OPENED  3300 SHOT-FILE: ", file2xi, " file2shot4eight3300: ", file2shot4eight3300, " - TIME: ", time4xi()) 
                    #                                 
                except:
                    print("\n (STEP 8B8B/33) OF TEST_SPHERE4XI *** FAILED TO OPEN  3300 SHOT-FILE - TIME: ", time4xi())
                    ack2shot = False                                                                                                       
    
                if  ack2shot is True: 
                    print("\n (STEP 8CA/33) OF TEST_SPHERE4XI - OPENED ALL 3300 SHOT-FILES - TIME: ", time4xi())
                    # OPENED ALL 3300 SHOT-FILES - TIME:  04:09:51 06/28/10 Pacific Daylight Time 
                else:
                    print("\n (STEP 8CB/33) OF TEST_SPHERE4XI *** FAILED IN OPENING 3300 SHOT-FILES - TIME: ", time4xi()) 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                # ----------------------------------------------------------------------------------------------------------
                # CREATE SPHERE4XI                           
                # ----------------------------------------------------------------------------------------------------------    
                sphere2all4xi = {}
                dictionary2line = {}
                right2find  = 'Copyright Small & Smart'
                dictionary2find = '{'
                origo2find = '0x0y0z'
                x2find = 'x'
                y2find = 'y'
                z2find = 'z'
                linefeed2find = '\n'
                # ---------------------------------------------------------------------------------------------------------
                # ORIGO                           
                # ---------------------------------------------------------------------------------------------------------                    
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE ORIGO TO SPHERE2ALL4XI: ", sphere2all4xi, " - TIME: ", time4xi()) 
                # 03:56:47 04/24/13 Pacific Daylight Time
                try:
                
                    # -----------------------------------------------------------------------------------------------------
                    # ORIGO TO SPHERE2ALL4XI                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2origo4one                                       # any of generated eight origos is ok                 
                    dictionary2xi = {}
                    key2dictionary = '0x0y0z'
                    
                    count2lines = 0
                    count2origo = 0
                    count2copyright = 0
                    count2dictionary = 0
          
                    # -----------------------------------------------------------------------------------------------------
                    #                  
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2origo = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE                 
                            # ---------------------------------------------------------------------------------------------                          
                            print("\n (STEP 8D1/33) OF TEST_SPHERE4XI - LINE: ", line2read, " - TIME: ", time4xi())
                            # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            # 0x0y0z
                            
                            count2lines = count2lines + 1
                            index2find = str.find(line2read,right2find)              # copyright ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,origo2find)      # key ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8D2/33) OF TEST_SPHERE4XI ** YIELDED ORIGO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        # ---------------------------------------------------------------------------------
                                        # KEY                  
                                        # ---------------------------------------------------------------------------------                                  
                                        index2linefeed = str.find(line2read,linefeed2find) 
                                        key2dictionary =  line2read[0:index2linefeed]     
                                        print("\n (STEP 8D3/33) OF TEST_SPHERE4XI - KEY2DICTIONARY: ", key2dictionary) 
                                        # 0x0y0z
                                        count2origo = count2origo + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY                 
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize' ....  
                                    
                                    print("\n (STEP 8D4/33) OF TEST_SPHERE4XI - DICTIONARY2LINE: ", dictionary2line)
                                    # {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'Process4Xi-1', 'radius2sphere': 1, 'time2sphere': '06:24:18 06/28/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}

                                     
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    
                                    sphere2all4xi[key2dictionary] = dictionary2line  # {'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize' .... 
                                    print("\n (STEP 8D5/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI: ", sphere2all4xi) 
                                    # {'0x0y0z': "{'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'Process4Xi-1', 'radius2sphere': 1, 'time2sphere': '06:24:18 06/28/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}"}
 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT                 
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8D6/33) OF TEST_SPHERE4XI - COPYRIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                                 

                                                               
                    # -----------------------------------------------------------------------------------------------------
                    # ORIGO CHECK                 
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2origo = True
                                                                                                                          
                    print("\n (STEP 8E4A1/33) OF TEST_SPHERE4XI - COUNT2LINES: ", count2lines, " - TIME: ", time4xi())
                    # COUNT2LINES:  4  - TIME:  06:24:18 06/28/10 Pacific Daylight Time
                    if count2copyright == 2:
                        print("\n (STEP 8E4A2/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT: ", count2copyright, " - TIME: ", time4xi())
                        # ACCEPTED ORIGO COUNT:  1  - TIME:  06:24:18 06/28/10 Pacific Daylight Time
                    else:
                        print("\n (STEP 8E4A3/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT: ", count2copyright, " - TIME: ", time4xi())
                        ack2origo = False                        
                    if count2origo == 1:
                        print("\n (STEP 8F5A/33) OF TEST_SPHERE4XI - ACCEPTED ORIGO COUNT: ", count2origo, " - TIME: ", time4xi())
                        # ACCEPTED ORIGO COUNT:  1  - TIME:  06:24:18 06/28/10 Pacific Daylight Time
                    else:
                        print("\n (STEP 8F5B/33) OF TEST_SPHERE4XI ** YIELDED ORIGO COUNT: ", count2origo, " - TIME: ", time4xi())
                        ack2origo = False                                  
                    if count2dictionary == 1:
                        print("\n (STEP 8G5A/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT: ", count2dictionary, " - TIME: ", time4xi())
                        # ACCEPTED DICTIONARY COUNT:  1  - TIME:  06:24:18 06/28/10 Pacific Daylight Time
                    else:
                        print("\n (STEP 8G5B/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2origo = False                                     
                    
                    if ack2origo is True:       
                        print("\n (STEP 8GA/33) OF TEST_SPHERE4XI - CREATED ORIGO TO SPHERE2ALL4XI: ", sphere2all4xi, " - TIME: ", time4xi())
                        # {'0x0y0z': "{'x2sphere': 0, 'color2sphere': '#F5E8E8', 'verb2sphere': 'skeletonize', 'area2sphere': 12.566370614359172, 
                        #              'volume2sphere': 4.1887902047863905, 'z2sphere': 0, 'message2sphere': 'Process4Xi-1', 'radius2sphere': 1,
                        #              'time2sphere': '06:24:18 06/28/10 Pacific Daylight Time', 'id2sphere': '0x0y0z', 'y2sphere': 0}"}
                        #  - TIME:  06:24:18 06/28/10 Pacific Daylight Time

                    else:
                        print("\n (STEP 8GB/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING ORIGO TO SPHERE2ALL4XI: ", sphere2all4xi, " - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # ORIGO END                 
                    # ----------------------------------------------------------------------------------------------------- 
                                        
                except:
                    print("\n (STEP 8GB/33) OF TEST_SPHERE4XI *** FAILED TO CREATE ORIGO TO SPHERE2ALL4XI: ", sphere2all4xi, " - TIME: ", time4xi())
                

                                                                    
                # =========================================================================================================
                # TENS START                           
                # =========================================================================================================                
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE TENS TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 03:56:47 04/24/13 Pacific Daylight Time
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE2TEN                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one10                                      # file of ONE2TEN                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE2TEN
                    count2lines4one10 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE2TEN                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE2TEN
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE2TEN
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE2TEN                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one10 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF TEN2ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 0x0y19z ....
                            count2lines4one10 = count2lines4one10 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE2TEN ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE2TEN ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE2TEN ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF TEN2ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF TEN2ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF TEN2ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE2TEN                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one10 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF TEN2ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE2TEN                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF TEN2ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one10 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # [ 0x0y19z ]:  {'time2shot': '01:29:41 06/28/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 2.9437299122789504, 'message2shot': 'Process4Xi-1', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 502, 'y2shot': 0, 'distance2shot': 20, 'z2shot': 19, 'elevation2shot': 0.050174299880914236, 'color2shot': '#F3881C'}
                                        # [ 0x0y39z ]:  {'time2shot': '01:29:41 06/28/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 2.1761346597061504, 'message2shot': 'Process4Xi-1', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 2010, 'y2shot': 0, 'distance2shot': 40, 'z2shot': 39, 'elevation2shot': 0.02184282177571538, 'color2shot': '#F3881C'}
                                        # ...
                                        # [ 9x27y27z ]:  {'time2shot': '01:29:41 06/28/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 9, 'azimuth2shot': 1.2217293070254318, 'message2shot': 'Process4Xi-1', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 2010, 'y2shot': 27, 'distance2shot': 40, 'z2shot': 27, 'elevation2shot': 0.8101742998809148, 'color2shot': '#F3881C'}

                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE2TEN                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF TEN2ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE2TEN                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF TEN2ONE: ", count2lines4one10, " - TIME: ", time4xi())
                    # COUNT2LINES OF TEN2ONE:  164  - TIME:  08:07:50 06/28/10 Pacific Daylight Time
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF TEN2ONE: ", count2copyright, " - TIME: ", time4xi())
                        # ACCEPTED COPYRIGHT COUNT OF TEN2ONE:  2  - TIME:  08:07:50 06/28/10 Pacific Daylight Time 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF TEN2ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED TEN2ONE COUNT OF TEN2ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # ACCEPTED TEN2ONE COUNT OF TEN2ONE:  81  - TIME:  08:07:50 06/28/10 Pacific Daylight Time 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED TEN2ONE COUNT OF TEN2ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF TEN2ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # ACCEPTED DICTIONARY COUNT OF TEN2ONE:  81  - TIME:  08:07:50 06/28/10 Pacific Daylight Time 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF TEN2ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED TEN2ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # { '6x49y33z': "{'time2shot': '01:29:41 06/28/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 6, 'azimuth2shot': 1.4491497571976444, 'message2shot': 'Process4Xi-1', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 4523, 'y2shot': 49, 'distance2shot': 60, 'z2shot': 33, 'elevation2shot': 0.971842821775716, 'color2shot': '#F3881C'}", 
                        #  '36x56y42z': "{'time2shot': '01:29:41 06/28/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 36, 'azimuth2shot': 0.996436639552974, 'message2shot': 'Process4Xi-1', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 8042, 'y2shot': 56, 'distance2shot': 80, 'z2shot': 42, 'elevation2shot': 1.0101215495133047, 'color2shot': '#F3881C'}", 
                        #   '0x50y32z': "{'time2shot': '01:29:41 06/28/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 1.5538695123173043, 'message2shot': 'Process4Xi-1', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 4523, 'y2shot': 50, 'distance2shot': 60, 'z2shot': 32, 'elevation2shot': 0.991842821775716, 'color2shot': '#F3881C'}", 
                        # ...
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING TEN2ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE2TEN                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE2TEN                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE TEN2ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------
                    # count2lines4one10
                    # one
                    # ONE
                    # - END OF STOPPERS FOR EDITOR 
                    # -----------------------------------------------------------------------------------------------------
                        
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO2TEN                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two10                                      # file of TWO2TEN                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO2TEN
                    count2lines4two10 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO2TEN                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO2TEN
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO2TEN
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO2TEN                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two10 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF TEN2TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4two10 = count2lines4two10 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO2TEN ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO2TEN ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO2TEN ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF TEN2TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF TEN2TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF TEN2TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO2TEN                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two10 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF TEN2TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO2TEN                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF TEN2TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two10 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # SPHERE2ALL4XI[ 0x-27y-41z ]:  {'time2shot': '08:39:07 06/28/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 4.683415333737278, 'message2shot': 'Process4Xi-2', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 3141, 'y2shot': -27, 'distance2shot': 50, 'z2shot': -41, 'elevation2shot': 2.5601742998809036, 'color2shot': '#F3881C'}
  
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO2TEN                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF TEN2TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO2TEN                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF TEN2TWO: ", count2lines4two10, " - TIME: ", time4xi())
                    # COUNT2LINES OF TEN2TWO:  214  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF TEN2TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF TEN2TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED TEN2TWO COUNT OF TEN2TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # ACCEPTED TEN2TWO COUNT OF TEN2TWO:  106  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED TEN2TWO COUNT OF TEN2TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF TEN2TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF TEN2TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED TEN2TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING TEN2TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO2TEN                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO2TEN                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE TEN2TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE2TEN                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three10                                   # file of THREE2TEN                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE2TEN
                    count2lines4three10 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE2TEN                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE2TEN
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE2TEN
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE2TEN                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three10 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF TEN2THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4three10 = count2lines4three10 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE2TEN ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE2TEN ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE2TEN ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF TEN2THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF TEN2THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF TEN2THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE2TEN                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three10 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF TEN2THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE2TEN                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF TEN2THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three10 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # SPHERE2ALL4XI[ 0x0y-39z ]:  {'time2shot': '08:39:08 06/28/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 2.780833097202564, 'message2shot': 'Process4Xi-3', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 2010, 'y2shot': 0, 'distance2shot': 40, 'z2shot': -39, 'elevation2shot': 3.133598775598276, 'color2shot': '#F3881C'}
 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE2TEN                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF TEN2THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE2TEN                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF TEN2THREE: ", count2lines4three10, " - TIME: ", time4xi())
                    # COUNT2LINES OF TEN2THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF TEN2THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF TEN2THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED TEN2THREE COUNT OF TEN2THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED TEN2THREE COUNT OF TEN2THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF TEN2THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # ACCEPTED DICTIONARY COUNT OF TEN2THREE:  83  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF TEN2THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED TEN2THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING TEN2THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE2TEN                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE2TEN                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE TEN2THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR2TEN                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four10                                     # file of FOUR2TEN                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR2TEN
                    count2lines4four10 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR2TEN                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR2TEN
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR2TEN
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR2TEN                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four10 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF TEN2FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four10 = count2lines4four10 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR2TEN ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR2TEN ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR2TEN ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF TEN2FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF TEN2FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF TEN2FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR2TEN                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four10 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF TEN2FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR2TEN                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF TEN2FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four10 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # SPHERE2ALL4XI[ 0x-9y2z ]:  {'time2shot': '08:39:09 06/28/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': 0, 'azimuth2shot': 4.764748857944519, 'message2shot': 'Process4Xi-4', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 125, 'y2shot': -9, 'distance2shot': 10, 'z2shot': 2, 'elevation2shot': 1.3335987755982994, 'color2shot': '#F3881C'}

                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR2TEN                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF TEN2FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR2TEN                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF TEN2FOUR: ", count2lines4four10, " - TIME: ", time4xi())
                    # COUNT2LINES OF TEN2FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF TEN2FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF TEN2FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED TEN2FOUR COUNT OF TEN2FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED TEN2FOUR COUNT OF TEN2FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF TEN2FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # ACCEPTED DICTIONARY COUNT OF TEN2FOUR:  87  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF TEN2FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED TEN2FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING TEN2FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR2TEN                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR2TEN                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE TEN2FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE2TEN                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five10                                     # file of FIVE2TEN                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE2TEN
                    count2lines4five10 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE2TEN                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE2TEN
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE2TEN
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE2TEN                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five10 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF TEN2FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4five10 = count2lines4five10 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE2TEN ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE2TEN ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE2TEN ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF TEN2FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF TEN2FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF TEN2FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE2TEN                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five10 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF TEN2FIVE: ", key2dictionary) 
                                                    # SPHERE2ALL4XI[ -10x10y12z ]:  {'time2shot': '08:39:11 06/28/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': -10, 'azimuth2shot': 2.356194490192345, 'message2shot': 'Process4Xi-5', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 502, 'y2shot': 10, 'distance2shot': 20, 'z2shot': 12, 'elevation2shot': 0.8735987755982991, 'color2shot': '#F3881C'}

                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE2TEN                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF TEN2FIVE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five10 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE2TEN                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF TEN2FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE2TEN                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF TEN2FIVE: ", count2lines4five10, " - TIME: ", time4xi())
                    # COUNT2LINES OF TEN2FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF TEN2FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF TEN2FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED TEN2FIVE COUNT OF TEN2FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED TEN2FIVE COUNT OF TEN2FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF TEN2FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # ACCEPTED DICTIONARY COUNT OF TEN2FIVE:  89  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF TEN2FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED TEN2FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING TEN2FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE2TEN                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE2TEN                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE TEN2FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX2TEN                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six10                                      # file of SIX2TEN                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX2TEN
                    count2lines4six10 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX2TEN                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX2TEN
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX2TEN
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX2TEN                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six10 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF TEN2SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six10 = count2lines4six10 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX2TEN ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX2TEN ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX2TEN ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF TEN2SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF TEN2SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF TEN2SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX2TEN                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six10 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF TEN2SIX: ", key2dictionary) 
                                                    # SPHERE2ALL4XI[ -11x47y-49z ]:  {'time2shot': '08:39:14 06/28/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': -11, 'azimuth2shot': 1.7992312000827553, 'message2shot': 'Process4Xi-6', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 6157, 'y2shot': 47, 'distance2shot': 70, 'z2shot': -49, 'elevation2shot': 2.3636875679749094, 'color2shot': '#F3881C'}

                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX2TEN                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF TEN2SIX: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six10 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX2TEN                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF TEN2SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX2TEN                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF TEN2SIX: ", count2lines4six10, " - TIME: ", time4xi())
                    # COUNT2LINES OF TEN2SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF TEN2SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF TEN2SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED TEN2SIX COUNT OF TEN2SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED TEN2SIX COUNT OF TEN2SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF TEN2SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # ACCEPTED DICTIONARY COUNT OF TEN2SIX:  87  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF TEN2SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED TEN2SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING TEN2SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX2TEN                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX2TEN                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE TEN2SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN2TEN                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven10                                    # file of SEVEN2TEN                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN2TEN
                    count2lines4seven10 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN2TEN                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN2TEN
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN2TEN
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN2TEN                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven10 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF TEN2SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4seven10 = count2lines4seven10 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN2TEN ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN2TEN ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN2TEN ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF TEN2SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF TEN2SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF TEN2SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN2TEN                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven10 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF TEN2SEVEN: ", key2dictionary) 
                                                    # SPHERE2ALL4XI[ -10x-11y36z ]:  {'time2shot': '08:39:16 06/28/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': -10, 'azimuth2shot': 3.951958342381902, 'message2shot': 'Process4Xi-7', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 2010, 'y2shot': -11, 'distance2shot': 40, 'z2shot': 36, 'elevation2shot': 0.4084486337632226, 'color2shot': '#F3881C'}

                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN2TEN                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF TEN2SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven10 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN2TEN                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF TEN2SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN2TEN                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF TEN2SEVEN: ", count2lines4seven10, " - TIME: ", time4xi())
                    # COUNT2LINES OF TEN2SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF TEN2SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF TEN2SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED TEN2SEVEN COUNT OF TEN2SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED TEN2SEVEN COUNT OF TEN2SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF TEN2SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # ACCEPTED DICTIONARY COUNT OF TEN2SEVEN:  95  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF TEN2SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED TEN2SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING TEN2SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN2TEN                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN2TEN                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE TEN2SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT2TEN                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight10                                    # file of EIGHT2TEN                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT2TEN
                    count2lines4eight10 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT2TEN                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT2TEN
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT2TEN
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT2TEN                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight10 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF TEN2EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight10 = count2lines4eight10 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT2TEN ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT2TEN ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT2TEN ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF TEN2EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF TEN2EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF TEN2EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT2TEN                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight10 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF TEN2EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT2TEN                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF TEN2EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight10 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # SPHERE2ALL4XI[ -10x-10y-12z ]:  {'time2shot': '08:39:19 06/28/10 Pacific Daylight Time', 'accerelation2shot': 0, 'x2shot': -10, 'azimuth2shot': 3.93222680474322, 'message2shot': 'Process4Xi-8', 'velocity2shot': 0, 'verb2shot': 'skeletonizing', 'area2shot': 502, 'y2shot': -10, 'distance2shot': 20, 'z2shot': -12, 'elevation2shot': 2.2735987755982943, 'color2shot': '#F3881C'}

                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT2TEN                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF TEN2EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT2TEN                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF TEN2EIGHT: ", count2lines4eight10, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF TEN2EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF TEN2EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED TEN2EIGHT COUNT OF TEN2EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED TEN2EIGHT COUNT OF TEN2EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF TEN2EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF TEN2EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT2TEN                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED TEN2EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING TEN2EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT2TEN                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE TEN2EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                                                                                                                                                     
                                                    
                # =========================================================================================================
                # 100 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 100 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one100                                     # file of ONE100                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE2100
                    count2lines4one100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE2100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE2100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 1002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one100 = count2lines4one100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE2100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE2100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE2100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 1002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 1002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 1002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE2100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 1002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE2100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 1002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE2100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 1002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 1002ONE: ", count2lines4one100, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 1002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 1002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 1002ONE COUNT OF 1002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 1002ONE COUNT OF 1002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 1002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 1002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 1002ONE TO SPHERE2ALL4XI - TIME: ", time4xi()) 
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 1002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 1002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two100                                     # file of TWO100                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO2100
                    count2lines4two100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO2100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO2100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 1002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two100 = count2lines4two100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO2100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO2100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO2100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 1002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 1002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 1002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO2100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 1002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO2100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 1002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO2100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 1002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 1002TWO: ", count2lines4two100, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 1002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 1002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 1002TWO COUNT OF 1002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 1002TWO COUNT OF 1002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 1002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 1002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 1002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 1002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 1002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three100                                  # file of THREE100                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE2100
                    count2lines4three100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE2100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE2100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 1002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three100 = count2lines4three100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE2100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE2100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE2100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 1002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 1002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 1002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE2100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 1002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 1002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 1002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 1002THREE: ", count2lines4three100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 1002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 1002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 1002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 1002THREE COUNT OF 1002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 1002THREE COUNT OF 1002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 1002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 1002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 1002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 1002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 1002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four100                                    # file of FOUR100                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR100
                    count2lines4four100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 1002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four100 = count2lines4four100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 1002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 1002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 1002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 1002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 100FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 100FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 100FOUR: ", count2lines4four100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 1002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 100FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 100FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 1002FOUR COUNT OF 100FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 1002FOUR COUNT OF 100FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 100FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 100FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 100FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 1002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 100FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five100                                    # file of FIVE2100                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE2100
                    count2lines4five100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE2100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE2100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 1002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five100 = count2lines4five100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE2100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE2100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE2100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 1002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 1002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 1002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 1002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 1002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 1002FIVE: ", count2lines4five100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 1002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 1002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 1002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 1002FIVE COUNT OF 1002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 1002FIVE COUNT OF 1002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 1002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 1002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 1002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 1002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 1002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six100                                     # file of SIX2100                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX2100
                    count2lines4six100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX2100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX2100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 1002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six100 = count2lines4six100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX2100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX2100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX2100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 1002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 1002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 1002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 1002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 1002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 1002SIX: ", count2lines4six100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 1002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 1002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 1002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 1002SIX COUNT OF 1002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 1002SIX COUNT OF 1002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 1002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 1002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 1002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 1002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 1002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven100                                   # file of SEVEN2100                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN2100
                    count2lines4seven100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN2100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN2100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 1002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven100 = count2lines4seven100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN2100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN2100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN2100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 1002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 1002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 1002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 1002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 1002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 1002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 1002SEVEN: ", count2lines4seven100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 1002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 1002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 1002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 1002SEVEN COUNT OF 1002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 1002SEVEN COUNT OF 1002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 1002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 1002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 1002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 1002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 1002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight100                                     # file of EIGHT2100                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT2100
                    count2lines4eight100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT2100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT2100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 1002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight100 = count2lines4eight100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT2100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT2100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT2100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 1002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 1002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 1002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 1002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 1002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 1002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 1002EIGHT: ", count2lines4eight100, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 1002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 1002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 1002EIGHT COUNT OF 1002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 1002EIGHT COUNT OF 1002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 1002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 1002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT100                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 1002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 1002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 1002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                
                # XXXXXXXX
                # 100                                                                                                                                                         
                # STOPPER FOR EDITOR                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                # 
                                                    
                # =========================================================================================================
                # 200 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 200 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one200                                    # file of ONE2200                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE2200
                    count2lines4one200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE2200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE2200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 2002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one200 = count2lines4one200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE2200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE2200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE2200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 2002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 2002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 2002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 2002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 2002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 2002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 2002ONE: ", count2lines4one200, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 2002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 2002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 2002ONE COUNT OF 2002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 2002ONE COUNT OF 2002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 2002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 2002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 2002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 2002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 2002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two200                                     # file of TWO2200                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO2200
                    count2lines4two200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO2200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO2200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 2002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two200 = count2lines4two200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO2200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO2200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO2200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 2002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 2002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 2002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 2002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 2002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 2002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 2002TWO: ", count2lines4two200, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 2002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 2002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 2002TWO COUNT OF 2002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 2002TWO COUNT OF 2002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 2002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 2002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 2002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 2002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 2002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three200                                  # file of THREE2200                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE2200
                    count2lines4three200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE2200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE2200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 2002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three200 = count2lines4three200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE2200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE2200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE2200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 2002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 2002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 2002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 2002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 2002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 2002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 2002THREE: ", count2lines4three200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 2002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 2002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 2002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 2002THREE COUNT OF 2002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 2002THREE COUNT OF 2002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 2002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 2002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 2002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 2002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 2002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four200                                    # file of FOUR2200                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR2200
                    count2lines4four200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR2200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR2200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 2002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four200 = count2lines4four200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR2200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR2200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR2200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 2002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 2002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 2002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 2002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 2002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 2002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 2002FOUR: ", count2lines4four200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 2002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 2002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 2002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 2002FOUR COUNT OF 2002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 2002FOUR COUNT OF 2002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 2002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 2002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 2002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 2002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 2002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five200                                    # file of FIVE2200                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE2200
                    count2lines4five200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE2200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE2200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 2002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five200 = count2lines4five200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE2200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE2200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE2200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 2002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 2002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 2002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 2002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 2002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 2002FIVE: ", count2lines4five200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 2002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 2002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 2002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 2002FIVE COUNT OF 2002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 2002FIVE COUNT OF 2002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 2002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 2002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 2002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 2002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 2002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six200                                     # file of SIX2200                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX2200
                    count2lines4six200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX2200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX2200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 2002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six200 = count2lines4six200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX2200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX2200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX2200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 2002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 2002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 2002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 2002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 2002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 2002SIX: ", count2lines4six200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 2002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 2002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 2002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 2002SIX COUNT OF 2002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 2002SIX COUNT OF 2002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 2002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 2002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 2002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 2002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 2002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven200                                   # file of SEVEN2200                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN2200
                    count2lines4seven200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN2200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN2200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 2002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven200 = count2lines4seven200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN2200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN2200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN2200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 2002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 2002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 2002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 2002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 2002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 2002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 2002SEVEN: ", count2lines4seven200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 2002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 2002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 2002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 2002SEVEN COUNT OF 2002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 2002SEVEN COUNT OF 2002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 2002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 2002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 2002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 2002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 2002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight200                                     # file of EIGHT2200                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT2200
                    count2lines4eight200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT2200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT2200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 2002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight200 = count2lines4eight200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT2200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT2200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT2200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 2002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 2002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 2002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 2002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 2002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 2002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 2002EIGHT: ", count2lines4eight200, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 2002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 2002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 2002EIGHT COUNT OF 2002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 2002EIGHT COUNT OF 2002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 2002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 2002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT200                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 2002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 2002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 2002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 300 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 300 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one300                                     # file of ONE2300                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE2300
                    count2lines4one300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE2300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE2300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE2300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 3002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one300 = count2lines4one300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE2300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE2300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE2300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 3002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 3002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 3002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE2300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 3002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE2300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 3002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE2300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 3002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE2300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 3002ONE: ", count2lines4one300, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 3002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 3002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 3002ONE COUNT OF 3002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 3002ONE COUNT OF 3002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 3002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 3002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 3002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 3002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE2300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE2300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 3002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO2300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two300                                     # file of TWO2300                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO2300
                    count2lines4two300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO2300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO2300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO2300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO2300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 3002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two300 = count2lines4two300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO2300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO2300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO2300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 3002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 3002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 3002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO2300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 3002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO2300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 3002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO2300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 3002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO2300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 3002TWO: ", count2lines4two300, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 3002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 3002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 3002TWO COUNT OF 3002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 3002TWO COUNT OF 3002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 3002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 3002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 3002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 3002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO2300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO2300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 3002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE2300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three300                                  # file of THREE2300                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE2300
                    count2lines4three300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE2300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE2300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE2300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE2300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 3002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three300 = count2lines4three300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE2300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE2300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE2300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 3002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 3002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 3002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE2300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 3002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE2300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 3002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE2300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 3002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE2300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 3002THREE: ", count2lines4three300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 3002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 3002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 3002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 3002THREE COUNT OF 3002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 3002THREE COUNT OF 3002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 3002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 3002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 3002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 3002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE2300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE2300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 3002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR2300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four300                                    # file of FOUR2300                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR2300
                    count2lines4four300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR2300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR2300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR2300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR2300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 3002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four300 = count2lines4four300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR2300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR2300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR2300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 3002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 3002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 3002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR2300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 3002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR2300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 3002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR2300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 3002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR2300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 3002FOUR: ", count2lines4four300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 3002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 3002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 3002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 3002FOUR COUNT OF 3002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 3002FOUR COUNT OF 3002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 3002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 3002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 3002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 3002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR2300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR2300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 3002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE2300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five300                                    # file of FIVE2300                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE2300
                    count2lines4five300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE2300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE2300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE2300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE2300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 3002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five300 = count2lines4five300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE2300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE2300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE2300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 3002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 3002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 3002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE2300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 3002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE2300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE2300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 3002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE2300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 3002FIVE: ", count2lines4five300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 3002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 3002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 3002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 3002FIVE COUNT OF 3002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 3002FIVE COUNT OF 3002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 3002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 3002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 3002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 3002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE2300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE2300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 3002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX2300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six300                                     # file of SIX2300                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX2300
                    count2lines4six300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX2300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX2300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX2300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX2300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 3002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six300 = count2lines4six300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX2300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX2300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX2300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 3002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 3002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 3002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX2300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 3002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX2300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX2300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 3002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX2300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 3002SIX: ", count2lines4six300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 3002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 3002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 3002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 3002SIX COUNT OF 3002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 3002SIX COUNT OF 3002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 3002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 3002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 3002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 3002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX2300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX2300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 3002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN2300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven300                                   # file of SEVEN2300                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN2300
                    count2lines4seven300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN2300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN2300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN2300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN2300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 3002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven300 = count2lines4seven300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN2300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN2300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN2300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 3002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 3002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 3002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN2300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 3002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN2300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 3002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN2300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 3002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN2300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 3002SEVEN: ", count2lines4seven300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 3002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 3002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 3002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 3002SEVEN COUNT OF 3002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 3002SEVEN COUNT OF 3002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 3002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 3002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 3002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 3002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN2300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN2300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 3002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT2300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight300                                     # file of EIGHT2300                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT2300
                    count2lines4eight300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT2300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT2300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT2300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT2300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 3002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight300 = count2lines4eight300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT2300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT2300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT2300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 3002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 3002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 3002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT2300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 3002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT2300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 3002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT2300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 3002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT2300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 3002EIGHT: ", count2lines4eight300, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 3002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 3002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 3002EIGHT COUNT OF 3002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 3002EIGHT COUNT OF 3002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 3002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 3002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT2300                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 3002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 3002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT2300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 3002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 400 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 400 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one400                                     # file of ONE2400                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE2400
                    count2lines4one400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE2400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE2400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE2400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 4002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one400 = count2lines4one400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE2400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE2400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE2400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 4002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 4002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 4002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE2400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 4002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE2400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 4002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE2400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 4002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE2400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 4002ONE: ", count2lines4one400, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 4002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 4002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 4002ONE COUNT OF 4002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 4002ONE COUNT OF 4002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 4002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 4002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 4002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 4002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE2400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE2400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 4002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO2400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two400                                     # file of TWO2400                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO2400
                    count2lines4two400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO2400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO2400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO2400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO2400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 4002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two400 = count2lines4two400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO2400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO2400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO2400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 4002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 4002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 4002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO2400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 4002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO2400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 4002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO2400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 4002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO2400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 4002TWO: ", count2lines4two400, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 4002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 4002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 4002TWO COUNT OF 4002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 4002TWO COUNT OF 4002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 4002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 4002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 4002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 4002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO2400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO2400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 4002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE2400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three400                                  # file of THREE2400                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE2400
                    count2lines4three400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE2400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE2400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE2400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE2400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 4002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three400 = count2lines4three400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE2400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE2400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE2400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 4002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 4002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 4002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE2400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 4002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE2400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 4002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE2400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 4002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE2400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 4002THREE: ", count2lines4three400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 4002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 4002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 4002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 4002THREE COUNT OF 4002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 4002THREE COUNT OF 4002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 4002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 4002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 4002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 4002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE2400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE2400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 4002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR2400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four400                                    # file of FOUR2400                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR2400
                    count2lines4four400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR2400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR2400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR2400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR2400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 4002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four400 = count2lines4four400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR2400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR2400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR2400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 4002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 4002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 4002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR2400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 4002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR2400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 4002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR2400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 4002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR2400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 4002FOUR: ", count2lines4four400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 4002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 4002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 4002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 4002FOUR COUNT OF 4002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 4002FOUR COUNT OF 4002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 4002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 4002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 4002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 4002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR2400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR2400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 4002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE2400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five400                                    # file of FIVE2400                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE2400
                    count2lines4five400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE2400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE2400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE2400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE2400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 4002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five400 = count2lines4five400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE2400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE2400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE2400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 4002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 4002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 4002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE2400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 4002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE2400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE2400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 4002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE2400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 4002FIVE: ", count2lines4five400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 4002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 4002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 4002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 4002FIVE COUNT OF 4002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 4002FIVE COUNT OF 4002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 4002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 4002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 4002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 4002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE2400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE2400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 4002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX2400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six400                                     # file of SIX2400                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX2400
                    count2lines4six400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX2400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX2400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX2400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX2400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 4002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six400 = count2lines4six400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX2400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX2400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX2400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 4002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 4002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 4002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX2400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 4002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX2400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX2400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 4002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX2400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 4002SIX: ", count2lines4six400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 4002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 4002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 4002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 4002SIX COUNT OF 4002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 4002SIX COUNT OF 4002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 4002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 4002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 4002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 4002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX2400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX2400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 4002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN2400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven400                                   # file of SEVEN2400                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN2400
                    count2lines4seven400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN2400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN2400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN2400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN2400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 4002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven400 = count2lines4seven400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN2400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN2400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN2400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 4002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 4002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 4002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN2400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 4002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN2400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 4002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN2400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 4002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN2400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 4002SEVEN: ", count2lines4seven400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 4002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 4002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 4002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 4002SEVEN COUNT OF 4002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 4002SEVEN COUNT OF 4002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 4002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 4002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 4002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 4002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN2400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN2400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 4002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT2400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight400                                   # file of EIGHT2400                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                 # example key of EIGHT2400
                    count2lines4eight400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT2400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT2400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT2400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT2400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 4002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight400 = count2lines4eight400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT2400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT2400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT2400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 4002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 4002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 4002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT2400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 4002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT2400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 4002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT2400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 4002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT2400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 4002EIGHT: ", count2lines4eight400, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 4002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 4002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 4002EIGHT COUNT OF 4002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 4002EIGHT COUNT OF 4002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 4002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 4002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT2400                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 4002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 4002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT2400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 4002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 500 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 500 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one500                                        # file of ONE2500                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE2500
                    count2lines4one500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE2500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE2500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE2500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 5002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one500 = count2lines4one500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE2500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE2500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE2500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 5002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 5002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 5002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE2500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 5002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE2500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 5002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE2500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 5002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE2500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 5002ONE: ", count2lines4one500, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 5002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 5002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 5002ONE COUNT OF 5002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 5002ONE COUNT OF 5002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 5002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 5002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 5002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 5002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE2500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE2500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 5002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO2500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two500                                     # file of TWO2500                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO2500
                    count2lines4two500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO2500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO2500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO2500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO2500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 5002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two500 = count2lines4two500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO2500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO2500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO2500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 5002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 5002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 5002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO2500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 5002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO2500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 5002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO2500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 5002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO2500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 5002TWO: ", count2lines4two500, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 5002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 5002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 5002TWO COUNT OF 5002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 5002TWO COUNT OF 5002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 5002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 5002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 5002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 5002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO2500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO2500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 5002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE2500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three500                                  # file of THREE2500                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE2500
                    count2lines4three500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE2500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE2500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE2500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE2500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 5002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three500 = count2lines4three500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE2500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE2500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE2500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 5002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 5002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 5002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE2500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 5002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE2500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 5002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE2500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 5002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE2500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 5002THREE: ", count2lines4three500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 5002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 5002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 5002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 5002THREE COUNT OF 5002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 5002THREE COUNT OF 5002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 5002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 5002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 5002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 5002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE2500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE2500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 5002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR2500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four500                                    # file of FOUR2500                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR2500
                    count2lines4four500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR2500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR2500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR2500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR2500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 5002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four500 = count2lines4four500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR2500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR2500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR2500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 5002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 5002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 5002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR2500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 5002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR2500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 5002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR2500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 5002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR2500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 5002FOUR: ", count2lines4four500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 5002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 5002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 5002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 5002FOUR COUNT OF 5002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 5002FOUR COUNT OF 5002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 5002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 5002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 5002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 5002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR2500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR2500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 5002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE2500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five500                                    # file of FIVE2500                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE2500
                    count2lines4five500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE2500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE2500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE2500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE2500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 5002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five500 = count2lines4five500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE2500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE2500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE2500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 5002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 5002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 5002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE2500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 5002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE2500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE2500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 5002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE2500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 5002FIVE: ", count2lines4five500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 5002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 5002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 5002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 5002FIVE COUNT OF 5002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 5002FIVE COUNT OF 5002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 5002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 5002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 5002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 5002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE2500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE2500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 5002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX2500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six500                                     # file of SIX2500                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX2500
                    count2lines4six500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX2500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX2500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX2500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX2500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 5002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six500 = count2lines4six500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX2500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX2500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX2500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 5002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 5002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 5002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX2500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 5002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX2500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX2500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 5002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX2500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 5002SIX: ", count2lines4six500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 5002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 5002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 5002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 5002SIX COUNT OF 5002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 5002SIX COUNT OF 5002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 5002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 5002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 5002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 5002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX2500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX2500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 5002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN2500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven500                                   # file of SEVEN2500                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN2500
                    count2lines4seven500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN2500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN2500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN2500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN2500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 5002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven500 = count2lines4seven500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN2500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN2500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN2500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 5002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 5002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 5002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN2500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 5002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN2500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 5002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN2500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 5002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN2500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 5002SEVEN: ", count2lines4seven500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 5002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 5002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 5002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 5002SEVEN COUNT OF 5002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 5002SEVEN COUNT OF 5002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 5002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 5002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 5002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 5002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN2500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN2500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 5002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT2500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight500                                     # file of EIGHT2500                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT2500
                    count2lines4eight500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT2500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT2500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT2500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT2500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 5002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight500 = count2lines4eight500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT2500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT2500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT2500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 5002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 5002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 5002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT2500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 5002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT2500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 5002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT2500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 5002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT2500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 5002EIGHT: ", count2lines4eight500, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 5002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 5002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 5002EIGHT COUNT OF 5002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 5002EIGHT COUNT OF 5002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 5002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 5002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT2500                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 5002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 5002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT2500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 5002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 600 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 600 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one600                                     # file of ONE2600                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE2600
                    count2lines4one600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE2600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE2600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE2600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 6002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one600 = count2lines4one600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE2600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE2600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE2600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 6002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 6002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 6002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE2600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 6002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE2600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 6002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE2600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 6002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE2600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 6002ONE: ", count2lines4one600, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 6002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 6002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 6002ONE COUNT OF 6002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 6002ONE COUNT OF 6002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 6002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 6002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 6002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 6002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE2600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE2600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 6002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO2600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two600                                     # file of TWO2600                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO2600
                    count2lines4two600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO2600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO2600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO2600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO2600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 6002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two600 = count2lines4two600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO2600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO2600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO2600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 6002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 6002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 6002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO2600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 6002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO2600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 6002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO2600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 6002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO2600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 6002TWO: ", count2lines4two600, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 6002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 6002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 6002TWO COUNT OF 6002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 6002TWO COUNT OF 6002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 6002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 6002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 6002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 6002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO2600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO2600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 6002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE2600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three600                                  # file of THREE2600                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE2600
                    count2lines4three600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE2600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE2600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE2600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE2600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 6002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three600 = count2lines4three600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE2600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE2600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE2600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 6002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 6002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 6002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE2600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 6002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE2600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 6002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE2600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 6002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE2600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 6002THREE: ", count2lines4three600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 6002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 6002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 6002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 6002THREE COUNT OF 6002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 6002THREE COUNT OF 6002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 6002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 6002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 6002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 6002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE2600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE2600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 6002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR2600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four600                                   # file of FOUR2600                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR2600
                    count2lines4four600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR2600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR2600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR2600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR2600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 6002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four600 = count2lines4four600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR2600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR2600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR2600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 6002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 6002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 6002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR2600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 6002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR2600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 6002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR2600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 6002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR2600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 6002FOUR: ", count2lines4four600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 6002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 6002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 6002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 6002FOUR COUNT OF 6002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 6002FOUR COUNT OF 6002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 6002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 6002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 6002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 6002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR2600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR2600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 6002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE2600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five600                                    # file of FIVE2600                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE2600
                    count2lines4five600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE2600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE2600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE2600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE2600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 6002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five600 = count2lines4five600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE2600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE2600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE2600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 6002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 6002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 6002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE2600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 6002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE2600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE2600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 6002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE2600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 6002FIVE: ", count2lines4five600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 6002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 6002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 6002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 6002FIVE COUNT OF 6002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 6002FIVE COUNT OF 6002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 6002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 6002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 6002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 6002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE2600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE2600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 6002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX2600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six600                                     # file of SIX2600                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX2600
                    count2lines4six600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX2600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX2600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX2600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX2600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 6002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six600 = count2lines4six600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX2600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX2600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX2600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 6002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 6002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 6002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX2600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 6002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX2600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX2600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 6002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX2600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 6002SIX: ", count2lines4six600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 6002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 6002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 6002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 6002SIX COUNT OF 6002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 6002SIX COUNT OF 6002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 6002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 6002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 6002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 6002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX2600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX2600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 6002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN2600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven600                                   # file of SEVEN2600                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN2600
                    count2lines4seven600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN2600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN2600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN2600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN2600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 6002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven600 = count2lines4seven600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN2600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN2600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN2600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 6002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 6002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 6002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN2600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 6002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN2600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 6002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN2600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 6002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN2600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 6002SEVEN: ", count2lines4seven600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 6002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 6002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 6002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 6002SEVEN COUNT OF 6002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 6002SEVEN COUNT OF 6002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 6002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 6002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 6002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 6002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN2600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN2600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 6002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT2600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight600                                    # file of EIGHT2600                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT2600
                    count2lines4eight600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT2600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT2600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT2600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT2600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 6002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight600 = count2lines4eight600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT2600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT2600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT2600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 6002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 6002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 6002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT2600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 6002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT2600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 6002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT2600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 6002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT2600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 6002EIGHT: ", count2lines4eight600, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 6002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 6002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 6002EIGHT COUNT OF 6002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 6002EIGHT COUNT OF 6002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 6002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 6002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT2600                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 6002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 6002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT2600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 6002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 700 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 700 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one700                                     # file of ONE2700                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE2700
                    count2lines4one700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE2700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE2700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE2700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 7002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one700 = count2lines4one700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE2700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE2700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE2700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 7002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 7002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 7002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE2700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 7002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE2700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 7002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE2700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 7002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE2700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 7002ONE: ", count2lines4one700, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 7002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 7002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 7002ONE COUNT OF 7002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 7002ONE COUNT OF 7002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 7002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 7002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 7002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 7002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE2700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE2700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 7002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO2700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two700                                     # file of TWO2700                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO2700
                    count2lines4two700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO2700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO2700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO2700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO2700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 7002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two700 = count2lines4two700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO2700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO2700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO2700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 7002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 7002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 7002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO2700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 7002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO2700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 7002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO2700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 7002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO2700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 7002TWO: ", count2lines4two700, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 7002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 7002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 7002TWO COUNT OF 7002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 7002TWO COUNT OF 7002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 7002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 7002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 7002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 7002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO2700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO2700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 7002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE2700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three700                                  # file of THREE2700                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE2700
                    count2lines4three700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE2700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE2700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE2700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE2700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 7002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three700 = count2lines4three700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE2700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE2700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE2700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 7002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 7002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 7002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE2700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 7002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE2700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 7002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE2700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 7002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE2700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 7002THREE: ", count2lines4three700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 7002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 7002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 7002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 7002THREE COUNT OF 7002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 7002THREE COUNT OF 7002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 7002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 7002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 7002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 7002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE2700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE2700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 7002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR2700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four700                                    # file of FOUR2700                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR2700
                    count2lines4four700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR2700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR2700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR2700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR2700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 7002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four700 = count2lines4four700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR2700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR2700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR2700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 7002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 7002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 7002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR2700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 7002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR2700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 7002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR2700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 7002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR2700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 7002FOUR: ", count2lines4four700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 7002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 7002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 7002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 7002FOUR COUNT OF 7002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 7002FOUR COUNT OF 7002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 7002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 7002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 7002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 7002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR2700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR2700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 7002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE2700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five700                                    # file of FIVE2700                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE2700
                    count2lines4five700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE2700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE2700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE2700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE2700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 7002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five700 = count2lines4five700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE2700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE2700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE2700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 7002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 7002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 7002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE2700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 7002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE2700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE2700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 7002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE2700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 7002FIVE: ", count2lines4five700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 7002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 7002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 7002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 7002FIVE COUNT OF 7002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 7002FIVE COUNT OF 7002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 7002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 7002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 7002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 7002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE2700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE2700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 7002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX2700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six700                                     # file of SIX2700                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX2700
                    count2lines4six700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX2700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX2700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX2700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX2700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 7002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six700 = count2lines4six700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX2700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX2700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX2700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 7002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 7002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 7002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX2700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 7002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX2700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX2700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 7002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX2700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 7002SIX: ", count2lines4six700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 7002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 7002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 7002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 7002SIX COUNT OF 7002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 7002SIX COUNT OF 7002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 7002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 7002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 7002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 7002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX2700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX2700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 7002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN2700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven700                                   # file of SEVEN2700                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN2700
                    count2lines4seven700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN2700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN2700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN2700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN2700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 7002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven700 = count2lines4seven700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN2700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN2700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN2700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 7002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 7002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 7002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN2700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 7002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN2700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 7002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN2700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 7002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN2700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 7002SEVEN: ", count2lines4seven700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 7002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 7002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 7002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 7002SEVEN COUNT OF 7002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 7002SEVEN COUNT OF 7002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 7002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 7002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 7002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 7002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN2700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN2700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 7002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT2700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight700                                    # file of EIGHT2700                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT2700
                    count2lines4eight700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT2700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT2700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT2700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT2700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 7002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight700 = count2lines4eight700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT2700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT2700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT2700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 7002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 7002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 7002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT2700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 7002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT2700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 7002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT2700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 7002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT2700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 7002EIGHT: ", count2lines4eight700, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 7002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 7002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 7002EIGHT COUNT OF 7002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 7002EIGHT COUNT OF 7002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 7002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 7002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT2700                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 7002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 7002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT2700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 7002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 800 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 800 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one800                                     # file of ONE2800                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE2800
                    count2lines4one800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE2800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE2800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE2800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 8002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one800 = count2lines4one800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE2800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE2800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE2800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 8002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 8002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 8002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE2800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 8002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE2800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 8002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE2800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 8002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE2800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 8002ONE: ", count2lines4one800, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 8002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 8002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 8002ONE COUNT OF 8002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 8002ONE COUNT OF 8002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 8002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 8002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 8002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 8002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE2800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE2800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 8002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO2800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two800                                     # file of TWO2800                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO2800
                    count2lines4two800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO2800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO2800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO2800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO2800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 8002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two800 = count2lines4two800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO2800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO2800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO2800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 8002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 8002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 8002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO2800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 8002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO2800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 8002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO2800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 8002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO2800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 8002TWO: ", count2lines4two800, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 8002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 8002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 8002TWO COUNT OF 8002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 8002TWO COUNT OF 8002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 8002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 8002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 8002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 8002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO2800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO2800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 8002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE2800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three800                                  # file of THREE2800                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE2800
                    count2lines4three800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE2800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE2800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE2800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE2800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 8002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three800 = count2lines4three800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE2800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE2800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE2800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 8002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 8002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 8002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE2800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 8002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE2800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 8002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE2800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 8002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE2800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 8002THREE: ", count2lines4three800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 8002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 8002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 8002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 8002THREE COUNT OF 8002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 8002THREE COUNT OF 8002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 8002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 8002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 8002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 8002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE2800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE2800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 8002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR2800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four800                                    # file of FOUR2800                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR2800
                    count2lines4four800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR2800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR2800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR2800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR2800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 8002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four800 = count2lines4four800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR2800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR2800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR2800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 8002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 8002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 8002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR2800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 8002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR2800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 8002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR2800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 8002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR2800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 8002FOUR: ", count2lines4four800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 8002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 8002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 8002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 8002FOUR COUNT OF 8002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 8002FOUR COUNT OF 8002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 8002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 8002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 8002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 8002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR2800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR2800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 8002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE2800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five800                                    # file of FIVE2800                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE2800
                    count2lines4five800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE2800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE2800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE2800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE2800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 8002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five800 = count2lines4five800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE2800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE2800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE2800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 8002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 8002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 8002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE2800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 8002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE2800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE2800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 8002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE2800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 8002FIVE: ", count2lines4five800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 8002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 8002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 8002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 8002FIVE COUNT OF 8002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 8002FIVE COUNT OF 8002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 8002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 8002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 8002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 8002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE2800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE2800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 8002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX2800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six800                                     # file of SIX2800                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX2800
                    count2lines4six800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX2800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX2800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX2800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX2800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 8002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six800 = count2lines4six800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX2800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX2800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX2800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 8002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 8002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 8002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX2800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 8002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX2800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX2800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 8002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX2800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 8002SIX: ", count2lines4six800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 8002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 8002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 8002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 8002SIX COUNT OF 8002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 8002SIX COUNT OF 8002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 8002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 8002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 8002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 8002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX2800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX2800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 8002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN2800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven800                                   # file of SEVEN2800                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN2800
                    count2lines4seven800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN2800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN2800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN2800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN2800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 8002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven800 = count2lines4seven800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN2800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN2800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN2800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 8002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 8002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 8002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN2800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 8002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN2800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 8002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN2800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 8002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN2800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 8002SEVEN: ", count2lines4seven800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 8002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 8002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 8002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 8002SEVEN COUNT OF 8002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 8002SEVEN COUNT OF 8002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 8002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 8002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 8002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 8002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN2800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN2800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 8002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT2800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight800                                    # file of EIGHT2800                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                   # example key of EIGHT2800
                    count2lines4eight800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT2800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT2800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT2800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT2800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 8002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight800 = count2lines4eight800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT2800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT2800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT2800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 8002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 8002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 8002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT2800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 8002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT2800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 8002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT2800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 8002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT2800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 8002EIGHT: ", count2lines4eight800, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 8002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 8002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 8002EIGHT COUNT OF 8002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 8002EIGHT COUNT OF 8002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 8002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 8002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT2800                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 8002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 8002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT2800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 8002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 900 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 900 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one900                                     # file of ONE2900                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE2900
                    count2lines4one900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE2900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE2900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE2900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 9002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one900 = count2lines4one900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE2900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE2900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE2900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 9002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 9002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 9002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE2900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 9002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE2900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 9002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE2900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 9002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE2900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 9002ONE: ", count2lines4one900, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 9002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 9002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 9002ONE COUNT OF 9002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 9002ONE COUNT OF 9002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 9002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 9002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 9002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 9002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE2900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE2900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 9002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO2900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two900                                     # file of TWO2900                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO2900
                    count2lines4two900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO2900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO2900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO2900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO2900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 9002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two900 = count2lines4two900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO2900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO2900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO2900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 9002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 9002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 9002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO2900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 9002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO2900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 9002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO2900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 9002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO2900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 9002TWO: ", count2lines4two900, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 9002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 9002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 9002TWO COUNT OF 9002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 9002TWO COUNT OF 9002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 9002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 9002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 9002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 9002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO2900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO2900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 9002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE2900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three900                                  # file of THREE2900                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE2900
                    count2lines4three900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE2900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE2900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE2900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE2900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 9002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three900 = count2lines4three900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE2900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE2900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE2900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 9002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 9002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 9002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE2900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 9002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE2900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 9002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE2900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 9002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE2900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 9002THREE: ", count2lines4three900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 9002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 9002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 9002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 9002THREE COUNT OF 9002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 9002THREE COUNT OF 9002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 9002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 9002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 9002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 9002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE2900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE2900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 9002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR2900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four900                                    # file of FOUR2900                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR2900
                    count2lines4four900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR2900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR2900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR2900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR2900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 9002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four900 = count2lines4four900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR2900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR2900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR2900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 9002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 9002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 9002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR2900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 9002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR2900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 9002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR2900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 9002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR2900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 9002FOUR: ", count2lines4four900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 9002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 9002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 9002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 9002FOUR COUNT OF 9002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 9002FOUR COUNT OF 9002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 9002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 9002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 9002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 9002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR2900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR2900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 9002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE2900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five900                                    # file of FIVE2900                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE2900
                    count2lines4five900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE2900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE2900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE2900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE2900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 9002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five900 = count2lines4five900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE2900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE2900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE2900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 9002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 9002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 9002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE2900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 9002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE2900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE2900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 9002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE2900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 9002FIVE: ", count2lines4five900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 9002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 9002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 9002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 9002FIVE COUNT OF 9002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 9002FIVE COUNT OF 9002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 9002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 9002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 9002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 9002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE2900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE2900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 9002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX2900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six900                                     # file of SIX2900                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX2900
                    count2lines4six900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX2900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX2900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX2900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX2900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 9002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six900 = count2lines4six900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX2900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX2900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX2900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 9002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 9002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 9002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX2900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 9002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX2900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX2900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 9002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX2900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 9002SIX: ", count2lines4six900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 9002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 9002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 9002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 9002SIX COUNT OF 9002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 9002SIX COUNT OF 9002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 9002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 9002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 9002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 9002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX2900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX2900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 9002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN2900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven900                                   # file of SEVEN2900                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN2900
                    count2lines4seven900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN2900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN2900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN2900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN2900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 9002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven900 = count2lines4seven900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN2900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN2900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN2900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 9002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 9002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 9002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN2900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 9002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN2900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 9002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN2900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 9002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN2900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 9002SEVEN: ", count2lines4seven900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 9002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 9002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 9002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 9002SEVEN COUNT OF 9002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 9002SEVEN COUNT OF 9002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 9002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 9002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 9002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 9002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN2900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN2900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 9002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT2900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight900                                     # file of EIGHT2900                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT2900
                    count2lines4eight900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT2900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT2900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT2900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT2900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 9002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight900 = count2lines4eight900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT2900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT2900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT2900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 9002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 9002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 9002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT2900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 9002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT2900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 9002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT2900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 9002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT2900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 9002EIGHT: ", count2lines4eight900, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 9002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 9002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 9002EIGHT COUNT OF 9002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 9002EIGHT COUNT OF 9002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 9002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 9002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT2900                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 9002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 9002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT2900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 9002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 1000 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 1000 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE1000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one1000                                    # file of ONE21000                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE21000
                    count2lines4one1000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE1000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE21000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE21000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE21000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one1000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 10002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one1000 = count2lines4one1000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE21000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE21000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE21000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 10002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 10002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 10002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE21000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one1000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 10002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE21000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 10002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one1000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE21000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 10002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE21000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 10002ONE: ", count2lines4one1000, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 10002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 10002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 10002ONE COUNT OF 10002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 10002ONE COUNT OF 10002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 10002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 10002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 10002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 10002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE21000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE21000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 10002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO21000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two1000                                    # file of TWO21000                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO21000
                    count2lines4two1000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO21000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO21000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO21000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO21000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two1000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 10002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two1000 = count2lines4two1000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO21000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO21000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO21000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 10002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 10002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 10002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO21000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two1000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 10002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO21000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 10002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two1000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO21000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 10002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO21000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 10002TWO: ", count2lines4two1000, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 10002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 10002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 10002TWO COUNT OF 10002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 10002TWO COUNT OF 10002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 10002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 10002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 10002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 10002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO21000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO21000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 10002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE21000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three1000                                 # file of THREE21000                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE21000
                    count2lines4three1000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE21000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE21000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE21000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE21000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three1000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 10002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three1000 = count2lines4three1000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE21000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE21000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE21000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 10002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 10002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 10002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE21000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three1000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 10002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE21000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 10002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three1000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE21000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 10002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE21000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 10002THREE: ", count2lines4three1000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 10002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 10002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 10002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 10002THREE COUNT OF 10002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 10002THREE COUNT OF 10002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 10002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 10002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 10002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 10002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE21000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE21000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 10002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR21000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four1000                                   # file of FOUR21000                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR21000
                    count2lines4four1000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR21000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR21000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR21000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR21000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four1000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 10002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four1000 = count2lines4four1000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR21000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR21000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR21000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 10002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 10002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 10002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR21000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four1000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 10002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR21000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 10002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four1000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR21000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 10002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR21000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 10002FOUR: ", count2lines4four1000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 10002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 10002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 10002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 10002FOUR COUNT OF 10002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 10002FOUR COUNT OF 10002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 10002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 10002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 10002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 10002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR21000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR21000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 10002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE21000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five1000                                   # file of FIVE21000                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE21000
                    count2lines4five1000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE21000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE21000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE21000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE21000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five1000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 10002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five1000 = count2lines4five1000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE21000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE21000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE21000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 10002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 10002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 10002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE21000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five1000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 10002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE21000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five1000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE21000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 10002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE21000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 10002FIVE: ", count2lines4five1000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 10002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 10002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 10002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 10002FIVE COUNT OF 10002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 10002FIVE COUNT OF 10002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 10002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 10002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 10002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 10002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE21000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE21000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 10002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX21000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six1000                                    # file of SIX21000                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX21000
                    count2lines4six1000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX21000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX21000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX21000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX21000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six1000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 10002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six1000 = count2lines4six1000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX21000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX21000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX21000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 10002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 10002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 10002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX21000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six1000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 10002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX21000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six1000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX21000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 10002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX21000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 10002SIX: ", count2lines4six1000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 10002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 10002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 10002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 10002SIX COUNT OF 10002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 10002SIX COUNT OF 10002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 10002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 10002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 10002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 10002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX21000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX21000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 10002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN21000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven1000                                  # file of SEVEN21000                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN21000
                    count2lines4seven1000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN21000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN21000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN21000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN21000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven1000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 10002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven1000 = count2lines4seven1000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN21000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN21000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN21000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 10002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 10002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 10002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN21000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven1000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 10002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN21000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 10002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven1000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN21000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 10002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN21000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 10002SEVEN: ", count2lines4seven1000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 10002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 10002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 10002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 10002SEVEN COUNT OF 10002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 10002SEVEN COUNT OF 10002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 10002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 10002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 10002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 10002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN21000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN21000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 10002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT21000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight1000                                    # file of EIGHT21000                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT21000
                    count2lines4eight1000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT21000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT21000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT21000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT21000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight1000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 10002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight1000 = count2lines4eight1000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT21000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT21000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT21000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 10002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 10002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 10002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT21000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight1000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 10002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT21000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 10002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight1000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT21000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 10002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT21000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 10002EIGHT: ", count2lines4eight1000, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 10002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 10002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 10002EIGHT COUNT OF 10002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 10002EIGHT COUNT OF 10002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 10002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 10002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT21000                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 10002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 10002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT21000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 10002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 1100 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 1100 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE1100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one1100                                    # file of ONE21100                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE21100
                    count2lines4one1100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE1100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE21100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE21100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE21100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one1100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 11002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one1100 = count2lines4one1100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE21100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE21100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE21100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 11002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 11002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 11002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE21100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one1100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 11002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE21100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 11002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one1100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE21100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 11002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE21100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 11002ONE: ", count2lines4one1100, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 11002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 11002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 11002ONE COUNT OF 11002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 11002ONE COUNT OF 11002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 11002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 11002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 11002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 11002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE21100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE21100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 11002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO21100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two1100                                    # file of TWO21100                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO21100
                    count2lines4two1100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO21100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO21100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO21100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO21100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two1100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 11002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two1100 = count2lines4two1100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO21100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO21100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO21100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 11002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 11002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 11002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO21100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two1100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 11002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO21100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 11002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two1100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO21100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 11002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO21100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 11002TWO: ", count2lines4two1100, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 11002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 11002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 11002TWO COUNT OF 11002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 11002TWO COUNT OF 11002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 11002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 11002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 11002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 11002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO21100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO21100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 11002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE21100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three1100                                 # file of THREE21100                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE21100
                    count2lines4three1100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE21100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE21100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE21100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE21100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three1100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 11002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three1100 = count2lines4three1100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE21100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE21100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE21100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 11002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 11002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 11002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE21100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three1100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 11002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE21100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 11002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three1100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE21100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 11002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE21100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 11002THREE: ", count2lines4three1100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 11002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 11002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 11002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 11002THREE COUNT OF 11002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 11002THREE COUNT OF 11002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 11002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 11002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 11002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 11002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE21100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE21100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 11002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR21100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four1100                                   # file of FOUR21100                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR21100
                    count2lines4four1100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR21100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR21100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR21100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR21100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four1100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 11002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four1100 = count2lines4four1100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR21100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR21100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR21100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 11002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 11002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 11002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR21100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four1100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 11002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR21100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 11002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four1100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR21100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 11002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR21100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 11002FOUR: ", count2lines4four1100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 11002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 11002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 11002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 11002FOUR COUNT OF 11002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 11002FOUR COUNT OF 11002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 11002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 11002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 11002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 11002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR21100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR21100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 11002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE21100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five1100                                   # file of FIVE21100                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE21100
                    count2lines4five1100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE21100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE21100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE21100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE21100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five1100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 11002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five1100 = count2lines4five1100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE21100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE21100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE21100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 11002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 11002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 11002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE21100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five1100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 11002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE21100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five1100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE21100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 11002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE21100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 11002FIVE: ", count2lines4five1100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 11002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 11002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 11002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 11002FIVE COUNT OF 11002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 11002FIVE COUNT OF 11002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 11002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 11002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 11002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 11002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE21100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE21100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 11002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX21100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six1100                                    # file of SIX21100                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX21100
                    count2lines4six1100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX21100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX21100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX21100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX21100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six1100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 11002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six1100 = count2lines4six1100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX21100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX21100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX21100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 11002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 11002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 11002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX21100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six1100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 11002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX21100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six1100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX21100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 11002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX21100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 11002SIX: ", count2lines4six1100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 11002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 11002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 11002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 11002SIX COUNT OF 11002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 11002SIX COUNT OF 11002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 11002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 11002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 11002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 11002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX21100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX21100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 11002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN21100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven1100                                  # file of SEVEN21100                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN21100
                    count2lines4seven1100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN21100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN21100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN21100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN21100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven1100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 11002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven1100 = count2lines4seven1100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN21100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN21100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN21100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 11002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 11002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 11002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN21100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven1100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 11002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN21100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 11002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven1100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN21100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 11002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN21100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 11002SEVEN: ", count2lines4seven1100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 11002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 11002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 11002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 11002SEVEN COUNT OF 11002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 11002SEVEN COUNT OF 11002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 11002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 11002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 11002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 11002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN21100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN21100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 11002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT21100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight1100                                    # file of EIGHT21100                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT21100
                    count2lines4eight1100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT21100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT21100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT21100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT21100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight1100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 11002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight1100 = count2lines4eight1100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT21100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT21100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT21100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 11002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 11002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 11002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT21100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight1100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 11002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT21100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 11002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight1100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT21100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 11002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT21100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 11002EIGHT: ", count2lines4eight1100, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 11002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 11002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 11002EIGHT COUNT OF 11002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 11002EIGHT COUNT OF 11002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 11002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 11002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT21100                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 11002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 11002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT21100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 11002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 1200 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 1200 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE1200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one1200                                    # file of ONE21200                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE21200
                    count2lines4one1200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE1200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE21200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE21200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE21200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one1200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 12002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one1200 = count2lines4one1200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE21200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE21200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE21200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 12002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 12002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 12002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE21200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one1200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 12002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE21200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 12002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one1200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE21200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 12002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE21200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 12002ONE: ", count2lines4one1200, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 12002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 12002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 12002ONE COUNT OF 12002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 12002ONE COUNT OF 12002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 12002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 12002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 12002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 12002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE21200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE21200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 12002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO21200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two1200                                    # file of TWO21200                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO21200
                    count2lines4two1200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO21200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO21200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO21200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO21200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two1200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 12002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two1200 = count2lines4two1200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO21200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO21200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO21200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 12002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 12002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 12002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO21200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two1200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 12002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO21200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 12002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two1200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO21200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 12002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO21200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 12002TWO: ", count2lines4two1200, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 12002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 12002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 12002TWO COUNT OF 12002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 12002TWO COUNT OF 12002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 12002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 12002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 12002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 12002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO21200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO21200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 12002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE21200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three1200                                 # file of THREE21200                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE21200
                    count2lines4three1200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE21200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE21200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE21200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE21200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three1200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 12002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three1200 = count2lines4three1200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE21200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE21200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE21200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 12002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 12002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 12002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE21200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three1200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 12002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE21200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 12002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three1200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE21200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 12002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE21200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 12002THREE: ", count2lines4three1200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 12002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 12002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 12002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 12002THREE COUNT OF 12002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 12002THREE COUNT OF 12002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 12002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 12002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 12002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 12002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE21200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE21200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 12002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR21200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four1200                                   # file of FOUR21200                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR21200
                    count2lines4four1200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR21200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR21200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR21200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR21200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four1200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 12002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four1200 = count2lines4four1200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR21200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR21200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR21200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 12002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 12002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 12002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR21200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four1200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 12002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR21200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 12002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four1200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR21200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 12002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR21200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 12002FOUR: ", count2lines4four1200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 12002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 12002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 12002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 12002FOUR COUNT OF 12002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 12002FOUR COUNT OF 12002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 12002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 12002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 12002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 12002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR21200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR21200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 12002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE21200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five1200                                   # file of FIVE21200                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE21200
                    count2lines4five1200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE21200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE21200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE21200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE21200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five1200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 12002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five1200 = count2lines4five1200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE21200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE21200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE21200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 12002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 12002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 12002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE21200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five1200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 12002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE21200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five1200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE21200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 12002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE21200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 12002FIVE: ", count2lines4five1200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 12002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 12002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 12002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 12002FIVE COUNT OF 12002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 12002FIVE COUNT OF 12002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 12002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 12002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 12002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 12002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE21200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE21200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 12002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX21200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six1200                                    # file of SIX21200                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX21200
                    count2lines4six1200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX21200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX21200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX21200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX21200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six1200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 12002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six1200 = count2lines4six1200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX21200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX21200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX21200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 12002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 12002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 12002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX21200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six1200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 12002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX21200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six1200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX21200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 12002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX21200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 12002SIX: ", count2lines4six1200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 12002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 12002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 12002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 12002SIX COUNT OF 12002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 12002SIX COUNT OF 12002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 12002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 12002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 12002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 12002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX21200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX21200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 12002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN21200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven1200                                  # file of SEVEN21200                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN21200
                    count2lines4seven1200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN21200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN21200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN21200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN21200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven1200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 12002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven1200 = count2lines4seven1200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN21200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN21200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN21200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 12002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 12002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 12002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN21200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven1200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 12002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN21200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 12002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven1200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN21200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 12002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN21200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 12002SEVEN: ", count2lines4seven1200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 12002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 12002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 12002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 12002SEVEN COUNT OF 12002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 12002SEVEN COUNT OF 12002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 12002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 12002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 12002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 12002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN21200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN21200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 12002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT21200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight1200                                    # file of EIGHT21200                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT21200
                    count2lines4eight1200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT21200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT21200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT21200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT21200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight1200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 12002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight1200 = count2lines4eight1200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT21200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT21200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT21200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 12002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 12002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 12002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT21200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight1200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 12002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT21200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 12002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight1200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT21200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 12002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT21200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 12002EIGHT: ", count2lines4eight1200, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 12002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 12002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 12002EIGHT COUNT OF 12002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 12002EIGHT COUNT OF 12002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 12002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 12002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT21200                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 12002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 12002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT21200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 12002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 1300 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 1300 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE1300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one1300                                    # file of ONE21300                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE21300
                    count2lines4one1300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE1300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE21300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE21300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE21300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one1300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 13002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one1300 = count2lines4one1300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE21300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE21300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE21300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 13002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 13002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 13002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE21300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one1300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 13002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE21300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 13002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one1300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE21300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 13002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE21300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 13002ONE: ", count2lines4one1300, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 13002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 13002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 13002ONE COUNT OF 13002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 13002ONE COUNT OF 13002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 13002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 13002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 13002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 13002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE21300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE21300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 13002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO21300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two1300                                   # file of TWO21300                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO21300
                    count2lines4two1300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO21300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO21300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO21300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO21300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two1300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 13002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two1300 = count2lines4two1300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO21300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO21300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO21300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 13002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 13002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 13002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO21300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two1300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 13002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO21300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 13002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two1300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO21300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 13002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO21300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 13002TWO: ", count2lines4two1300, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 13002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 13002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 13002TWO COUNT OF 13002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 13002TWO COUNT OF 13002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 13002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 13002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 13002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 13002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO21300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO21300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 13002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE21300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three1300                                 # file of THREE21300                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE21300
                    count2lines4three1300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE21300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE21300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE21300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE21300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three1300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 13002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three1300 = count2lines4three1300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE21300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE21300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE21300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 13002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 13002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 13002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE21300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three1300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 13002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE21300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 13002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three1300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE21300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 13002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE21300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 13002THREE: ", count2lines4three1300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 13002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 13002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 13002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 13002THREE COUNT OF 13002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 13002THREE COUNT OF 13002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 13002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 13002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 13002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 13002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE21300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE21300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 13002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR21300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four1300                                   # file of FOUR21300                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR21300
                    count2lines4four1300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR21300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR21300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR21300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR21300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four1300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 13002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four1300 = count2lines4four1300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR21300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR21300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR21300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 13002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 13002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 13002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR21300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four1300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 13002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR21300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 13002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four1300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR21300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 13002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR21300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 13002FOUR: ", count2lines4four1300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 13002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 13002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 13002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 13002FOUR COUNT OF 13002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 13002FOUR COUNT OF 13002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 13002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 13002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 13002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 13002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR21300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR21300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 13002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE21300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five1300                                   # file of FIVE21300                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE21300
                    count2lines4five1300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE21300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE21300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE21300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE21300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five1300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 13002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five1300 = count2lines4five1300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE21300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE21300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE21300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 13002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 13002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 13002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE21300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five1300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 13002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE21300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five1300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE21300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 13002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE21300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 13002FIVE: ", count2lines4five1300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 13002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 13002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 13002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 13002FIVE COUNT OF 13002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 13002FIVE COUNT OF 13002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 13002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 13002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 13002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 13002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE21300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE21300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 13002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX21300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six1300                                    # file of SIX21300                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX21300
                    count2lines4six1300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX21300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX21300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX21300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX21300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six1300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 13002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six1300 = count2lines4six1300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX21300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX21300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX21300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 13002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 13002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 13002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX21300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six1300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 13002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX21300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six1300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX21300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 13002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX21300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 13002SIX: ", count2lines4six1300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 13002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 13002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 13002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 13002SIX COUNT OF 13002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 13002SIX COUNT OF 13002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 13002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 13002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 13002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 13002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX21300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX21300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 13002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN21300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven1300                                  # file of SEVEN21300                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN21300
                    count2lines4seven1300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN21300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN21300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN21300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN21300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven1300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 13002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven1300 = count2lines4seven1300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN21300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN21300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN21300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 13002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 13002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 13002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN21300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven1300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 13002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN21300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 13002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven1300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN21300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 13002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN21300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 13002SEVEN: ", count2lines4seven1300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 13002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 13002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 13002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 13002SEVEN COUNT OF 13002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 13002SEVEN COUNT OF 13002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 13002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 13002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 13002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 13002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN21300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN21300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 13002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT21300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight1300                                    # file of EIGHT21300                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT21300
                    count2lines4eight1300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT21300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT21300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT21300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT21300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight1300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 13002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight1300 = count2lines4eight1300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT21300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT21300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT21300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 13002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 13002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 13002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT21300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight1300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 13002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT21300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 13002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight1300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT21300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 13002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT21300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 13002EIGHT: ", count2lines4eight1300, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 13002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 13002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 13002EIGHT COUNT OF 13002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 13002EIGHT COUNT OF 13002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 13002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 13002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT21300                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 13002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 13002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT21300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 13002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 1400 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 1400 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE1400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one1400                                    # file of ONE21400                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE21400
                    count2lines4one1400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE1400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE21400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE21400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE21400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one1400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 14002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one1400 = count2lines4one1400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE21400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE21400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE21400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 14002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 14002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 14002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE21400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one1400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 14002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE21400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 14002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one1400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE21400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 14002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE21400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 14002ONE: ", count2lines4one1400, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 14002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 14002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 14002ONE COUNT OF 14002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 14002ONE COUNT OF 14002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 14002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 14002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 14002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 14002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE1400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE1400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 14002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO21400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two1400                                    # file of TWO21400                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO21400
                    count2lines4two1400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO21400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO21400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO21400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO21400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two1400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 14002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two1400 = count2lines4two1400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO21400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO21400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO21400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 14002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 14002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 14002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO21400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two1400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 14002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO21400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 14002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two1400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO21400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 14002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO21400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 14002TWO: ", count2lines4two1400, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 14002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 14002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 14002TWO COUNT OF 14002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 14002TWO COUNT OF 14002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 14002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 14002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 14002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 14002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO21400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO21400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 14002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE21400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three1400                                 # file of THREE21400                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE21400
                    count2lines4three1400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE21400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE21400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE21400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE21400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three1400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 14002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three1400 = count2lines4three1400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE21400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE21400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE21400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 14002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 14002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 14002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE21400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three1400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 14002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE21400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 14002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three1400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE21400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 14002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE21400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 14002THREE: ", count2lines4three1400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 14002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 14002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 14002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 14002THREE COUNT OF 14002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 14002THREE COUNT OF 14002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 14002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 14002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 14002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 14002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE21400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE21400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 14002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR21400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four1400                                   # file of FOUR21400                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR21400
                    count2lines4four1400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR21400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR21400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR21400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR21400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four1400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 14002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four1400 = count2lines4four1400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR21400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR21400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR21400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 14002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 14002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 14002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR21400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four1400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 14002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR21400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 14002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four1400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR21400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 14002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR21400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 14002FOUR: ", count2lines4four1400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 14002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 14002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 14002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 14002FOUR COUNT OF 14002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 14002FOUR COUNT OF 14002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 14002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 14002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 14002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 14002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR21400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR21400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 14002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE21400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five1400                                   # file of FIVE21400                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE21400
                    count2lines4five1400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE21400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE21400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE21400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE21400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five1400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 14002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five1400 = count2lines4five1400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE21400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE21400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE21400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 14002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 14002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 14002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE21400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five1400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 14002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE21400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five1400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE21400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 14002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE21400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 14002FIVE: ", count2lines4five1400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 14002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 14002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 14002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 14002FIVE COUNT OF 14002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 14002FIVE COUNT OF 14002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 14002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 14002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 14002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 14002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE21400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE21400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 14002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX21400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six1400                                    # file of SIX21400                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX21400
                    count2lines4six1400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX21400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX21400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX21400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX21400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six1400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 14002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six1400 = count2lines4six1400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX21400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX21400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX21400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 14002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 14002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 14002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX21400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six1400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 14002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX21400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six1400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX21400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 14002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX21400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 14002SIX: ", count2lines4six1400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 14002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 14002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 14002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 14002SIX COUNT OF 14002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 14002SIX COUNT OF 14002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 14002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 14002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 14002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 14002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX21400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX21400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 14002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN21400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven1400                                  # file of SEVEN21400                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN21400
                    count2lines4seven1400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN21400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN21400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN21400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN21400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven1400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 14002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven1400 = count2lines4seven1400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN21400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN21400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN21400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 14002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 14002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 14002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN21400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven1400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 14002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN21400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 14002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven1400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN21400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 14002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN21400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 14002SEVEN: ", count2lines4seven1400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 14002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 14002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 14002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 14002SEVEN COUNT OF 14002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 14002SEVEN COUNT OF 14002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 14002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 14002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 14002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 14002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN21400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN21400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 14002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT21400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight1400                                   # file of EIGHT21400                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT21400
                    count2lines4eight1400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT21400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT21400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT21400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT21400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight1400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 14002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight1400 = count2lines4eight1400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT21400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT21400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT21400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 14002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 14002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 14002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT21400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight1400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 14002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT21400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 14002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight1400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT21400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 14002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT21400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 14002EIGHT: ", count2lines4eight1400, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 14002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 14002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 14002EIGHT COUNT OF 14002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 14002EIGHT COUNT OF 14002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 14002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 14002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT21400                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 14002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 14002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT21400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 14002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 1500 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 1500 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE21500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one1500                                    # file of ONE21500                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE21500
                    count2lines4one1500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE21500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE21500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE21500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE21500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one1500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 15002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one1500 = count2lines4one1500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE21500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE21500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE21500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 15002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 15002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 15002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE21500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one1500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 15002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE21500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 15002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one1500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE21500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 15002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE21500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 15002ONE: ", count2lines4one1500, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 15002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 15002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 15002ONE COUNT OF 15002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 15002ONE COUNT OF 15002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 15002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 15002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 15002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 15002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE21500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE21500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 15002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO21500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two1500                                   # file of TWO21500                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO21500
                    count2lines4two1500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO21500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO21500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO21500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO21500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two1500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 15002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two1500 = count2lines4two1500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO21500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO21500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO21500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 15002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 15002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 15002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO21500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two1500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 15002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO21500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 15002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two1500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO21500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 15002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO21500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 15002TWO: ", count2lines4two1500, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 15002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 15002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 15002TWO COUNT OF 15002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 15002TWO COUNT OF 15002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 15002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 15002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 15002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 15002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO21500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO21500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 15002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE21500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three1500                                # file of THREE21500                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE21500
                    count2lines4three1500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE21500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE21500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE21500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE21500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three1500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 15002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three1500 = count2lines4three1500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE21500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE21500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE21500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 15002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 15002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 15002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE21500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three1500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 15002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE21500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 15002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three1500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE21500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 15002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE21500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 15002THREE: ", count2lines4three1500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 15002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 15002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 15002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 15002THREE COUNT OF 15002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 15002THREE COUNT OF 15002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 15002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 15002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 15002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 15002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE21500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE21500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 15002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR21500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four1500                                  # file of FOUR21500                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR21500
                    count2lines4four1500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR21500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR21500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR21500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR21500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four1500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 15002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four1500 = count2lines4four1500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR21500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR21500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR21500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 15002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 15002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 15002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR21500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four1500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 15002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR21500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 15002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four1500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR21500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 15002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR21500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 15002FOUR: ", count2lines4four1500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 15002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 15002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 15002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 15002FOUR COUNT OF 15002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 15002FOUR COUNT OF 15002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 15002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 15002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 15002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 15002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR21500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR21500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 15002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE21500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five1500                                  # file of FIVE21500                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE21500
                    count2lines4five1500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE21500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE21500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE21500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE21500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five1500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 15002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five1500 = count2lines4five1500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE21500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE21500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE21500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 15002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 15002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 15002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE21500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five1500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 15002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE21500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five1500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE21500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 15002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE21500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 15002FIVE: ", count2lines4five1500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 15002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 15002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 15002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 15002FIVE COUNT OF 15002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 15002FIVE COUNT OF 15002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 15002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 15002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 15002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 15002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE21500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE21500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 15002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX21500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six1500                                    # file of SIX21500                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX21500
                    count2lines4six1500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX21500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX21500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX21500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX21500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six1500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 15002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six1500 = count2lines4six1500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX21500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX21500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX21500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 15002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 15002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 15002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX21500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six1500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 15002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX21500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six1500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX21500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 15002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX21500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 15002SIX: ", count2lines4six1500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 15002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 15002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 15002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 15002SIX COUNT OF 15002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 15002SIX COUNT OF 15002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 15002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 15002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 15002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 15002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX21500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX21500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 15002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN21500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven1500                                 # file of SEVEN21500                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN21500
                    count2lines4seven1500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN21500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN21500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN21500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN21500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven1500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 15002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven1500 = count2lines4seven1500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN21500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN21500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN21500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 15002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 15002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 15002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN21500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven1500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 15002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN21500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 15002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven1500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN21500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 15002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN21500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 15002SEVEN: ", count2lines4seven1500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 15002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 15002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 15002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 15002SEVEN COUNT OF 15002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 15002SEVEN COUNT OF 15002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 15002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 15002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 15002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 15002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN21500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN21500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 15002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT21500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight1500                                   # file of EIGHT21500                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT21500
                    count2lines4eight1500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT21500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT21500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT21500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT21500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight1500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 15002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight1500 = count2lines4eight1500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT21500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT21500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT21500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 15002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 15002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 15002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT21500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight1500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 15002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT21500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 15002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight1500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT21500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 15002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT21500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 15002EIGHT: ", count2lines4eight1500, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 15002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 15002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 15002EIGHT COUNT OF 15002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 15002EIGHT COUNT OF 15002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 15002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 15002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT21500                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 15002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 15002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT21500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 15002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 1600 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 1600 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE21600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one1600                                    # file of ONE21600                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE21600
                    count2lines4one1600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE21600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE21600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE21600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE21600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one1600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 16002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one1600 = count2lines4one1600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE21600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE21600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE21600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 16002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 16002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 16002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE21600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one1600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 16002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE21600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 16002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one1600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE21600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 16002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE21600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 16002ONE: ", count2lines4one1600, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 16002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 16002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 16002ONE COUNT OF 16002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 16002ONE COUNT OF 16002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 16002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 16002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 16002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 16002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE21600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE21600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 16002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO21600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two1600                                    # file of TWO21600                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO21600
                    count2lines4two1600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO21600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO21600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO21600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO21600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two1600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 16002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two1600 = count2lines4two1600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO21600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO21600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO21600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 16002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 16002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 16002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO21600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two1600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 16002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO21600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 16002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two1600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO21600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 16002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO21600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 16002TWO: ", count2lines4two1600, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 16002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 16002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 16002TWO COUNT OF 16002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 16002TWO COUNT OF 16002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 16002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 16002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 16002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 16002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO21600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO21600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 16002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE21600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three1600                                 # file of THREE21600                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE21600
                    count2lines4three1600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE21600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE21600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE21600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE21600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three1600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 16002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three1600 = count2lines4three1600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE21600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE21600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE21600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 16002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 16002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 16002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE21600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three1600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 16002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE21600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 16002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three1600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE21600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 16002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE21600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 16002THREE: ", count2lines4three1600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 16002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 16002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 16002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 16002THREE COUNT OF 16002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 16002THREE COUNT OF 16002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 16002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 16002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 16002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 16002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE21600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE21600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 16002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR21600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four1600                                   # file of FOUR21600                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR21600
                    count2lines4four1600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR21600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR21600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR21600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR21600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four1600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 16002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four1600 = count2lines4four1600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR21600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR21600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR21600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 16002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 16002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 16002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR21600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four1600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 16002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR21600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 16002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four1600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR21600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 16002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR21600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 16002FOUR: ", count2lines4four1600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 16002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 16002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 16002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 16002FOUR COUNT OF 16002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 16002FOUR COUNT OF 16002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 16002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 16002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 16002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 16002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR21600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR21600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 16002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE21600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five1600                                   # file of FIVE21600                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE21600
                    count2lines4five1600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE21600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE21600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE21600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE21600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five1600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 16002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five1600 = count2lines4five1600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE21600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE21600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE21600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 16002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 16002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 16002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE21600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five1600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 16002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE21600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five1600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE21600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 16002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE21600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 16002FIVE: ", count2lines4five1600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 16002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 16002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 16002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 16002FIVE COUNT OF 16002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 16002FIVE COUNT OF 16002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 16002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 16002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 16002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 16002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE21600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE21600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 16002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX21600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six1600                                    # file of SIX21600                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX21600
                    count2lines4six1600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX21600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX21600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX21600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX21600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six1600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 16002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six1600 = count2lines4six1600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX21600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX21600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX21600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 16002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 16002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 16002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX21600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six1600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 16002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX21600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six1600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX21600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 16002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX21600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 16002SIX: ", count2lines4six1600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 16002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 16002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 16002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 16002SIX COUNT OF 16002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 16002SIX COUNT OF 16002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 16002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 16002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 16002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 16002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX21600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX21600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 16002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN21600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven1600                                  # file of SEVEN21600                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN21600
                    count2lines4seven1600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN21600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN21600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN21600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN21600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven1600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 16002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven1600 = count2lines4seven1600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN21600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN21600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN21600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 16002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 16002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 16002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN21600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven1600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 16002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN21600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 16002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven1600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN21600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 16002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN21600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 16002SEVEN: ", count2lines4seven1600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 16002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 16002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 16002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 16002SEVEN COUNT OF 16002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 16002SEVEN COUNT OF 16002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 16002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 16002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 16002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 16002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN21600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN21600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 16002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT21600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight1600                                    # file of EIGHT21600                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT21600
                    count2lines4eight1600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT21600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT21600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT21600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT21600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight1600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 16002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight1600 = count2lines4eight1600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT21600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT21600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT21600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 16002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 16002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 16002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT21600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight1600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 16002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT21600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 16002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight1600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT21600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 16002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT21600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 16002EIGHT: ", count2lines4eight1600, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 16002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 16002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 16002EIGHT COUNT OF 16002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 16002EIGHT COUNT OF 16002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 16002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 16002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT21600                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 16002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 16002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT21600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 16002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                    
                # =========================================================================================================
                # 1700 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 1700 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE21700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one1700                                    # file of ONE21700                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE21700
                    count2lines4one1700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE21700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE21700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE21700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE21700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one1700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 17002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one1700 = count2lines4one1700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE21700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE21700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE21700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 17002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 17002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 17002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE21700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one1700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 17002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE21700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 17002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one1700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE21700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 17002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE21700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 17002ONE: ", count2lines4one1700, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 17002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 17002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 17002ONE COUNT OF 17002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 17002ONE COUNT OF 17002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 17002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 17002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 17002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 17002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE21700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE21700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 17002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO21700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two1700                                    # file of TWO21700                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO21700
                    count2lines4two1700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO21700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO21700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO21700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO21700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two1700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 17002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two1700 = count2lines4two1700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO21700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO21700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO21700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 17002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 17002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 17002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO21700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two1700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 17002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO21700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 17002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two1700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO21700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 17002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO21700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 17002TWO: ", count2lines4two1700, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 17002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 17002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 17002TWO COUNT OF 17002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 17002TWO COUNT OF 17002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 17002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 17002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 17002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 17002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO21700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO21700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 17002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE21700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three1700                                 # file of THREE21700                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE21700
                    count2lines4three1700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE21700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE21700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE21700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE21700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three1700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 17002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three1700 = count2lines4three1700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE21700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE21700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE21700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 17002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 17002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 17002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE21700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three1700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 17002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE21700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 17002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three1700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE21700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 17002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE21700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 17002THREE: ", count2lines4three1700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 17002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 17002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 17002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 17002THREE COUNT OF 17002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 17002THREE COUNT OF 17002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 17002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 17002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 17002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 17002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE21700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE21700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 17002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR21700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four1700                                   # file of FOUR21700                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR21700
                    count2lines4four1700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR21700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR21700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR21700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR21700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four1700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 17002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four1700 = count2lines4four1700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR21700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR21700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR21700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 17002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 17002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 17002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR21700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four1700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 17002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR21700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 17002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four1700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR21700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 17002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR21700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 17002FOUR: ", count2lines4four1700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 17002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 17002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 17002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 17002FOUR COUNT OF 17002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 17002FOUR COUNT OF 17002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 17002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 17002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 17002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 17002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR21700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR21700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 17002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE21700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five1700                                   # file of FIVE21700                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE21700
                    count2lines4five1700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE21700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE21700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE21700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE21700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five1700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 17002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five1700 = count2lines4five1700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE21700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE21700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE21700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 17002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 17002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 17002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE21700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five1700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 17002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE21700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five1700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE21700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 17002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE21700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 17002FIVE: ", count2lines4five1700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 17002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 17002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 17002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 17002FIVE COUNT OF 17002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 17002FIVE COUNT OF 17002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 17002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 17002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 17002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 17002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE21700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE21700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 17002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX21700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six1700                                    # file of SIX21700                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX21700
                    count2lines4six1700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX21700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX21700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX21700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX21700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six1700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 17002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six1700 = count2lines4six1700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX21700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX21700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX21700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 17002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 17002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 17002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX21700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six1700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 17002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX21700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six1700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX21700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 17002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX21700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 17002SIX: ", count2lines4six1700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 17002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 17002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 17002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 17002SIX COUNT OF 17002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 17002SIX COUNT OF 17002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 17002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 17002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 17002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 17002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX21700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX21700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 17002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN21700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven1700                                  # file of SEVEN21700                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN21700
                    count2lines4seven1700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN21700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN21700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN21700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN21700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven1700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 17002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven1700 = count2lines4seven1700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN21700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN21700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN21700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 17002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 17002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 17002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN21700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven1700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 17002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN21700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 17002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven1700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN21700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 17002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN21700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 17002SEVEN: ", count2lines4seven1700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 17002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 17002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 17002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 17002SEVEN COUNT OF 17002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 17002SEVEN COUNT OF 17002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 17002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 17002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 17002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 17002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN21700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN21700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 17002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT21700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight1700                                    # file of EIGHT21700                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT21700
                    count2lines4eight1700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT21700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT21700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT21700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT21700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight1700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 17002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight1700 = count2lines4eight1700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT21700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT21700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT21700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 17002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 17002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 17002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT21700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight1700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 17002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT21700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 17002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight1700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT21700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 17002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT21700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 17002EIGHT: ", count2lines4eight1700, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 17002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 17002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 17002EIGHT COUNT OF 17002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 17002EIGHT COUNT OF 17002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 17002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 17002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT21700                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 17002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 17002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT21700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 17002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                    
                # =========================================================================================================
                # 1800 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 1800 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE21800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one1800                                    # file of ONE21800                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE21800
                    count2lines4one1800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE21800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE21800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE21800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE21800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one1800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 18002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one1800 = count2lines4one1800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE21800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE21800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE21800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 18002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 18002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 18002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE21800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one1800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 18002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE21800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 18002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one1800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE21800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 18002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE21800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 18002ONE: ", count2lines4one1800, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 18002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 18002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 18002ONE COUNT OF 18002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 18002ONE COUNT OF 18002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 18002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 18002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 18002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 18002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE21800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE21800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 18002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO21800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two1800                                   # file of TWO21800                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO21800
                    count2lines4two1800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO21800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO21800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO21800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO21800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two1800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 18002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two1800 = count2lines4two1800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO21800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO21800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO21800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 18002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 18002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 18002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO21800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two1800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 18002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO21800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 18002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two1800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO21800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 18002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO21800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 18002TWO: ", count2lines4two1800, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 18002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 18002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 18002TWO COUNT OF 18002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 18002TWO COUNT OF 18002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 18002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 18002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 18002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 18002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO21800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO21800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 18002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE21800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three1800                                 # file of THREE21800                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE21800
                    count2lines4three1800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE21800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE21800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE21800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE21800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three1800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 18002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three1800 = count2lines4three1800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE21800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE21800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE21800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 18002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 18002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 18002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE21800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three1800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 18002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE21800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 18002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three1800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE21800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 18002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE21800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 18002THREE: ", count2lines4three1800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 18002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 18002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 18002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 18002THREE COUNT OF 18002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 18002THREE COUNT OF 18002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 18002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 18002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 18002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 18002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE21800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE21800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 18002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR21800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four1800                                   # file of FOUR21800                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR21800
                    count2lines4four1800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR21800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR21800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR21800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR21800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four1800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 18002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four1800 = count2lines4four1800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR21800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR21800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR21800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 18002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 18002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 18002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR21800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four1800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 18002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR21800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 18002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four1800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR21800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 18002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR21800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 18002FOUR: ", count2lines4four1800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 18002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 18002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 18002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 18002FOUR COUNT OF 18002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 18002FOUR COUNT OF 18002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 18002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 18002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 18002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 18002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR21800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR21800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 18002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE21800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five1800                                   # file of FIVE21800                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE21800
                    count2lines4five1800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE21800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE21800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE21800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE21800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five1800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 18002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five1800 = count2lines4five1800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE21800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE21800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE21800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 18002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 18002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 18002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE21800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five1800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 18002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE21800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five1800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE21800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 18002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE21800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 18002FIVE: ", count2lines4five1800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 18002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 18002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 18002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 18002FIVE COUNT OF 18002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 18002FIVE COUNT OF 18002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 18002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 18002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 18002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 18002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE21800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE21800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 18002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX21800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six1800                                    # file of SIX21800                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX21800
                    count2lines4six1800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX21800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX21800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX21800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX21800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six1800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 18002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six1800 = count2lines4six1800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX21800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX21800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX21800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 18002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 18002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 18002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX21800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six1800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 18002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX21800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six1800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX21800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 18002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX21800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 18002SIX: ", count2lines4six1800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 18002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 18002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 18002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 18002SIX COUNT OF 18002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 18002SIX COUNT OF 18002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 18002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 18002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 18002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 18002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX21800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX21800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 18002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN21800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven1800                                  # file of SEVEN21800                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN21800
                    count2lines4seven1800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN21800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN21800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN21800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN21800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven1800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 18002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven1800 = count2lines4seven1800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN21800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN21800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN21800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 18002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 18002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 18002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN21800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven1800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 18002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN21800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 18002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven1800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN21800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 18002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN21800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 18002SEVEN: ", count2lines4seven1800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 18002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 18002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 18002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 18002SEVEN COUNT OF 18002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 18002SEVEN COUNT OF 18002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 18002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 18002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 18002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 18002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN21800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN21800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 18002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT21800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight1800                                    # file of EIGHT21800                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT21800
                    count2lines4eight1800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT21800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT21800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT21800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT21800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight1800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 18002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight1800 = count2lines4eight1800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT21800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT21800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT21800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 18002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 18002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 18002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT21800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight1800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 18002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT21800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 18002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight1800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT21800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 18002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT21800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 18002EIGHT: ", count2lines4eight1800, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 18002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 18002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 18002EIGHT COUNT OF 18002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 18002EIGHT COUNT OF 18002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 18002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 18002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT21800                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 18002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 18002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT21800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 18002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                    
                # =========================================================================================================
                # 1900 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 1900 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE21900                       
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one1900                                    # file of ONE21900               
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE21900
                    count2lines4one1900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE21900               
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE21900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE21900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE21900              
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one1900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 19002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one1900 = count2lines4one1900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE21900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE21900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE21900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 19002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 19002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF19002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE21900                
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one1900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 19002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE21900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 19002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one1900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE21900               
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 19002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE21900               
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 19002ONE: ", count2lines4one1900, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 19002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 19002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 19002ONE COUNT OF 19002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 19002ONE COUNT OF 19002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 19002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 19002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 19002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 19002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE21900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE21900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 19002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO21900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two1900                                    # file of TWO21900                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO21900
                    count2lines4two1900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO21900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO21900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO21900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO21900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two1900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 19002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two1900 = count2lines4two1900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO21900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO21900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO21900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 19002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 19002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 19002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO21900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two1900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 19002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO21900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 19002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two1900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO21900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 19002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO21900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 19002TWO: ", count2lines4two1900, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 19002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 19002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 19002TWO COUNT OF 19002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 19002TWO COUNT OF 19002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 19002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 19002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 19002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 19002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO21900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO21900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 19002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE21900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three1900                                 # file of THREE21900                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE21900
                    count2lines4three1900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE21900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE21900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE21900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE21900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three1900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 19002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three1900 = count2lines4three1900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE21900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE21900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE21900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 19002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 19002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 19002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE21900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three1900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 19002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE21900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 19002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three1900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE21900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 19002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE21900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 19002THREE: ", count2lines4three1900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 19002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 19002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 19002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 19002THREE COUNT OF 19002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 19002THREE COUNT OF 19002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 19002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 19002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 19002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 19002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE21900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE21900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 19002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR21900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four1900                                   # file of FOUR21900                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR21900
                    count2lines4four1900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR21900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR21900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR21900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR21900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four1900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 19002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four1900 = count2lines4four1900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR21900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR21900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR21900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 19002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 19002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 19002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR21900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four1900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 19002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR21900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 19002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four1900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR21900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 19002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR21900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 19002FOUR: ", count2lines4four1900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 19002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 19002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 19002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 19002FOUR COUNT OF 19002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 19002FOUR COUNT OF 19002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 19002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 19002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 19002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 19002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR21900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR21900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 19002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE21900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five1900                                   # file of FIVE21900                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE21900
                    count2lines4five1900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE21900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE21900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE21900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE21900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five1900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 19002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five1900 = count2lines4five1900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE21900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE21900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE21900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 19002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 19002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 19002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE21900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five1900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 19002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE21900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five1900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE21900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 19002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE21900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 19002FIVE: ", count2lines4five1900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 19002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 19002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 19002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 19002FIVE COUNT OF 19002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 19002FIVE COUNT OF 19002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 19002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 19002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 19002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 19002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE21900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE21900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 19002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX21900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six1900                                    # file of SIX21900                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX21900
                    count2lines4six1900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX21900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX21900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX21900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX21900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six1900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 19002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six1900 = count2lines4six1900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX21900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX21900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX21900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 19002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 19002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 19002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX21900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six1900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 19002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX21900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six1900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX21900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 19002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX21900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 19002SIX: ", count2lines4six1900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 19002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 19002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 19002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 19002SIX COUNT OF 19002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 19002SIX COUNT OF 19002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 19002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 19002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 19002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 19002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX21900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX21900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 19002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN21900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven1900                                  # file of SEVEN21900                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN21900
                    count2lines4seven1900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN21900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN21900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN21900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN21900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven1900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 19002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven1900 = count2lines4seven1900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN21900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN21900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN21900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 19002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 19002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 19002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN21900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven1900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 19002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN21900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 19002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven1900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN21900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 19002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN21900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 19002SEVEN: ", count2lines4seven1900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 19002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 19002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 19002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 19002SEVEN COUNT OF 19002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 19002SEVEN COUNT OF 19002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 19002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 19002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 19002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 19002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN21900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN21900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 19002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT21900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight1900                                    # file of EIGHT21900                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT21900
                    count2lines4eight1900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT21900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT21900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT21900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT21900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight1900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 19002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight1900 = count2lines4eight1900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT21900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT21900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT21900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 19002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 19002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 19002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT21900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight1900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 19002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT21900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 19002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight1900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT21900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 19002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT21900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 19002EIGHT: ", count2lines4eight1900, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 19002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 19002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 19002EIGHT COUNT OF 19002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 19002EIGHT COUNT OF 19002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 19002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 19002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT21900                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 19002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 19002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT21900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 19002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                    
                # =========================================================================================================
                # 2000 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 2000 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE21900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one2000                                    # file of ONE22000                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE22000
                    count2lines4one2000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE22000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE22000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE22000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE22000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one2000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 20002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one2000 = count2lines4one2000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE22000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE22000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE22000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 20002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 20002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 20002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE22000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one2000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 20002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE22000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 20002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one2000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE22000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 20002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE22000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 20002ONE: ", count2lines4one2000, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 20002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 20002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 20002ONE COUNT OF 20002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 20002ONE COUNT OF 20002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 20002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 20002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 20002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 20002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE22000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE22000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 20002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO22000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two2000                                    # file of TWO22000                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO22000
                    count2lines4two2000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO22000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO22000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO22000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO22000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two2000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 20002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two2000 = count2lines4two2000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO22000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO22000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO22000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 20002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 20002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 20002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO22000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two2000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 20002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO22000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 20002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two2000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO22000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 20002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO22000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 20002TWO: ", count2lines4two2000, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 20002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 20002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 20002TWO COUNT OF 20002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 20002TWO COUNT OF 20002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 20002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 20002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 20002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 20002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO22000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO22000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 20002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE22000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three2000                                 # file of THREE22000                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE22000
                    count2lines4three2000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE22000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE22000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE22000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE22000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three2000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 20002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three2000 = count2lines4three2000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE22000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE22000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE22000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 20002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 20002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 20002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE22000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three2000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 20002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE22000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 20002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three2000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE22000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 20002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE22000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 20002THREE: ", count2lines4three2000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 20002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 20002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 20002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 20002THREE COUNT OF 20002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 20002THREE COUNT OF 20002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 20002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 20002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 20002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 20002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE22000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE22000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 20002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR22000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four2000                                   # file of FOUR22000                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR22000
                    count2lines4four2000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR22000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR22000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR22000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR22000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four2000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 20002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four2000 = count2lines4four2000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR22000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR22000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR22000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 20002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 20002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 20002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR22000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four2000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 20002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR22000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 20002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four2000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR22000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 20002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR22000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 20002FOUR: ", count2lines4four2000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 20002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 20002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 20002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 20002FOUR COUNT OF 20002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 20002FOUR COUNT OF 20002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 20002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 20002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 20002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 20002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR22000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR22000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 20002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE22000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five2000                                   # file of FIVE22000                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE22000
                    count2lines4five2000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE22000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE22000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE22000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE22000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five2000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 20002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five2000 = count2lines4five2000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE22000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE22000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE22000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 20002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 20002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 20002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE22000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five2000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 20002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE22000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five2000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE22000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 20002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE22000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 20002FIVE: ", count2lines4five2000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 20002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 20002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 20002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 20002FIVE COUNT OF 20002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 20002FIVE COUNT OF 20002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 20002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 20002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 20002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 20002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE22000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE22000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 20002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX22000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six2000                                    # file of SIX22000                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX22000
                    count2lines4six2000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX22000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX22000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX22000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX22000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six2000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 20002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six2000 = count2lines4six2000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX22000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX22000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX22000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 20002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 20002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 20002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX22000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six2000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 20002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX22000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six2000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX22000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 20002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX22000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 20002SIX: ", count2lines4six2000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 20002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 20002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 20002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 20002SIX COUNT OF 20002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 20002SIX COUNT OF 20002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 20002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 20002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 20002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 20002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX22000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX22000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 20002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN22000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven2000                                  # file of SEVEN22000                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN22000
                    count2lines4seven2000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN22000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN22000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN22000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN22000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven2000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 20002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven2000 = count2lines4seven2000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN22000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN22000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN22000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 20002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 20002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 20002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN22000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven2000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 20002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN22000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 20002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven2000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN22000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 20002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN22000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 20002SEVEN: ", count2lines4seven2000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 20002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 20002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 20002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 20002SEVEN COUNT OF 20002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 20002SEVEN COUNT OF 20002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 20002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 20002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 20002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 20002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN22000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN22000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 20002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT22000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight2000                                    # file of EIGHT22000                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT22000
                    count2lines4eight2000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT22000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT22000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT22000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT22000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight2000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 20002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight2000 = count2lines4eight2000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT22000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT22000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT22000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 20002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 20002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 20002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT22000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight2000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 20002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT22000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 20002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight2000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT22000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 20002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT22000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 20002EIGHT: ", count2lines4eight2000, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 20002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 20002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 20002EIGHT COUNT OF 20002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 20002EIGHT COUNT OF 20002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 20002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 20002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT22000                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 20002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 20002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT22000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 20002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                    
                # =========================================================================================================
                # 2100 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 2100 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE22100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one2100                                    # file of ONE22100                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE22100
                    count2lines4one2100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE22100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE22100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE22100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE22100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one2100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 21002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one2100 = count2lines4one2100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE22100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE22100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE22100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 21002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 21002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 21002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE22100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one2100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 21002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE22100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 21002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one2100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE22100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 21002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE22100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 21002ONE: ", count2lines4one2100, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 21002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 21002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 21002ONE COUNT OF 21002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 21002ONE COUNT OF 21002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 21002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 21002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 21002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 21002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE22100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE22100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 21002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO22100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two2100                                    # file of TWO22100                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO22100
                    count2lines4two2100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO22100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO22100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO22100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO22100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two2100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 21002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two2100 = count2lines4two2100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO22100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO22100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO22100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 21002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 21002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 21002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO22100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two2100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 21002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO22100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 21002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two2100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO22100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 21002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO22100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 21002TWO: ", count2lines4two2100, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 21002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 21002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 21002TWO COUNT OF 21002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 21002TWO COUNT OF 21002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 21002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 21002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 21002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 21002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO22100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO22100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 21002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE22100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three2100                                 # file of THREE22100                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE22100
                    count2lines4three2100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE22100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE22100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE22100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE22100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three2100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 21002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three2100 = count2lines4three2100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE22100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE22100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE22100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 21002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 21002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 21002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE22100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three2100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 21002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE22100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 21002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three2100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE22100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 21002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE22100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 21002THREE: ", count2lines4three2100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 21002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 21002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 21002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 21002THREE COUNT OF 21002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 21002THREE COUNT OF 21002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 21002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 21002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 21002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 21002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE22100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE22100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 21002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR22100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four2100                                   # file of FOUR22100                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR22100
                    count2lines4four2100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR22100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR22100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR22100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR22100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four2100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 21002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four2100 = count2lines4four2100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR22100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR22100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR22100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 21002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 21002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 21002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR22100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four2100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 21002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR22100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 21002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four2100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR22100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 21002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR22100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 21002FOUR: ", count2lines4four2100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 21002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 21002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 21002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 21002FOUR COUNT OF 21002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 21002FOUR COUNT OF 21002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 21002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 21002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 21002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 21002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR22100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR22100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 21002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE22100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five2100                                   # file of FIVE22100                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE22100
                    count2lines4five2100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE22100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE22100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE22100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE22100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five2100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 21002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five2100 = count2lines4five2100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE22100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE22100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE22100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 21002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 21002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 21002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE22100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five2100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 21002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE22100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five2100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE22100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 21002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE22100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 21002FIVE: ", count2lines4five2100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 21002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 21002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 21002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 21002FIVE COUNT OF 21002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 21002FIVE COUNT OF 21002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 21002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 21002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 21002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 21002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE22100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE22100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 21002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX22100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six2100                                    # file of SIX22100                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX22100
                    count2lines4six2100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX22100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX22100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX22100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX22100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six2100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 21002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six2100 = count2lines4six2100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX22100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX22100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX22100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 21002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 21002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 21002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX22100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six2100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 21002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX22100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six2100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX22100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 21002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX22100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 21002SIX: ", count2lines4six2100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 21002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 21002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 21002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 21002SIX COUNT OF 21002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 21002SIX COUNT OF 21002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 21002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 21002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 21002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 21002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX22100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX22100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 21002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN22100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven2100                                  # file of SEVEN22100                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN22100
                    count2lines4seven2100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN22100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN22100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN22100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN22100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven2100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 21002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven2100 = count2lines4seven2100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN22100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN22100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN22100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 21002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 21002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 21002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN22100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven2100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 21002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN22100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 21002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven2100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN22100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 21002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN22100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 21002SEVEN: ", count2lines4seven2100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 21002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 21002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 21002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 21002SEVEN COUNT OF 21002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 21002SEVEN COUNT OF 21002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 21002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 21002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 21002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 21002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN22100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN22100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 21002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT22100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight2100                                    # file of EIGHT22100                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT22100
                    count2lines4eight2100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT22100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT22100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT22100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT22100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight2100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 21002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight2100 = count2lines4eight2100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT22100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT22100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT22100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 21002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 21002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 21002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT22100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight2100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 21002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT22100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 21002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight2100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT22100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 21002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT22100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 21002EIGHT: ", count2lines4eight2100, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 21002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 21002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 21002EIGHT COUNT OF 21002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 21002EIGHT COUNT OF 21002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 21002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 21002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT22100                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 21002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 21002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT22100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 21002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                    
                # =========================================================================================================
                # 2200 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 2200 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE22200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one2200                                    # file of ONE22200                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE22200
                    count2lines4one2200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE22200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE22200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE22200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE22200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one2200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 22002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one2200 = count2lines4one2200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE22200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE22200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE22200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 22002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 22002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 22002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE22200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one2200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 22002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE22200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 22002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one2200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE22200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 22002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE22200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 22002ONE: ", count2lines4one2200, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 22002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 22002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 22002ONE COUNT OF 22002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 22002ONE COUNT OF 22002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 22002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 22002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 22002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 22002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE22200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE22200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 22002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO22200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two2200                                    # file of TWO22200                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO22200
                    count2lines4two2200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO22200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO22200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO22200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO22200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two2200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 22002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two2200 = count2lines4two2200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO22200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO22200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO22200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 22002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 22002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 22002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO22200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two2200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 22002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO22200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 22002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two2200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO22200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 22002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO22200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 22002TWO: ", count2lines4two2200, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 22002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 22002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 22002TWO COUNT OF 22002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 22002TWO COUNT OF 22002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 22002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 22002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 22002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 22002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO22200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO22200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 22002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE22200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three2200                                 # file of THREE22200                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE22200
                    count2lines4three2200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE22200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE22200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE22200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE22200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three2200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 22002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three2200 = count2lines4three2200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE22200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE22200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE22200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 22002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 22002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 22002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE22200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three2200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 22002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE22200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 22002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three2200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE22200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 22002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE22200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 22002THREE: ", count2lines4three2200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 22002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 22002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 22002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 22002THREE COUNT OF 22002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 22002THREE COUNT OF 22002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 22002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 22002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 22002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 22002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE22200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE22200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 22002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR22200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four2200                                   # file of FOUR22200                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR22200
                    count2lines4four2200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR22200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR22200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR22200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR22200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four2200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 22002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four2200 = count2lines4four2200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR22200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR22200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR22200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 22002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 22002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 22002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR22200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four2200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 22002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR22200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 22002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four2200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR22200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 22002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR22200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 22002FOUR: ", count2lines4four2200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 22002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 22002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 22002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 22002FOUR COUNT OF 22002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 22002FOUR COUNT OF 22002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 22002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 22002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 22002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 22002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR22200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR22200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 22002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE22200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five2200                                   # file of FIVE22200                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE22200
                    count2lines4five2200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE22200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE22200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE22200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE22200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five2200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 22002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five2200 = count2lines4five2200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE22200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE22200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE22200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 22002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 22002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 22002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE22200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five2200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 22002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE22200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five2200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE22200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 22002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE22200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 22002FIVE: ", count2lines4five2200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 22002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 22002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 22002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 22002FIVE COUNT OF 22002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 22002FIVE COUNT OF 22002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 22002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 22002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 22002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 22002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE22200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE22200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 22002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX22200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six2200                                    # file of SIX22200                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX22200
                    count2lines4six2200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX22200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX22200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX22200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX22200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six2200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 22002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six2200 = count2lines4six2200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX22200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX22200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX22200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 22002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 22002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 22002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX22200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six2200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 22002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX22200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six2200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX22200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 22002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX22200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 22002SIX: ", count2lines4six2200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 22002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 22002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 22002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 22002SIX COUNT OF 22002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 22002SIX COUNT OF 22002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 22002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 22002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 22002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 22002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX22200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX22200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 22002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN22200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven2200                                  # file of SEVEN22200                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN22200
                    count2lines4seven2200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN22200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN22200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN22200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN22200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven2200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 22002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven2200 = count2lines4seven2200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN22200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN22200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN22200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 22002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 22002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 22002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN22200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven2200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 22002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN22200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 22002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven2200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN22200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 22002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN22200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 22002SEVEN: ", count2lines4seven2200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 22002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 22002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 22002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 22002SEVEN COUNT OF 22002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 22002SEVEN COUNT OF 22002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 22002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 22002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 22002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 22002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN22200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN22200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 22002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT22200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight2200                                    # file of EIGHT22200                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT22200
                    count2lines4eight2200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT22200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT22200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT22200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT22200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight2200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 22002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight2200 = count2lines4eight2200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT22200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT22200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT22200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 22002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 22002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 22002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT22200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight2200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 22002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT22200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 22002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight2200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT22200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 22002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT22200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 22002EIGHT: ", count2lines4eight2200, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 22002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 22002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 22002EIGHT COUNT OF 22002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 22002EIGHT COUNT OF 22002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 22002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 22002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT22200                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 22002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 22002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT22200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 22002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                    
                # =========================================================================================================
                # 2300 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 2300 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE22300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one2300                                    # file of ONE22300                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE22300
                    count2lines4one2300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE22300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE22300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE22300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE22300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one2300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 23002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one2300 = count2lines4one2300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE22300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE22300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE22300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 23002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 23002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 23002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE22300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one2300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 23002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE22300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 23002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one2300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE22300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 23002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE22300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 23002ONE: ", count2lines4one2300, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 23002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 23002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 23002ONE COUNT OF 23002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 23002ONE COUNT OF 23002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 23002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 23002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 23002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 23002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE22300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE22300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 23002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO22300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two2300                                    # file of TWO22300                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO22300
                    count2lines4two2300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO22300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO22300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO22300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO22300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two2300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 23002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two2300 = count2lines4two2300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO22300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO22300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO22300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 23002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 23002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 23002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO22300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two2300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 23002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO22300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 23002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two2300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO22300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 23002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO22300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 23002TWO: ", count2lines4two2300, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 23002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 23002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 23002TWO COUNT OF 23002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 23002TWO COUNT OF 23002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 23002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 23002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 23002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 23002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO22300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO22300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 23002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE22300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three2300                                 # file of THREE22300                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE22300
                    count2lines4three2300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE22300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE22300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE22300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE22300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three2300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 23002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three2300 = count2lines4three2300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE22300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE22300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE22300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 23002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 23002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 23002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE22300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three2300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 23002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE22300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 23002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three2300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE22300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 23002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE22300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 23002THREE: ", count2lines4three2300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 23002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 23002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 23002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 23002THREE COUNT OF 23002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 23002THREE COUNT OF 23002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 23002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 23002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 23002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 23002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE22300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE22300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 23002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR22300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four2300                                   # file of FOUR22300                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR22300
                    count2lines4four2300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR22300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR22300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR22300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR22300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four2300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 23002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four2300 = count2lines4four2300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR22300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR22300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR22300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 23002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 23002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 23002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR22300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four2300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 23002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR22300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 23002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four2300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR22300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 23002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR22300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 23002FOUR: ", count2lines4four2300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 23002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 23002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 23002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 23002FOUR COUNT OF 23002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 23002FOUR COUNT OF 23002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 23002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 23002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 23002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 23002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR22300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR22300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 23002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE22300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five2300                                   # file of FIVE22300                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE22300
                    count2lines4five2300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE22300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE22300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE22300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE22300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five2300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 23002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five2300 = count2lines4five2300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE22300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE22300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE22300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 23002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 23002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 23002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE22300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five2300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 23002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE22300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five2300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE22300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 23002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE22300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 23002FIVE: ", count2lines4five2300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 23002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 23002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 23002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 23002FIVE COUNT OF 23002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 23002FIVE COUNT OF 23002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 23002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 23002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 23002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 23002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE22300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE22300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 23002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX22300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six2300                                    # file of SIX22300                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX22300
                    count2lines4six2300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX22300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX22300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX22300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX22300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six2300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 23002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six2300 = count2lines4six2300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX22300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX22300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX22300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 23002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 23002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 23002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX22300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six2300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 23002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX22300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six2300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX22300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 23002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX22300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 23002SIX: ", count2lines4six2300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 23002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 23002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 23002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 23002SIX COUNT OF 23002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 23002SIX COUNT OF 23002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 23002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 23002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 23002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 23002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX22300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX22300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 23002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN22300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven2300                                  # file of SEVEN22300                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN22300
                    count2lines4seven2300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN22300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN22300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN22300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN22300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven2300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 23002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven2300 = count2lines4seven2300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN22300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN22300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN22300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 23002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 23002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 23002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN22300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven2300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 23002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN22300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 23002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven2300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN22300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 23002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN22300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 23002SEVEN: ", count2lines4seven2300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 23002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 23002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 23002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 23002SEVEN COUNT OF 23002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 23002SEVEN COUNT OF 23002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 23002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 23002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 23002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 23002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN22300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN22300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 23002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT22300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight2300                                    # file of EIGHT22300                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT22300
                    count2lines4eight2300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT22300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT22300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT22300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT22300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight2300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 23002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight2300 = count2lines4eight2300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT22300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT22300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT22300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 23002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 23002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 23002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT22300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight2300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 23002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT22300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 23002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight2300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT22300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 23002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT22300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 23002EIGHT: ", count2lines4eight2300, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 23002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 23002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 23002EIGHT COUNT OF 23002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 23002EIGHT COUNT OF 23002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 23002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 23002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT22300                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 23002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 23002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT22300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 23002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 2400 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 2400 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE22400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one2400                                    # file of ONE22400                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE22400
                    count2lines4one2400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE22400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE22400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE22400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE22400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one2400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 24002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one2400 = count2lines4one2400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE22400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE22400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE22400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 24002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 24002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 24002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE22400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one2400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 24002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE22400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 24002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one2400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE22400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 24002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE22400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 24002ONE: ", count2lines4one2400, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 24002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 24002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 24002ONE COUNT OF 24002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 24002ONE COUNT OF 24002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 24002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 24002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 24002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 24002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE22400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE22400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 24002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO22400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two2400                                    # file of TWO22400                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO22400
                    count2lines4two2400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO22400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO22400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO22400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO22400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two2400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 24002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two2400 = count2lines4two2400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO22400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO22400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO22400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 24002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 24002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 24002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO22400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two2400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 24002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO22400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 24002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two2400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO22400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 24002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO22400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 24002TWO: ", count2lines4two2400, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 24002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 24002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 24002TWO COUNT OF 24002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 24002TWO COUNT OF 24002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 24002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 24002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 24002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 24002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO22400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO22400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 24002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE22400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three2400                                 # file of THREE22400                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE22400
                    count2lines4three2400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE22400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE22400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE22400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE22400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three2400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 24002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three2400 = count2lines4three2400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE22400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE22400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE22400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 24002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 24002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 24002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE22400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three2400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 24002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE22400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 24002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three2400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE22400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 24002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE22400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 24002THREE: ", count2lines4three2400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 24002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 24002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 24002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 24002THREE COUNT OF 24002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 24002THREE COUNT OF 24002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 24002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 24002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 24002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 24002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE22400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE22400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 24002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR22400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four2400                                   # file of FOUR22400                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR22400
                    count2lines4four2400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR22400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR22400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR22400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR22400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four2400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 24002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four2400 = count2lines4four2400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR22400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR22400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR22400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 24002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 24002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 24002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR22400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four2400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 24002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR22400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 24002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four2400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR22400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 24002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR22400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 24002FOUR: ", count2lines4four2400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 24002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 24002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 24002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 24002FOUR COUNT OF 24002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 24002FOUR COUNT OF 24002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 24002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 24002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 24002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 24002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR22400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR22400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 24002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE22400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five2400                                   # file of FIVE22400                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE22400
                    count2lines4five2400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE22400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE22400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE22400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE22400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five2400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 24002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five2400 = count2lines4five2400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE22400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE22400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE22400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 24002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 24002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 24002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE22400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five2400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 24002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE22400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five2400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE22400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 24002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE22400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 24002FIVE: ", count2lines4five2400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 24002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 24002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 24002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 24002FIVE COUNT OF 24002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 24002FIVE COUNT OF 24002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 24002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 24002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 24002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 24002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE22400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE22400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 24002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX22400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six2400                                    # file of SIX22400                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX22400
                    count2lines4six2400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX22400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX22400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX22400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX22400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six2400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 24002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six2400 = count2lines4six2400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX22400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX22400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX22400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 24002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 24002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 24002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX22400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six2400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 24002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX22400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six2400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX22400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 24002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX22400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 24002SIX: ", count2lines4six2400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 24002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 24002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 24002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 24002SIX COUNT OF 24002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 24002SIX COUNT OF 24002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 24002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 24002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 24002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 24002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX22400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX22400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 24002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN22400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven2400                                  # file of SEVEN22400                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN22400
                    count2lines4seven2400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN22400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN22400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN22400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN22400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven2400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 24002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven2400 = count2lines4seven2400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN22400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN22400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN22400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 24002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 24002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 24002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN22400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven2400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 24002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN22400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 24002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven2400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN22400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 24002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN22400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 24002SEVEN: ", count2lines4seven2400, " - TIME: ", time4xi())
                    # COUNT2LINES OF 24002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 24002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 24002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 24002SEVEN COUNT OF 24002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 24002SEVEN COUNT OF 24002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 24002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 24002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 24002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 24002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN22400                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN22400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 24002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT22400                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight2400                                    # file of EIGHT22400                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT22400
                    count2lines4eight2400 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT22400                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT22400
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT22400
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT22400                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight2400 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 24002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight2400 = count2lines4eight2400 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT22400 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT22400 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT22400 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 24002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 24002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 24002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT22400                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight2400 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 24002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT22400                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 24002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight2400 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT22400                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 24002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT22400                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 24002EIGHT: ", count2lines4eight2400, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 24002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 24002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 24002EIGHT COUNT OF 24002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 24002EIGHT COUNT OF 24002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 24002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 24002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT22400                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 24002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 24002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT22400                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 24002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                
                                                    
                # =========================================================================================================
                # 2500 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 2500 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE22500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one2500                                    # file of ONE22500                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE22500
                    count2lines4one2500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE22500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE22500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE22500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE22500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one2500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 25002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one2500 = count2lines4one2500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE22500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE22500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE22500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 25002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 25002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 25002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE22500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one2500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 25002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE22500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 25002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one2500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE22500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 25002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE22500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 25002ONE: ", count2lines4one2500, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 25002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 25002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 25002ONE COUNT OF 25002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 25002ONE COUNT OF 25002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 25002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 25002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 25002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 25002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE22500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE22500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 25002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO22500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two2500                                    # file of TWO22500                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO22500
                    count2lines4two2500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO22500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO22500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO22500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO22500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two2500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 25002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two2500 = count2lines4two2500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO22500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO22500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO22500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 25002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 25002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 25002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO22500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two2500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 25002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO22500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 25002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two2500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO22500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 25002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO22500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 25002TWO: ", count2lines4two2500, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 25002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 25002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 25002TWO COUNT OF 25002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 25002TWO COUNT OF 25002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 25002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 25002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 25002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 25002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO22500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO22500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 25002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE22500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three2500                                 # file of THREE22500                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE22500
                    count2lines4three2500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE22500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE22500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE22500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE22500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three2500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 25002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three2500 = count2lines4three2500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE22500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE22500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE22500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 25002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 25002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 25002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE22500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three2500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 25002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE22500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 25002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three2500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE22500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 25002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE22500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 25002THREE: ", count2lines4three2500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 25002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 25002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 25002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 25002THREE COUNT OF 25002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 25002THREE COUNT OF 25002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 25002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 25002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 25002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 25002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE22500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE22500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 25002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR22500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four2500                                   # file of FOUR22500                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR22500
                    count2lines4four2500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR22500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR22500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR22500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR22500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four2500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 25002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four2500 = count2lines4four2500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR22500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR22500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR22500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 25002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 25002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 25002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR22500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four2500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 25002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR22500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 25002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four2500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR22500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 25002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR22500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 25002FOUR: ", count2lines4four2500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 25002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 25002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 25002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 25002FOUR COUNT OF 25002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 25002FOUR COUNT OF 25002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 25002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 25002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 25002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 25002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR22500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR22500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 25002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE22500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five2500                                   # file of FIVE22500                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE22500
                    count2lines4five2500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE22500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE22500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE22500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE22500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five2500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 25002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five2500 = count2lines4five2500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE22500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE22500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE22500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 25002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 25002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 25002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE22500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five2500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 25002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE22500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five2500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE22500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 25002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE22500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 25002FIVE: ", count2lines4five2500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 25002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 25002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 25002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 25002FIVE COUNT OF 25002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 25002FIVE COUNT OF 25002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 25002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 25002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 25002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 25002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE22500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE22500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 25002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX22500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six2500                                    # file of SIX22500                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX22500
                    count2lines4six2500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX22500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX22500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX22500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX22500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six2500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 25002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six2500 = count2lines4six2500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX22500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX22500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX22500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 25002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 25002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 25002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX22500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six2500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 25002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX22500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six2500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX22500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 25002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX22500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 25002SIX: ", count2lines4six2500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 25002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 25002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 25002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 25002SIX COUNT OF 25002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 25002SIX COUNT OF 25002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 25002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 25002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 25002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 25002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX22500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX22500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 25002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN22500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven2500                                  # file of SEVEN22500                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN22500
                    count2lines4seven2500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN22500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN22500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN22500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN22500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven2500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 25002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven2500 = count2lines4seven2500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN22500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN22500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN22500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 25002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 25002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 25002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN22500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven2500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 25002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN22500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 25002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven2500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN22500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 25002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN22500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 25002SEVEN: ", count2lines4seven2500, " - TIME: ", time4xi())
                    # COUNT2LINES OF 25002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 25002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 25002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 25002SEVEN COUNT OF 25002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 25002SEVEN COUNT OF 25002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 25002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 25002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 25002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 25002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN22500                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN22500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 25002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT22500                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight2500                                    # file of EIGHT22500                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT22500
                    count2lines4eight2500 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT22500                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT22500
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT22500
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT22500                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight2500 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 25002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight2500 = count2lines4eight2500 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT22500 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT22500 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT22500 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 25002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 25002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 25002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT22500                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight2500 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 25002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT22500                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 25002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight2500 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT22500                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 25002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT22500                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 25002EIGHT: ", count2lines4eight2500, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 25002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 25002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 25002EIGHT COUNT OF 25002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 25002EIGHT COUNT OF 25002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 25002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 25002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT22500                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 25002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 25002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT22500                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 25002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                
                     
                # =========================================================================================================
                # 2600 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 2600 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE22600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one2600                                    # file of ONE22600                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE22600
                    count2lines4one2600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE22600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE22600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE22600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE22600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one2600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 26002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one2600 = count2lines4one2600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE22600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE22600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE22600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 26002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 26002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 26002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE22600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one2600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 26002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE22600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 26002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one2600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE22600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 26002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE22600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 26002ONE: ", count2lines4one2600, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 26002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 26002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 26002ONE COUNT OF 26002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 26002ONE COUNT OF 26002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 26002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 26002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 26002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 26002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE22600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE22600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 26002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO22600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two2600                                    # file of TWO22600                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO22600
                    count2lines4two2600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO22600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO22600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO22600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO22600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two2600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 26002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two2600 = count2lines4two2600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO22600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO22600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO22600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 26002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 26002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 26002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO22600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two2600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 26002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO22600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 26002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two2600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO22600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 26002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO22600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 26002TWO: ", count2lines4two2600, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 26002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 26002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 26002TWO COUNT OF 26002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 26002TWO COUNT OF 26002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 26002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 26002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 26002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 26002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO22600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO22600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 26002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE22600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three2600                                 # file of THREE22600                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE22600
                    count2lines4three2600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE22600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE22600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE22600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE22600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three2600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 26002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three2600 = count2lines4three2600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE22600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE22600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE22600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 26002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 26002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 26002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE22600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three2600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 26002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE22600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 26002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three2600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE22600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 26002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE22600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 26002THREE: ", count2lines4three2600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 26002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 26002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 26002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 26002THREE COUNT OF 26002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 26002THREE COUNT OF 26002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 26002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 26002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 26002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 26002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE22600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE22600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 26002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR22600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four2600                                   # file of FOUR22600                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR22600
                    count2lines4four2600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR22600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR22600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR22600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR22600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four2600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 26002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four2600 = count2lines4four2600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR22600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR22600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR22600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 26002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 26002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 26002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR22600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four2600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 26002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR22600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 26002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four2600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR22600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 26002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR22600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 26002FOUR: ", count2lines4four2600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 26002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 26002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 26002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 26002FOUR COUNT OF 26002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 26002FOUR COUNT OF 26002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 26002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 26002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 26002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 26002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR22600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR22600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 26002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE22600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five2600                                   # file of FIVE22600                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE22600
                    count2lines4five2600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE22600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE22600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE22600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE22600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five2600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 26002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five2600 = count2lines4five2600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE22600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE22600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE22600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 26002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 26002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 26002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE22600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five2600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 26002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE22600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five2600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE22600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 26002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE22600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 26002FIVE: ", count2lines4five2600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 26002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 26002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 26002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 26002FIVE COUNT OF 26002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 26002FIVE COUNT OF 26002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 26002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 26002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 26002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 26002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE22600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE22600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 26002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX22600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six2600                                    # file of SIX22600                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX22600
                    count2lines4six2600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX22600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX22600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX22600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX22600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six2600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 26002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six2600 = count2lines4six2600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX22600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX22600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX22600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 26002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 26002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 26002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX22600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six2600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 26002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX22600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six2600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX22600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 26002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX22600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 26002SIX: ", count2lines4six2600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 26002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 26002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 26002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 26002SIX COUNT OF 26002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 26002SIX COUNT OF 26002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 26002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 26002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 26002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 26002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX22600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX22600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 26002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN22600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven2600                                  # file of SEVEN22600                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN22600
                    count2lines4seven2600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN22600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN22600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN22600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN22600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven2600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 26002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven2600 = count2lines4seven2600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN22600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN22600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN22600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 26002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 26002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 26002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN22600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven2600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 26002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN22600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 26002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven2600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN22600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 26002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN22600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 26002SEVEN: ", count2lines4seven2600, " - TIME: ", time4xi())
                    # COUNT2LINES OF 26002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 26002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 26002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 26002SEVEN COUNT OF 26002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 26002SEVEN COUNT OF 26002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 26002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 26002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 26002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 26002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN22600                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN22600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 26002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT22600                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight2600                                    # file of EIGHT22600                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT22600
                    count2lines4eight2600 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT22600                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT22600
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT22600
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT22600                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight2600 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 26002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight2600 = count2lines4eight2600 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT22600 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT22600 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT22600 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 26002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 26002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 26002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT22600                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight2600 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 26002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT22600                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 26002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight2600 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT22600                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 26002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT22600                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 26002EIGHT: ", count2lines4eight2600, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 26002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 26002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 26002EIGHT COUNT OF 26002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 26002EIGHT COUNT OF 26002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 26002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 26002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT22600                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 26002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 26002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT22600                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 26002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                    
                # =========================================================================================================
                # 2700 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 2700 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE22700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one2700                                    # file of ONE22700                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE22700
                    count2lines4one2700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE22700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE22700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE22700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE22700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one2700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 27002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one2700 = count2lines4one2700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE22700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE22700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE22700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 27002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 27002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 27002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE22700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one2700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 27002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE22700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 27002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one2700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE22700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 27002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE22700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 27002ONE: ", count2lines4one2700, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 27002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 27002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 27002ONE COUNT OF 27002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 27002ONE COUNT OF 27002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 27002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 27002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 27002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 27002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE22700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE22700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 27002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO22700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two2700                                    # file of TWO22700                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO22700
                    count2lines4two2700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO22700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO22700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO22700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO22700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two2700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 27002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two2700 = count2lines4two2700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO22700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO22700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO22700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 27002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 27002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 27002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO22700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two2700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 27002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO22700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 27002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two2700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO22700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 27002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO22700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 27002TWO: ", count2lines4two2700, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 27002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 27002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 27002TWO COUNT OF 27002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 27002TWO COUNT OF 27002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 27002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 27002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 27002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 27002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO22700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO22700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 27002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE22700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three2700                                 # file of THREE22700                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE22700
                    count2lines4three2700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE22700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE22700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE22700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE22700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three2700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 27002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three2700 = count2lines4three2700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE22700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE22700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE22700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 27002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 27002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 27002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE22700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three2700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 27002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE22700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 27002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three2700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE22700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 27002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE22700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 27002THREE: ", count2lines4three2700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 27002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 27002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 27002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 27002THREE COUNT OF 27002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 27002THREE COUNT OF 27002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 27002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 27002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 27002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 27002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE22700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE22700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 27002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR22700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four2700                                   # file of FOUR22700                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR22700
                    count2lines4four2700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR22700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR22700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR22700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR22700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four2700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 27002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four2700 = count2lines4four2700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR22700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR22700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR22700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 27002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 27002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 27002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR22700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four2700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 27002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR22700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 27002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four2700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR22700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 27002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR22700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 27002FOUR: ", count2lines4four2700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 27002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 27002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 27002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 27002FOUR COUNT OF 27002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 27002FOUR COUNT OF 27002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 27002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 27002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 27002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 27002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR22700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR22700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 27002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE22700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five2700                                   # file of FIVE22700                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE22700
                    count2lines4five2700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE22700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE22700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE22700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE22700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five2700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 27002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five2700 = count2lines4five2700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE22700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE22700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE22700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 27002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 27002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 27002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE22700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five2700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 27002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE22700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five2700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE22700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 27002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE22700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 27002FIVE: ", count2lines4five2700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 27002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 27002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 27002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 27002FIVE COUNT OF 27002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 27002FIVE COUNT OF 27002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 27002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 27002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 27002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 27002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE22700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE22700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 27002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX22700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six2700                                    # file of SIX22700                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX22700
                    count2lines4six2700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX22700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX22700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX22700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX22700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six2700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 27002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six2700 = count2lines4six2700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX22700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX22700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX22700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 27002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 27002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 27002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX22700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six2700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 27002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX22700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six2700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX22700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 27002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX22700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 27002SIX: ", count2lines4six2700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 27002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 27002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 27002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 27002SIX COUNT OF 27002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 27002SIX COUNT OF 27002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 27002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 27002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 27002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 27002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX22700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX22700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 27002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN22700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven2700                                  # file of SEVEN22700                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN22700
                    count2lines4seven2700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN22700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN22700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN22700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN22700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven2700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 27002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven2700 = count2lines4seven2700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN22700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN22700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN22700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 27002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 27002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 27002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN22700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven2700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 27002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN22700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 27002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven2700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN22700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 27002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN22700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 27002SEVEN: ", count2lines4seven2700, " - TIME: ", time4xi())
                    # COUNT2LINES OF 27002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 27002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 27002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 27002SEVEN COUNT OF 27002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 27002SEVEN COUNT OF 27002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 27002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 27002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 27002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 27002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN22700                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN22700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 27002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT22700                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight2700                                    # file of EIGHT22700                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT22700
                    count2lines4eight2700 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT22700                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT22700
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT22700
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT22700                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight2700 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 27002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight2700 = count2lines4eight2700 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT22700 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT22700 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT22700 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 27002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 27002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 27002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT22700                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight2700 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 27002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT22700                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 27002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight2700 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT22700                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 27002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT22700                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 27002EIGHT: ", count2lines4eight2700, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 27002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 27002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 27002EIGHT COUNT OF 27002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 27002EIGHT COUNT OF 27002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 27002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 27002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT22700                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 27002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 27002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT22700                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 27002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                    
                # =========================================================================================================
                # 2800 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 2800 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE22800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one2800                                    # file of ONE22800                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE22800
                    count2lines4one2800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE22800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE22800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE22800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE22800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one2800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 28002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one2800 = count2lines4one2800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE22800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE22800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE22800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 28002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 28002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 28002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE22800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one2800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 28002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE22800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 28002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one2800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE22800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 28002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE22800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 28002ONE: ", count2lines4one2800, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 28002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 28002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 28002ONE COUNT OF 28002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 28002ONE COUNT OF 28002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 28002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 28002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 28002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 28002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE22800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE22800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 28002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO22800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two2800                                    # file of TWO22800                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO22800
                    count2lines4two2800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO22800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO22800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO22800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO22800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two2800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 28002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two2800 = count2lines4two2800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO22800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO22800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO22800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 28002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 28002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 28002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO22800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two2800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 28002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO22800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 28002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two2800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO22800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 28002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO22800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 28002TWO: ", count2lines4two2800, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 28002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 28002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 28002TWO COUNT OF 28002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 28002TWO COUNT OF 28002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 28002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 28002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 28002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 28002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO22800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO22800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 28002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE22800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three2800                                 # file of THREE22800                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE22800
                    count2lines4three2800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE22800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE22800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE22800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE22800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three2800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 28002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three2800 = count2lines4three2800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE22800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE22800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE22800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 28002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 28002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 28002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE22800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three2800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 28002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE22800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 28002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three2800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE22800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 28002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE22800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 28002THREE: ", count2lines4three2800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 28002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 28002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 28002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 28002THREE COUNT OF 28002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 28002THREE COUNT OF 28002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 28002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 28002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 28002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 28002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE22800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE22800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 28002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR22800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four2800                                   # file of FOUR22800                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR22800
                    count2lines4four2800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR22800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR22800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR22800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR22800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four2800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 28002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four2800 = count2lines4four2800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR22800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR22800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR22800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 28002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 28002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 28002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR22800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four2800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 28002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR22800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 28002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four2800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR22800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 28002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR22800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 28002FOUR: ", count2lines4four2800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 28002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 28002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 28002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 28002FOUR COUNT OF 28002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 28002FOUR COUNT OF 28002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 28002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 28002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 28002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 28002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR22800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR22800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 28002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE22800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five2800                                   # file of FIVE22800                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE22800
                    count2lines4five2800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE22800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE22800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE22800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE22800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five2800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 28002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five2800 = count2lines4five2800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE22800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE22800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE22800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 28002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 28002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 28002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE22800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five2800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 28002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE22800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five2800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE22800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 28002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE22800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 28002FIVE: ", count2lines4five2800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 28002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 28002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 28002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 28002FIVE COUNT OF 28002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 28002FIVE COUNT OF 28002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 28002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 28002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 28002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 28002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE22800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE22800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 28002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX22800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six2800                                    # file of SIX22800                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX22800
                    count2lines4six2800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX22800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX22800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX22800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX22800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six2800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 28002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six2800 = count2lines4six2800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX22800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX22800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX22800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 28002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 28002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 28002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX22800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six2800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 28002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX22800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six2800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX22800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 28002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX22800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 28002SIX: ", count2lines4six2800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 28002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 28002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 28002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 28002SIX COUNT OF 28002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 28002SIX COUNT OF 28002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 28002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 28002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 28002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 28002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX22800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX22800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 28002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN22800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven2800                                  # file of SEVEN22800                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN22800
                    count2lines4seven2800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN22800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN22800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN22800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN22800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven2800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 28002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven2800 = count2lines4seven2800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN22800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN22800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN22800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 28002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 28002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 28002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN22800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven2800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 28002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN22800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 28002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven2800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN22800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 28002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN22800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 28002SEVEN: ", count2lines4seven2800, " - TIME: ", time4xi())
                    # COUNT2LINES OF 28002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 28002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 28002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 28002SEVEN COUNT OF 28002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 28002SEVEN COUNT OF 28002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 28002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 28002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 28002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 28002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN22800                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN22800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 28002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT22800                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight2800                                    # file of EIGHT22800                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT22800
                    count2lines4eight2800 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT22800                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT22800
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT22800
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT22800                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight2800 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 28002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight2800 = count2lines4eight2800 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT22800 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT22800 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT22800 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 28002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 28002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 28002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT22800                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight2800 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 28002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT22800                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 28002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight2800 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT22800                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 28002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT22800                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 28002EIGHT: ", count2lines4eight2800, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 28002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 28002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 28002EIGHT COUNT OF 28002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 28002EIGHT COUNT OF 28002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 28002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 28002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT22800                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 28002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 28002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT22800                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 28002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                    
                # =========================================================================================================
                # 2900 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 2900 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE22900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one2900                                    # file of ONE22900                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE22900
                    count2lines4one2900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE22900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE22900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE22900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE22900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one2900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 29002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one2900 = count2lines4one2900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE22900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE22900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE22900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 29002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 29002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 29002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE22900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one2900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 29002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE22900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 29002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one2900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE22900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 29002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE22900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 29002ONE: ", count2lines4one2900, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 29002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 29002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 29002ONE COUNT OF 29002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 29002ONE COUNT OF 29002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 29002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 29002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 29002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 29002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE22900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE22900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 29002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO22900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two2900                                    # file of TWO22900                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO22900
                    count2lines4two2900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO22900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO22900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO22900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO22900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two2900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 29002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two2900 = count2lines4two2900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO22900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO22900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO22900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 29002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 29002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 29002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO22900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two2900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 29002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO22900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 29002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two2900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO22900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 29002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO22900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 29002TWO: ", count2lines4two2900, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 29002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 29002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 29002TWO COUNT OF 29002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 29002TWO COUNT OF 29002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 29002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 29002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 29002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 29002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO22900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO22900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 29002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE22900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three2900                                 # file of THREE22900                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE22900
                    count2lines4three2900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE22900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE22900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE22900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE22900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three2900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 29002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three2900 = count2lines4three2900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE22900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE22900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE22900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 29002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 29002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 29002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE22900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three2900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 29002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE22900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 29002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three2900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE22900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 29002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE22900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 29002THREE: ", count2lines4three2900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 29002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 29002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 29002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 29002THREE COUNT OF 29002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 29002THREE COUNT OF 29002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 29002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 29002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 29002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 29002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE22900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE22900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 29002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR22900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four2900                                   # file of FOUR22900                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR22900
                    count2lines4four2900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR22900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR22900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR22900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR22900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four2900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 29002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four2900 = count2lines4four2900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR22900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR22900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR22900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 29002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 29002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 29002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR22900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four2900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 29002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR22900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 29002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four2900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR22900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 29002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR22900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 29002FOUR: ", count2lines4four2900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 29002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 29002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 29002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 29002FOUR COUNT OF 29002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 29002FOUR COUNT OF 29002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 29002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 29002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 29002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 29002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR22900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR22900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 29002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE22900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five2900                                   # file of FIVE22900                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE22900
                    count2lines4five2900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE22900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE22900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE22900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE22900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five2900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 29002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five2900 = count2lines4five2900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE22900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE22900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE22900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 29002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 29002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 29002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE22900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five2900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 29002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE22900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five2900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE22900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 29002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE22900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 29002FIVE: ", count2lines4five2900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 29002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 29002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 29002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 29002FIVE COUNT OF 29002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 29002FIVE COUNT OF 29002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 29002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 29002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 29002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 29002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE22900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE22900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 29002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX22900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six2900                                    # file of SIX22900                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX22900
                    count2lines4six2900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX22900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX22900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX22900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX22900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six2900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 29002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six2900 = count2lines4six2900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX22900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX22900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX22900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 29002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 29002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 29002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX22900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six2900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 29002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX22900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six2900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX22900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 29002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX22900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 29002SIX: ", count2lines4six2900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 29002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 29002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 29002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 29002SIX COUNT OF 29002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 29002SIX COUNT OF 29002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 29002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 29002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 29002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 29002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX22900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX22900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 29002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN22900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven2900                                  # file of SEVEN22900                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN22900
                    count2lines4seven2900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN22900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN22900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN22900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN22900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven2900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 29002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven2900 = count2lines4seven2900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN22900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN22900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN22900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 29002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 29002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 29002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN22900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven2900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 29002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN22900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 29002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven2900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN22900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 29002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN22900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 29002SEVEN: ", count2lines4seven2900, " - TIME: ", time4xi())
                    # COUNT2LINES OF 29002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 29002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 29002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 29002SEVEN COUNT OF 29002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 29002SEVEN COUNT OF 29002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 29002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 29002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 29002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 29002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN22900                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN22900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 29002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT22900                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight2900                                    # file of EIGHT22900                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT22900
                    count2lines4eight2900 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT22900                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT22900
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT22900
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT22900                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight2900 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 29002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight2900 = count2lines4eight2900 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT22900 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT22900 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT22900 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 29002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 29002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 29002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT22900                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight2900 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 29002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT22900                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 29002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight2900 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT22900                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 29002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT22900                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 29002EIGHT: ", count2lines4eight2900, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 29002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 29002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 29002EIGHT COUNT OF 29002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 29002EIGHT COUNT OF 29002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 29002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 29002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT22900                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 29002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 29002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT22900                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 29002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                    
                # =========================================================================================================
                # 3000 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 3000 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE23000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one3000                                    # file of ONE23000                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE23000
                    count2lines4one3000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE23000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE23000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE23000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE23000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one3000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 30002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one3000 = count2lines4one3000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE23000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE23000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE23000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 30002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 30002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 30002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE23000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one3000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 30002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE23000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 30002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one3000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE23000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 30002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE23000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 30002ONE: ", count2lines4one3000, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 30002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 30002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 30002ONE COUNT OF 30002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 30002ONE COUNT OF 30002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 30002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 30002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 30002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 30002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE23000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE23000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 30002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO23000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two3000                                    # file of TWO23000                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO23000
                    count2lines4two3000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO23000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO23000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO23000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO23000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two3000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 30002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two3000 = count2lines4two3000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO23000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO23000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO23000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 30002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 30002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 30002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO23000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two3000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 30002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO23000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 30002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two3000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO23000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 30002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO23000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 30002TWO: ", count2lines4two3000, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 30002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 30002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 30002TWO COUNT OF 30002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 30002TWO COUNT OF 30002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 30002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 30002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 30002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 30002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO23000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO23000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 30002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE23000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three3000                                 # file of THREE23000                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE23000
                    count2lines4three3000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE23000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE23000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE23000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE23000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three3000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 30002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three3000 = count2lines4three3000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE23000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE23000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE23000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 30002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 30002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 30002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE23000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three3000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 30002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE23000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 30002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three3000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE23000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 30002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE23000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 30002THREE: ", count2lines4three3000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 30002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 30002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 30002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 30002THREE COUNT OF 30002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 30002THREE COUNT OF 30002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 30002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 30002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 30002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 30002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE23000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE23000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 30002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR23000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four3000                                   # file of FOUR23000                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR23000
                    count2lines4four3000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR23000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR23000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR23000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR23000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four3000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 30002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four3000 = count2lines4four3000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR23000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR23000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR23000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 30002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 30002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 30002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR23000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four3000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 30002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR23000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 30002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four3000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR23000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 30002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR23000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 30002FOUR: ", count2lines4four3000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 30002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 30002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 30002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 30002FOUR COUNT OF 30002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 30002FOUR COUNT OF 30002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 30002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 30002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 30002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 30002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR23000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR23000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 30002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE23000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five3000                                   # file of FIVE23000                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE23000
                    count2lines4five3000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE23000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE23000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE23000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE23000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five3000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 30002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five3000 = count2lines4five3000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE23000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE23000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE23000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 30002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 30002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 30002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE23000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five3000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 30002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE23000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five3000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE23000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 30002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE23000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 30002FIVE: ", count2lines4five3000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 30002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 30002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 30002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 30002FIVE COUNT OF 30002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 30002FIVE COUNT OF 30002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 30002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 30002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 30002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 30002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE23000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE23000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 30002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX23000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six3000                                    # file of SIX23000                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX23000
                    count2lines4six3000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX23000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX23000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX23000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX23000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six3000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 30002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six3000 = count2lines4six3000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX23000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX23000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX23000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 30002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 30002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 30002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX23000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six3000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 30002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX23000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six3000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX23000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 30002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX23000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 30002SIX: ", count2lines4six3000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 30002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 30002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 30002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 30002SIX COUNT OF 30002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 30002SIX COUNT OF 30002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 30002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 30002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 30002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 30002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX23000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX23000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 30002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN23000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven3000                                  # file of SEVEN23000                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN23000
                    count2lines4seven3000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN23000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN23000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN23000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN23000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven3000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 30002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven3000 = count2lines4seven3000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN23000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN23000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN23000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 30002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 30002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 30002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN23000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven3000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 30002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN23000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 30002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven3000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN23000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 30002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN23000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 30002SEVEN: ", count2lines4seven3000, " - TIME: ", time4xi())
                    # COUNT2LINES OF 30002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 30002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 30002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 30002SEVEN COUNT OF 30002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 30002SEVEN COUNT OF 30002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 30002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 30002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 30002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 30002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN23000                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN23000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 30002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT23000                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight3000                                    # file of EIGHT23000                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT23000
                    count2lines4eight3000 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT23000                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT23000
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT23000
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT23000                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight3000 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 30002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight3000 = count2lines4eight3000 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT23000 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT23000 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT23000 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 30002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 30002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 30002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT23000                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight3000 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 30002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT23000                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 30002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight3000 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT23000                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 30002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT23000                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 30002EIGHT: ", count2lines4eight3000, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 30002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 30002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 30002EIGHT COUNT OF 30002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 30002EIGHT COUNT OF 30002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 30002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 30002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT23000                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 30002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 30002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT23000                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 30002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                    
                # =========================================================================================================
                # 3100 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 3100 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE23100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one3100                                    # file of ONE23100                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE23100
                    count2lines4one3100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE23100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE23100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE23100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE23100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one3100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 31002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one3100 = count2lines4one3100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE23100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE23100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE23100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 31002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 31002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 31002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE23100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one3100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 31002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE23100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 31002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one3100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE23100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 31002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE23100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 31002ONE: ", count2lines4one3100, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 31002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 31002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 31002ONE COUNT OF 31002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 31002ONE COUNT OF 31002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 31002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 31002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 31002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 31002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE23100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE23100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 31002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO23100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two3100                                    # file of TWO23100                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO23100
                    count2lines4two3100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO23100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO23100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO23100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO23100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two3100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 31002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two3100 = count2lines4two3100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO23100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO23100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO23100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 31002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 31002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 31002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO23100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two3100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 31002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO23100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 31002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two3100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO23100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 31002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO23100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 31002TWO: ", count2lines4two3100, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 31002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 31002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 31002TWO COUNT OF 31002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 31002TWO COUNT OF 31002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 31002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 31002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 31002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 31002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO23100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO23100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 31002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE23100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three3100                                  # file of THREE23100                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE23100
                    count2lines4three3100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE23100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE23100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE23100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE23100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three3100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 31002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three3100 = count2lines4three3100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE23100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE23100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE23100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 31002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 31002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 31002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE23100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three3100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 31002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE23100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 31002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three3100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE23100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 31002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE23100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 31002THREE: ", count2lines4three3100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 31002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 31002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 31002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 31002THREE COUNT OF 31002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 31002THREE COUNT OF 31002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 31002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 31002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 31002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 31002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE23100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE23100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 31002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR23100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four3100                                   # file of FOUR23100                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR23100
                    count2lines4four3100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR23100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR23100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR23100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR23100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four3100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 31002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four3100 = count2lines4four3100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR23100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR23100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR23100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 31002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 31002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 31002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR23100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four3100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 31002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR23100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 31002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four3100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR23100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 31002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR23100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 31002FOUR: ", count2lines4four3100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 31002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 31002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 31002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 31002FOUR COUNT OF 31002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 31002FOUR COUNT OF 31002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 31002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 31002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 31002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 31002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR23100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR23100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 31002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE23100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five3100                                    # file of FIVE23100                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE23100
                    count2lines4five3100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE23100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE23100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE23100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE23100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five3100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 31002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five3100 = count2lines4five3100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE23100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE23100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE23100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 31002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 31002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 31002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE23100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five3100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 31002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE23100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five3100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE23100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 31002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE23100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 31002FIVE: ", count2lines4five3100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 31002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 31002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 31002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 31002FIVE COUNT OF 31002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 31002FIVE COUNT OF 31002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 31002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 31002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 31002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 31002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE23100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE23100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 31002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX23100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six3100                                     # file of SIX23100                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX23100
                    count2lines4six3100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX23100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX23100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX23100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX23100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six3100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 31002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six3100 = count2lines4six3100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX23100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX23100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX23100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 31002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 31002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 31002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX23100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six3100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 31002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX23100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six3100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX23100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 31002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX23100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 31002SIX: ", count2lines4six3100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 31002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 31002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 31002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 31002SIX COUNT OF 31002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 31002SIX COUNT OF 31002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 31002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 31002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 31002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 31002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX23100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX23100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 31002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN23100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven3100                                  # file of SEVEN23100                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN23100
                    count2lines4seven3100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN23100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN23100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN23100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN23100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven3100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 31002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven3100 = count2lines4seven3100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN23100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN23100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN23100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 31002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 31002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 31002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN23100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven3100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 31002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN23100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 31002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven3100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN23100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 31002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN23100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 31002SEVEN: ", count2lines4seven3100, " - TIME: ", time4xi())
                    # COUNT2LINES OF 31002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 31002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 31002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 31002SEVEN COUNT OF 31002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 31002SEVEN COUNT OF 31002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 31002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 31002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 31002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 31002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN23100                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN23100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 31002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT23100                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight3100                                    # file of EIGHT23100                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT23100
                    count2lines4eight3100 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT23100                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT23100
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT23100
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT23100                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight3100 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 31002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight3100 = count2lines4eight3100 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT23100 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT23100 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT23100 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 31002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 31002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 31002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT23100                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight3100 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 31002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT23100                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 31002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight3100 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT23100                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 31002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT23100                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 31002EIGHT: ", count2lines4eight3100, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 31002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 31002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 31002EIGHT COUNT OF 31002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 31002EIGHT COUNT OF 31002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 31002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 31002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT23100                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 31002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 31002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT23100                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 31002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                    
                # =========================================================================================================
                # 3200 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 3200 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE23200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one3200                                   # file of ONE23200                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE23200
                    count2lines4one3200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE23200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE23200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE23200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE23200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one3200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 32002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one3200 = count2lines4one3200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE23200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE23200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE23200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 32002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 32002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 32002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE23200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one3200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 32002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE23200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 32002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one3200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE23200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 32002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE23200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 32002ONE: ", count2lines4one3200, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 32002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 32002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 32002ONE COUNT OF 32002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 32002ONE COUNT OF 32002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 32002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 32002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 32002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 32002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE23200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE23200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 32002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO23200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two3200                                    # file of TWO23200                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO23200
                    count2lines4two3200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO23200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO23200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO23200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO23200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two3200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 32002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two3200 = count2lines4two3200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO23200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO23200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO23200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 32002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 32002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 32002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO23200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two3200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 32002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO23200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 32002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two3200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO23200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 32002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO23200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 32002TWO: ", count2lines4two3200, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 32002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 32002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 32002TWO COUNT OF 32002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 32002TWO COUNT OF 32002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 32002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 32002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 32002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 32002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO23200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO23200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 32002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE23200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three3200                                 # file of THREE23200                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE23200
                    count2lines4three3200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE23200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE23200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE23200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE23200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three3200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 32002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three3200 = count2lines4three3200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE23200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE23200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE23200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 32002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 32002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 32002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE23200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three3200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 32002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE23200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 32002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three3200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE23200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 32002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE23200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 32002THREE: ", count2lines4three3200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 32002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 32002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 32002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 32002THREE COUNT OF 32002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 32002THREE COUNT OF 32002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 32002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 32002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 32002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 32002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE23200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE23200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 32002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR23200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four3200                                   # file of FOUR23200                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR23200
                    count2lines4four3200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR23200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR23200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR23200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR23200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four3200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 32002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four3200 = count2lines4four3200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR23200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR23200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR23200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 32002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 32002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 32002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR23200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four3200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 32002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR23200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 32002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four3200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR23200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 32002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR23200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 32002FOUR: ", count2lines4four3200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 32002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 32002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 32002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 32002FOUR COUNT OF 32002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 32002FOUR COUNT OF 32002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 32002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 32002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 32002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 32002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR23200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR23200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 32002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE23200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five3200                                   # file of FIVE23200                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE23200
                    count2lines4five3200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE23200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE23200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE23200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE23200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five3200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 32002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five3200 = count2lines4five3200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE23200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE23200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE23200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 32002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 32002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 32002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE23200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five3200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 32002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE23200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five3200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE23200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 32002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE23200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 32002FIVE: ", count2lines4five3200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 32002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 32002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 32002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 32002FIVE COUNT OF 32002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 32002FIVE COUNT OF 32002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 32002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 32002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 32002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 32002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE23200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE23200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 32002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX23200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six3200                                    # file of SIX23200                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX23200
                    count2lines4six3200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX23200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX23200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX23200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX23200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six3200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 32002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six3200 = count2lines4six3200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX23200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX23200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX23200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 32002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 32002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 32002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX23200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six3200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 32002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX23200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six3200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX23200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 32002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX23200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 32002SIX: ", count2lines4six3200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 32002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 32002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 32002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 32002SIX COUNT OF 32002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 32002SIX COUNT OF 32002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 32002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 32002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 32002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 32002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX23200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX23200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 32002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN23200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven3200                                  # file of SEVEN23200                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN23200
                    count2lines4seven3200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN23200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN23200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN23200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN23200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven3200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 32002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven3200 = count2lines4seven3200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN23200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN23200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN23200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 32002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 32002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 32002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN23200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven3200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 32002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN23200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 32002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven3200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN23200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 32002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN23200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 32002SEVEN: ", count2lines4seven3200, " - TIME: ", time4xi())
                    # COUNT2LINES OF 32002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 32002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 32002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 32002SEVEN COUNT OF 32002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 32002SEVEN COUNT OF 32002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 32002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 32002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 32002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 32002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN23200                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN23200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 32002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT23200                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight3200                                    # file of EIGHT23200                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT23200
                    count2lines4eight3200 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT23200                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT23200
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT23200
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT23200                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight3200 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 32002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight3200 = count2lines4eight3200 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT23200 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT23200 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT23200 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 32002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 32002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 32002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT23200                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight3200 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 32002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT23200                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 32002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight3200 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT23200                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 32002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT23200                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 32002EIGHT: ", count2lines4eight3200, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 32002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 32002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 32002EIGHT COUNT OF 32002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 32002EIGHT COUNT OF 32002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 32002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 32002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT23200                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 32002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 32002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT23200                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 32002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                                                    
                # =========================================================================================================
                # 3300 START                           
                # =========================================================================================================                 
                print("\n (STEP 8D0/33) OF TEST_SPHERE4XI - TRYING TO CREATE 3300 TO SPHERE2ALL4XI - TIME: ", time4xi())   
                # 
                max2print = 9                                                        # debugging
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # ONE23300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4one3300                                    # file of ONE23300                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y19z'                                       # example key of ONE23300
                    count2lines4one3300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of ONE23300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of ONE23300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish ONE23300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of ONE23300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4one3300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 33002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4one3300 = count2lines4one3300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of ONE23300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of ONE23300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of ONE23300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 33002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 33002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 33002ONE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of ONE23300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4one3300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 33002ONE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of ONE23300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 33002ONE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4one3300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of ONE23300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 33002ONE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of ONE23300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 33002ONE: ", count2lines4one3300, " - TIME: ", time4xi())
                    # 
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 33002ONE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 33002ONE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 33002ONE COUNT OF 33002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 33002ONE COUNT OF 33002ONE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 33002ONE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 33002ONE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 33002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 33002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of ONE23300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of ONE23300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 33002ONE TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # TWO23300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4two3300                                    # file of TWO23300                  
                    dictionary2xi = {}
                    key2dictionary = '0x-27y-41z'                                    # example key of TWO23300
                    count2lines4two3300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of TWO23300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of TWO23300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish TWO23300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of TWO23300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4two3300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 33002TWO: ", line2read, " - TIME: ", time4xi()) 
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4two3300 = count2lines4two3300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of TWO23300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of TWO23300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of TWO23300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 33002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 33002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 33002TWO LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of TWO23300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4two3300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 33002TWO: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of TWO23300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 33002TWO: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4two3300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of TWO23300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 33002TWO: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of TWO23300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 33002TWO: ", count2lines4two3300, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 33002TWO: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 33002TWO: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 33002TWO COUNT OF 33002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 33002TWO COUNT OF 33002TWO: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 33002TWO: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 33002TWO: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 33002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 33002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of TWO23300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of TWO23300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 33002TWO TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # THREE23300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4three3300                                 # file of THREE23300                  
                    dictionary2xi = {}
                    key2dictionary = '0x0y-39z '                                    # example key of THREE23300
                    count2lines4three3300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of THREE23300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of THREE23300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish THREE23300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of THREE23300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4three3300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 33002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4three3300 = count2lines4three3300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of THREE23300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of THREE23300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of THREE23300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 33002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 33002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 33002THREE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of THREE23300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4three3300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 33002THREE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of THREE23300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 33002THREE: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4three3300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of THREE23300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 33002THREE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of THREE23300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 33002THREE: ", count2lines4three3300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 33002THREE:  168  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 33002THREE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 33002THREE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 33002THREE COUNT OF 33002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 33002THREE COUNT OF 33002THREE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 33002THREE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 33002THREE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 33002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 33002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of THREE23300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of THREE23300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 33002THREE TO SPHERE2ALL4XI - TIME: ", time4xi())
 
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FOUR23300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4four3300                                   # file of FOUR23300                  
                    dictionary2xi = {}
                    key2dictionary = '0x-9y2z'                                       # example key of FOUR23300
                    count2lines4four3300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FOUR23300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FOUR23300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FOUR23300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FOUR23300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4four3300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 33002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4four3300 = count2lines4four3300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FOUR23300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FOUR23300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FOUR23300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 33002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 33002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 33002FOUR LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FOUR23300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4four3300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 33002FOUR: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FOUR23300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 33002FOUR: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4four3300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FOUR23300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 33002FOUR: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FOUR23300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 33002FOUR: ", count2lines4four3300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 33002FOUR:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 33002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 33002FOUR: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 33002FOUR COUNT OF 33002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 33002FOUR COUNT OF 33002FOUR: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 33002FOUR: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 33002FOUR: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 33002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 33002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FOUR23300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FOUR23300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 33002FOUR TO SPHERE2ALL4XI - TIME: ", time4xi())
    
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # FIVE23300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4five3300                                   # file of FIVE23300                  
                    dictionary2xi = {}
                    key2dictionary = '-10x10y12z'                                    # example key of FIVE23300
                    count2lines4five3300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of FIVE23300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of FIVE23300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish FIVE23300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of FIVE23300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4five3300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 33002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4five3300 = count2lines4five3300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of FIVE23300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of FIVE23300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of FIVE23300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 33002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 33002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 33002FIVE LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of FIVE23300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4five3300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 33002FIVE: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of FIVE23300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4five3300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of FIVE23300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 33002FIVE: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of FIVE23300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 33002FIVE: ", count2lines4five3300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 33002FIVE:  180  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 33002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 33002FIVE: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 33002FIVE COUNT OF 33002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 33002FIVE COUNT OF 33002FIVE: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 33002FIVE: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 33002FIVE: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 33002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 33002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of FIVE23300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of FIVE23300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 33002FIVE TO SPHERE2ALL4XI - TIME: ", time4xi())
   
                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SIX23300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4six3300                                    # file of SIX23300                  
                    dictionary2xi = {}
                    key2dictionary = '-11x47y-49z'                                   # example key of SIX23300
                    count2lines4six3300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SIX23300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SIX23300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SIX23300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SIX23300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4six3300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 33002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4six3300 = count2lines4six3300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SIX23300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SIX23300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SIX23300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 33002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 33002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 33002SIX LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SIX23300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4six3300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 33002SIX: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SIX23300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4six3300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SIX23300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 33002SIX: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SIX23300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 33002SIX: ", count2lines4six3300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 33002SIX:  176  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 33002SIX: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 33002SIX: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 33002SIX COUNT OF 33002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 33002SIX COUNT OF 33002SIX: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 33002SIX: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 33002SIX: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 33002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 33002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SIX23300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SIX23300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 33002SIX TO SPHERE2ALL4XI - TIME: ", time4xi())

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # SEVEN23300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4seven3300                                  # file of SEVEN23300                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-11y36z'                                   # example key of SEVEN23300
                    count2lines4seven3300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of SEVEN23300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of SEVEN23300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish SEVEN23300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of SEVEN23300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4seven3300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 33002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                            count2lines4seven3300 = count2lines4seven3300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of SEVEN23300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of SEVEN23300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of SEVEN23300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 33002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 33002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 33002SEVEN LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of SEVEN23300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4seven3300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 33002SEVEN: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of SEVEN23300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 33002SEVEN: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4seven3300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                                    
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of SEVEN23300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 33002SEVEN: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of SEVEN23300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 33002SEVEN: ", count2lines4seven3300, " - TIME: ", time4xi())
                    # COUNT2LINES OF 33002SEVEN:  192  - TIME:  08:41:48 06/28/10 Pacific Daylight Time 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 33002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 33002SEVEN: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 33002SEVEN COUNT OF 33002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 33002SEVEN COUNT OF 33002SEVEN: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 33002SEVEN: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 33002SEVEN: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False                                     
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 33002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 33002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())    
                    # -----------------------------------------------------------------------------------------------------
                    # END of SEVEN23300                 
                    # ----------------------------------------------------------------------------------------------------- 
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of SEVEN23300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 33002SEVEN TO SPHERE2ALL4XI - TIME: ", time4xi())
                    # -----------------------------------------------------------------------------------------------------

                try:
                    # -----------------------------------------------------------------------------------------------------
                    # EIGHT23300                        
                    # -----------------------------------------------------------------------------------------------------                
                    file2read = file2shot4eight3300                                    # file of EIGHT23300                  
                    dictionary2xi = {}
                    key2dictionary = '-10x-10y-12z'                                    # example key of EIGHT23300
                    count2lines4eight3300 = 0
                    count2coordinate = 0
                    count2copyright = 0
                    count2dictionary = 0          
                    # -----------------------------------------------------------------------------------------------------
                    # FILE of EIGHT23300                 
                    # -----------------------------------------------------------------------------------------------------                                                                
                    while 1:                                                         # process each line of EIGHT23300
                        # -------------------------------------------------------------------------------------------------
                        #                  
                        # ------------------------------------------------------------------------------------------------- 
                        find2coordinate = False
                        find2copyright = False
                        find2dictionary = False

                        line2read = file2read.readline() 
                        if not line2read:
                            break                                                    # all lines read, finish EIGHT23300
                        else:
                            # ---------------------------------------------------------------------------------------------
                            # LINE of EIGHT23300                 
                            # ---------------------------------------------------------------------------------------------                          
                            if count2lines4eight3300 < max2print:
                                print("\n (STEP 8A10/33) OF TEST_SPHERE4XI - LINE OF 33002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                # 
                            count2lines4eight3300 = count2lines4eight3300 + 1
                            index2find = str.find(line2read,right2find)              # copyright of EIGHT23300 ?
                            if index2find == -1:                                     # 
                                index2find = str.find(line2read,dictionary2find)     # dictionary of EIGHT23300 ?  
                                if index2find == -1:
                                    index2find = str.find(line2read,x2find)          # key of EIGHT23300 ?                 
                                    if index2find == -1:
                                        print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED X-COORDINATE OF 33002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                    else:
                                        index2find = str.find(line2read,y2find)
                                        if index2find == -1:
                                            print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Y-COORDINATE OF 33002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                        else:
                                            index2find = str.find(line2read,z2find)
                                            if index2find == -1:
                                                print("\n (STEP 8B10/33) OF TEST_SPHERE4XI ** YIELDED Z-COORDINATE OF 33002EIGHT LINE: ", line2read, " - TIME: ", time4xi())
                                            else:
                                                # ---------------------------------------------------------------------------------
                                                # X,Y,Z KEY of EIGHT23300                   
                                                # ---------------------------------------------------------------------------------                                  
                                                index2linefeed = str.find(line2read,linefeed2find) 
                                                key2dictionary =  line2read[0:index2linefeed]     
                                                if count2lines4eight3300 < max2print:
                                                    print("\n (STEP 8C10/33) OF TEST_SPHERE4XI - KEY2DICTIONARY OF 33002EIGHT: ", key2dictionary) 
                                                    # 
                                                count2coordinate = count2coordinate + 1
                                else:
                                    # -----------------------------------------------------------------------------------------
                                    # DICTIONARY of EIGHT23300                  
                                    # -----------------------------------------------------------------------------------------                                  
                                    index2linefeed = str.find(line2read,linefeed2find) 
                                    dictionary2line = line2read[0:index2linefeed]    # 
                                    # print("\n (STEP 8D10/33) OF TEST_SPHERE4XI - DICTIONARY2LINE OF 33002EIGHT: ", dictionary2line)
                                    # 
                                    find2dictionary = True
                                    count2dictionary = count2dictionary + 1                                                                     
                                    sphere2all4xi[key2dictionary] = dictionary2line  
                                    if count2lines4eight3300 < max2print:
                                        print("\n (STEP 8E10/33) OF TEST_SPHERE4XI - SPHERE2ALL4XI[", key2dictionary, "]: ", sphere2all4xi[key2dictionary]) 
                                        # 
                            else:
                                # -----------------------------------------------------------------------------------------
                                # COPYRIGHT of EIGHT23300                  
                                # -----------------------------------------------------------------------------------------                              
                                print("\n (STEP 8F10/33) OF TEST_SPHERE4XI - COPYRIGHT LINE OF 33002EIGHT: ", line2read, " - TIME: ", time4xi())
                                # <!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->
                                count2copyright = count2copyright + 1 
                                find2copyright = True
                                
                    # -----------------------------------------------------------------------------------------------------
                    # COORDINATE CHECK of EIGHT23300                  
                    # ----------------------------------------------------------------------------------------------------- 
                    ack2coordinate = True
                    print("\n (STEP 8G10/33) OF TEST_SPHERE4XI - COUNT2LINES OF 33002EIGHT: ", count2lines4eight3300, " - TIME: ", time4xi())
                    # 
                    
                    if count2copyright == 2:
                        print("\n (STEP 8H10/33) OF TEST_SPHERE4XI - ACCEPTED COPYRIGHT COUNT OF 33002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8I10/33) OF TEST_SPHERE4XI ** YIELDED COPYRIGHT COUNT OF 33002EIGHT: ", count2copyright, " - TIME: ", time4xi())
                        ack2coordinate = False                        
                    if count2coordinate > 0:
                        print("\n (STEP 8J10/33) OF TEST_SPHERE4XI - ACCEPTED 33002EIGHT COUNT OF 33002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8K10/33) OF TEST_SPHERE4XI ** YIELDED 33002EIGHT COUNT OF 33002EIGHT: ", count2coordinate, " - TIME: ", time4xi())
                        ack2coordinate = False                                  
                    if count2dictionary > 0:
                        print("\n (STEP 8L10/33) OF TEST_SPHERE4XI - ACCEPTED DICTIONARY COUNT OF 33002EIGHT: ", count2dictionary, " - TIME: ", time4xi())
                        # 
                        
                    else:
                        print("\n (STEP 8M10/33) OF TEST_SPHERE4XI ** YIELDED DICTIONARY COUNT OF 33002EIGHT: ", count2dictionary, " - TIME: ", time4xi()) 
                        ack2coordinate = False
                    # -----------------------------------------------------------------------------------------------------
                    # ACK or NACK of EIGHT23300                  
                    # -----------------------------------------------------------------------------------------------------                                                              
                    if ack2coordinate is True:       
                        print("\n (STEP 8N10/33) OF TEST_SPHERE4XI - CREATED 33002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                        # 
                    else:
                        print("\n (STEP 8O10/33) OF TEST_SPHERE4XI ** YIELDED IN CREATING 33002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())    
                except:
                    # -----------------------------------------------------------------------------------------------------
                    # EXCEPTION of EIGHT23300                 
                    # -----------------------------------------------------------------------------------------------------                 
                    print("\n (STEP 8X10/33) OF TEST_SPHERE4XI *** FAILED TO CREATE 33002EIGHT TO SPHERE2ALL4XI - TIME: ", time4xi())
                

                try:                
                    # ---------------------------------------------------------------------------------------------
                    # WRITE SPHERE2ALL4XI TO FILE 
                    # ---------------------------------------------------------------------------------------------
                    path2file      = '..\\..\\txt\\sphere2all4xi.txt'
                    text2copyright = '<!-- Copyright Small & Smart - California, United States of America - All rights reserved. -->' + '\n'
                    count2write = 0
                    count2key = 0
                    count2dictionary = 0
                    
                    f2xi=open(path2file, 'w')
                    print("\n (STEP 8P1/33) OF TEST_SPHERE4XI - OPENED FILE: ", path2file, " - TIME: ", time4xi())   
                    # 
                                   
                    # ---------------------------------------------------------------------------------------------
                    # COPYRIGHT START
                    # ---------------------------------------------------------------------------------------------                 
                    f2xi.write(text2copyright)
                    count2write = count2write + 1
                      
                    # ---------------------------------------------------------------------------------------------
                    # KEY & DICTIONARY PAIRS
                    # ---------------------------------------------------------------------------------------------                 
                    keys2write = sorted(sphere2all4xi.keys())
        
                    for key2write in sorted(keys2write):
                        line2write = str(key2write) + '\n'
                        f2xi.write(line2write)
                        count2key = count2key + 1
                        count2write = count2write + 1            
                        
                        line2write = str(sphere2all4xi[key2write]) + '\n'
                        f2xi.write(line2write)
                        count2dictionary = count2dictionary + 1
                        count2write = count2write + 1 
                                        
                    # ---------------------------------------------------------------------------------------------
                    # COPYRIGHT END
                    # ---------------------------------------------------------------------------------------------                 
                    f2xi.write(text2copyright)
                    count2write = count2write + 1
                        
                    print("\n (STEP 8P2/33) OF TEST_SPHERE4XI - WROTE FILE: ", path2file, " COUNT2WRITE: ", count2write, " - TIME: ", time4xi())   
                    # ..\..\txt\sphere2all4xi.txt  COUNT2WRITE:  9268  - TIME:  02:30:18 06/29/10 Pacific Daylight Time 

                    print("\n (STEP 8P3/33) OF TEST_SPHERE4XI - COUNT2KEY: ", count2key, " COUNT2DICTIONARY: ", count2dictionary, " - TIME: ", time4xi())  
                    # COUNT2KEY:  4633  COUNT2DICTIONARY:  4633  - TIME:  02:30:18 06/29/10 Pacific Daylight Time

                    
                    # ---------------------------------------------------------------------------------------------
                    # 
                    # ---------------------------------------------------------------------------------------------                 
                    f2xi.close()     
                    print("\n (STEP 8P2/33) OF TEST_SPHERE4XI -  CLOSED FILE: ", path2file, " - TIME: ", time4xi()) 
                    # 
                     
                except:
                    print("\n (STEP 8P3/33) OF TEST_SPHERE4XI *** FAILED WRITING FILE: ", path2file, " - TIME: ", time4xi()) 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                # -----------------------------------------------------------------------------------------------------
                # REASONING BASED ON STATISTICS                          
                # -----------------------------------------------------------------------------------------------------    
                print("\n (STEP 8Q1/33) OF TEST_SPHERE4XI -  TRYING TO PRODUCE STATISTICS - TIME: ", time4xi())  
                try:
                    # -------------------------------------------------------------------------------------------------
                    # ONE
                    # ------------------------------------------------------------------------------------------------- 
                    # count2lines4one10
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one10  : ", count2lines4one10) 
                    # count2lines4one100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one100  : ", count2lines4one100)
                    # count2lines4one200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one200  : ", count2lines4one200)
                    # count2lines4one300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one300  : ", count2lines4one300)
                    # count2lines4one400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one400  : ", count2lines4one400)
                    # count2lines4one500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one500  : ", count2lines4one500)
                    # count2lines4one600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one600  : ", count2lines4one600)
                    # count2lines4one700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one700  : ", count2lines4one700)
                    # count2lines4one800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one800  : ", count2lines4one800)
                    # count2lines4one900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one900  : ", count2lines4one900)
                    # count2lines4one1000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one1000  : ", count2lines4one1000)
                    # count2lines4one1100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one1100  : ", count2lines4one1100)
                    # count2lines4one1200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one1200  : ", count2lines4one1200)
                    # count2lines4one1300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one1300  : ", count2lines4one1300)
                    # count2lines4one1400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one1400  : ", count2lines4one1400)
                    # count2lines4one1500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one1500  : ", count2lines4one1500)
                    # count2lines4one1600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one1600  : ", count2lines4one1600)
                    # count2lines4one1700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one1700  : ", count2lines4one1700)
                    # count2lines4one1800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one1800  : ", count2lines4one1800)
                    # count2lines4one1900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one1900  : ", count2lines4one1900)
                    # count2lines4one2000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one2000  : ", count2lines4one2000)
                    # count2lines4one2100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one2100  : ", count2lines4one2100)
                    # count2lines4one2200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one2200  : ", count2lines4one2200)
                    # count2lines4one2300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one2300  : ", count2lines4one2300)
                    # count2lines4one2400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one2400  : ", count2lines4one2400)
                    # count2lines4one2500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one2500  : ", count2lines4one2500)
                    # count2lines4one2600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one2600  : ", count2lines4one2600)
                    # count2lines4one2700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one2700  : ", count2lines4one2700)
                    # count2lines4one2800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one2800  : ", count2lines4one2800)
                    # count2lines4one2900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one2900  : ", count2lines4one2900)
                    # count2lines4one3000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one3000  : ", count2lines4one3000)
                    # count2lines4one3100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one3100  : ", count2lines4one3100)
                    # count2lines4one3200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one3200  : ", count2lines4one3200)
                    # count2lines4one3300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4one3300  : ", count2lines4one3300)
                    

                    sum3000 = count2lines4one3300 + count2lines4one3200 + count2lines4one3100 + count2lines4one3000
                    sum2000 = count2lines4one2900 + count2lines4one2800 + count2lines4one2700 + count2lines4one2600 + count2lines4one2500 + count2lines4one2400 + count2lines4one2300 + count2lines4one2200 + count2lines4one2100 + count2lines4one2000
                    sum1000 = count2lines4one1900 + count2lines4one1800 + count2lines4one1700 + count2lines4one1600 + count2lines4one1500 + count2lines4one1400 + count2lines4one1300 + count2lines4one1200 + count2lines4one1100 + count2lines4one1000
                    sum100  = count2lines4one900  + count2lines4one800  + count2lines4one700  + count2lines4one600  + count2lines4one500  + count2lines4one400  + count2lines4one300  + count2lines4one200  + count2lines4one100
                    sum10   = count2lines4one10
                    
                    count2lines4one = sum10 + sum100 + sum1000 + sum2000 + sum3000
                    pros10 = int((sum10/count2lines4one)*100)
                    pros100 = int((sum100/count2lines4one)*100)         
                    pros1000 = int((sum1000/count2lines4one)*100)
                    pros2000 = int((sum2000/count2lines4one)*100)
                    pros3000 = int((sum3000/count2lines4one)*100)
                    
                    print('=' *120)
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM10: ",   sum10,   " = ", pros10, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM100: ",  sum100,  " = ", pros100, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM1000: ", sum1000, " = ", pros1000, " %")                                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM2000: ", sum2000, " = ", pros2000, " %") 
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM3000 ",  sum3000, " = ", pros3000, " %")                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - COUNT2LINES4ONE: ", count2lines4one, " = ", int(count2lines4one/2), " SHOTS")  
                    print('=' *120)
                               
                    # -------------------------------------------------------------------------------------------------
                    # TWO
                    # -------------------------------------------------------------------------------------------------                                     
                    # count2lines4two10
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two10  : ", count2lines4two10)
                    # count2lines4two100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two100  : ", count2lines4two100)
                    # count2lines4two200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two200  : ", count2lines4two200)
                    # count2lines4two300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two300  : ", count2lines4two300)
                    # count2lines4two400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two400  : ", count2lines4two400)
                    # count2lines4two500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two500  : ", count2lines4two500)
                    # count2lines4two600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two600  : ", count2lines4two600)
                    # count2lines4two700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two700  : ", count2lines4two700)
                    # count2lines4two800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two800  : ", count2lines4two800)
                    # count2lines4two900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two900  : ", count2lines4two900)
                    # count2lines4two1000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two1000  : ", count2lines4two1000)
                    # count2lines4two1100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two1100  : ", count2lines4two1100)
                    # count2lines4two1200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two1200  : ", count2lines4two1200)
                    # count2lines4two1300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two1300  : ", count2lines4two1300)
                    # count2lines4two1400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two1400  : ", count2lines4two1400)
                    # count2lines4two1500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two1500  : ", count2lines4two1500)
                    # count2lines4two1600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two1600  : ", count2lines4two1600)
                    # count2lines4two1700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two1700  : ", count2lines4two1700)
                    # count2lines4two1800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two1800  : ", count2lines4two1800)
                    # count2lines4two1900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two1900  : ", count2lines4two1900)
                    # count2lines4two2000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two2000  : ", count2lines4two2000)
                    # count2lines4two2100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two2100  : ", count2lines4two2100)
                    # count2lines4two2200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two2200  : ", count2lines4two2200)
                    # count2lines4two2300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two2300  : ", count2lines4two2300)
                    # count2lines4two2400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two2400  : ", count2lines4two2400)
                    # count2lines4two2500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two2500  : ", count2lines4two2500)
                    # count2lines4two2600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two2600  : ", count2lines4two2600)
                    # count2lines4two2700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two2700  : ", count2lines4two2700)
                    # count2lines4two2800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two2800  : ", count2lines4two2800)
                    # count2lines4two2900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two2900  : ", count2lines4two2900)
                    # count2lines4two3000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two3000  : ", count2lines4two3000)
                    # count2lines4two3100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two3100  : ", count2lines4two3100)
                    # count2lines4two3200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two3200  : ", count2lines4two3200)
                    # count2lines4two3300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4two3300  : ", count2lines4two3300)
                    
                    sum3000 = count2lines4two3300 + count2lines4two3200 + count2lines4two3100 + count2lines4two3000
                    sum2000 = count2lines4two2900 + count2lines4two2800 + count2lines4two2700 + count2lines4two2600 + count2lines4two2500 + count2lines4two2400 + count2lines4two2300 + count2lines4two2200 + count2lines4two2100 + count2lines4two2000
                    sum1000 = count2lines4two1900 + count2lines4two1800 + count2lines4two1700 + count2lines4two1600 + count2lines4two1500 + count2lines4two1400 + count2lines4two1300 + count2lines4two1200 + count2lines4two1100 + count2lines4two1000
                    sum100  = count2lines4two900  + count2lines4two800  + count2lines4two700  + count2lines4two600  + count2lines4two500  + count2lines4two400  + count2lines4two300  + count2lines4two200  + count2lines4two100
                    sum10   = count2lines4two10
                    
                    count2lines4two = sum10 + sum100 + sum1000 + sum2000 + sum3000
                    pros10 = int((sum10/count2lines4two)*100)
                    pros100 = int((sum100/count2lines4two)*100)         
                    pros1000 = int((sum1000/count2lines4two)*100)
                    pros2000 = int((sum2000/count2lines4two)*100)
                    pros3000 = int((sum3000/count2lines4two)*100)
                    
                    print('=' *120)
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM10: ",   sum10,   " = ", pros10, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM100: ",  sum100,  " = ", pros100, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM1000: ", sum1000, " = ", pros1000, " %")                                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM2000: ", sum2000, " = ", pros2000, " %") 
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM3000 ",  sum3000, " = ", pros3000, " %")                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - COUNT2LINES4TWO  : ", count2lines4two, " = ", int(count2lines4two/2), " SHOTS")  
                    print('=' *120)

                               
                    # -------------------------------------------------------------------------------------------------
                    # THREE
                    # -------------------------------------------------------------------------------------------------                                     
                    # count2lines4three10
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three10  : ", count2lines4three10)
                    # count2lines4three100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three100  : ", count2lines4three100)
                    # count2lines4three200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three200  : ", count2lines4three200)
                    # count2lines4three300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three300  : ", count2lines4three300)
                    # count2lines4three400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three400  : ", count2lines4three400)
                    # count2lines4three500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three500  : ", count2lines4three500)
                    # count2lines4three600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three600  : ", count2lines4three600)
                    # count2lines4three700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three700  : ", count2lines4three700)
                    # count2lines4three800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three800  : ", count2lines4three800)
                    # count2lines4three900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three900  : ", count2lines4three900)
                    # count2lines4three1000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three1000  : ", count2lines4three1000)
                    # count2lines4three1100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three1100  : ", count2lines4three1100)
                    # count2lines4three1200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three1200  : ", count2lines4three1200)
                    # count2lines4three1300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three1300  : ", count2lines4three1300)
                    # count2lines4three1400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three1400  : ", count2lines4three1400)
                    # count2lines4three1500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three1500  : ", count2lines4three1500)
                    # count2lines4three1600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three1600  : ", count2lines4three1600)
                    # count2lines4three1700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three1700  : ", count2lines4three1700)
                    # count2lines4three1800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three1800  : ", count2lines4three1800)
                    # count2lines4three1900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three1900  : ", count2lines4three1900)
                    # count2lines4three2000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three2000  : ", count2lines4three2000)
                    # count2lines4three2100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three2100  : ", count2lines4three2100)
                    # count2lines4three2200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three2200  : ", count2lines4three2200)
                    # count2lines4three2300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three2300  : ", count2lines4three2300)
                    # count2lines4three2400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three2400  : ", count2lines4three2400)
                    # count2lines4three2500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three2500  : ", count2lines4three2500)
                    # count2lines4three2600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three2600  : ", count2lines4three2600)
                    # count2lines4three2700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three2700  : ", count2lines4three2700)
                    # count2lines4three2800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three2800  : ", count2lines4three2800)
                    # count2lines4three2900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three2900  : ", count2lines4three2900)
                    # count2lines4three3000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three3000  : ", count2lines4three3000)
                    # count2lines4three3100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three3100  : ", count2lines4three3100)
                    # count2lines4three3200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three3200  : ", count2lines4three3200)
                    # count2lines4three3300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4three3300  : ", count2lines4three3300)
                    

                    sum3000 = count2lines4three3300 + count2lines4three3200 + count2lines4three3100 + count2lines4three3000
                    sum2000 = count2lines4three2900 + count2lines4three2800 + count2lines4three2700 + count2lines4three2600 + count2lines4three2500 + count2lines4three2400 + count2lines4three2300 + count2lines4three2200 + count2lines4three2100 + count2lines4three2000
                    sum1000 = count2lines4three1900 + count2lines4three1800 + count2lines4three1700 + count2lines4three1600 + count2lines4three1500 + count2lines4three1400 + count2lines4three1300 + count2lines4three1200 + count2lines4three1100 + count2lines4three1000
                    sum100  = count2lines4three900  + count2lines4three800  + count2lines4three700  + count2lines4three600  + count2lines4three500  + count2lines4three400  + count2lines4three300  + count2lines4three200  + count2lines4three100
                    sum10   = count2lines4three10
                    
                    count2lines4three = sum10 + sum100 + sum1000 + sum2000 + sum3000
                    pros10 = int((sum10/count2lines4three)*100)
                    pros100 = int((sum100/count2lines4three)*100)         
                    pros1000 = int((sum1000/count2lines4three)*100)
                    pros2000 = int((sum2000/count2lines4three)*100)
                    pros3000 = int((sum3000/count2lines4three)*100)
                    
                    print('=' *120)
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM10: ",   sum10,   " = ", pros10, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM100: ",  sum100,  " = ", pros100, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM1000: ", sum1000, " = ", pros1000, " %")                                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM2000: ", sum2000, " = ", pros2000, " %") 
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM3000 ",  sum3000, " = ", pros3000, " %")                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - COUNT2LINES4THREE  : ", count2lines4three, " = ", int(count2lines4three/2), " SHOTS")  
                    print('=' *120)

                               
                    # -------------------------------------------------------------------------------------------------
                    # FOUR
                    # -------------------------------------------------------------------------------------------------                                     
                    # count2lines4four10
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four10  : ", count2lines4four10)
                    # count2lines4four100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four100  : ", count2lines4four100)
                    # count2lines4four200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four200  : ", count2lines4four200)
                    # count2lines4four300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four300  : ", count2lines4four300)
                    # count2lines4four400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four400  : ", count2lines4four400)
                    # count2lines4four500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four500  : ", count2lines4four500)
                    # count2lines4four600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four600  : ", count2lines4four600)
                    # count2lines4four700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four700  : ", count2lines4four700)
                    # count2lines4four800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four800  : ", count2lines4four800)
                    # count2lines4four900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four900  : ", count2lines4four900)
                    # count2lines4four1000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four1000  : ", count2lines4four1000)
                    # count2lines4four1100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four1100  : ", count2lines4four1100)
                    # count2lines4four1200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four1200  : ", count2lines4four1200)
                    # count2lines4four1300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four1300  : ", count2lines4four1300)
                    # count2lines4four1400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four1400  : ", count2lines4four1400)
                    # count2lines4four1500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four1500  : ", count2lines4four1500)
                    # count2lines4four1600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four1600  : ", count2lines4four1600)
                    # count2lines4four1700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four1700  : ", count2lines4four1700)
                    # count2lines4four1800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four1800  : ", count2lines4four1800)
                    # count2lines4four1900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four1900  : ", count2lines4four1900)
                    # count2lines4four2000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four2000  : ", count2lines4four2000)
                    # count2lines4four2100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four2100  : ", count2lines4four2100)
                    # count2lines4four2200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four2200  : ", count2lines4four2200)
                    # count2lines4four2300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four2300  : ", count2lines4four2300)
                    # count2lines4four2400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four2400  : ", count2lines4four2400)
                    # count2lines4four2500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four2500  : ", count2lines4four2500)
                    # count2lines4four2600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four2600  : ", count2lines4four2600)
                    # count2lines4four2700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four2700  : ", count2lines4four2700)
                    # count2lines4four2800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four2800  : ", count2lines4four2800)
                    # count2lines4four2900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four2900  : ", count2lines4four2900)
                    # count2lines4four3000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four3000  : ", count2lines4four3000)
                    # count2lines4four3100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four3100  : ", count2lines4four3100)
                    # count2lines4four3200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four3200  : ", count2lines4four3200)
                    # count2lines4four3300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4four3300  : ", count2lines4four3300)
                    

                    sum3000 = count2lines4four3300 + count2lines4four3200 + count2lines4four3100 + count2lines4four3000
                    sum2000 = count2lines4four2900 + count2lines4four2800 + count2lines4four2700 + count2lines4four2600 + count2lines4four2500 + count2lines4four2400 + count2lines4four2300 + count2lines4four2200 + count2lines4four2100 + count2lines4four2000
                    sum1000 = count2lines4four1900 + count2lines4four1800 + count2lines4four1700 + count2lines4four1600 + count2lines4four1500 + count2lines4four1400 + count2lines4four1300 + count2lines4four1200 + count2lines4four1100 + count2lines4four1000
                    sum100  = count2lines4four900  + count2lines4four800  + count2lines4four700  + count2lines4four600  + count2lines4four500  + count2lines4four400  + count2lines4four300  + count2lines4four200  + count2lines4four100
                    sum10   = count2lines4four10
                    
                    count2lines4four = sum10 + sum100 + sum1000 + sum2000 + sum3000
                    pros10 = int((sum10/count2lines4four)*100)
                    pros100 = int((sum100/count2lines4four)*100)         
                    pros1000 = int((sum1000/count2lines4four)*100)
                    pros2000 = int((sum2000/count2lines4four)*100)
                    pros3000 = int((sum3000/count2lines4four)*100)
                    
                    print('=' *120)
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM10: ",   sum10,   " = ", pros10, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM100: ",  sum100,  " = ", pros100, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM1000: ", sum1000, " = ", pros1000, " %")                                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM2000: ", sum2000, " = ", pros2000, " %") 
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM3000 ",  sum3000, " = ", pros3000, " %")                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - COUNT2LINES4FOUR  : ", count2lines4four, " = ", int(count2lines4four/2), " SHOTS")  
                    print('=' *120)
         
                               
                    # -------------------------------------------------------------------------------------------------
                    # FIVE
                    # -------------------------------------------------------------------------------------------------                                     
                    # count2lines4five10
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five10  : ", count2lines4five10)
                    # count2lines4five100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five100  : ", count2lines4five100)
                    # count2lines4five200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five200  : ", count2lines4five200)
                    # count2lines4five300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five300  : ", count2lines4five300)
                    # count2lines4five400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five400  : ", count2lines4five400)
                    # count2lines4five500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five500  : ", count2lines4five500)
                    # count2lines4five600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five600  : ", count2lines4five600)
                    # count2lines4five700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five700  : ", count2lines4five700)
                    # count2lines4five800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five800  : ", count2lines4five800)
                    # count2lines4five900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five900  : ", count2lines4five900)
                    # count2lines4five1000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five1000  : ", count2lines4five1000)
                    # count2lines4five1100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five1100  : ", count2lines4five1100)
                    # count2lines4five1200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five1200  : ", count2lines4five1200)
                    # count2lines4five1300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five1300  : ", count2lines4five1300)
                    # count2lines4five1400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five1400  : ", count2lines4five1400)
                    # count2lines4five1500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five1500  : ", count2lines4five1500)
                    # count2lines4five1600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five1600  : ", count2lines4five1600)
                    # count2lines4five1700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five1700  : ", count2lines4five1700)
                    # count2lines4five1800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five1800  : ", count2lines4five1800)
                    # count2lines4five1900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five1900  : ", count2lines4five1900)
                    # count2lines4five2000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five2000  : ", count2lines4five2000)
                    # count2lines4five2100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five2100  : ", count2lines4five2100)
                    # count2lines4five2200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five2200  : ", count2lines4five2200)
                    # count2lines4five2300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five2300  : ", count2lines4five2300)
                    # count2lines4five2400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five2400  : ", count2lines4five2400)
                    # count2lines4five2500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five2500  : ", count2lines4five2500)
                    # count2lines4five2600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five2600  : ", count2lines4five2600)
                    # count2lines4five2700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five2700  : ", count2lines4five2700)
                    # count2lines4five2800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five2800  : ", count2lines4five2800)
                    # count2lines4five2900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five2900  : ", count2lines4five2900)
                    # count2lines4five3000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five3000  : ", count2lines4five3000)
                    # count2lines4five3100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five3100  : ", count2lines4five3100)
                    # count2lines4five3200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five3200  : ", count2lines4five3200)
                    # count2lines4five3300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4five3300  : ", count2lines4five3300)
                    
         
                    sum3000 = count2lines4five3300 + count2lines4five3200 + count2lines4five3100 + count2lines4five3000
                    sum2000 = count2lines4five2900 + count2lines4five2800 + count2lines4five2700 + count2lines4five2600 + count2lines4five2500 + count2lines4five2400 + count2lines4five2300 + count2lines4five2200 + count2lines4five2100 + count2lines4five2000
                    sum1000 = count2lines4five1900 + count2lines4five1800 + count2lines4five1700 + count2lines4five1600 + count2lines4five1500 + count2lines4five1400 + count2lines4five1300 + count2lines4five1200 + count2lines4five1100 + count2lines4five1000
                    sum100  = count2lines4five900  + count2lines4five800  + count2lines4five700  + count2lines4five600  + count2lines4five500  + count2lines4five400  + count2lines4five300  + count2lines4five200  + count2lines4five100
                    sum10   = count2lines4five10
                    
                    count2lines4five = sum10 + sum100 + sum1000 + sum2000 + sum3000
                    pros10 = int((sum10/count2lines4five)*100)
                    pros100 = int((sum100/count2lines4five)*100)         
                    pros1000 = int((sum1000/count2lines4five)*100)
                    pros2000 = int((sum2000/count2lines4five)*100)
                    pros3000 = int((sum3000/count2lines4five)*100)
                    
                    print('=' *120)
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM10: ",   sum10,   " = ", pros10, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM100: ",  sum100,  " = ", pros100, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM1000: ", sum1000, " = ", pros1000, " %")                                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM2000: ", sum2000, " = ", pros2000, " %") 
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM3000 ",  sum3000, " = ", pros3000, " %")                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - COUNT2LINES4FIVE  : ", count2lines4five, " = ", int(count2lines4five/2), " SHOTS")  
                    print('=' *120)
         
                    # -------------------------------------------------------------------------------------------------
                    # SIX
                    # -------------------------------------------------------------------------------------------------                                     
                    # count2lines4six10
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six10  : ", count2lines4six10)
                    # count2lines4six100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six100  : ", count2lines4six100)
                    # count2lines4six200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six200  : ", count2lines4six200)
                    # count2lines4six300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six300  : ", count2lines4six300)
                    # count2lines4six400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six400  : ", count2lines4six400)
                    # count2lines4six500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six500  : ", count2lines4six500)
                    # count2lines4six600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six600  : ", count2lines4six600)
                    # count2lines4six700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six700  : ", count2lines4six700)
                    # count2lines4six800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six800  : ", count2lines4six800)
                    # count2lines4six900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six900  : ", count2lines4six900)
                    # count2lines4six1000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six1000  : ", count2lines4six1000)
                    # count2lines4six1100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six1100  : ", count2lines4six1100)
                    # count2lines4six1200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six1200  : ", count2lines4six1200)
                    # count2lines4six1300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six1300  : ", count2lines4six1300)
                    # count2lines4six1400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six1400  : ", count2lines4six1400)
                    # count2lines4six1500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six1500  : ", count2lines4six1500)
                    # count2lines4six1600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six1600  : ", count2lines4six1600)
                    # count2lines4six1700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six1700  : ", count2lines4six1700)
                    # count2lines4six1800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six1800  : ", count2lines4six1800)
                    # count2lines4six1900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six1900  : ", count2lines4six1900)
                    # count2lines4six2000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six2000  : ", count2lines4six2000)
                    # count2lines4six2100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six2100  : ", count2lines4six2100)
                    # count2lines4six2200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six2200  : ", count2lines4six2200)
                    # count2lines4six2300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six2300  : ", count2lines4six2300)
                    # count2lines4six2400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six2400  : ", count2lines4six2400)
                    # count2lines4six2500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six2500  : ", count2lines4six2500)
                    # count2lines4six2600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six2600  : ", count2lines4six2600)
                    # count2lines4six2700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six2700  : ", count2lines4six2700)
                    # count2lines4six2800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six2800  : ", count2lines4six2800)
                    # count2lines4six2900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six2900  : ", count2lines4six2900)
                    # count2lines4six3000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six3000  : ", count2lines4six3000)
                    # count2lines4six3100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six3100  : ", count2lines4six3100)
                    # count2lines4six3200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six3200  : ", count2lines4six3200)
                    # count2lines4six3300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4six3300  : ", count2lines4six3300)
                    
         
                    sum3000 = count2lines4six3300 + count2lines4six3200 + count2lines4six3100 + count2lines4six3000
                    sum2000 = count2lines4six2900 + count2lines4six2800 + count2lines4six2700 + count2lines4six2600 + count2lines4six2500 + count2lines4six2400 + count2lines4six2300 + count2lines4six2200 + count2lines4six2100 + count2lines4six2000
                    sum1000 = count2lines4six1900 + count2lines4six1800 + count2lines4six1700 + count2lines4six1600 + count2lines4six1500 + count2lines4six1400 + count2lines4six1300 + count2lines4six1200 + count2lines4six1100 + count2lines4six1000
                    sum100  = count2lines4six900  + count2lines4six800  + count2lines4six700  + count2lines4six600  + count2lines4six500  + count2lines4six400  + count2lines4six300  + count2lines4six200  + count2lines4six100
                    sum10   = count2lines4six10
                    
                    count2lines4six = sum10 + sum100 + sum1000 + sum2000 + sum3000
                    pros10 = int((sum10/count2lines4six)*100)
                    pros100 = int((sum100/count2lines4six)*100)         
                    pros1000 = int((sum1000/count2lines4six)*100)
                    pros2000 = int((sum2000/count2lines4six)*100)
                    pros3000 = int((sum3000/count2lines4six)*100)
                    
                    print('=' *120)
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM10: ",   sum10,   " = ", pros10, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM100: ",  sum100,  " = ", pros100, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM1000: ", sum1000, " = ", pros1000, " %")                                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM2000: ", sum2000, " = ", pros2000, " %") 
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM3000 ",  sum3000, " = ", pros3000, " %")                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - COUNT2LINES4SIX  : ", count2lines4six, " = ", int(count2lines4six/2), " SHOTS")  
                    print('=' *120)
                                        
                    # -------------------------------------------------------------------------------------------------
                    # SEVEN
                    # -------------------------------------------------------------------------------------------------                                     
                    # count2lines4seven10
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven10  : ", count2lines4seven10)
                    # count2lines4seven100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven100  : ", count2lines4seven100)
                    # count2lines4seven200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven200  : ", count2lines4seven200)
                    # count2lines4seven300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven300  : ", count2lines4seven300)
                    # count2lines4seven400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven400  : ", count2lines4seven400)
                    # count2lines4seven500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven500  : ", count2lines4seven500)
                    # count2lines4seven600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven600  : ", count2lines4seven600)
                    # count2lines4seven700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven700  : ", count2lines4seven700)
                    # count2lines4seven800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven800  : ", count2lines4seven800)
                    # count2lines4seven900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven900  : ", count2lines4seven900)
                    # count2lines4seven1000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven1000  : ", count2lines4seven1000)
                    # count2lines4seven1100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven1100  : ", count2lines4seven1100)
                    # count2lines4seven1200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven1200  : ", count2lines4seven1200)
                    # count2lines4seven1300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven1300  : ", count2lines4seven1300)
                    # count2lines4seven1400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven1400  : ", count2lines4seven1400)
                    # count2lines4seven1500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven1500  : ", count2lines4seven1500)
                    # count2lines4seven1600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven1600  : ", count2lines4seven1600)
                    # count2lines4seven1700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven1700  : ", count2lines4seven1700)
                    # count2lines4seven1800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven1800  : ", count2lines4seven1800)
                    # count2lines4seven1900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven1900  : ", count2lines4seven1900)
                    # count2lines4seven2000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven2000  : ", count2lines4seven2000)
                    # count2lines4seven2100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven2100  : ", count2lines4seven2100)
                    # count2lines4seven2200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven2200  : ", count2lines4seven2200)
                    # count2lines4seven2300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven2300  : ", count2lines4seven2300)
                    # count2lines4seven2400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven2400  : ", count2lines4seven2400)
                    # count2lines4seven2500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven2500  : ", count2lines4seven2500)
                    # count2lines4seven2600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven2600  : ", count2lines4seven2600)
                    # count2lines4seven2700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven2700  : ", count2lines4seven2700)
                    # count2lines4seven2800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven2800  : ", count2lines4seven2800)
                    # count2lines4seven2900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven2900  : ", count2lines4seven2900)
                    # count2lines4seven3000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven3000  : ", count2lines4seven3000)
                    # count2lines4seven3100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven3100  : ", count2lines4seven3100)
                    # count2lines4seven3200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven3200  : ", count2lines4seven3200)
                    # count2lines4seven3300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4seven3300  : ", count2lines4seven3300)
         
                    sum3000 = count2lines4seven3300 + count2lines4seven3200 + count2lines4seven3100 + count2lines4seven3000
                    sum2000 = count2lines4seven2900 + count2lines4seven2800 + count2lines4seven2700 + count2lines4seven2600 + count2lines4seven2500 + count2lines4seven2400 + count2lines4seven2300 + count2lines4seven2200 + count2lines4seven2100 + count2lines4seven2000
                    sum1000 = count2lines4seven1900 + count2lines4seven1800 + count2lines4seven1700 + count2lines4seven1600 + count2lines4seven1500 + count2lines4seven1400 + count2lines4seven1300 + count2lines4seven1200 + count2lines4seven1100 + count2lines4seven1000
                    sum100  = count2lines4seven900  + count2lines4seven800  + count2lines4seven700  + count2lines4seven600  + count2lines4seven500  + count2lines4seven400  + count2lines4seven300  + count2lines4seven200  + count2lines4seven100
                    sum10   = count2lines4seven10
                    
                    count2lines4seven = sum10 + sum100 + sum1000 + sum2000 + sum3000
                    pros10 = int((sum10/count2lines4seven)*100)
                    pros100 = int((sum100/count2lines4seven)*100)         
                    pros1000 = int((sum1000/count2lines4seven)*100)
                    pros2000 = int((sum2000/count2lines4seven)*100)
                    pros3000 = int((sum3000/count2lines4seven)*100)
                    
                    print('=' *120)
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM10: ",   sum10,   " = ", pros10, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM100: ",  sum100,  " = ", pros100, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM1000: ", sum1000, " = ", pros1000, " %")                                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM2000: ", sum2000, " = ", pros2000, " %") 
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM3000 ",  sum3000, " = ", pros3000, " %")                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - COUNT2LINES4SEVEN: ", count2lines4seven, " = ", int(count2lines4seven/2), " SHOTS")  
                    print('=' *120)

                    # -------------------------------------------------------------------------------------------------
                    # EIGHT
                    # -------------------------------------------------------------------------------------------------                                     
                    # count2lines4eight10
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight10  : ", count2lines4eight10)
                    # 192 
                    # count2lines4eight100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight100  : ", count2lines4eight100)
                    
                    # count2lines4eight200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight200  : ", count2lines4eight200)
                    # count2lines4eight300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight300  : ", count2lines4eight300)
                    # count2lines4eight400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight400  : ", count2lines4eight400)
                    # count2lines4eight500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight500  : ", count2lines4eight500)
                    # count2lines4eight600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight600  : ", count2lines4eight600)
                    # count2lines4eight700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight700  : ", count2lines4eight700)
                    # count2lines4eight800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight800  : ", count2lines4eight800)
                    # count2lines4eight900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight900  : ", count2lines4eight900)
                    # count2lines4eight1000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight1000  : ", count2lines4eight1000)
                    # count2lines4eight1100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight1100  : ", count2lines4eight1100)
                    # count2lines4eight1200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight1200  : ", count2lines4eight1200)
                    # count2lines4eight1300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight1300  : ", count2lines4eight1300)
                    # count2lines4eight1400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight1400  : ", count2lines4eight1400)
                    # count2lines4eight1500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight1500  : ", count2lines4eight1500)
                    # count2lines4eight1600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight1600  : ", count2lines4eight1600)
                    # count2lines4eight1700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight1700  : ", count2lines4eight1700)
                    # count2lines4eight1800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight1800  : ", count2lines4eight1800)
                    # count2lines4eight1900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight1900  : ", count2lines4eight1900)
                    # count2lines4eight2000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight2000  : ", count2lines4eight2000)
                    # count2lines4eight2100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight2100  : ", count2lines4eight2100)
                    # count2lines4eight2200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight2200  : ", count2lines4eight2200)
                    # count2lines4eight2300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight2300  : ", count2lines4eight2300)
                    # count2lines4eight2400
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight2400  : ", count2lines4eight2400)
                    # count2lines4eight2500
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight2500  : ", count2lines4eight2500)
                    # count2lines4eight2600
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight2600  : ", count2lines4eight2600)
                    # count2lines4eight2700
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight2700  : ", count2lines4eight2700)
                    # count2lines4eight2800
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight2800  : ", count2lines4eight2800)
                    # count2lines4eight2900
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight2900  : ", count2lines4eight2900)
                    # count2lines4eight3000
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight3000  : ", count2lines4eight3000)
                    # count2lines4eight3100
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight3100  : ", count2lines4eight3100)
                    # count2lines4eight3200
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight3200  : ", count2lines4eight3200)
                    # count2lines4eight3300
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - count2lines4eight3300  : ", count2lines4eight3300)
                    
                    sum3000 = count2lines4eight3300 + count2lines4eight3200 + count2lines4eight3100 + count2lines4eight3000
                    sum2000 = count2lines4eight2900 + count2lines4eight2800 + count2lines4eight2700 + count2lines4eight2600 + count2lines4eight2500 + count2lines4eight2400 + count2lines4eight2300 + count2lines4eight2200 + count2lines4eight2100 + count2lines4eight2000
                    sum1000 = count2lines4eight1900 + count2lines4eight1800 + count2lines4eight1700 + count2lines4eight1600 + count2lines4eight1500 + count2lines4eight1400 + count2lines4eight1300 + count2lines4eight1200 + count2lines4eight1100 + count2lines4eight1000
                    sum100  = count2lines4eight900  + count2lines4eight800  + count2lines4eight700  + count2lines4eight600  + count2lines4eight500  + count2lines4eight400  + count2lines4eight300  + count2lines4eight200  + count2lines4eight100
                    sum10   = count2lines4eight10
                    
                    count2lines4eight = sum10 + sum100 + sum1000 + sum2000 + sum3000
                    pros10 = int((sum10/count2lines4eight)*100)
                    pros100 = int((sum100/count2lines4eight)*100)          
                    pros1000 = int((sum1000/count2lines4eight)*100)
                    pros2000 = int((sum2000/count2lines4eight)*100)
                    pros3000 = int((sum3000/count2lines4eight)*100)
                    
                    print('=' *120)
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM10: ",   sum10,   " = ", pros10, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM100: ",  sum100,  " = ", pros100, " %")          
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM1000: ", sum1000, " = ", pros1000, " %")                                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM2000: ", sum2000, " = ", pros2000, " %") 
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - SUM3000 ",  sum3000, " = ", pros3000, " %")                     
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - COUNT2LINES4EIGHT  : ", count2lines4eight, " = ", int(count2lines4eight/2), " SHOTS")  
                    print('=' *120) 
                    
                    # -------------------------------------------------------------------------------------------------
                    # ALL
                    # -------------------------------------------------------------------------------------------------

                    count2lines4all = count2lines4eight + count2lines4seven + count2lines4six + count2lines4five + count2lines4four + count2lines4three + count2lines4two + count2lines4one
                    shots4all = int(count2lines4all/2)
                   
                    print('=' *120)
                    print("\n (STEP 8Q0/33) OF TEST_SPHERE4XI - STATISTICS - TIME: ", time4xi())     
                    print("\n (STEP 8Q1/33) OF TEST_SPHERE4XI - COUNT2LINES4ONE    : ", count2lines4one,   " = ", int(count2lines4one/2),   " SHOTS = ", int((count2lines4one/count2lines4all) * 100), " %")   
                    print("\n (STEP 8Q2/33) OF TEST_SPHERE4XI - COUNT2LINES4TWO    : ", count2lines4two,   " = ", int(count2lines4two/2),   " SHOTS = ", int((count2lines4two/count2lines4all) * 100), " %")    
                    print("\n (STEP 8Q3/33) OF TEST_SPHERE4XI - COUNT2LINES4THREE  : ", count2lines4three, " = ", int(count2lines4three/2), " SHOTS = ", int((count2lines4three/count2lines4all) * 100), " %")   
                    print("\n (STEP 8Q4/33) OF TEST_SPHERE4XI - COUNT2LINES4FOUR   : ", count2lines4four,  " = ", int(count2lines4four/2),  " SHOTS = ", int((count2lines4four/count2lines4all) * 100), " %")    
                    print("\n (STEP 8Q5/33) OF TEST_SPHERE4XI - COUNT2LINES4FIVE   : ", count2lines4five,  " = ", int(count2lines4five/2),  " SHOTS = ", int((count2lines4five/count2lines4all) * 100), " %")   
                    print("\n (STEP 8Q6/33) OF TEST_SPHERE4XI - COUNT2LINES4SIX    : ", count2lines4six,   " = ", int(count2lines4six/2),   " SHOTS = ", int((count2lines4six/count2lines4all) * 100), " %")   
                    print("\n (STEP 8Q7/33) OF TEST_SPHERE4XI - COUNT2LINES4SEVEN  : ", count2lines4seven, " = ", int(count2lines4seven/2), " SHOTS = ", int((count2lines4seven/count2lines4all) * 100), " %")    
                    print("\n (STEP 8Q8/33) OF TEST_SPHERE4XI - COUNT2LINES4EIGHT  : ", count2lines4eight, " = ", int(count2lines4eight/2), " SHOTS = ", int((count2lines4eight/count2lines4all) * 100), " %")                       
                    
                    print('=' *120)
                    print("\n (STEP 8Q9/33) OF TEST_SPHERE4XI - COUNT2LINES4ALL: ", count2lines4all, " = ", shots4all, " SHOTS = 100%")  
                    # ========================================================================================================================
                    # STATISTICS - TIME:  06:51:09 06/29/10 Pacific Daylight Time
                    # COUNT2LINES4ONE    :  8066  =  4033  SHOTS =  15  %
                    # COUNT2LINES4TWO    :  7276  =  3638  SHOTS =  13  %
                    # COUNT2LINES4THREE  :  5712  =  2856  SHOTS =  10  %
                    # COUNT2LINES4FOUR   :  5984  =  2992  SHOTS =  11  %
                    # COUNT2LINES4FIVE   :  6120  =  3060  SHOTS =  11  %
                    # COUNT2LINES4SIX    :  5984  =  2992  SHOTS =  11  %
                    # COUNT2LINES4SEVEN  :  6528  =  3264  SHOTS =  12  %
                    # COUNT2LINES4EIGHT  :  6528  =  3264  SHOTS =  12  %
                    # ========================================================================================================================
                    # 
                    #  (STEP 8Q9/33) OF TEST_SPHERE4XI - COUNT2LINES4ALL:  52198  =  26099  SHOTS = 100%
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                     
                    print('~' *120)
                    print("\n (STEP 8Q10/33) CONCLUDED: SHOTS4ALL = ", shots4all, " WITH 33+1=34 LAYERS, SHOTS PER LAYER = ", int(shots4all/34)) 
                    print("\n (STEP 8Q11/33) CONCLUDED: 8 DIRECTIONS = ", int(shots4all/8), " SHOTS PER DIRECTION")
                    print("\n (STEP 8Q12/33) CONCLUDED: 34 LAYERS = ", int((shots4all/8)), " SHOTS IN EACH LAYER PER DIRECTION")  
                    
                    print("\n (STEP 8Q14/33) ESTIMATED 33 LAYERS WITH DISTANCE 100, EACH CA  80 SHOTS TO 8 DIRECTIONS =  21120 SHOTS")  
                    print("\n (STEP 8Q15/33) ESTIMATED 10 LAYERS WITH DISTANCE  10, EACH CA  80 SHOTS TO 8 DIRECTIONS =   6400 SHOTS") 
                    print("\n (STEP 8Q16/33) ESTIMATED TOTAL:                                                            27520 SHOTS")  
                    
                    print('=' *120)
                    print("\n (STEP 8Q12/33) PRODUCED: ", shots4all, " SHOTS = ", int((shots4all/27520) * 100), " %") 
                    # ========================================================================================================                    
                    # CONCLUDED: SHOTS4ALL =  26099  WITH 33+1=34 LAYERS, SHOTS PER LAYER =  767
                    # CONCLUDED: 8 DIRECTIONS =  3262  SHOTS PER DIRECTION
                    # CONCLUDED: 34 LAYERS =  3262  SHOTS IN EACH LAYER PER DIRECTION
                    # ESTIMATED 33 LAYERS WITH DISTANCE 100, EACH CA  80 SHOTS TO 8 DIRECTIONS =  21120 SHOTS
                    # ESTIMATED 10 LAYERS WITH DISTANCE  10, EACH CA  80 SHOTS TO 8 DIRECTIONS =   6400 SHOTS
                    # ESTIMATED TOTAL:                                                            27520 SHOTS
                    # ========================================================================================================
                    # PRODUCED:  26099  SHOTS =  94  %
                    # ========================================================================================================
                     
                    # SHOTS4ALL =  24854  WITH 33+1=34 LAYERS, SHOTS PER LAYER =  731 
                    # 8 DIRECTIONS =  3106  SHOTS PER DIRECTION
                    # 34 LAYERS =  3106  SHOTS IN EACH LAYER PER DIRECTION
                    # ESTIMATED 33 LAYERS WITH DISTANCE 100, EACH CA  80 SHOTS TO 8 DIRECTIONS =  21120 SHOTS
                    # ESTIMATED 10 LAYERS WITH DISTANCE  10, EACH CA  80 SHOTS TO 8 DIRECTIONS =   6400 SHOTS
                    # ESTIMATED TOTAL:                                                            27520 SHOTS
                    # ========================================================================================================
                    
                                       
                except:
                    print("\n (STEP 8QX/33) OF TEST_SPHERE4XI *** FAILED TO TO PRODUCE STATISTICS - TIME: ", time4xi())              
                
  
                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                # -----------------------------------------------------------------------------------------------------
                # CLOSE ORIGO FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8V0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE ORIGO-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2origo4one.close()
                    print("\n (STEP 8V1A/33) OF TEST_SPHERE4XI - CLOSED ORIGO-FILE: ", file2xi, " file2origo4one: ", file2origo4one, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8V1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE ORIGO-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2origo4two.close()
                    print("\n (STEP 8V2A/33) OF TEST_SPHERE4XI - CLOSED ORIGO-FILE: ", file2xi, " file2origo4two: ", file2origo4two, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8V2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE ORIGO-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2origo4three.close()
                    print("\n (STEP 8V3A/33) OF TEST_SPHERE4XI - CLOSED ORIGO-FILE: ", file2xi, " file2origo4three: ", file2origo4three, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8V3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE ORIGO-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2origo4four.close()
                    print("\n (STEP 8V4A/33) OF TEST_SPHERE4XI - CLOSED ORIGO-FILE: ", file2xi, " file2origo4four: ", file2origo4four, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8V4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE ORIGO-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2origo4five.close()
                    print("\n (STEP 8V5A/33) OF TEST_SPHERE4XI - CLOSED ORIGO-FILE: ", file2xi, " file2origo4five: ", file2origo4five, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8V5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE ORIGO-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2origo4six.close()
                    print("\n (STEP 8V6A/33) OF TEST_SPHERE4XI - CLOSED ORIGO-FILE: ", file2xi, " file2origo4six: ", file2origo4six, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8V6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE ORIGO-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2origo4seven.close()
                    print("\n (STEP 8V7A/33) OF TEST_SPHERE4XI - CLOSED ORIGO-FILE: ", file2xi, " file2origo4seven: ", file2origo4seven, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8V7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE ORIGO-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2origo4eight.close()
                    print("\n (STEP 8V8A/33) OF TEST_SPHERE4XI - CLOSED ORIGO-FILE: ", file2xi, " file2origo4eight: ", file2origo4eight, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8V8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE ORIGO-FILE - TIME: ", time4xi())
                    ack2close  = False                                                                                                       
    
                if  ack2close is True:
                    print("\n (STEP 8V9A/33) OF TEST_SPHERE4XI - CLOSED ALL ORIGO-FILES - TIME: ", time4xi())
                    # (STEP 8V9A/33) OF TEST_SPHERE4XI - CLOSED ALL ORIGO-FILES - TIME:  02:39:00 06/28/10 Pacific Daylight Time
                else:
                    print("\n (STEP 8V9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING ORIGO-FILES - TIME: ", time4xi())
                                             
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE THE LATEST SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4two, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4three, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4four, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4five, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4six, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4seven, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight.close()
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4eight, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                                                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 10 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 10 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one10.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one10, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 10 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two10.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  10 SHOT-FILE: ", file2shot4two10, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 10 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three10.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 10 SHOT-FILE: ", file2shot4three10, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 10 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four10.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 10 SHOT-FILE: ", file2shot4four10, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 10 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five10.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 10 SHOT-FILE: ", file2shot4five10, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 10 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six10.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 10 SHOT-FILE: ", file2shot4six10, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 10 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven10.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 10 SHOT-FILE: ", file2shot4seven10, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 10 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight10.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 10 SHOT-FILE: ", file2shot4eight10, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 10 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 10 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 10 SHOT-FILES - TIME: ", time4xi())
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 100 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 100 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one100.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one100, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two100.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  100 SHOT-FILE: ", file2shot4two100, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three100.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 100 SHOT-FILE: ", file2shot4three100, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four100.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 100 SHOT-FILE: ", file2shot4four100, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five100.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 100 SHOT-FILE: ", file2shot4five100, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six100.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 100 SHOT-FILE: ", file2shot4six100, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven100.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 100 SHOT-FILE: ", file2shot4seven100, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight100.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 100 SHOT-FILE: ", file2shot4eight100, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 100 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 100 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 200 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 200 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one200.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one200, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two200.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  200 SHOT-FILE: ", file2shot4two200, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three200.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 200 SHOT-FILE: ", file2shot4three200, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four200.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 200 SHOT-FILE: ", file2shot4four200, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five200.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 200 SHOT-FILE: ", file2shot4five200, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six200.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 200 SHOT-FILE: ", file2shot4six200, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven200.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 200 SHOT-FILE: ", file2shot4seven200, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight200.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 200 SHOT-FILE: ", file2shot4eight200, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 200 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 200 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 300 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 300 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one300.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one300, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two300.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  300 SHOT-FILE: ", file2shot4two300, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three300.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 300 SHOT-FILE: ", file2shot4three300, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four300.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 300 SHOT-FILE: ", file2shot4four300, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five300.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 300 SHOT-FILE: ", file2shot4five300, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six300.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 300 SHOT-FILE: ", file2shot4six300, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven300.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 300 SHOT-FILE: ", file2shot4seven300, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight300.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 300 SHOT-FILE: ", file2shot4eight300, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 300 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 300 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 400 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 400 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one400.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one400, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two400.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  400 SHOT-FILE: ", file2shot4two400, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three400.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 400 SHOT-FILE: ", file2shot4three400, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four400.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 400 SHOT-FILE: ", file2shot4four400, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five400.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 400 SHOT-FILE: ", file2shot4five400, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six400.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 400 SHOT-FILE: ", file2shot4six400, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven400.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 400 SHOT-FILE: ", file2shot4seven400, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight400.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 400 SHOT-FILE: ", file2shot4eight400, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 400 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 400 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 500 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 500 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one500.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one500, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two500.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  500 SHOT-FILE: ", file2shot4two500, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three500.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 500 SHOT-FILE: ", file2shot4three500, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four500.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 500 SHOT-FILE: ", file2shot4four500, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five500.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 500 SHOT-FILE: ", file2shot4five500, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six500.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 500 SHOT-FILE: ", file2shot4six500, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven500.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 500 SHOT-FILE: ", file2shot4seven500, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight500.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 500 SHOT-FILE: ", file2shot4eight500, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 500 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 500 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 600 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 600 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one600.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one600, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two600.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  600 SHOT-FILE: ", file2shot4two600, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three600.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 600 SHOT-FILE: ", file2shot4three600, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four600.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 600 SHOT-FILE: ", file2shot4four600, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five600.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 600 SHOT-FILE: ", file2shot4five600, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six600.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 600 SHOT-FILE: ", file2shot4six600, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven600.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 600 SHOT-FILE: ", file2shot4seven600, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight600.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 600 SHOT-FILE: ", file2shot4eight600, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 600 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 600 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 700 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 700 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one700.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one700, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two700.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  700 SHOT-FILE: ", file2shot4two700, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three700.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 700 SHOT-FILE: ", file2shot4three700, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four700.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 700 SHOT-FILE: ", file2shot4four700, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five700.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 700 SHOT-FILE: ", file2shot4five700, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six700.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 700 SHOT-FILE: ", file2shot4six700, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven700.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 700 SHOT-FILE: ", file2shot4seven700, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight700.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 700 SHOT-FILE: ", file2shot4eight700, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 700 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 700 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 800 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 800 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one800.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one800, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two800.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  800 SHOT-FILE: ", file2shot4two800, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three800.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 800 SHOT-FILE: ", file2shot4three800, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four800.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 800 SHOT-FILE: ", file2shot4four800, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five800.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 800 SHOT-FILE: ", file2shot4five800, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six800.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 800 SHOT-FILE: ", file2shot4six800, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven800.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 800 SHOT-FILE: ", file2shot4seven800, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight800.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 800 SHOT-FILE: ", file2shot4eight800, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 800 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 800 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 900 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 900 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one900.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one900, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two900.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  900 SHOT-FILE: ", file2shot4two900, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three900.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 900 SHOT-FILE: ", file2shot4three900, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four900.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 900 SHOT-FILE: ", file2shot4four900, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five900.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 900 SHOT-FILE: ", file2shot4five900, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six900.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 900 SHOT-FILE: ", file2shot4six900, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven900.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 900 SHOT-FILE: ", file2shot4seven900, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight900.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 900 SHOT-FILE: ", file2shot4eight900, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 900 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 900 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 1000 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 1000 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one1000.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one1000, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two1000.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  1000 SHOT-FILE: ", file2shot4two1000, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three1000.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 1000 SHOT-FILE: ", file2shot4three1000, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four1000.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 1000 SHOT-FILE: ", file2shot4four1000, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five1000.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 1000 SHOT-FILE: ", file2shot4five1000, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six1000.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 1000 SHOT-FILE: ", file2shot4six1000, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven1000.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 1000 SHOT-FILE: ", file2shot4seven1000, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight1000.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 1000 SHOT-FILE: ", file2shot4eight1000, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 1000 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 1000 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 1100 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 1100 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one1100.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one1100, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two1100.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  1100 SHOT-FILE: ", file2shot4two1100, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three1100.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 1100 SHOT-FILE: ", file2shot4three1100, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four1100.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 1100 SHOT-FILE: ", file2shot4four1100, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five1100.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 1100 SHOT-FILE: ", file2shot4five1100, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six1100.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 1100 SHOT-FILE: ", file2shot4six1100, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven1100.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 1100 SHOT-FILE: ", file2shot4seven1100, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight1100.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 1100 SHOT-FILE: ", file2shot4eight1100, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 1100 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 1100 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 1200 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 1200 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one1200.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one1200, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two1200.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  1200 SHOT-FILE: ", file2shot4two1200, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three1200.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 1200 SHOT-FILE: ", file2shot4three1200, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four1200.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 1200 SHOT-FILE: ", file2shot4four1200, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five1200.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 1200 SHOT-FILE: ", file2shot4five1200, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six1200.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 1200 SHOT-FILE: ", file2shot4six1200, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven1200.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 1200 SHOT-FILE: ", file2shot4seven1200, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight1200.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 1200 SHOT-FILE: ", file2shot4eight1200, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 1200 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 1200 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 1300 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 1300 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one1300.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one1300, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two1300.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  1300 SHOT-FILE: ", file2shot4two1300, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three1300.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 1300 SHOT-FILE: ", file2shot4three1300, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four1300.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 1300 SHOT-FILE: ", file2shot4four1300, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five1300.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 1300 SHOT-FILE: ", file2shot4five1300, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six1300.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 1300 SHOT-FILE: ", file2shot4six1300, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven1300.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 1300 SHOT-FILE: ", file2shot4seven1300, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight1300.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 1300 SHOT-FILE: ", file2shot4eight1300, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 1300 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 1300 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 1400 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 1400 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one1400.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one1400, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two1400.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  1400 SHOT-FILE: ", file2shot4two1400, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three1400.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 1400 SHOT-FILE: ", file2shot4three1400, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four1400.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 1400 SHOT-FILE: ", file2shot4four1400, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five1400.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 1400 SHOT-FILE: ", file2shot4five1400, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six1400.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 1400 SHOT-FILE: ", file2shot4six1400, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven1400.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 1400 SHOT-FILE: ", file2shot4seven1400, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight1400.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 1400 SHOT-FILE: ", file2shot4eight1400, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 1400 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 1400 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 1500 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 1500 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one1500.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one1500, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two1500.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  1500 SHOT-FILE: ", file2shot4two1500, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three1500.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 1500 SHOT-FILE: ", file2shot4three1500, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four1500.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 1500 SHOT-FILE: ", file2shot4four1500, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five1500.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 1500 SHOT-FILE: ", file2shot4five1500, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six1500.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 1500 SHOT-FILE: ", file2shot4six1500, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven1500.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 1500 SHOT-FILE: ", file2shot4seven1500, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight1500.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 1500 SHOT-FILE: ", file2shot4eight1500, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 1500 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 1500 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 1600 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 1600 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one1600.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one1600, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two1600.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  1600 SHOT-FILE: ", file2shot4two1600, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three1600.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 1600 SHOT-FILE: ", file2shot4three1600, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four1600.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 1600 SHOT-FILE: ", file2shot4four1600, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five1600.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 1600 SHOT-FILE: ", file2shot4five1600, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six1600.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 1600 SHOT-FILE: ", file2shot4six1600, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven1600.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 1600 SHOT-FILE: ", file2shot4seven1600, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight1600.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 1600 SHOT-FILE: ", file2shot4eight1600, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 1600 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 1600 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 1700 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 1700 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one1700.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one1700, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two1700.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  1700 SHOT-FILE: ", file2shot4two1700, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three1700.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 1700 SHOT-FILE: ", file2shot4three1700, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four1700.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 1700 SHOT-FILE: ", file2shot4four1700, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five1700.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 1700 SHOT-FILE: ", file2shot4five1700, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six1700.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 1700 SHOT-FILE: ", file2shot4six1700, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven1700.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 1700 SHOT-FILE: ", file2shot4seven1700, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight1700.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 1700 SHOT-FILE: ", file2shot4eight1700, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 1700 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 1700 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 1800 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 1800 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one1800.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one1800, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two1800.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  1800 SHOT-FILE: ", file2shot4two1800, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three1800.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 1800 SHOT-FILE: ", file2shot4three1800, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four1800.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 1800 SHOT-FILE: ", file2shot4four1800, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five1800.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 1800 SHOT-FILE: ", file2shot4five1800, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six1800.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 1800 SHOT-FILE: ", file2shot4six1800, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven1800.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 1800 SHOT-FILE: ", file2shot4seven1800, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight1800.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 1800 SHOT-FILE: ", file2shot4eight1800, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 1800 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 1800 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 1900 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 1900 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one1900.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one1900, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two1900.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  1900 SHOT-FILE: ", file2shot4two1900, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three1900.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 1900 SHOT-FILE: ", file2shot4three1900, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four1900.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 1900 SHOT-FILE: ", file2shot4four1900, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five1900.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 1900 SHOT-FILE: ", file2shot4five1900, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six1900.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 1900 SHOT-FILE: ", file2shot4six1900, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven1900.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 1900 SHOT-FILE: ", file2shot4seven1900, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight1900.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 1900 SHOT-FILE: ", file2shot4eight1900, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 1900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 1900 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 1900 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 2000 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 2000 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one2000.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one2000, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two2000.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  2000 SHOT-FILE: ", file2shot4two2000, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three2000.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 2000 SHOT-FILE: ", file2shot4three2000, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four2000.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 2000 SHOT-FILE: ", file2shot4four2000, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five2000.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 2000 SHOT-FILE: ", file2shot4five2000, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six2000.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 2000 SHOT-FILE: ", file2shot4six2000, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven2000.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 2000 SHOT-FILE: ", file2shot4seven2000, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight2000.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 2000 SHOT-FILE: ", file2shot4eight2000, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 2000 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 2000 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 2100 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 2100 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one2100.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one2100, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two2100.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  2100 SHOT-FILE: ", file2shot4two2100, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three2100.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 2100 SHOT-FILE: ", file2shot4three2100, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four2100.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 2100 SHOT-FILE: ", file2shot4four2100, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five2100.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 2100 SHOT-FILE: ", file2shot4five2100, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six2100.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 2100 SHOT-FILE: ", file2shot4six2100, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven2100.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 2100 SHOT-FILE: ", file2shot4seven2100, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight2100.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 2100 SHOT-FILE: ", file2shot4eight2100, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 2100 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 2100 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 2200 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 2200 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one2200.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one2200, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two2200.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  2200 SHOT-FILE: ", file2shot4two2200, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three2200.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 2200 SHOT-FILE: ", file2shot4three2200, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four2200.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 2200 SHOT-FILE: ", file2shot4four2200, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five2200.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 2200 SHOT-FILE: ", file2shot4five2200, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six2200.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 2200 SHOT-FILE: ", file2shot4six2200, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven2200.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 2200 SHOT-FILE: ", file2shot4seven2200, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight2200.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 2200 SHOT-FILE: ", file2shot4eight2200, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 2200 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 2200 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 2300 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 2300 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one2300.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one2300, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two2300.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  2300 SHOT-FILE: ", file2shot4two2300, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three2300.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 2300 SHOT-FILE: ", file2shot4three2300, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four2300.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 2300 SHOT-FILE: ", file2shot4four2300, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five2300.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 2300 SHOT-FILE: ", file2shot4five2300, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six2300.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 2300 SHOT-FILE: ", file2shot4six2300, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven2300.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 2300 SHOT-FILE: ", file2shot4seven2300, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight2300.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 2300 SHOT-FILE: ", file2shot4eight2300, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 2300 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 2300 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 2400 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 2400 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one2400.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one2400, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two2400.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  2400 SHOT-FILE: ", file2shot4two2400, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three2400.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 2400 SHOT-FILE: ", file2shot4three2400, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four2400.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 2400 SHOT-FILE: ", file2shot4four2400, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five2400.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 2400 SHOT-FILE: ", file2shot4five2400, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six2400.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 2400 SHOT-FILE: ", file2shot4six2400, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven2400.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 2400 SHOT-FILE: ", file2shot4seven2400, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight2400.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 2400 SHOT-FILE: ", file2shot4eight2400, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2400 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 2400 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 2400 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 2500 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 2500 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one2500.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one2500, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two2500.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  2500 SHOT-FILE: ", file2shot4two2500, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three2500.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 2500 SHOT-FILE: ", file2shot4three2500, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four2500.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 2500 SHOT-FILE: ", file2shot4four2500, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five2500.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 2500 SHOT-FILE: ", file2shot4five2500, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six2500.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 2500 SHOT-FILE: ", file2shot4six2500, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven2500.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 2500 SHOT-FILE: ", file2shot4seven2500, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight2500.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 2500 SHOT-FILE: ", file2shot4eight2500, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2500 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 2500 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 2500 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 2600 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 2600 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one2600.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one2600, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two2600.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  2600 SHOT-FILE: ", file2shot4two2600, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three2600.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 2600 SHOT-FILE: ", file2shot4three2600, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four2600.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 2600 SHOT-FILE: ", file2shot4four2600, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five2600.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 2600 SHOT-FILE: ", file2shot4five2600, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six2600.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 2600 SHOT-FILE: ", file2shot4six2600, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven2600.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 2600 SHOT-FILE: ", file2shot4seven2600, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight2600.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 2600 SHOT-FILE: ", file2shot4eight2600, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2600 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 2600 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 2600 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 2700 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 2700 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one2700.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one2700, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two2700.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  2700 SHOT-FILE: ", file2shot4two2700, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three2700.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 2700 SHOT-FILE: ", file2shot4three2700, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four2700.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 2700 SHOT-FILE: ", file2shot4four2700, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five2700.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 2700 SHOT-FILE: ", file2shot4five2700, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six2700.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 2700 SHOT-FILE: ", file2shot4six2700, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven2700.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 2700 SHOT-FILE: ", file2shot4seven2700, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight2700.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 2700 SHOT-FILE: ", file2shot4eight2700, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2700 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 2700 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 2700 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 2800 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 2800 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one2800.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one2800, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two2800.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  2800 SHOT-FILE: ", file2shot4two2800, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three2800.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 2800 SHOT-FILE: ", file2shot4three2800, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four2800.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 2800 SHOT-FILE: ", file2shot4four2800, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five2800.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 2800 SHOT-FILE: ", file2shot4five2800, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six2800.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 2800 SHOT-FILE: ", file2shot4six2800, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven2800.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 2800 SHOT-FILE: ", file2shot4seven2800, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight2800.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 2800 SHOT-FILE: ", file2shot4eight2800, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2800 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 2800 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 2800 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 2900 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 2900 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one2900.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one2900, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two2900.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  2900 SHOT-FILE: ", file2shot4two2900, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three2900.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 2900 SHOT-FILE: ", file2shot4three2900, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four2900.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 2900 SHOT-FILE: ", file2shot4four2900, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five2900.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 2900 SHOT-FILE: ", file2shot4five2900, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six2900.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 2900 SHOT-FILE: ", file2shot4six2900, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven2900.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 2900 SHOT-FILE: ", file2shot4seven2900, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight2900.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 2900 SHOT-FILE: ", file2shot4eight2900, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 2900 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 2900 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 2900 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 3000 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 3000 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one3000.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one3000, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two3000.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  3000 SHOT-FILE: ", file2shot4two3000, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three3000.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 3000 SHOT-FILE: ", file2shot4three3000, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four3000.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 3000 SHOT-FILE: ", file2shot4four3000, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five3000.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 3000 SHOT-FILE: ", file2shot4five3000, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six3000.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 3000 SHOT-FILE: ", file2shot4six3000, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven3000.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 3000 SHOT-FILE: ", file2shot4seven3000, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight3000.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 3000 SHOT-FILE: ", file2shot4eight3000, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3000 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 3000 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 3000 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 3100 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 3100 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one3100.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one3100, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two3100.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  3100 SHOT-FILE: ", file2shot4two3100, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three3100.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 3100 SHOT-FILE: ", file2shot4three3100, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four3100.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 3100 SHOT-FILE: ", file2shot4four3100, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five3100.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 3100 SHOT-FILE: ", file2shot4five3100, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six3100.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 3100 SHOT-FILE: ", file2shot4six3100, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven3100.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 3100 SHOT-FILE: ", file2shot4seven3100, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight3100.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 3100 SHOT-FILE: ", file2shot4eight3100, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3100 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 3100 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 3100 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 3200 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 3200 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one3200.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one3200, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two3200.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  3200 SHOT-FILE: ", file2shot4two3200, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three3200.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 3200 SHOT-FILE: ", file2shot4three3200, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four3200.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 3200 SHOT-FILE: ", file2shot4four3200, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five3200.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 3200 SHOT-FILE: ", file2shot4five3200, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six3200.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 3200 SHOT-FILE: ", file2shot4six3200, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven3200.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 3200 SHOT-FILE: ", file2shot4seven3200, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight3200.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 3200 SHOT-FILE: ", file2shot4eight3200, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3200 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 3200 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 3200 SHOT-FILES - TIME: ", time4xi())
                                                       
                                
                # -----------------------------------------------------------------------------------------------------
                # CLOSE 3300 SHOT FILES                          
                # -----------------------------------------------------------------------------------------------------    
          
                print("\n (STEP 8W0/33) OF TEST_SPHERE4XI - TRYING TO CLOSE 3300 SHOT-FILES - TIME: ", time4xi())                            
                ack2close = True
                try:
                    file2shot4one3300.close()
                    print("\n (STEP 8W1A/33) OF TEST_SPHERE4XI - CLOSED SHOT-FILE: ", file2shot4one3300, " - TIME: ", time4xi())
                                 
                except:
                    print("\n (STEP 8W1B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                    
                try:
                    file2shot4two3300.close()
                    print("\n (STEP 8W2A/33) OF TEST_SPHERE4XI - CLOSED  3300 SHOT-FILE: ", file2shot4two3300, " - TIME: ", time4xi())
                       
                except:
                    print("\n (STEP 8W2B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4three3300.close()
                    print("\n (STEP 8W3A/33) OF TEST_SPHERE4XI - CLOSED 3300 SHOT-FILE: ", file2shot4three3300, " - TIME: ", time4xi()) 
                               
                except:
                    print("\n (STEP 8W3B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4four3300.close()
                    print("\n (STEP 8W4A/33) OF TEST_SPHERE4XI - CLOSED 3300 SHOT-FILE: ", file2shot4four3300, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W4B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4five3300.close()
                    print("\n (STEP 8W5A/33) OF TEST_SPHERE4XI - CLOSED 3300 SHOT-FILE: ", file2shot4five3300, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W5B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4six3300.close()
                    print("\n (STEP 8W6A/33) OF TEST_SPHERE4XI - CLOSED 3300 SHOT-FILE: ", file2shot4six3300, " - TIME: ", time4xi()) 
                              
                except:
                    print("\n (STEP 8W6B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4seven3300.close()
                    print("\n (STEP 8W7A/33) OF TEST_SPHERE4XI - CLOSED 3300 SHOT-FILE: ", file2shot4seven3300, " - TIME: ", time4xi()) 
                                 
                except:
                    print("\n (STEP 8W7B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                                         
                try:
                    file2shot4eight3300.close() 
                    print("\n (STEP 8W8A/33) OF TEST_SPHERE4XI - CLOSED 3300 SHOT-FILE: ", file2shot4eight3300, " - TIME: ", time4xi()) 
                             
                except:
                    print("\n (STEP 8W8B/33) OF TEST_SPHERE4XI *** FAILED TO CLOSE 3300 SHOT-FILE - TIME: ", time4xi())
                    ack2close  = False                 
                        
                if  ack2close is True:
                    print("\n (STEP 8W9A/33) OF TEST_SPHERE4XI - CLOSED ALL 3300 SHOT-FILES - TIME: ", time4xi())
                    # 
                else:
                    print("\n (STEP 8W9B/33) OF TEST_SPHERE4XI *** FAILED IN CLOSING 3300 SHOT-FILES - TIME: ", time4xi())
                                 

                print("\n (STEP 2Z/33) OF TEST_SPHERE4XI - COMPLETED THE EIGHT TEST - TIME: ", time4xi())
                # COMPLETED THE EIGHT TEST - TIME:  06:24:18 06/28/10 Pacific Daylight Time
                    
            except:
                # ---------------------------------------------------------------------------------------------    
                #
                # ---------------------------------------------------------------------------------------------     
                print("\n (STEP 2Y/33) OF TEST_SPHERE4XI *** FAILED IN THE EIGHT TEST - TIME: ", time4xi())                                                                                          
        else:
            print("\n (STEP 2X/33) OF TEST_SPHERE4XI ** SKIPPED THE EIGHT TEST, COMMAND2EIGHT: ", COMMAND2eight)     
                                                                                                                                                                  
        # -----------------------------------------------------------------------------------------------------
        # END OF TRIALS                          
        # -----------------------------------------------------------------------------------------------------    
        try:
            print("\n (STEP 31/33) OF TEST_SPHERE4XI - COMPLETED REQUIRED TESTS - TIME: ", time4xi())   
            print("COMMAND2FIRST: ", command2first) 
            print("COMMAND2SECOND: ", command2second) 
            print("COMMAND2THIRD: ", command2third) 
            print("COMMAND2FOURTH: ", command2fourth) 
            print("COMMAND2FIFT: ", command2fift) 
            print("COMMAND2SIXTH: ", command2sixth) 
            print("COMMAND2SEVENTH: ", command2seventh) 
            print("COMMAND2EIGHT: ", command2eight) 
            # OK 07:42:50 04/24/13 Pacific Daylight Time
            # FIRST:  False
            # SECOND: False
            # THIRD:  True
            # FOURTH: False
            # FIFT:   False
            # SIXTH:  False
            # SEVENTH:True
            # EIGHT:  False
            
            # NOK 08:06:49 04/24/13 Pacific Daylight Time
            # COMMAND2FIRST:  True
            # COMMAND2SECOND:  True
            # COMMAND2THIRD:  True
            # COMMAND2FOURTH:  True
            # COMMAND2FIFT:  True
            # COMMAND2SIXTH:  True
            # COMMAND2SEVENTH:  True
            # COMMAND2EIGHT:  True 
            # *** FAILED SHOOTING OF SHOOT2THREE4XI: ACCEPTED SHOT ONLY:  22  <  80  REQUIRED !
            # *** (STEP 5R8/33) OF TEST_SPHERE4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL:  <pipeconnection4xi.PipeConnection4Xi object at 0x000000000472FD30>  MESSAGE:  <copy4xi>copy2eight</copy4xi>
            # *** (STEP 5U/33) OF TEST_SPHERE4XI *** FAILED TO ESTABLISH COMMUNICATION WITH ALL  08:05:41 04/24/13 Pacific Daylight Time
            
            # OK 08:06:49 04/24/13 Pacific Daylight Time
            # COMMAND2FIRST:  False
            # COMMAND2SECOND: False
            # COMMAND2THIRD:  True
            # COMMAND2FOURTH: False
            # COMMAND2FIFT:   True
            # COMMAND2SIXTH:  True
            # COMMAND2SEVENTH:False
            # COMMAND2EIGHT:  False 
            
        except:
            pass
         
               
    except:
        # ---------------------------------------------------------------------------------------------    
        #
        # ---------------------------------------------------------------------------------------------     
        print("\n (STEP 32/33) OF TEST_SPHERE4XI ** EXCEPTION IN A TEST **")  
                                                     
    finally:        
            
        # ---------------------------------------------------------------------------------------------    
        # Print Trace
        # ---------------------------------------------------------------------------------------------     
        print_trace4xi(t2xi)        
            
        print('=' *33)          
        print('TRACE GENERATED OF TEST_SPHERE4XI - END BY TEST_SPHERE4XI')
        print('=' *33)                   
       
       
#</function4xi>
     

    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "main" usage = "
#   main function for test_sphere4xi
#"> 
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def main():

    print('=' *33)
    print("SENSING SPHERE4XI WITH YOURDRAGONXI ", time4xi())  
    print('=' *33)
        
    test_sphere4xi()    
    
    print('=' *33)
    print("SENSED SPHERE4XI WITH YOURDRAGONXI ", time4xi())    
    print('=' *33) 
                              
#</function4xi>
     

# -------------------------------------------------------------------------------------------------
# __main__                              
# -------------------------------------------------------------------------------------------------
if __name__ == '__main__':
    main()
    
#</program4xi>
 

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_sphere4xi.txt
#   sense-test-sphere4xi.xml
#   reason-test-sphere4xi.xml
#   ace-test-sphere4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of test_sphere4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
